
#!/usr/bin/env python
# -*- coding: utf-8 -*-

import string


class Error(object):
    
    def __init__(self,e):
        error = e.__class__.__name__
        self.url=None
        self.response=None
        self.schema=None
        self.xml=None
        self.res=None
        self.tooShort=None
        self.catalog=None
        if error == "HttpError":
            self.handleHttpError(e)
        elif error == "MalformedResponseError":
            self.handleMalformedResponseError(e)
        elif error == "UnknownSchemaError":
            self.handleUnknownSchemaError(e)
        elif error == "ServiceError":
            self.handleServiceError(e)
        elif error == "XMLError":
            self.handleXMLError(e)       
        elif error == "NoResultError":
            self.handleNoResError(e)  
        elif error == 'ProtocolError':
            self.handleProtocolError(e) 
        elif error == 'CatalogError':
            self.handleCatalogError(e)  
    
    def handleHttpError(self,error):
        if hasattr(error, "url"):
            self.url = str(error.url[0])      

            
    def handleMalformedResponseError(self,error):
        if hasattr(error, "url"):
            self.url = str(error.url[0])
        if hasattr(error,"response"):
            self.response = error.response

    def handleUnknownSchemaError(self,error):
        if hasattr(error, "url"):
            self.url = str(error.url[0])
        if hasattr(error,"schema"):
            self.schema = error.schema

    def handleServiceError(self,error):
        if hasattr(error, "url"):
            self.url = str(error.url[0])
            
    def handleXMLError(self,error):
        if hasattr(error, "xml"):
            self.xml = str(error.xml)  
            
    def handleNoResError(self,error):
        if hasattr(error,"res"):
            self.res = str(error.res)
            
    def handleProtocolError(self,error):
        if hasattr(error,"tooShort"):
            self.tooShort = str(error.tooShort)

    def handleCatalogError(self,error):
        if hasattr(error,"catalog"):
            self.catalog = str(error.catalog)