
#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os, logging,sys

import biocase.configuration

#===============================================================================
#
#
#===============================================================================
log = logging.getLogger("div")

class Datasource( object ):
    # ------------------------------------------------------------------------------------
    def __init__(self, name, cfg=None):
        # datasource name
        self.name       = name
        # cfg and log stuff
        if cfg is None:
            cfg = configuration.Cfg()
        self.cfg        = cfg

# ------------------------------------------------------------------------------------
def getMenuList(cfg=None, namesOnly=True):
    if cfg is None:
        cfg = configuration.Cfg()
    menulist = []
    append = menulist.append
    for menu in os.listdir(cfg.webappLocator):
        if namesOnly:
            append( menu )
        else:
            append( Datasource(menu, cfg=cfg) )
#    for menu in (cfg.tomcatLocator):
#        if namesOnly:
#            append( menu )
#        else:
#            append( Datasource(menu, cfg=cfg) )
    return menulist

def getMenuDico(cfg=None, readPrefs=True):
    menuDict = {}
    for menuObj in getMenuList(cfg, namesOnly=False):
        menuDict[menuObj.name] = menuObj    
    return menuDict

