#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
import kid
import logging, logging.config, os, sys,sha,random,time,StringIO
import thread
import page,results

from biocase.multithreading.taskqueue import *
from requestHandler.dbConnection import DBconnection
from biocase.ServiceClient import *
from biocase.tools.xmllibtools import transformXML
from biocase.tools.xmlprinter import *
from biocase.ServiceClient import ServiceQueryClient   
from biocase.Error import Error
from requestHandler.units.queryManager import U_QueryManager
from requestHandler.props import *
import caractersHandling as _carac 

import zipfile,zlib, glob
from pyExcelerator import *

from cherrypy.lib import cptools

import timeoutsocket,smtplib
timeoutsocket.setDefaultSocketTimeout(15)

from spreadsheets.spreadsheet import Spreadsheet

# use logging
log = logging.getLogger("div")   
log2 = logging.getLogger("queriesLog")
#page to get configuration elements
myPage = page.Page()
#----------------------------------------------------------------
#
#These classes handle the asynchronous download of the full detailed results
#
#----------------------------------------------------------------

class Empty:
	pass

class Confirmation:
	#the current instance
	_instance = None 
	 
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._instance:
			cls._instance = super( Confirmation, cls ).__new__( cls, *args, **kwargs )
			self = cls._instance
			self.file = 'results/units/en_confirmation.kid'
			self.title = "Units Results DL"
			self.body = "searchPage" 
		return cls._instance
	
	def reinit(self):
		cherrypy.session['confirmation'] = {}
		

	@cherrypy.expose
	def index(self):
		confirm = cherrypy.session.get('confirmation',{})
		if confirm.get('fileID',None) is None:
			self.createRandomName()
		confirm = cherrypy.session.get('confirmation',{})
		self.filePath='results/units/'
		self.fileName='_confirmation.kid'
		self.title = "Units Results DL"
		self.body = "searchPage"
#		self.file='results/units/confirmation.kid'
		nb = random.randint(1,4)
		ctrl = 'control'+str(nb)
		if nb ==1:
			confirm['controlTxt'] = myPage.getCfgObj().antispam.control1
		elif nb ==2:
			confirm['controlTxt'] = myPage.getCfgObj().antispam.control2
		elif nb ==3:
			confirm['controlTxt'] = myPage.getCfgObj().antispam.control3
		elif nb ==4:
			confirm['controlTxt'] = myPage.getCfgObj().antispam.control4
		confirm['control'] = myPage.getCfgObj().server.webroot+'/' + 'static/images/control/'+ctrl+'.jpg'
		cherrypy.session['confirmation'] = confirm
		return myPage.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body, nbSelected = confirm.get('nbSelected'), control=confirm.get('control'))


	def dlListDetails(self):
		'''
	handle the selected data to download them later
		replace the special caracters added by the code to prevent missunderstanding with comma(,) and slash(/)
		@param corbStr : a string containing the list of selected objects, separated by "--$$$$--"
		each data contains fields, separated by "~~$$$$~~"
		'''
		confirm = cherrypy.session.get('confirmation',{})
		fileID = confirm.get('fileID')
		corb = cherrypy.session['checkedBoxes']
		confirm['corb'] = cherrypy.session['checkedBoxes']
		nbSelected = confirm.get('nbSelected')
		email = confirm.get('email')
		if corb is not None and len(corb)>0:
			#unitID,collectionID,institutionID,resourceKey,name		
			j = 0
			k=0
			corbeille = []
			while j < len(corb):
				if corb[j] is not None and _carac.tripleIDSeparator in corb[j]:
					tmp = corb[j].split(_carac.tripleIDSeparator)
					tmpEnco = tmp[0]
					tmpDeco = _carac.decodeCaracters(encoded=tmpEnco)
					tmpC = _carac.decodeCaracters(encoded =tmp[1])
					if tmpC=="null":
						tmpC=""
					tmpI = _carac.decodeCaracters(encoded =tmp[2])
					if tmpI=="null":
						tmpI=""
					tmpR = tmp[3]
					if tmpR=="null":
						tmpR=""
					tmpN = tmp[4]
					tmpBK = _carac.decodeCaracters(encoded =tmp[5])
					if tmpBK=="null":
						tmpBK=""
					det = []
					det.append(tmpN)
					det.append(tmpDeco)
					det.append(tmpC)
					det.append(tmpI)
					det.append(tmpR)   
					det.append(tmpEnco)
					det.append(tmpBK)
					corbeille.append(det)
					k+=1
				j+=1				
			confirm['corb'] = corbeille
			confirm['nbSelected']=k
			cherrypy.session['confirmation'] = confirm
		else:
			if cherrypy.session.get('corb',None) is None:
				myPage.redirect('/index/session')
			corb = cherrypy.session['corb']
			j = 0
			k = 0
			corbeille = []
			while j < len(corb):
				if corb[j] is not None:
					tmp = corb[j]
					tmpDeco = tmp[1]#unitID decoded
					tmpEnco = _carac.encodeCaracters(decoded=tmpDeco)#unitIDEncoded
					tmpC = tmp[2]
					if tmpC=="null":
						tmpC=""
					tmpI = tmp[3]
					if tmpI=="null":
						tmpI=""
					tmpR = tmp[4]
					if tmpR=="null":
						tmpR=""
					tmpN = tmp[0]#name
					tmpBK = _carac.decodeCaracters(encoded =tmp[5])
					if tmpBK=="null":
						tmpBK=""
					det = []
					det.append(tmpN)
					det.append(tmpDeco)
					det.append(tmpC)
					det.append(tmpI)
					det.append(tmpR)   
					det.append(tmpEnco)
					det.append(tmpBK)
					corbeille.append(det)
					k+=1
				j+=1				
			confirm['corb'] = corbeille
			confirm['nbSelected']=k
		cherrypy.session['confirmation'] = confirm
		myPage.redirect("/search/units/confirmation/")
		
		
	def createRandomName(self):
		'''
		create a new random name for the zip file
		'''
		confirm = cherrypy.session.get('confirmation',{})
		chaine = ("all");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		confirm['fileID'] = chaine+hashage.hexdigest()[0:10]+date+".zip"
		cherrypy.session['confirmation'] = confirm
	
	def getFileID(self):
		confirm = cherrypy.session.get('confirmation',{})
		if confirm.get('fileID') is None:
			self.createRandomName()  
		confirm = cherrypy.session.get('confirmation',{})
		return confirm.get('fileID')
	
	def getCorb(self):
		confirm = cherrypy.session.get('confirmation',{})
		if confirm.get('corb') is None:
			confirm['corb'] = []
			cherrypy.session['confirmation'] = confirm
		confirm = cherrypy.session.get('confirmation',{})
		return confirm.get('corb')  
	
	def updateCorb(self, queue):
		confirm = cherrypy.session.get('confirmation',{})
		confirm['corb'] = queue
		cherrypy.session['confirmation'] = confirm

	def getNbSelected(self):
		confirm = cherrypy.session.get('confirmation',{})
		if confirm.get('nbSelected') is None:
			confirm['nbSelected']=0  
		cherrypy.session['confirmation'] = confirm
		confirm = cherrypy.session.get('confirmation',{})
		return confirm.get('nbSelected')  
	
	@cherrypy.expose
	def setEmail(self,*args,**kwargs):
		'''
		set the current user's email and control if there is no spam or bot playing with our email sender
		'''
		confirm = cherrypy.session.get('confirmation',{})
		if kwargs.has_key("email"):
			confirm['email'] = kwargs['email']
			if confirm.get('email') == "":
				confirm['email']  = None
		else:
			confirm['email']  = None
		confirm['controlUser'] = kwargs.get('c_control',None)
		cherrypy.session['confirmation'] = confirm
		if confirm.get('controlUser') == confirm.get('controlTxt'):
			myPage.redirect("/search/units/validation/")
		else:
			myPage.redirect("/search/units/confirmation")
	

	


class Validation:
	
#	#the current instance
	_instance = None 
	q = None
	q2 = None
	
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._instance:
			cls._instance = super( Validation, cls ).__new__( cls, *args, **kwargs )
			self = cls._instance
			self.file = 'results/units/en_validation.kid'
			self.title = "Units Results DL"
			self.body = "searchPage"
			self.zfile = None
			self.dic={}
			self.filePath='results/units/'
			self.fileName ='_validation.kid'
			self.filesDir = ""
			self.confirm={}
		return cls._instance

	@cherrypy.expose
	def index(self):
		
		if not cherrypy.session.has_key('confirmation'):
			myPage.redirect('/index/session')
		
		self.filePath='results/units/'
		self.fileName ='_validation.kid'
		self.title = "Units Results DL"
		self.body = "searchPage"
		self.filesDir = cherrypy.config.get("uploads")
		os.chdir(self.filesDir) 
		
		self.confirm = cherrypy.session.get('confirmation',{})
		zipf = self.tryWithoutThread()
#		zipf = threading.Thread(target=self.startPoolWork())
		fileID = self.confirm.get('fileID')
		#the url were the zip file will be available
		url = myPage.getCfgObj().server.host + myPage.getCfgObj().server.webroot+'/' + myPage.getCfgObj().server.files + fileID
		
#		zipf.start() 
		
		cherrypy.session['confirmation'] = self.confirm
		return myPage.render(filePath=self.filePath, fileName=self.fileName, title=self.title, body=self.body, url=url)	


	def tryWithoutThread(self):
		## Creation du zip
		#log.info("create zip!!!!")
		fileID = self.confirm.get('fileID')
		corb = self.confirm.get('corb')
		nbSelected = self.confirm.get('nbSelected')
		email = self.confirm.get('email')
		try: 
			self.zfile = zipfile.ZipFile(fileID,'w',compression=zipfile.ZIP_DEFLATED)
		except Exception,e: 
			log.info("pb ZIP %s" %e)
			self.zfile = zipfile.ZipFile(fileID,'w')
		
		
		self.confirm['problematicTriplet']=[]
		self.confirm['tripletDic'] = {}
		i = 0
		q=[]
		if ( corb is not None ):
			while i<nbSelected:
				#Check only the first object of the arraylist
				tmp = corb[i]
				tmpU = tmp[5]
				tmpC = tmp[2]
				if tmpC is not None:
					if tmpC=="null" or tmpC=="" or tmpC.lower() == "none":
						 tmpC=None
				tmpI = tmp[3]
				if tmpI is not None:
					if tmpI=="null" or tmpI=="" or tmpI.lower() == "none":
						 tmpI=None
				tmpR = tmp[4]
				if tmpR is not None:
					if tmpR=="null" or tmpR=="" or tmpR.lower() == "none":
						 tmpR=None
				tmpBiorecordkey=tmp[6]
				if tmpBiorecordkey is not None:
					if tmpBiorecordkey=="null" or tmpBiorecordkey=="" or tmpBiorecordkey.lower() == "none":
						 tmpBiorecordkey=None
				x=(str(tmpU), tmpC, tmpI, tmpR,tmpBiorecordkey)
				i += 1  
				q.append(x) 
				self.prepareTriplets(str(tmpU), tmpC, tmpI, tmpR, tmpBiorecordkey)
		
		
		tripletDic = self.confirm.get('tripletDic')
		keys = tripletDic.keys()
		i=0
		q=[]
		while i <len(keys):
			q.append(keys[i])
			self.getDetails(keys[i])
			i+=1
		
		 
		problematicTriplet = self.confirm.get('problematicTriplet',[])
		try:
			if len(problematicTriplet) > 0:
				self.getDetailsFromCache()
		except Exception,e:
			pass
		self.zfile.close()
		#log.info("ZIP finished")
		
		if email is not None:
			if '@' in email and '.' in email:
				fromaddr =("From: %s" % myPage.getCfgObj().server.mail)
				toaddrs  = string.splitfields(email)
				subject = myPage.getCfgObj().server.subject
				mess = "All data are now available under %s%s%s%s%s" %(myPage.getCfgObj().server.host,myPage.getCfgObj().server.webroot,'/',myPage.getCfgObj().server.files,fileID)

				body = string.join((
					"Subject: %s" % subject,
					"",
					mess), "\r\n")

				# The actual mail send
				server = smtplib.SMTP(myPage.getCfgObj().server.smtp)
				try:
					server.sendmail(fromaddr, toaddrs, body)
				except Exception, e:
					log.info("pb with the smtp %s" %e)
				server.quit()
				log.info("mail sent to %s" %email)
		
#	def startPoolWork(self):
#		'''
#		create the zip 
#		start a threadpool of maximum 5 threads
#		'''
#		
#		## Creation du zip
#		#log.info("create zip!!!!")
#		fileID = self.confirm.get('fileID')
#		corb = self.confirm.get('corb')
#		nbSelected = self.confirm.get('nbSelected')
#		email = self.confirm.get('email')
#		try: 
#			self.zfile = zipfile.ZipFile(fileID,'w',compression=zipfile.ZIP_DEFLATED)
#		except Exception,e: 
#			log.info("pb ZIP %s" %e)
#			self.zfile = zipfile.ZipFile(fileID,'w')
#		global q
#		q = TaskQueue()
#		
#		self.confirm['problematicTriplet']=[]
#		numworkers = 1
#		self.confirm['tripletDic'] = {}
#		i = 0
#		if ( corb is not None ):
#			while i<nbSelected:
#				#Check only the first object of the arraylist
#				tmp = corb[i]
#				tmpU = tmp[5]
#				tmpC = tmp[2]
#				if tmpC is not None:
#					if tmpC=="null" or tmpC=="" or tmpC.lower() == "none":
#						 tmpC=None
#				tmpI = tmp[3]
#				if tmpI is not None:
#					if tmpI=="null" or tmpI=="" or tmpI.lower() == "none":
#						 tmpI=None
#				tmpR = tmp[4]
#				if tmpR is not None:
#					if tmpR=="null" or tmpR=="" or tmpR.lower() == "none":
#						 tmpR=None
#				tmpBiorecordkey=tmp[6]
#				if tmpBiorecordkey is not None:
#					if tmpBiorecordkey=="null" or tmpBiorecordkey=="" or tmpBiorecordkey.lower() == "none":
#						 tmpBiorecordkey=None
#				x=(tmpU, tmpC, tmpI, tmpR,tmpBiorecordkey)
#				i += 1  
#				q.put(x) 
#		else:
#			log.info("corb is none")
#		for i in range(numworkers):
#			try:
#				t = threading.Thread(target=self.worker)
#				t.setDaemon(True)
#				t.start()	  
#			except Exception,e:
#				log.info("error thread 1")
#		q.join() 
#		numworkers = 5
#		q = TaskQueue()
#		tripletDic = self.confirm.get('tripletDic')
#		keys = tripletDic.keys()
#		i=0
#		while i <len(keys):
#			q.put(keys[i])
#			i+=1
#		for i in range(numworkers):
#			try:
#				t = threading.Thread(target=self.worker2)
#				t.setDaemon(True)
#				t.start()	
#			except Exception,e:
#				log.info("error thread 2")
#		q.join() 
#		 
#		problematicTriplet = self.confirm.get('problematicTriplet',[])
#		try:
#			if len(problematicTriplet) > 0:
#				self.getDetailsFromCache()
#		except Exception,e:
#			pass
#		self.zfile.close()
#		#log.info("ZIP finished")
#		
#		if email is not None:
#			if '@' in email and '.' in email:
#				fromaddr =("From: %s" % myPage.getCfgObj().server.mail)
#				toaddrs  = string.splitfields(email)
#				subject = myPage.getCfgObj().server.subject
#				mess = "All data are now available under %s%s%s%s%s" %(myPage.getCfgObj().server.host,myPage.getCfgObj().server.webroot,'/',myPage.getCfgObj().server.files,fileID)
#
#				body = string.join((
#					"Subject: %s" % subject,
#					"",
#					mess), "\r\n")
#
#				# The actual mail send
#				server = smtplib.SMTP(myPage.getCfgObj().server.smtp)
#				try:
#					server.sendmail(fromaddr, toaddrs, body)
#				except Exception, e:
#					log.info("pb with the smtp %s" %e)
#				server.quit()
#				log.info("mail sent to %s" %email)
#
#	def worker(self):
#		'''
#		define the work the thread has to do
#		'''
#		log.info("worker")
#		name = threading.currentThread().getName()
#		while True:
#			x = q.get()
#			self.prepareTriplets(str(x[0]),x[1],x[2], x[3],x[4])
#			q.task_done()  
#
#	def worker2(self):
#		'''
#		define the work the thread has to do
#		'''
#		log.info("worker2")
#		name = threading.currentThread().getName()
#		while True:
#			x = q.get()
#			self.getDetails(x)
#			q.task_done() 
			
	def prepareTriplets(self, unitID, collectionID=None, institutionID=None, resourceKey=None, biorecordKey=None):
		'''
		build a hastable with key = schema+serviceURL+protocol and value = unitID+collectionID+institutionID+resourceKey
		use to do only one query to the original provider for all the selected units that are coming from this provider
		@param unitID : the unit's ID
		@param institutionID : the unit's institutionID
		@param collectionID : the unit's collectionID
		@param resourceKey : the unit's resourceKey
		'''
#		log.info("prerare triplet %s %s %s"%(unitID,collectionID,institutionID))
		if collectionID is not None and collectionID == "null":
			collectionID = None
		if collectionID is not None:
			collectionID =  _carac.decodeCaracters(encoded =collectionID)
		if institutionID is not None and institutionID == "null":
			institutionID = None
		if institutionID is not None:
			institutionID =_carac.decodeCaracters(encoded =institutionID)
		if biorecordKey is not None:
			biorecordKey =_carac.decodeCaracters(encoded =biorecordKey)
			
		resourcesKeys = resourceKey.split(";")
		keyNb = 0
		keyMax = len(resourceKey)
		unitID_encoded = unitID
		unitID = _carac.decodeCaracters(encoded=unitID_encoded)
		res = self.setWrapperProperties(resourcesKeys[keyNb])
		schema = res[0]
		serviceURL = res[1]
		protocol = res[2]
		
		if cherrypy.session.get('CDM',False) and "abcd" not in schema:
			problematicTriplet = self.confirm.get('problematicTriplet')
			problematicTriplet.append((unitID,collectionID,institutionID,resourceKey,biorecordKey))
			self.confirm['problematicTriplet'] = problematicTriplet
			return
			
		tripletDic = self.confirm.get('tripletDic',{})
		try:
			tmp = tripletDic[str(schema)+"___"+str(serviceURL)+"___"+str(protocol)]
			tmp.append((unitID,collectionID,institutionID,resourceKey,biorecordKey))
		except KeyError:
			tmp = [(unitID,collectionID,institutionID,resourceKey,biorecordKey)]	
			tripletDic[str(schema)+"___"+str(serviceURL)+"___"+str(protocol)] = tmp
		self.confirm['tripletDic'] = tripletDic



	def getSingleDetail(self,res,triplet):
		'''
		get the full details from the wrapper for one unit ID
		@param res: the wrapper properties : [schema, serviceURL, protocol]
		@param triplet : the unit's properties : [unitID,collectionID,institutionID,resourceKey]
		'''
		schema = res[0]
		serviceURL = res[1]
		protocol = res[2]		 
		
		unitID = triplet[0]
		collectionID = triplet[1]
		institutionID = triplet[2]
		resourceKey =triplet[3]
		biorecordKey=triplet[4]
		
		if cherrypy.session.get('CDM',False) and "abcd" not in schema:
			problematicTriplet = self.confirm.get('problematicTriplet')
			problematicTriplet.append((unitID,collectionID,institutionID,resourceKey,biorecordKey))
			self.confirm['problematicTriplet'] = problematicTriplet
			return

		if collectionID is not None and (collectionID.lower() == "null" or collectionID.lower() == "none" or collectionID=="") :
			collectionID = None
		if institutionID is not None and (institutionID.lower() == "null" or institutionID.lower() == "none" or institutionID==""):
			institutionID = None
		if biorecordKey is not None and (biorecordKey.lower() == "null" or biorecordKey.lower() == "none" or biorecordKey==""):
			biorecordKey = None
		unitID_encoded = _carac.encodeCaracters(decoded=unitID)
		
		client = ServiceQueryClient(protocol=protocol)
		
		filesDir = cherrypy.config.get("uploads")
		os.chdir(filesDir)
		
		
		try:
			client.getUnitRecord(serviceURL=serviceURL, schema=schema, unitID=unitID, collID=collectionID, instID=institutionID)
			self.confirm['otherTag']=False #reset variable for invalid CatalogNumberTag
			
			content = client.getContent()
			# apply stylesheet
			xmlFile = content
			#--------------------------------
			# write the details in a file
			#--------------------------------
			fileName=unitID.replace(",","_").replace("/","$").replace(" ","")+".xml"
			myFile = open(fileName,'w')
			myFile.write(str(xmlFile))
			myFile.close()
			
			#add the file to the current Zip
			pathFile = os.path.join(filesDir,fileName)
			self.zfile.write(filename=pathFile)
#			try:
#				spread=Spreadsheet()
#				self.zfile.write(filename=spread.convert(fileName,schema))
#			except Exception,e:
#				log.info("Problem with the spreadsheet or the ZIPfile %s" %e)
#				self.zfile.write(filename=myFile)
					
		except Exception,e:
			if e == "too short":
				triplet=[unitID,None,None,resourceKey,biorecordKey]
				return self.getSingleDetail(res,triplet)
			
			if ("wrong catalog" in str(e) or "no result" in str(e)) and 'abcd' not in schema:
				self.confirm['otherTag']=True
				if self.confirm.get('nbCycle',None) is None:
					self.confirm['nbCycle'] = 0
				self.confirm['nbCycle']+=1
				
				if self.confirm.get('nbCycle') < 2:
					return self.getSingleDetail(res,triplet)
			self.confirm['otherTag']=False	#reset variable for invalid CatalogNumberTag
			self.confirm['nbCycle']=0		#reset variable for invalid CatalogNumberTag
			problematicTriplet = self.confirm.get('problematicTriplet')
			
			problematicTriplet.append((unitID,collectionID,institutionID,resourceKey,biorecordKey))
			self.confirm['problematicTriplet'] = problematicTriplet
		return 
	
	
	def getDetails(self,key):
		'''
		get the full details through the wrapper for a list of units, which all belong to the same provider 
		@param key : a key from the hashtable {key:value}, with key = schema__serviceURL__protocol
		'''
		res = key.split("___")
		schema = res[0]
		serviceURL = res[1]
		protocol = res[2]
		
		tripletDic = self.confirm.get('tripletDic')
		listOfTriplet = tripletDic[key]
		name = []
		#build the name for the file : concatenate the units IDs concerned
		for triplet in listOfTriplet:
			name.append(triplet[0])
			name.append("_")
			
		#log.info("getDetails SCHEMA %s" %schema)
		if cherrypy.session.get('CDM',False) and "abcd" not in schema:
			problematicTriplet = self.confirm.get('problematicTriplet',[])
			for triplet in listOfTriplet:
				if triplet not in problematicTriplet:
					problematicTriplet.append(triplet)	
			self.confirm['problematicTriplet'] = problematicTriplet
			return
		
		client = ServiceQueryClient(protocol=protocol)
		
		filesDir = cherrypy.config.get("uploads")
		os.chdir(filesDir)
		
		 
		try:
			client.getUnitsRecord(serviceURL=serviceURL,schema=schema, listOfTriplet=listOfTriplet)
			self.confirm['otherTag']=False #reset variable for invalid CatalogNumberTag
			
			content = client.getContent()
			# apply stylesheet
			xmlFile = content
			#--------------------------------
			# write the details in a file
			#--------------------------------
			fileName="".join(name).replace(",","_").replace("/","$").replace(" ","")+".xml"
			myFile = open(fileName,'w')
			myFile.write(str(xmlFile))
			myFile.close()
			
			#add the file to the current Zip
			pathFile = os.path.join(filesDir,fileName)
			self.zfile.write(filename=pathFile)
#			try:
#				spread=Spreadsheet()
#				self.zfile.write(filename=spread.convert(fileName,schema))
#			except Exception,e:
#				log.info("Problem with the spreadsheet or the ZIP %s" %e)
#				self.zfile.write(filename=myFile)

		except Exception,e:
			log.info("exception getDetails : %s" %e)
			if ("wrong catalog" in str(e) or "no result" in str(e)) and 'abcd' not in schema:
				self.confirm['otherTag']=True
				if self.confirm.get('nbCycle',None) is None:
					self.confirm['nbCycle'] = 0
				self.confirm['nbCycle']+=1
				if self.confirm.get('nbCycle') < 2:
					return self.getDetails(key)
			self.confirm['otherTag']=False	#reset variable for invalid CatalogNumberTag
			self.confirm['nbCycle']=0		#reset variable for invalid CatalogNumberTag
			

			#exception occured for maybe only one triplet : retrieve the data separated
			problematicTriplet = self.confirm.get('problematicTriplet',[])
			for triplet in listOfTriplet:
				if triplet not in problematicTriplet:
					problematicTriplet.append(triplet)	
			self.confirm['problematicTriplet'] = problematicTriplet 
		return 


		
		
	def setWrapperProperties(self,resourceKey): 
		'''
		connect to the DB to get the wrapper properties for a selected provider (for a specified resourceKey)
		@param resourceKey: the provider's key
		@return Return a table [schema,serviceURL,protocol]
		'''
		
		query = "SELECT resourceId, content_schema, bindingURL, protocol"
		query = query + " FROM resource WHERE resourceKey = '" +resourceKey+"'"
		connection = DBconnection()
		connection.setDatabase("units")
		schema = serviceURL = protocol  = None
		if(connection is not None):
			try:
				cursor = connection.executeQuery(query)
				resultSet = cursor.fetchall()
				closeConnection(connection)
				
			except Exception,e:
				resultSet=[]
				closeConnection(connection)
				
			if len(resultSet) > 0:
				result = resultSet[0]
				resource = result[0]
				schema = result[1]
				schema = str(schema).lower()

				serviceURL = result[2]
				protocol = result[3]
		res = [schema,serviceURL,protocol] 
		query=None#clean for the session file
		return res


	def getDetailsFromCache(self):
		#log.info("getdetailsfromcache")
		condition=[]
		unitList=[]
		problematicTriplet = self.confirm.get('problematicTriplet')
		
		for triplet in problematicTriplet:   
			if len(triplet) == 5:
				i=4
			else:
				i=3
			if triplet[i] not in condition:
				condition.append(triplet[i])
#		log.info("condition: %s"%str(condition))
		try:
			self.setPropsFile()
			qmg = U_QueryManager(self._propsFile,myPage.getCfgObj())
		except Exception,e:
			pass
		if cherrypy.session.get('CDM',False):
			query = qmg.buildQueryAllFieldsCDM(condition)
		else:
			query=qmg.buildQueryAllFieldsDL(condition)
		queryStr=' '.join(query)

		#log.info("queryAllFieldsToDL %s"%queryStr)
		connection = DBconnection()
		connection.setDatabase("units")
		if(connection is not None):
			try:
				startQuery = time.time()					
				cursor = connection.executeQuery(queryStr)
				duree = time.time() - startQuery
				
				if duree > 4:
					log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
				resultSet = cursor.fetchall()
				closeConnection(connection)
				
			except Exception,e:
				log.debug("PB with query : %s \n query:%s " %(e,queryStr))
				resultSet=[]
				closeConnection(connection)
		queryStr=None#clean for the session file
		query=None#clean for the session file
		
		##taxonName,genus,family,highertn,vernacularName',countryName,localityText,collection_code,institution_code,
		##gatheringDate,GROUP_CONCAT(imagerecordurl),bioRecordId,bioRecordResourceKey,bioRecordKey,
		##geoLongitude,geoLatitude,taxonAuthor,recordBasis,collector,collectorNumber,fieldNumber  

		self.record = {}   
		for record in resultSet:
			bkey = record[13]
			if self.record.has_key(bkey):
				miniDic = self.record[bkey]
			else:
				miniDic = {}
			#-------------------------------	
			if miniDic.has_key('unitID'):
				unitID = miniDic['unitID']
			else:
				unitID=[]
			if str(record[11]) not in unitID:
				unitID.append(str(record[11]))
			miniDic['unitID']=unitID
			#-------------------------------	
			if miniDic.has_key('taxonName'):
				taxonName = miniDic['taxonName']
			else:
				taxonName=[]
			if str(record[0]) not in taxonName:
				taxonName.append(str(record[0]))
			miniDic['taxonName']=taxonName
			#-------------------------------	
			if miniDic.has_key('genus'):
				genus = miniDic['genus']
			else:
				genus=[]
			if str(record[1]) not in genus:
				genus.append(str(record[1]))
			miniDic['genus']=genus
			#-------------------------------	
			if miniDic.has_key('family'):
				family = miniDic['family']
			else:
				family=[]
			if str(record[2]) not in family:
				family.append(str(record[2]))
			miniDic['family']=family
			#-------------------------------	
			if miniDic.has_key('higher'):
				higher = miniDic['higher']
			else:
				higher=[]
			if str(record[3]) not in higher:
				higher.append(str(record[3]))
			miniDic['higher']=higher  
			 #-------------------------------	
			if miniDic.has_key('vernacular'):
				vernacular = miniDic['vernacular']
			else:
				vernacular=[]
			if str(record[4]) not in vernacular:
				vernacular.append(str(record[4]))  
			miniDic['vernacular']=vernacular
			 #-------------------------------	
			if miniDic.has_key('country'):
				country = miniDic['country']
			else:
				country=[]
			if str(record[5]) not in country:
				country.append(str(record[5]))
			miniDic['country']=country 
			 #-------------------------------	
			if miniDic.has_key('locality'):
				locality = miniDic['locality']
			else:
				locality=[]
			if str(record[6]) not in locality:
				locality.append(str(record[6]))
			miniDic['locality']=locality
			 #-------------------------------	
			if miniDic.has_key('date'):
				date = miniDic['date']
			else:
				date=[]
			if str(record[9]) not in date:
				date.append(str(record[9]))
			miniDic['date']=date
			 #-------------------------------	
			if miniDic.has_key('url'):
				url = miniDic['url']
			else:
				url=[]
			if str(record[10]) not in url:
				url.append(str(record[10]))
			miniDic['url']=url  
			 #-------------------------------	
			if miniDic.has_key('longitude'):
				longitude = miniDic['longitude']
			else:
				longitude=[]
			if str(record[14]) not in longitude:
				longitude.append(str(record[14])) 
			miniDic['longitude']=longitude
			 #-------------------------------	
			if miniDic.has_key('latitude'):
				latitude = miniDic['latitude']
			else:
				latitude=[]
			if str(record[15]) not in latitude:
				latitude.append(str(record[15]))
			miniDic['latitude']=latitude 
			 #-------------------------------	
			if miniDic.has_key('author'):
				author = miniDic['author']
			else:
				author=[]
			if str(record[16]) not in author:
				author.append(str(record[16]))
			miniDic['author']=author
#			if withcollection:
				  #-------------------------------	
			if miniDic.has_key('collection'):
				collection = miniDic['collection']
			else:
				collection=[]
			if str(record[7]) not in collection:
				collection.append(str(record[7]))
			miniDic['collection']=collection
			 #-------------------------------	
			if miniDic.has_key('institution'):
				institution = miniDic['institution']
			else:
				institution=[]
			if str(record[8]) not in institution:
				institution.append(str(record[8]))   
			miniDic['institution']=institution
			 #-------------------------------	
			if miniDic.has_key('collector'):
				collector = miniDic['collector']
			else:
				collector=[]
			if str(record[18]) not in collector:
				collector.append(str(record[18]))   
			miniDic['collector']=collector
			#-------------------------------	
			if miniDic.has_key('collectorNumber'):
				collectorNumber = miniDic['collectorNumber']
			else:
				collectorNumber=[]
			if str(record[19]) not in collectorNumber:
				collectorNumber.append(str(record[19]))   
			miniDic['collectorNumber']=collectorNumber
			 #-------------------------------	
			if miniDic.has_key('fieldNumber'):
				fieldNumber = miniDic['fieldNumber']
			else:
				fieldNumber=[]
			if str(record[20]) not in fieldNumber:
				fieldNumber.append(str(record[20]))   
			miniDic['fieldNumber']=fieldNumber
			
			if cherrypy.session.get('CDM',False):
				 #-------------------------------	
				isoCountry = miniDic.get('isoCountry',[])
				if str(record[21]) not in isoCountry:
					isoCountry.append(str(record[21]))   
				miniDic['isoCountry']=isoCountry
				 #-------------------------------	
				recordBasis=miniDic.get('recordBasis',[])
				if str(record[17]) not in recordBasis:
					recordBasis.append(str(record[17]))   
				miniDic['recordBasis']=recordBasis
			
			
			self.record[bkey]=miniDic 
		self.confirm['record'] = self.record
		
		if cherrypy.session.get('CDM',False):
			pathFile=writeXMLFileForCDM(self.record)
		else:
			pathFile=writeXMLFileForCache(False,self.record)
#		self.writeInZip(file=file)
		try:
			self.zfile.write(filename=pathFile)
		except Exception,e:
			log.info("Bug dlmanager write Zip %s"%e)
		self.record=[]#delete
		miniDic={}#delete
		resultSet=[]#delete
		

	def setPropsFile( self ):
		'''
		the properties file contains a list of queries corresponding to the 
		synthesys cache Databases
		'''
		try:
			self._propsFile
		except:
			_cfgObj = myPage.getCfgObj()
			propertiesFile = _cfgObj.straight_queriesUnitLevelLocator
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.straight_queriesUnitLevelLocator)
		try:
			self.max = int(_cfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0

#	def writeInZip(self,file=None,fileName=None):
#		log.info("write in zip")
#		if fileName is None:
#			path = os.path.join(self.filesDir,file.name)
#			self.zfile.write(file.name)
#		else:
#			path = os.path.join(self.filesDir,fileName)
#			self.zfile.write(fileName)


def closeConnection(connection):
	try:
		connection.close()
	except:
		log.info("already closed")

def writeXMLFileForCache(toDL=True,record={}):	
	#log.info("writeXMLFileForCache")
	nbPages=1
	w = Workbook()
	ws = w.add_sheet('result%i'%nbPages)
	
	
	ws.write(0, 0, 'unitID')
	ws.write(0, 1, 'taxonName')
	ws.write(0, 2, 'genus')
	ws.write(0, 3, 'family')
	
	ws.write(0, 4, 'higherTaxon')
	ws.write(0, 5, 'vernacular')
	ws.write(0, 6, 'country')
	ws.write(0, 7, 'locality')
	
	ws.write(0, 8, 'collection')
	ws.write(0, 9, 'institution')
	ws.write(0, 10, 'date')
	ws.write(0, 11, 'url')
	
	ws.write(0, 12, 'longitude')
	ws.write(0, 13, 'latitude')
	ws.write(0, 14, 'author')
	ws.write(0, 15, 'collector')
	
	ws.write(0, 16, 'collector number')
	ws.write(0, 17, 'field number')
	ws.write(0, 18, 'bioRecord')
	# boucle record 
	line=1
	column=0
	
	for key in record.keys():
		if line == 65536:
			line=1
			column=0
			nbPages+=1
			ws = w.add_sheet('result%i'%nbPages)
			ws.write(0, 0, 'unitID')
			ws.write(0, 1, 'taxonName')
			ws.write(0, 2, 'genus')
			ws.write(0, 3, 'family')
			
			ws.write(0, 4, 'higherTaxon')
			ws.write(0, 5, 'vernacular')
			ws.write(0, 6, 'country')
			ws.write(0, 7, 'locality')
			
			ws.write(0, 8, 'collection')
			ws.write(0, 9, 'institution')
			ws.write(0, 10, 'date')
			ws.write(0, 11, 'url')
			
			ws.write(0, 12, 'longitude')
			ws.write(0, 13, 'latitude')
			ws.write(0, 14, 'author')
			ws.write(0, 15, 'collector')
			
			ws.write(0, 16, 'collector number')
			ws.write(0, 17, 'field number')
			ws.write(0, 18, 'bioRecord') 
		miniDic = record[key]
		if miniDic is not None:			

			try:
				ws.write(line,column,unicode(miniDic['unitID'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['unitID'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['unitID'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['taxonName'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['taxonName'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['taxonName'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['genus'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['genus'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['genus'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['family'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['family'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['family'][0]))
			column+=1
			try:
				ws.write(line,column,unicode("\n".join(miniDic['higher']), 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode("\n".join(miniDic['higher']), 'latin-1'))
				except:
					ws.write(line,column,"\n".join(miniDic['higher']))
			column+=1
			try:
				ws.write(line,column,unicode("\n".join(miniDic['vernacular']), 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode("\n".join(miniDic['vernacular']), 'latin-1'))
				except:
					ws.write(line,column,"\n".join(miniDic['vernacular']))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['country'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['country'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['country'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['locality'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['locality'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['locality'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['collection'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['collection'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['collection'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['institution'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['institution'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['institution'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['date'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['date'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['url'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['url'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['url'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['longitude'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['longitude'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['latitude'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['unitID'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['author'][0], 'utf-8'))
			except:
				try:	
					ws.write(line,column,unicode(miniDic['author'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['author'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['collector'][0], 'utf-8'))
			except:
				try:	
					ws.write(line,column,unicode(miniDic['collector'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['collector'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['collectorNumber'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['collectorNumber'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['fieldNumber'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['fieldNumber'][0]))
			column+=1
			ws.write(line,column,str(key))
			column+=1			
			line+=1
			column=0
		
	if toDL:	
		cherrypy.response.headerMap['Content-Type'] = 'text/xml'
		filesDir = cherrypy.config.get("uploads")
		os.chdir(filesDir) 
		chaine = ("alldata");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		fileName = chaine+hashage.hexdigest()[0:10]+date+".xls"
		w.save(fileName)
		path = os.path.join(filesDir,fileName)
		return path
	else:
		filesDir = cherrypy.config.get("uploads")
		os.chdir(filesDir) 
		chaine = ("fromCache");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		fileName = chaine+hashage.hexdigest()[0:10]+date+".xls"
		w.save(fileName)
#		path = os.path.join(filesDir,fileName)
#		f=open(fileName, 'r')
#		texte = f.read()
#		f.close()
#		fileName2 = fileName.split(".xls")[0]+"_2.xls"
#		myFile = open(fileName2,'w')
#		myFile.write(texte)
#		myFile.close()
		path = os.path.join(filesDir,fileName)
		return path
	
def writeXMLFileForCDM(record={}):	
	#log.info("writeXMLFileForCDM")
	nbPages=1
	w = Workbook()
	ws = w.add_sheet('result%i'%nbPages)
	
	
	ws.write(0, 0, 'unitID')
	ws.write(0, 1, 'taxonName')
	ws.write(0, 2, 'genus')
	ws.write(0, 3, 'family')
	
	ws.write(0, 4, 'higherTaxon')
	ws.write(0, 5, 'vernacular')
	ws.write(0, 6, 'country')
	ws.write(0, 7, 'locality')
	
	ws.write(0, 8, 'collection')
	ws.write(0, 9, 'institution')
	ws.write(0, 10, 'date')
	ws.write(0, 11, 'url')
	
	ws.write(0, 12, 'longitude')
	ws.write(0, 13, 'latitude')
	ws.write(0, 14, 'author')
	ws.write(0, 15, 'collector')
	
	ws.write(0, 16, 'collector number')
	ws.write(0, 17, 'field number')
	ws.write(0, 18, 'recordBasis')
	ws.write(0, 19, 'isoCountry')
	# boucle record 
	line=1
	column=0
	
	for key in record.keys():
		if line == 65536:
			line=1
			column=0
			nbPages+=1
			ws = w.add_sheet('result%i'%nbPages)
			ws.write(0, 0, 'unitID')
			ws.write(0, 1, 'taxonName')
			ws.write(0, 2, 'genus')
			ws.write(0, 3, 'family')
			
			ws.write(0, 4, 'higherTaxon')
			ws.write(0, 5, 'vernacular')
			ws.write(0, 6, 'country')
			ws.write(0, 7, 'locality')
			
			ws.write(0, 8, 'collection')
			ws.write(0, 9, 'institution')
			ws.write(0, 10, 'date')
			ws.write(0, 11, 'url')
			
			ws.write(0, 12, 'longitude')
			ws.write(0, 13, 'latitude')
			ws.write(0, 14, 'author')
			ws.write(0, 15, 'collector')
			
			ws.write(0, 16, 'collector number')
			ws.write(0, 17, 'field number')
			ws.write(0, 18, 'recordBasis')
			ws.write(0, 19, 'isoCountry')
		miniDic = record[key]
		if miniDic is not None:			

			try:
				ws.write(line,column,unicode(miniDic['unitID'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['unitID'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['unitID'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['taxonName'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['taxonName'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['taxonName'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['genus'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['genus'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['genus'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['family'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['family'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['family'][0]))
			column+=1
			try:
				ws.write(line,column,unicode("\n".join(miniDic['higher']), 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode("\n".join(miniDic['higher']), 'latin-1'))
				except:
					ws.write(line,column,"\n".join(miniDic['higher']))
			column+=1
			try:
				ws.write(line,column,unicode("\n".join(miniDic['vernacular']), 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode("\n".join(miniDic['vernacular']), 'latin-1'))
				except:
					ws.write(line,column,"\n".join(miniDic['vernacular']))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['country'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['country'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['country'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['locality'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['locality'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['locality'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['collection'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['collection'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['collection'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['institution'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['institution'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['institution'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['date'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['date'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['url'][0], 'utf-8'))
			except:
				try:
					ws.write(line,column,unicode(miniDic['url'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['url'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['longitude'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['longitude'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['latitude'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['unitID'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['author'][0], 'utf-8'))
			except:
				try:	
					ws.write(line,column,unicode(miniDic['author'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['author'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['collector'][0], 'utf-8'))
			except:
				try:	
					ws.write(line,column,unicode(miniDic['collector'][0], 'latin-1'))
				except:
					ws.write(line,column,str(miniDic['collector'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['collectorNumber'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['collectorNumber'][0]))
			column+=1
			try:	
				ws.write(line,column,unicode(miniDic['fieldNumber'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['fieldNumber'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['recordBasis'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['recordBasis'][0]))
			column+=1
			try:
				ws.write(line,column,unicode(miniDic['isoCountry'][0], 'utf-8'))
			except:
				ws.write(line,column,str(miniDic['isoCountry'][0]))
			column+=1
			ws.write(line,column,str(key))
			column+=1			
			line+=1
			column=0
		
	filesDir = cherrypy.config.get("uploads")
	os.chdir(filesDir) 
	chaine = ("CDMtabular");
	sel = str(random.random())
	hashage = sha.new(chaine+sel);
	date = time.strftime('_%d_%m_%y',time.localtime())
	fileName = chaine+hashage.hexdigest()[0:10]+date+".xls"
	w.save(fileName)
	path = os.path.join(filesDir,fileName)
	return path
	