#!/usr/bin/env python
# -*- coding: utf-8 -*-

'''Reusable libxml2 toos. 
'''

############################################################################################################
#
#   IMPORTS
#
#===========================================================================================================

import libxml2, libxslt
import logging
log = logging.getLogger("div")

############################################################################################################
#
#   GENERAL FUNCTIONS
#
#===========================================================================================================
class ServiceError(Exception):
    def __init__(self, *args):
        Exception.__init__(self, *args)

class XMLError(ServiceError):
    def __init__(self, xml):
        ServiceError.__init__(self, xml)
        self.xml = xml
        
def transformXML(docDOM, xslLoc, paras={}):
    stylesheetResult = 'XSLT NOT WORKING !!!'
    # apply stylesheet
    #log.info("PARSE STYLESHEET %s"%xslLoc)
    try:
        styledoc = libxml2.parseFile( xslLoc )
        style = libxslt.parseStylesheetDoc(styledoc)
    except Exception,e:
        log.exception("ERROR: Stylesheet could not be parsed : %s" %e)
        stylesheetResult = 'XSLT NOT WORKING !!! Stylesheet could not be parsed.'
        raise XMLError(stylesheetResult)
        
    #log.info("APPLY STYLESHEET")
    xsltParas = {}
    for p,val in paras.items():
        xsltParas[p] = "'%s'"%str(val)
    #log.info("STYLESHEET PARAMETERS: %s" % (unicode(xsltParas)))
    # Hack, for some reason this does not work
    try:
        result = style.applyStylesheet(docDOM, xsltParas)
        ok = True
    except Exception,e:
        log.exception("ERROR when applying the stylesheet: %s" %e)
        stylesheetResult = 'XSLT NOT WORKING !!! Error when applying the stylesheet.'
        ok = False
        raise XMLError(stylesheetResult)
    if ok:
        stylesheetResult = style.saveResultToString(result)
        try:
            result.freeDoc()
        except:
            log.exception('ERROR when freeDoc')
            stylesheetResult = 'XSLT NOT WORKING !!! Error when applying the stylesheet.'
            raise XMLError(stylesheetResult)
        
    
    styledoc.freeDoc()
    if stylesheetResult == 'XSLT NOT WORKING !!!':
        raise XMLError('no result')
    return stylesheetResult
    

    
