#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""HTML Diff: http://www.aaronsw.com/2002/diff
Rough code, badly documented. Send me comments and patches."""

__author__ = 'Aaron Swartz <me@aaronsw.com>'
__copyright__ = '(C) 2003 Aaron Swartz. GNU GPL 2.'
__version__ = '0.22'

import difflib, string
# use logging
import logging, logging.config
log = logging.getLogger("div")

class myDiff:

	def isTag(self,x): return x[0] == "<" and x[-1] == ">"
	
	def textDiff(self,a, b):
		"""Takes in strings a and b and returns a human-readable HTML diff."""
	
		out = []
		a=a.replace("\n"," ").replace("\t"," ").replace("	"," ")
		b=b.replace("\n"," ").replace("\t"," ").replace("	"," ")
		while "  " in a:
			a=a.replace("  "," ")
		while "  " in b:
			b=b.replace("  "," ")
		a=a.replace("> ",">").replace(" <","<")
		b=b.replace("> ",">").replace(" <","<")
		
		a, b = self.html2list(a),  self.html2list(b)
		#log.info(a)
		#log.info(b)
		s = difflib.SequenceMatcher(None, a, b)
		insert=False
		last=0
		for e in s.get_opcodes():
			#log.info(str(e))
			if e[0] == "replace":
				# @@ need to do something more complicated here
				# call textDiff but not for html, but for some html... ugh
				# gonna cop-out for now
				out.append(''.join(b[e[3]-1:e[4]-1]))
				out.append('<del class="diff modified">'+''.join(a[e[1]:e[2]]) + '</del>')				
				out.append('<ins class="diff modified">'+''.join(b[e[3]:e[4]])+"</ins>")
				last=e[4]
				insert=False
			elif e[0] == "delete":
				out.append('<del class="diff">'+ ''.join(a[e[1]:e[2]]) + "</del>")
				last=e[2]
			elif e[0] == "insert":
				try:
#					log.info("a %i - %i "%(e[3]-1,e[4]-1))
					out.append('<ins class="diff">'+''.join(b[e[3]-1:e[4]-1]) + "</ins>")
					last=e[4]-1
				except:
#					log.info("b %i - %i "%(e[3],e[4]))
					out.append('<ins class="diff mince">'+''.join(b[e[3]:e[4]]) + "</ins>")
					last=e[4]
				insert=True
			elif e[0] == "equal":
				if insert:
#					log.info("c %i - %i %s"%(e[3]-1,e[4],''.join(b[e[3]-1:e[4]])))
					out.append(''.join(b[e[3]-1:e[4]]))
					last=e[4]
					insert=False
				else:
#					log.info("d %i - %i %s "%(e[3],e[4]-1,''.join(b[e[3]:e[4]-1])))
					out.append(''.join(b[e[3]:e[4]-1]))
					last=e[4]-1
						
			else: 
				raise ""
			
		if last != len(b):
			try:
				out.append(b[len(b)-1])
			except Exception,e:
				log.info(e)
		
#		log.info("out: %s"%'\n'.join(out))
		return ''.join(out)
	
	def html2list(self,x, b=0):
		mode = 'char'
		cur = ''
		out = []
		for c in x:
			if mode == 'tag':
				if c == '>': 
					if b: cur += ']'
					else: cur += c
					out.append(cur); cur = ''; mode = 'char'
				else: cur += c
			elif mode == 'char':
				if c == '<': 
					out.append(cur)
					if b: cur = '['
					else: cur = c
					mode = 'tag'
				elif c in string.whitespace: out.append(cur+c); cur = ''
				else: cur += c
		out.append(cur)
		return filter(lambda x: x is not '', out)
	
	def make_file(self,text1,text2):
		return self.textDiff(text1, text2)	