
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import ConfigParser
import sys,logging, logging.config

#
# Properties file  props.py. Works in conjuction with
# pcatsCSV.py to extract properties from a properties file.
#
#Only method, retrieve a named property from the properties file
# format of props file as per java 
# addition, comment as per python

# use logging
log = logging.getLogger( "div" )

class props:
    """ Mimic the java getProperties """
        
    def __init__ (self,propsFileName):
        self.handle = None  # file handle for property.
        self.debug  = False
        if self.debug:
            log.debug( "props: Init called on : %s"%propsFileName)       
        try:
            self.handle=ConfigParser.ConfigParser()
            self.handle.readfp(open (propsFileName))
        except:
            log.debug( "props: Error reading properties file, quitting %s" %propsFileName)
        if self.debug:
            log.debug( "props: Done reading")


            
    def getProperty (self,sect, proName, *defaultValue):
        try:
            val = self.handle.get(sect,proName)
        except (ConfigParser.NoOptionError):
            val = ""
            log.debug( 'props.getProperty, Property "'+ proName+ '" Not found ;%s' % sect)
        if self.debug:
            if val=="":
               log.debug( "props.getProperty[%s] not found" % proName )
            else:
                log.debug( "props.getProperty, [%s] Value %s" %(proName,val) )
        return val


