#!/usr/bin/env python
# -*- coding: utf-8 -*-
import re,sys,os,logging, logging.config,cherrypy
from ThesaurusServiceClient import ThesaurusServiceQuery


# debugging to file
log = logging.getLogger("div")

class MyConcept:
	
	def __init__(self, thesaurusName, term):
		self.thesaurusName = thesaurusName.split('@ref')[0]
		try:
			self.references = [str(id) for id in thesaurusName.split('@ref')[1].split('_')] 
		except Exception,e:
			self.references=[]
		self.term = term
		self.conceptsNames = []
		self.thesaurusObj=None
		self.userFriendlyRef=False
		
	def searchMatchingTerms(self):
		self.thesaurusObj = ThesaurusServiceQuery(self.thesaurusName)
		urlID=0
		for tsu in self.thesaurusObj.thesaurusServiceURL:
			fuzzyObj= self.thesaurusObj.getConceptsByTerm(self.term,urlID)
			fuzzyObj.getContentForTerm(self,self.references)
			urlID+=1
			
			
	def getListOfConceptsNames(self):
		if not self.userFriendlyRef:
			self.changeReferences()
			self.userFriendlyRef=True
		return self.conceptsNames
		
	def changeReferences(self):
		if not cherrypy.session.has_key('referenceDic') :
			checklists = cherrypy.session.get('checklists',None)	
			if checklists is None:
				try:
					from ThesaurusLoader import TransformXmlForThesaurus
					tmp = TransformXmlForThesaurus().loadReferences()
					checklists = cherrypy.session.get('checklists')
				except:
					pass
			referenceDic={}
			for thObjs in checklists.values():
				for thObj in thObjs:
					for fullName in thObj.referenceFullNames:
						referenceDic[fullName]=thObj.referenceDisplayName
			cherrypy.session['referenceDic']=referenceDic
		tmp=[]
		for concept in self.conceptsNames:
			if cherrypy.session.get('referenceDic').has_key(concept.reference):
				concept.reference=cherrypy.session.get('referenceDic').get(concept.reference)
			else:
				concept.reference=concept.reference
			concept.reference=cherrypy.session.get('referenceDic').get(concept.reference,concept.reference)
			tmp.append(concept)
		self.conceptsNames=tmp
	
	def getThesaurusObj(self):
		return self
		
	def getConcept(self,id):
		for con in self.conceptsNames:
			if con.nameId==id:
				return con
			
class ConceptName:
	def __init__(self):
		self.status='N.A'
		self.name=''
		self.nameId=''
		self.reference=''
		self.referenceid=''
		self.parent=None
		self.relatedConcepts=[]
		self.hierarchy={}
		self.userFriendlyRef=False
		
	def getRelatedConcepts(self):
		#log.info("getRelatedConcept de ConceptName *%s*" %(self.status))
		thesaurusObject = self.parent.getThesaurusObj()
		thesaurus = thesaurusObject.thesaurusObj
		references = thesaurusObject.references
		urlID=0
		term=self.name.split(" ")
		tmp=[]
		tmp.append(term[0])
		i=1
		while i < len(term) and i<3:
			if term[i] is not None and term[i] !='':
				tmp.append(term[i])
			i+=1
		for tsu in thesaurus.thesaurusServiceURL:
			if (references != [] and  str(self.referenceid) in references) or references==[] or references==['']:
				#				fuzzyObj = thesaurus.getDirectAllRelatedConceptsByTerm(self.nameId,self.referenceid,self.status,urlID,['AllTaxo'])
				fuzzyObj = thesaurus.getAllRelatedConcepts(self.nameId,self.referenceid,self.status,urlID,['AllTaxo'])
				fuzzyObj.getContentForRelatedConcepts(self)
				self.hierarchy = cherrypy.session.get('hierarchy',{})
				urlID+=1
				
#	def getRelatedConceptsExtended(self):
#		#log.info("getRelatedConcept de ConceptName *%s*" %(self.status))
#		thesaurusObject = self.parent.getThesaurusObj()
#		thesaurus = thesaurusObject.thesaurusObj
#		#log.info("haha... %s" %thesaurusObject.references)
#		references = thesaurusObject.references
#		urlID=0
#		term=self.name.split(" ")
#		tmp=[]
#		tmp.append(term[0])
#		i=1
#		while i < len(term) and i<3:
#			if term[i] is not None and term[i] !='':
#				tmp.append(term[i])
#			i+=1
#		for tsu in thesaurus.thesaurusServiceURL:
#			if (references != [] and  str(self.referenceid) in references) or references==[] or references==['']:
#				fuzzyObj = thesaurus.getAllRelatedConcepts(self.nameId,self.referenceid,self.status,urlID,['Inverses'])
#				fuzzyObj.getContentForRelatedConcepts(self)
#				urlID+=1
				
	def getRelatedConceptsRecursion(self):
		#log.info("getRelatedConcept de ConceptName *%s*" %(self.status))
		thesaurusObject = self.parent.getThesaurusObj()
		thesaurus = thesaurusObject.thesaurusObj
		#log.info("haha... %s" %thesaurusObject.references)
		references = thesaurusObject.references
		urlID=0
		term=self.name.split(" ")
		tmp=[]
		tmp.append(term[0])
		i=1
		while i < len(term) and i<3:
			if term[i] is not None and term[i] !='':
				tmp.append(term[i])
			i+=1
		cherrypy.session['racine']=self.nameId+'|'+self.reference
		for tsu in thesaurus.thesaurusServiceURL:
			if (references != [] and  str(self.referenceid) in references) or references==[] or references==['']:
				fuzzyObj = thesaurus.getAllRelatedConcepts(self.nameId,self.referenceid,self.status,urlID,['Recursion'])
				fuzzyObj.getContentForRelatedConcepts(self)
				self.hierarchy = cherrypy.session.get('hierarchy',{})
				urlID+=1
			
		
	def getListOfRelatedConcepts(self):
		return self.relatedConcepts

		
	def getAcceptedName(self):
		names=[]
		texte=None
		
		for concept in self.relatedConcepts:
			try:
				ref=concept.reference2
			except:
				ref='noRef'
			if ("synonym" in concept.relation or "basionym" in concept.relation.lower()) and "has" in concept.relation:
				if (concept.acceptedname,ref,concept.dataSchemaConcept) not in names:
					names.append((concept.acceptedname,ref,concept.dataSchemaConcept))
		if len(names)>0:
			texte= ' Accepted name: '
			for nom,ref,schema in names:
				texte+=" %s [ref: %s]@%s|"%(nom,ref,schema)
		
		#log.info(texte)
		return texte
			
	
	
		

	
class Concept:
	def __init__(self):
		self.name=''
		self.reference=''
		self.reference2=''
		self.parent=None
		self.relation=""
		self.relationType=""
		self.status=""
		self.nameId=""
		#self.relationTypeInv=""
		self.acceptedname=''
		self.dataSchemaConcept=''

	def setRelation(self,box):
		#if not cherrypy.session.get('recursive',False):
		try:
			cherrypy.session.get('relationlists').keys()
			self.relationlistsdict = cherrypy.session.get('relationlists')
		except:
			from thesaurus.ThesaurusLoader import TransformXmlForRelations
			tmp = TransformXmlForRelations().loadRelations()
			self.relationlistsdict = cherrypy.session.get('relationlists')
		relations=self.relationlistsdict
		
		checklistDic=cherrypy.session.get('checklistDic',{})
#		if checklistDic.get(box,'noconcept') == 'noconcept':
#		
#			a=False
#			for rList in self.relationlistsdict.values():
#				for r in rList:
#					if '_inverse' in self.relationType:
#						self.relationType=self.relationType.split('_inverse')[0]
#						if r.relationName == self.relationType:	
#							self.relation=r.relationNameInverseDisplay
#							self.relationType=r.relationType
#							a=True
#							break
#					else:
#						if r.relationName == self.relationType:						
#							self.relation=r.relationNameDisplay
#							self.relationType=r.relationType
#							a=True
#							break
#			if a ==False:
#				self.relationType='Related names'
#				self.relation=''
#		else:
#			a==False
		a=False
		if '_inverse' in self.relationType:
			for rList in self.relationlistsdict.values():
				for r in rList:
					self.relationType=self.relationType.split('_inverse')[0]
					if r.relationName == self.relationType:
						self.relation=r.relationNameDisplay
						self.relationType=r.relationType
						a=True
#						break
		else:
			for rList in self.relationlistsdict.values():
				for r in rList:
					if r.relationName == self.relationType:
						self.relation=r.relationNameInverseDisplay
						self.relationType=r.relationType
						a=True
						break
		if a ==False:
			self.relationType='Related names'
			self.relation=''
		#self.relation = relation.getRelationName(self.relationType,box)
		#if self.relationType.strip() != "":
			#self.relationTypeInv=relation.getTranslation(self.relationType,self.inverse)
		if not cherrypy.session.has_key('referenceDic') :
			checklists = cherrypy.session.get('checklists')
			referenceDic={}
			for thObjs in checklists.values():
				for thObj in thObjs:
					for fullName in thObj.referenceFullNames:
						referenceDic[fullName]=thObj.referenceDisplayName
			cherrypy.session['referenceDic']=referenceDic
			
		self.reference2=cherrypy.session.get('referenceDic').get(self.reference2,self.reference2)
		self.reference=cherrypy.session.get('referenceDic').get(self.reference,self.reference)
		
	def getData(self):
		log.info("relation %s, nom : %s, relationType : %s \n PARENT: %s %s\n\n" %(self.relation,self.name,self.relationType,self.parent.name,self.parent.reference))
		
	