#!/usr/bin/env python
# -*- coding: utf-8 -*-
############################################################################################################
#
#   IMPORTS
#
#===========================================================================================================
import cherrypy
import libxml2
import xml.sax
from xml.sax import parseString,ContentHandler, make_parser
import urllib,string,re,sys,os,logging, logging.config,time
from types import *
import xml.dom.minidom

import timeoutsocket
import biocase.configuration

from Relation import RelationType


# debugging to file
log = logging.getLogger("div")


############################################################################################################
#
#   CLASSES
#
#=================================================================================================
class referenceHandler(ContentHandler):
	def __init__(self):
		self.ref={}
		self.thesaurus=''
		self.content=''
		self.refid=''
		self.refnames=''
		self.refdisp=''
		self.relevance=''
		self.todisplay=False
	
	def startElement(self,name,attr):
		if name=="thesaurus":
			self.thesaurus=attr.get('name','')
		if name=="reference":
			self.todisplay=attr.get('display',False)
			if self.todisplay=='False':
				self.todisplay=False
			if self.todisplay=='True':
				self.todisplay=True
		
			
	def characters(self,content):
		self.content+=content
		
		
	def endElement(self, name): 
		if name=="referenceIds":
			self.refid=self.content
		if name=="referenceNames":
			self.refnames=self.content
		if name=="referenceDisplayName":
			self.refdisp=self.content
		if name=="relevance":
			self.relevance=self.content
		if name=="reference" and self.todisplay:
			self.todisplay=False
			tmp=self.ref.get(self.thesaurus,[])
			tmp.append((self.refid,self.refnames,self.refdisp,self.relevance))#stocke les triplets dans un tableau
			self.ref[self.thesaurus]=tmp
#			log.info(self.thesaurus)
			
		self.content=''
			
			  
		
		
class Reference:
	
	def __init__(self,xmlFile):
		self.xmlFile=xmlFile
		self.ref={}
		
	def getReferences(self):
		handler = referenceHandler()
		self.response=self.xmlFile.read()
		parseString(self.response, handler)
		return handler.ref
		