#!/usr/bin/env python
# -*- coding: utf-8 -*-
import page
import urllib, cherrypy
import xml.dom.minidom
from xml.dom.minidom import parse
import logging

log = logging.getLogger("div")

class TransformXmlForThesaurus:
	__currentNode__ = None
	__checklistList__ = None


	def __init__(self):
		self.readXml()


	def readXml(self):		
		import page
		mypage = page.Page()	
		self.doc = parse(urllib.urlopen(mypage.getCfgObj().checklist.references))


	def getRootElement(self):
		if self.__currentNode__ == None:
			self.__currentNode__ = self.doc.documentElement
		return self.__currentNode__

	def getText(self, node):
		try:
			return node.childNodes[0].nodeValue
		except:
			return ''

	def loadReferences(self):
		if self.__checklistList__ != None:
			return 
		self.__checklistList__ = {}
		for thesau in self.getRootElement().getElementsByTagName("thesaurus"):
			if thesau.nodeType == thesau.ELEMENT_NODE:
				self.name=thesau.getAttribute('name')
				self.dName=thesau.getAttribute('display')
				self.definition=thesau.getAttribute('definition')
				self.url=thesau.getAttribute('url')
				for reference in thesau.getElementsByTagName("reference"):
					p = Thesaurus()
					try:
						p.name = self.name
						p.url = self.url
						p.displayName = self.dName
						p.definition = self.definition
						if reference.getAttribute("display") in ('true','True',True):
							p.todisplay = True
						else:
							p.todisplay= False
						p.referenceIDs = self.getText(reference.getElementsByTagName("referenceIds")[0])
						p.referenceFullNames = self.getText(reference.getElementsByTagName("referenceNames")[0]).split('_')
						p.referenceDisplayName = self.getText(reference.getElementsByTagName("referenceDisplayName")[0])
						p.relevance = self.getText(reference.getElementsByTagName("relevance")[0])
					except Exception,e:
						log.info("problem loadReferences %s"%e)
#					if str(todisplay) == 'True':
					if True:
#						p.printData()
						tmp = self.__checklistList__.get(p.name,[])
						tmp.append(p)
						self.__checklistList__[p.name]=tmp
		cherrypy.session['checklists']=self.__checklistList__
		#log.info("checklist: %s "%str(self.__checklistList__))

	
	
class Thesaurus:
	def __init__(self):
		self.name=''
		self.referenceIDs=''
		self.referenceFullNames=[]
		self.referenceDisplayName=''
		self.relevance=''
		
	def printData(self):
		log.info("Thesaurus object %s %s %s %s"%(self.name, self.referenceIDs, self.referenceFullNames, self.referenceDisplayName))
		

class TransformXmlForRelations:
	__currentNode__ = None
	__relationList__ = None


	def __init__(self):
		self.readXml()


	def readXml(self):		
		import page
		mypage = page.Page()	
		self.doc = parse(urllib.urlopen(mypage.getCfgObj().checklist.relations))


	def getRootElement(self):
		if self.__currentNode__ == None:
			self.__currentNode__ = self.doc.documentElement
		return self.__currentNode__

	def getText(self, node):
		try:
			return node.childNodes[0].nodeValue
		except:
			return ''

	def loadRelations(self):
		if self.__relationList__ != None:
			return 
		self.__relationList__ = {}
		for rel in self.getRootElement().getElementsByTagName("relationType"):
			if rel.nodeType == rel.ELEMENT_NODE:
				self.relationType=rel.getAttribute('name')
				for relation in rel.getElementsByTagName("relation"):
					p = Relation()
					try:
						p.relationType = self.relationType
						p.relationName = self.getText(relation.getElementsByTagName("relationName")[0])
						p.relationNameInverse = self.getText(relation.getElementsByTagName("relationNameInverse")[0])
						p.relationNameDisplay = self.getText(relation.getElementsByTagName("relationNameDisplay")[0])
						p.relationNameInverseDisplay = self.getText(relation.getElementsByTagName("relationNameInverseDisplay")[0])
					except Exception,e:
						log.info("problem loadRelations %s"%e)
						
#					p.printData()
					tmp = self.__relationList__.get(p.relationType,[])
					tmp.append(p)
					self.__relationList__[p.relationType]=tmp
		cherrypy.session['relationlists']=self.__relationList__
		#log.info("__relationList__: %s "%str(self.__relationList__))

	
	
class Relation:
	def __init__(self):
		self.relationType=''
		self.relationName=''
		self.relationNameInverse=''
		self.relationNameDisplay=''
		self.relationNameInverseDisplay=''
		
	def printData(self):
		log.info("Thesaurus object %s %s %s %s %s"%(self.relationType, self.relationName, self.relationNameInverse, self.relationNameDisplay,self.relationNameInverseDisplay))
		

		