#!/usr/bin/python

import sys, os, shutil

############################################################################################################
#
# FUNCTIONS
#
#===========================================================================================================
from biocase.configuration  import Cfg
cfg = Cfg()

def updateFileContent(fn):
	f = file(fn, 'r')
	text = f.read()
	portalName = cfg.server.webroot.strip()
	text = text.replace('PORTAL_NAME', portalName).replace('PORTAL_URL',cfg.getWebappURL())
	if "yahoo" in str(fn):
		if portalName[0] == "/":
			text=text.replace('/%s'%portalName,portalName[1:])
			text=text.replace('%s'%portalName,portalName[1:])
	else:
		if portalName[0] == "/":
			text=text.replace('/%s'%portalName,portalName)
	f.close()
	# write back
	fw = file(fn, 'w')
	fw.write(text)
	fw.close()

def updateLogContent(fn):
	print "updateLogContent"
	f = file(fn, 'r')
	text = f.read()
	text = text.replace('LOG_DIR', cfg.logLocator)
	f.close()
	# write back
	fw = file(fn, 'w')
	fw.write(text)
	fw.close()

def updateXMLRPCContent(fn):
	f = file(fn, 'r')
	text = f.read()
	text = text.replace('SUGGEST.PHP', cfg.server.xmlRPC).replace('PORTAL_NAME', cfg.server.webroot.strip()).replace('PORTAL_URL',cfg.getWebappURL())
	portalName = cfg.server.webroot.strip()
	if "yahoo" in str(fn):
		if portalName[0] == "/":
			text=text.replace('/%s'%portalName,portalName[1:])
	else:
		if portalName[0] == "/":
			text=text.replace('/%s'%portalName,portalName)
	f.close()
	# write back
	fw = file(fn, 'w')
	fw.write(text)
	fw.close()
############################################################################################################
#
# MAIN
#
#===========================================================================================================

if __name__ ==  "__main__":

	print '''
 +++  BioCASE Portal Software
 +++  Adapt file variable

''' 
	
	jsDirs	 = ['../webapp/static/js/','../webapp/static/php/dojotree/']
	htmlDirs	 = ['../webapp/static/']
	cssDirs	 = ['../webapp/static/css/']
	confFile  = ['../config/','../log/','../webapp/']
	xmlRPCDirs = ['../webapp/static/php/dojotree/']
	suffices = ['.js','.css','.ini','.php','.log','.xml','.cfg','.htm']
	
	for d in jsDirs:
		d = os.path.abspath(d)
		print "updating javascript files %s" %d
		for root, dirs, files in os.walk(d):
			for name in files:
				for suff in suffices:
					if name[-len(suff):] == suff:
						# change this script
						f = os.path.join(root, name)
						print "  update %s" %f
						os.chmod(f, 0755)
						updateFileContent(f)
	for d in htmlDirs:
		d = os.path.abspath(d)
		print "updating html files %s" %d
		for root, dirs, files in os.walk(d):
			for name in files:
				for suff in suffices:
					if name[-len(suff):] == suff:
						# change this script
						f = os.path.join(root, name)
						print "  update %s" %f
						os.chmod(f, 0755)
						updateFileContent(f)
						
	for d in cssDirs:
		d = os.path.abspath(d)
		print "updating css files %s" %d
		for root, dirs, files in os.walk(d):
			for name in files:
				for suff in suffices:
					if name[-len(suff):] == suff:
						# change this script
						f = os.path.join(root, name)
						print "  update %s" %f
						os.chmod(f, 0755)
						updateFileContent(f)
						
	for d in xmlRPCDirs:
		d = os.path.abspath(d)
		print "updating XMLRPC files %s" %d
		for root, dirs, files in os.walk(d):
			for name in files:
				for suff in suffices:
					if name[-len(suff):] == suff:
						# change this script
						f = os.path.join(root, name)
						print "  update %s" %f
						os.chmod(f, 0755)
						
	for d in confFile:
		d = os.path.abspath(d)
		print "updating logging %s" %d
		for root, dirs, files in os.walk(d):
			for name in files:
				for suff in suffices:
					if name[-len(suff):] == suff:
						# change this script
						f = os.path.join(root, name)
						print "  update %s" %f
						os.chmod(f, 0755)
						updateLogContent(f)
						updateXMLRPCContent(f)
										
	

