<?xml version='1.0' encoding='utf-8'?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head>
<title py:content="title">BioCASE Portal - Help</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Pragma" content="no-cache"/>
<meta http-equiv="Expires" content="-1"/>

<link rel="stylesheet" type="text/css" href="${baseurl}static/css/help.css" media="screen" />
<link rel="icon" type="image/png" href="${baseurl}static/images/favicon.ico"/>

</head>
<body>

<div id="content">
The Biological Collection Access Service for Europe, BioCASE, is a transnational network of 
biological collections of all kinds. BioCASE enables widespread unified access to distributed 
and heterogeneous European collection and observational databases using open-source, 
system-independent software and open data standards and protocols.

      
<br/><br/><b>Please report any comments or problems regarding the service or data provided on our <a href="http://193.62.154.87/BioCase/newticket">user feedback system</a></b>.
<br/><br/>Quality control of the information accessed by BioCASe is the responsibility of the data providers and national nodes. If you
encounter any problems with the quality of the information please notify us.
 
 <br/><br/><hr/><br/><br/>
<p class="pageTitle">Help content:</p>
<ul>
<li><b><a href="#pcb">&raquo; General information</a></b>
	<ul>
	<li><a href="#pcb">Configure your browser</a></li>
	<li><a href="#psp">Set preferences (language ...)</a></li>
	</ul>
</li>
<li><b><a href="#uss">&raquo;	Search for units</a></b>
	<ul>
	<li><a href="#uss">Simple search</a></li>
	<li><a href="#uas">Advanced search</a></li>
	<li><a href="#ur">Results</a>
		<ul>
		<li><a href="#upr">Preview</a></li>
		<li><a href="#uar">Results</a></li>
		<li><a href="#udr">Details</a></li>
		</ul>
	</li>
</ul>
</li>
<li><b><a href="#services">&raquo; Other services</a></b>
	<ul>
	<li><a href="#ust">Thesaurus: the Expanded Search</a></li>
	<li><a href="#example"><b>Search example</b></a></li>
	</ul>
</li>

</ul>

<br/><br/><hr/><br/><br/><br/>

<p class="pageTitle">General information</p>
<a name="pcb"/>
<p class="pageTitle">&raquo;Configure your browser</p>
This website uses <a href="#js">Javascript</a> and <a href="#cookies">cookies</a>.
<a name="cookies"/>
<p class="pageTitle">Configure cookies</p>
<ul>
<li><b>Internet Explorer 7</b>:<p>
      From the <i>Tools</i>  menu, click <i>Internet Options</i>.<br/>
      From the <i>Privacy</i> tab, click <i>Advanced</i>.<br/>
      Click to select <i>Override automatic cookie handling</i> and <i>Always allow session cookies</i>.<br/>
      Click <i>OK</i>.<br/>
</p>
</li>
<li><b>Netscape Navigator 7</b>:<p>
      From the <i>Edit</i> menu, click <i>Preferences</i>.<br/>
      In the <i>Category</i> window, click the arrow next to <i>Privacy and Security</i> and then click on <i>Cookies</i> in the menu that opens.<br/>
      Click to select <i>Accept all cookies</i> to enable cookies for all web sites or click to select <i>Enable cookies for the originating web site only</i>.<br/>
      Click <i>OK</i>.<br/>
      </p>
</li>
<li><b>Mozilla Firefox</b>:<p>
      From the <i>Tools</i> menu, click <i>Privacy</i>.<br/>
      Click to select <i>Alows cookies from this site </i> to enable cookies.<br/>
      Click OK.<br/>
	  --Or--<br/>
	  From the <i>Edit</i> menu, click <i>Preferences </i>.<br/>
	  Go to <i>Privacy</i> and then <i>Cookies</i>.<br/>
	  Click to select <i>Allow sites to set cookies</i>.<br/>
	  Click OK.<br/>
	  --Or--<br/>
	  From the <i>Tools</i> menu, click <i>Options </i>.<br/>
	  Click the tab <i>Cookies</i>.<br/>
	  Click to select <i>Allow sites to set cookies</i>. Leave the two other boxes unchecked.<br/>
	  Click OK.<br/>
	  </p>
</li>
</ul>


<a name="js"/>
<p class="pageTitle">Configure Javascript</p>
<ul><li><b>Internet Explorer 7</b>:<p>
      From the <i>Tools</i> menu, click <i>Internet Options</i>.<br/>
      From the <i>Security</i> tab, click <i>Internet </i>and then click<i> Custom Level</i>.<br/>
      Within the <i>Security Settings</i> window, scroll to <i>Scripting</i>.<br/>
      Below <i>Active Scripting</i>, click to select <i>Enable</i>.<br/>
      Click <i>OK</i>.<br/>
      You will need to close and re-open all of your browser windows for the changes to take effect.<br/>
  </p>
 </li>
 <li><b>Netscape Navigator 7</b>:<p>
      From the <i>Edit</i> menu, click <i>Preferences</i>.<br/>
      In the <i>Category</i> window, click the arrow next to <i>Advanced</i> and then click <i>Scripts and Plugins</i> in the menu that opens.<br/>
      In the <i>Enable Javascript for </i>section, click to select <i>Navigator</i>.<br/>
      Click OK.<br/>
      You may need to close and re-open all of your browser windows for the changes to take effect.<br/>
  </p>
  </li>
  <li><b>Mozilla Firefox</b>:<p>
      From the <i>Tools</i> menu, click <i>Web features </i>.<br/>
      Click to select <i>Enable Javascript</i>.<br/>
      Click OK.<br/>
     --Or--<br/>
		 From the <i>Edit</i> menu, click <i>Preferences </i>.<br/>
		 Click to select <i>Content</i> and then <i>Enable Javascript</i>.<br/>
		 Click OK.<br/>
	--Or--<br/>
	From the <i>Tools</i> menu, click <i>Options </i>.<br/>
	Click on the tab <i>Content</i><br/>
	Click on <i>Enable Javascript</i><br/>
	Click on OK<br/>
	</p>
	</li>
</ul>


<br/><br/><hr/><br/><br/>




<a name="psp"/>
<p class="pageTitle">&raquo; Set preferences</p>
You can set your preferred language, the default preview , and the information you would like to see on result pages.<br/>
Check the boxes you are interested in, and save your preferences by clicking on 'Save preferences'.



<br/><br/><hr/><br/><br/>





<p class="pageTitle">Unit search</p>
<a name="uss"/>
<p class="pageTitle">&raquo; Simple search</p>
<img  class="withBorder" src="${baseurl}static/images/help/simplesearch.jpg" alt="simple search"/><br/>
Fill the text area with the scientific name you are looking for. Use '*' for wildcard searching.
For example, "dracunc*" will search for all units whose name begins with dracunc. 
<br/>Then, click on the 'Search' button or press 'Enter'.
<br/>


<br/><br/><hr/><br/><br/>



<a name="uas"/>
<p class="pageTitle">&raquo; Advanced search</p>
<img  class="withBorder" src="${baseurl}static/images/help/advancedsearch.jpg" alt="advanced search"/><br/>
You can fill in any of the following fields to assist in your query:
<br/>
 <ul class="avecPuce">
<li><b>Taxon name:</b> a unit's taxonomic name</li>
<li><b>Country:</b> the country where a unit was observed or collected</li>
<li><b>Collection ID:</b> the ID of the collection</li>
<li><b>Institution ID:</b> the ID of the institution</li>
<li><b>Genus:</b> a unit's genus</li>
<li><b>Family:</b> a unit's family</li>
<li><b>Higher taxon:</b> a unit's higher taxon</li>
<li><b>Common name:</b> a unit's vernacular name (in English)</li>
<li><b>Locality (observed or collected in):</b> the locality where a unit was observed or collected</li>
<li><b>Collector:</b> the person who collected a unit</li>
<li><b>Collection year:</b> the year or a period on which a unit was collected</li>
<li><b>Collector's number:</b> the number assigned to unit by the collector or observer</li>
<li><b>Field number:</b> the number assigned to the gathering by the collector or observer</li>
</ul>
Use '*' for wildcard searching.<br/>   
Separate multiple entries within a field with " OR ".<br/>
<br/><br/>
You can refine your search to a specific kind of record basis by checking the box 'Only records based on' and selecting a field.
<br/>
You can refine your search to only those units having multimedia content by checking the box 'Multimedia'.
<br/>
The list 'Sort results by' enables you to choose which data will be first displayed on the Preview page.
<br/><b>Important</b>: You must enter at least one of the following fields: taxonName-commonName-family-genus-collector-locality-fieldNumber-collectorNumber-unitID.<br/>
<b>Start your query with 'Search'</b>


<br/><br/><hr/><br/><br/>


<!--
<a name="ums"/>
<p class="pageTitle">&raquo; Map-based search</p>
<img  class="withBorder" src="${baseurl}static/images/help/mapsearch.jpg" alt="map search"/><br/>
Fill the text area with a taxonomic name and click 'Go'.
<br/>
All matching units whose geographical coordinates are stored in a database are displayed on the map as a square.
<br/>
The intensity of the cluster's color is proportional to the number of units at this location. (orange = low density &lt; red = high density)<br/>
You can zoom in, zoom out, center, etc.
<br/>
By clicking on a square, a pointer is displayed <img src="${baseurl}static/images/help/pointeur.gif" lat="pointer"/>. <br/>
By clicking on this pointer,
an information-bubble containing the unit's properties is shown.<br/>
<img  class="withBorder" src="${baseurl}static/images/help/info_bubble.jpg" alt="infoBubble"/><br/>
The original provider's details for the selected unit can be displayed by clicking on 'View data'.



<br/><br/><hr/><br/><br/>-->


<a name="ur"/>
<p class="pageTitle">Results</p>
The results are displayed in 3 main steps which make it possible to refine the query.<br/>

<a name="upr"/>
<p class="pageTitle">&raquo; Preview</p>
This page displays the results matching your query in terms of names.<br/>
<img class="withBorder"  src="${baseurl}static/images/help/preliminaryresults.jpg" alt="prelim results"/><br/>
<br/>In the scientific names column, you can extend your query for the selected names 
using the Thesaurus Service, by checking the boxes and clicking on 'Expanded search'.
<br/>
You can refine your query: Click on one of the following buttons and wait for the list. 
<br/><i>Please use select/deselect button.</i><br/>
<ul>
<li><b>Higher Taxa:</b> refine by higher taxa of interest</li>
<li><b>Genus:</b> refine by genus/genera of interest</li>
<li><b>Family:</b> refine by family of interest</li>
<li><b>Common [Name]:</b> refine by vernacular name of interest (English names only) </li>
<li><b>Country:</b> refine by countries of interest</li>
<li><b>Collector:</b> refine by persons who collected specimens</li>
<li><b>Collection ID:</b> refine by the ID of the collection (Full names of collections not yet available)</li>
<li><b>Institution ID:</b> refine by the ID of the institution (Full names of institutions not yet available)</li>
<li><b>Basis [of Record]:</b> refine by specimens or observation data (please note that many units are not specified)</li>
</ul> 
You can combine all filters or remove filters and change your filtering.
<br/>
Once you have refined your query, select the boxes you are interested in and click 'Get units'; 
you will be redirected to the <a href="#uar">Results page</a>

<br/>
Note: if your selection corresponds to more than 10 000 units, an alert will be displayed. <br/>
<img class="withBorder" src="${baseurl}static/images/help/alert.jpg" alt="alert"/><br/>
You will have to refine your query again in order to access the Results page. 
Nevertheless, you can download the data stored in our local database for these units. 
<br/><br/><hr/><br/><br/>



<p class="pageTitle">&raquo; Results</p>
This page displays the results matching your query in terms of units.<br/>
<img class="withBorder" src="${baseurl}static/images/help/availableresults.jpg" alt="Results"/><br/>
<br/>You can set the displayed columns (like collector, country, locality, record basis) 
under 'preferences'.<br/> Check the boxes you are interested in, and save your preferences by 
clicking on 'Save preferences'. <br/>To order each column by name, in ascending or descending order,
click on the arrows  <img src='${baseurl}static/images/asc.gif'/><img src='${baseurl}static/images/dsc.gif'/>
<br/>In order to see the details from the original providers for the units of your choice,
 check the boxes and click on 'See the details for the selected units'.<br/>
You can download the details by clicking on ' Download the details for the selected units'.<br/> 
If you are only interested in one unit, just click on its name. You will be redirected to its
<a href="#udr">full details</a>.

<br/><br/>
If you download data from several units, this action can take a considerable amount of time. <br/>
Follow the instructions to continue the download. An anti-spam system is used to prevent 
abuse from bots - don't forget to write the image's content in the text area and click 
"Validate" to proceed.<br/>
<img class="withBorder" src="${baseurl}static/images/help/confirmation.jpg" alt="dlConfirmation"/>



<br/><br/><hr/><br/><br/>



<a name="udr"/>
<p class="pageTitle">&raquo; Details</p>
This page displays the full details from the provider for the selected unit(s).<br/>
<img  class="withBorder" src="${baseurl}static/images/help/detailedresults.jpg" alt="Details"/><br/>
You can see/download the XML data from the original provider and /or download all data as Excel-file.
<br/><b>Note:</b> if the provider is out of service, you will only get the details stored in our cache database; annotation and downloading will not be available. 
After your registration, you can annotate the current data.


<br/><br/><hr/><br/><br/>


<a name="services"/>
<p class="pageTitle">Other services</p>
<a name="ust"/>
<p class="pageTitle">&raquo; Thesaurus Service : the Expanded Search</p>
The thesaurus-interface serves the following purposes:
<ul>
<li>1.Retrieving a (list of) taxonomical concept(s) for a given search term</li>
<li>2.Retrieving a (list of) semantically related taxonomical concept(s) for a given search term</li>
</ul>
For example, the concepts returned for "Dracunculus*" are "Dracunculus, Helicodiceros crinitus, Dracunculus crinitus, Arum muscivorum, Helicodiceros muscivorus, Arum dracunculus" 
<br/>
Semantic relations are :
<ul class="avecPuce">
<li>Contradiction</li>
<li>Synonym</li>
<li>Congruent</li>
<li>IncludedIn</li>
<li>Includes</li>
<li>Overlapping</li>
</ul>
When you click on "Expanded search", it searches for all concepts for the selected term.<br/>
Then, for each concept, it searches for all semantically related concepts, for the 6 relations.<br/>
This list of concepts is handled as a list of taxonomic names : finally, it searches in our database all available data for this list.<br/>
<br/>
<img  class="withBorder" src="${baseurl}static/images/help/expanded.jpg" alt="expanded"/>

<br/><br/>

<p class="pageTitle">Search example <a name="example"/></p>
<p>
Two kinds of search are available on the BGBM specimen and observation explorer for taxonomists: 
a simple search and an advanced search. The simple search makes it possible to search for units 
(collection and observational data) by entering a Latin name. The primary term used by the advanced 
search can be a scientific name, a vernacular name, a family, a genus, a collector name, a locality,
 a field number, a collector number or a unit ID (catalogue number). Both search types can be combined 
 with a query extension.
<ul>
	<li>Step 1: search form
		<ul>
			<li>Simple search: enter a name in the search field  – for example Calendula aegyptiaca.</li>
			<li>Advanced search: enter one or more fields to search.</li> 
			If you would like to expand the search to related names and synonyms using thesauri, click on the binocular <img  src="${baseurl}static/images/options.png" title="Activate the expanded search" alt="expanded"/> icon. 
			<br/>Note: this option is also available in the second step.
			<li>Click on the “Search” button.</li>
		</ul>
	</li>
	
	<li>Step 2
	<ul>
		<li>Case 1: without query expansion<br/>
			<ul><li>A preview of the available units is displayed. If you would like to expand your query, select several 
			scientific names (max. 10), then click on the “Expanded search” button. All pre-defined thesauri will 
			be used for the expansion process.</li></ul>
		</li>
		<li>Case 2: with query expansion<br/>
		<img  class="withBorder" src="${baseurl}static/images/help/queryExpansion.jpg" alt="query expansion"/>
			<ul><li>A list of concepts returned by the thesauri is displayed. You can browse the list, choose the related 
			names and synonyms you are interested in, and then click on the “Search!” button. You will be redirected 
			to the preview page, where your query will have been expanded with the terms you selected.
			</li></ul>
		</li>
		<li>Refine your query by selecting/deselecting items in the different tabs (collection, country, basis of record...), 
		then click on the “Get units” button.
		Note: if your search returns more than 10.000 units, you will have to add a filter to your search to refine it.
		</li>
	</ul>
	</li>
	<li>Step 3
		<ul><li>A multi-paged table containing single units is displayed. You can change your preferences to see more detail columns. 
		Clicking on a scientific name shows the original provider record. You can also select several units at once then
		 click on the “See details for the selected units” link.
		 </li></ul>
	</li>
</ul>
</p>
<br/>


</div>
</body>
</html>
