
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
import kid
import logging, logging.config, os, sys
from types import ListType
import page

# use logging
log = logging.getLogger("div")
log2=logging.getLogger("spy")

#---------------------------------------------------------
# Class Preferences
# manage the data from the form an send them to the QueryHandler
#---------------------------------------------------------
class Preferences(page.Page):
	
	def __init__(self):
		self.filePath='preferences/'
		self.fileName='_preferencesIndex.kid'
		self.title = "Preferences"
		self.body = "preferencesPage" 
		
	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''
		if cherrypy.session.get('unitSearch') is None:
			self.getPreferences()
		
		self.filePath='preferences/'
		self.fileName='_preferencesIndex.kid'
		comingFrom= cherrypy.request.headerMap.items()
		for x,y in comingFrom:
			if x == "Referer":
				comingFrom = y
				if '/index' in y:
					comingFrom = "/index"
				break
		if type(comingFrom) == ListType:
			comingFrom = "/index"
		cherrypy.session['comingFrom'] = comingFrom
			
		
		return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body,lang=cherrypy.session.get('lang','en'), group=cherrypy.session.get('group','taxonBox'), nbResultPerPage = cherrypy.session.get('nbResultPerPage',20), unitSearch = cherrypy.session.get('unitSearch','unitSimple'),tableHeaders = cherrypy.session.get('tableHeaders',['name','country','collectionId']))

	@cherrypy.expose
	def setPreferences(self,*args,**kwargs):
		'''
		set the preferences for the user
		store them in a cookie
		'''
		#log.info("preferences :%s"%cherrypy.session.get('comingFrom'))
		cherrypy.session['lang'] = kwargs['langGroup']
		cherrypy.session['group'] = kwargs['group']
		cherrypy.session['nbResultPerPage'] = kwargs['nbResultPerPage'].replace(" ","")
		cherrypy.session['unitSearch'] = 'unitSimple'
		
		tableHeaders = []
		if kwargs.has_key('HeaderList'):
			if isinstance(kwargs['HeaderList'], ListType ):
			   tableHeaders = kwargs['HeaderList']
			else:
				tableHeaders.append(kwargs['HeaderList'])
			tableHeaders.append('name')
		else:
			tableHeaders = ['name']
		cherrypy.session['tableHeaders']=tableHeaders
		
		log2.info("language changed to %s" %(kwargs['langGroup']))
		self.savePreferences()	
		self.redirect(cherrypy.session.get('comingFrom','/index'))

		
		
