
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
import kid
import logging, logging.config, os, sys,sha,random,time
import thread
import page, result

from biocase.multithreading.taskqueue import *
from requestHandler.dbConnection import DBconnection
from biocase.ServiceClient import *
from biocase.tools.xmllibtools import transformXML
from biocase.ServiceClient import ServiceQueryClient   
from biocase.Error import Error

# use logging
log = logging.getLogger("div")

#----------------------------------------------------------------
#
#This class display a message when more than 10000results are available for the current query
#
#----------------------------------------------------------------
class QuotaAlert(page.Page):
    #the current instance
    _instance = None   
    
    #singleton
    def __new__( cls, *args, **kwargs ):
        if not cls._instance:
            cls._instance = super( QuotaAlert, cls ).__new__( 
                                   cls, *args, **kwargs )
            self = cls._instance
            self.filePath = 'results/units/'
            self.fileName ='_alert.kid'
            self.title = "Units Search Alert"
            self.body = "searchPage" 
        return cls._instance
    
        
    @cherrypy.expose
    def alert(self,nb):
        '''
        set the number of available results
        @param nb :the number of available results
        '''
        cherrypy.session['alertnbResults'] = nb
    
    @cherrypy.expose
    def index(self):
        self.filePath = 'results/units/'
        self.fileName ='_alert.kid'
        self.title = "Units Search Alert"
        self.body = "searchPage" 
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title,body=self.body,nbResults=cherrypy.session.get('alertnbResults',0))
