<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../nor_skeletton.kid'">

<head/>

<body>

<style type="text/css">
#twopartheader { margin: 10px 0 0 0; padding: 0;background: url('http://data.gbif.org/skins/standard/images/settingsIcoBig.gif') no-repeat left top ; min-height:70px;}
#twopartheader h2 { margin-left:70px; padding: 4px 0 0 4px; font-size: 1.1em; font-weight: normal; }
#twopartheader h3 { padding: 7px 0 0 96px ; margin: 0 ; font-size: 1.1em; font-weight: normal; }
ul, ol { margin: 0;  list-style:disc; line-height: 1.2em;}
.gbif { margin: 10px 10px -10px 10px; padding: 0 10px 5px 14px ; border-right: 1px solid #eee; border-bottom: 1px solid #eee; }
ul li { padding-left: 1.15em; text-align:left; list-style: disc;}
ol li { padding-left: 1.15em; text-align:left; list-style: decimal;}
pre, code { font: 110% "Andale Mono", Courier, "Courier New", monospace; }

</style>
<div id="content">
<div id="twopartheader">
	<h2>GBIF Data Use Agreement</h2>
</div>


<h4>Background</h4>
<p>The goals and principles of making biodiversity data openly and universally available have been defined in the Memorandum of Understanding on GBIF, paragraph 8 (see the relevant excerpts in the attached Annex).</p>

<p>The Participants who have signed the MoU have expressed their willingness to make biodiversity data available through their nodes to foster scientific research development internationally and to support the public use of these data.</p>

<p>GBIF data sharing should take place within a framework of due attribution.</p>

<p>Therefore, using data available through the GBIF network requires agreeing with the following:</p>

<h4>1. Data Use Agreements</h4>
<ol class="gbif">
   <li>The quality and completeness of data cannot be guaranteed. Users employ these data at their own risk.</li>
   <li>Users shall respect restrictions of access to sensitive data.</li>
   <li>In order to make attribution of use for owners of the data possible, the identifier of ownership of data must be retained with every data record.</li>

   <li>Users must publicly acknowledge, in conjunction with the use of the data, the data providers whose biodiversity data they have used.  Data providers may require additional attribution of specific collections within their institution.</li>
   <li>Users must comply with additional terms and conditions of use set by the data provider. Where these exist they will be available through the metadata associated with the data.</li>
</ol>

<h4>2. Citing Data</h4>
<p>Use the following format to cite data retrieved from the GBIF network:</p>  
<p><em>Specimen and Observation Data provided by ... and the Global Biodiversity Information Facility (http://www.gbif.net) accessed through the BioCASE Data Portal, http://search.biocase.org, YYYY-MM-DD</em></p>
<p>For example:</p>
<p><em>Specimen and Observation Data provided by the "Field Museum of Natural History, Museum of Vertebrate Zoology, University of Washington Burke Museum, and University of Turku" and the Global Biodiversity Information Facility (http://www.gbif.net) accessed through the BioCASE Data Portal, http://search.biocase.org, 2008-08-01</em></p>

<h4>3. Definitions</h4>
<ul class="gbif">
   <li>GBIF Participant: Signatory of the GBIF-establishing Memorandum of Understanding (MoU).</li>
   <li>GBIF Secretariat: Legal entity empowered by the GBIF Participants to enter into contracts, execute the Work Programme, and maintain the central services for the GBIF network.</li>
   <li>GBIF network: The infrastructure consisting of the central services of the GBIF Secretariat, Participant Nodes and data providers. Making data available through GBIF network means registering and advertising the pertinent services via the GBIF central services.</li>
   <li>Node: A data provider designated by a GBIF Participant that maintains a stable computer gateway that makes data available through the GBIF network.</li>
   <li>Participant node: An organisational unit designated by the GBIF Participant to coordinate activities in its domain. It may also provide data.</li>

   <li>Biodiversity data:  Primary data on specimens, observations, names, taxonomic concepts, and sites, and other related data on biological diversity.</li>
   <li>Metadata: Data describing the attributes and combinations of biodiversity data.</li>
   <li>Data:  Biodiversity data and metadata.</li>
   <li>Data provider: A custodian of data making it technically available. This may or may not be the data owner. If not they will have declared to GBIF that they have permission to make the data available.</li>
   <li>Data sharing: The process of and agreements for making data freely and universally available on the Internet.</li>
   <li>User:  Anyone who uses the Internet to access data through the GBIF network.</li>

   <li>Owner of data: The legal entity possessing the right resulting from the act of creating a digital record. The record may be a product derived from another, possibly non-digital product, which may affect the right.</li>
   <li>Sensitive data: Any data that the Node does not want to make available,  e.g. precise localities of endangered species.</li>
</ul><br/>

<p>Also see the <a href="http://data.gbif.org/tutorial/datasharingagreement">GBIF Data Sharing Agreement</a> for the data providers.</p>

<form method="post" action="${baseurl}search/units/gbifAgreement/submitGBIFAgreement" form="acceptForm" class="acceptForm">
  <input name="acceptedTerms" value="Accept terms" type="submit"/>
  <input name="refuseTerms" value="Cancel" type="submit"/>
</form>

<p>Depending on your browser settings, a cookie may be stored to acknowledge your acceptance of these terms.</p>
<p>Source: <a href="http://data.gbif.org/tutorial/datauseagreement">GBIF Data Use Agreement</a> </p>


</div>

</body>
</html>