#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
import kid
import logging, logging.config, os, sys, string
from types import ListType

import page
# add local lib to sys.path
#sys.path.insert( 0, os.path.abspath( os.path.join( os.path.pardir, 'lib' ) ) )
from requestHandler.dbConnection import DBconnection
import caractersHandling as _carac
# use logging
log = logging.getLogger( "div" )

#---------------------------------------------------------
#
#  This classe remembers the fields the user selected
# 1)from the advanced search : the fields and their contents
# 2)from refining
#
#---------------------------------------------------------
class QueryReminder:
	
	def __init__(self,resetDone=False):
		if resetDone:
			tmp=cherrypy.session['qrmSaved']
			cherrypy.session['qrm']=dict([(a,tmp[a]) for a in tmp.keys()]) 

	def getQueryrm(self):
		return 	cherrypy.session.get('qrm',{})
	
	def getVariable(self,key):
		queryrm = cherrypy.session.get('qrm',{})
		if queryrm.has_key(key):
			tmp= queryrm.get(key)
		else:
			tmp= cherrypy.session.get(key,None)
		return tmp
		
		
	def getSearchType(self):
		return self.getVariable('searchType')
	
	def setMultimediaOnly(self,bool):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['photo'] = bool
		cherrypy.session['qrm'] = queryrm
	
	def isMultimediaOnly(self):
		return self.getVariable('photo')

	def setTypeOnly(self,bool):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['type'] = bool
		cherrypy.session['qrm'] = queryrm
	
	def isTypeOnly(self):
		return self.getVariable('type')
		
	def addTaxon( self, nameList ):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['taxonNameList']=nameList
		cherrypy.session['qrm'] = queryrm
	
	def getTaxon(self):
		return self.getVariable('taxonNameList')
	
	def addBiorecord(self,keylist):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['bioRecordList'] = keylist
		cherrypy.session['qrm'] = queryrm
	
	
	def getBioRecord(self):
		return self.getVariable('bioRecordList')

	def addCountry( self, nameList ):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['countryList'] = nameList
		cherrypy.session['qrm'] = queryrm
	
	def getCountry(self):
		return self.getVariable('countryList')  

	def addUnit(self,namelist):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['unitList'] = namelist
		cherrypy.session['qrm'] = queryrm
	
	def getUnit(self):
		return self.getVariable('unitList')
	
	def getUnitID(self):
		return self.getVariable('unitIDList')
	
	def addUnitID(self,namelist):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['unitIDList'] = namelist
		cherrypy.session['qrm'] = queryrm
	 

	def addGenus( self, nameList ):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['genusList'] = nameList
		cherrypy.session['qrm'] = queryrm
	
	def getGenus(self):
		return self.getVariable('genusList')	

	def addHigher( self, nameList ):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['higherList'] = nameList
		cherrypy.session['qrm'] = queryrm
	
	def getHigher(self):
		return self.getVariable('higherList')
	
	def addCollection( self, nameList ):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['collectionList'] = nameList
		cherrypy.session['qrm'] = queryrm
	
	def getCollection(self):
		return self.getVariable('collectionList')	


	def addInstitution( self, nameList ):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['institutionList'] = nameList
		cherrypy.session['qrm'] = queryrm
		   
	def getInstitution(self):
		return self.getVariable('institutionList')

		
	def addCollector(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['collectorList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getCollNumber(self):
		return self.getVariable('collNumberList')
	
	def addCollNumber(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['collNumberList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getFieldNumber(self):
		return self.getVariable('fieldNumberList')
	
	def addFieldNumber(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['fieldNumberList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getCollector(self):
		return self.getVariable('collectorList')
	
	def addFamily(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['familyList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getFamily(self):
		return self.getVariable('familyList')
	
	def addType(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['typeList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getType(self):
		t = self.getVariable('typeList')
		#log.info("typelist : %s " %t)
		return t
	
	def addCommon(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['commonList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getCommon(self):
		return self.getVariable('commonList')   
	
	def addDateInf(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['dateInf'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getDateInf(self):
		return self.getVariable('dateInf')		

	def addDateEq(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['dateEq'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getDateEq(self):
		return self.getVariable('dateEq')   

	def addDateSup(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['dateSup'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getDateSup(self):
		return self.getVariable('dateSup')					   

	def addLocality(self,nameList):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['localityList'] = nameList
		cherrypy.session['qrm'] = queryrm
		
	def getLocality(self):
		return self.getVariable('localityList')   
	
	def addCoordinates(self,quadruplet):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['coordinates'] = quadruplet
		cherrypy.session['qrm'] = queryrm
		
	def getCoordinates(self):
		return self.getVariable('coordinates')
	
	def addMetaKeyword(self,keyword):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaKeyword']=keyword
		cherrypy.session['qrm'] = queryrm
	
	def addMetaCountry(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaCountry']=name
		#log.info("META COUNTRY : %s" %name)
		cherrypy.session['qrm'] = queryrm
		
	def getMetaKeyword(self):
		return self.getVariable('metaKeyword')
	
	def getMetaCountry(self):
		return self.getVariable('metaCountry')

	def addMetaBrowser(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaBrowser']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaBrowser(self):
		return self.getVariable('metaBrowser')
	
	def addMetaABC(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaABC']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaABC(self):
		return self.getVariable('metaABC')  
	
	
	def addMetaCollection(self,name):
		name=name.replace('(','').replace(')','').replace("'","").replace('"','').split(" OR ")
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaCollection']=[]
		tmp=[]
		for n in name:
			tmp.append(n)
		tmp='('+",".join(tmp)+')'
		queryrm['metaCollection']=tmp
		cherrypy.session['qrm'] = queryrm
	
	def getMetaCollection(self):
		return self.getVariable('metaCollection')
	
	def addMetaInstitution(self,name):
		name=name.replace('(','').replace(')','').replace("'","").replace('"','').split(" OR ")
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaInstitution']=[]
		tmp=[]
		for n in name:
			tmp.append(n)
		tmp='('+",".join(tmp)+')'
		queryrm['metaInstitution']=tmp
		cherrypy.session['qrm'] = queryrm
	
	def getMetaInstitution(self):
		return self.getVariable('metaInstitution')
	
	def addMetaNetwork(self,name):
		name=name.replace('(','').replace(')','').replace("'","").replace('"','').split(" OR ")
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaNetwork']=[]
		tmp=[]
		for n in name:
			tmp.append(n)
		tmp='('+",".join(tmp)+')'
		queryrm['metaNetwork']=tmp
		cherrypy.session['qrm'] = queryrm
	
	def getMetaNetwork(self):
		return self.getVariable('metaNetwork')
	
	def addMetaRegion(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaRegion']=name
		cherrypy.session['qrm'] = queryrm
	
	def getMetaRegion(self):
		return self.getVariable('metaRegion')	
	
	def addMetaTown(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaTown']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaTown(self):
		return self.getVariable('metaTown')

	def addMetadata(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metadata']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetadata(self):
		return self.getVariable('metadata')

	def addMetaBodyID(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['bodyID']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaBodyID(self):
		return self.getVariable('bodyID')
	
	def addMetaPeople(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaPeople']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaPeople(self):
		return self.getVariable('metaPeople')

	def addMetaRole(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['metaRole']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaRole(self):
		return self.getVariable('metaRole')
 
	def addMetaInstitutionCategory(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['institutionCategory']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaInstitutionCategory(self):
		return self.getVariable('institutionCategory')

	def addMetaCollectionCategory(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['collectionCategory']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaCollectionCategory(self):
		return self.getVariable('collectionCategory')
	
	def addMetaObjectCategory(self,name):
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['objectCategory']=name
		cherrypy.session['qrm'] = queryrm
		
	def getMetaObjectCategory(self):
		return self.getVariable('objectCategory')
				
	def getValue( self ): 
		value = []
		#log.info("self.getVariable('searchType') %s" %self.getVariable('searchType'),value)
		if 'm_' in self.getVariable('searchType'):
#			log.info("GET VALUE")
			if self.hasMetaBrowser():
				value = self.writeValue("browse: ",self.getVariable('metaBrowser'),value)
			if self.hasMetaKW():
				value = self.writeValue("keyword:",self.getVariable('metaKeyword'),value)
			if self.hasMetaCountry():
				value = self.writeValue("country:",self.getVariable('metaCountry'),value)
			if self.hasMetaABC():
				value = self.writeValue("starting with: ",self.getVariable('metaABC'),value)
			if self.hasMetadata():
				value = self.writeValue("metadata: ",self.getVariable('metadata'),value)
			if self.hasMetaTown():
				value = self.writeValue("town: ",self.getVariable('metaTown'),value)
			if self.hasMetaRegion():
				value = self.writeValue("region: ",self.getVariable('metaRegion'),value)
			if self.hasMetaCollection():
				value = self.writeValue("collection: ",self.getVariable('metaCollection'),value)
			if self.hasMetaInstitution():
				value = self.writeValue("institution: ",self.getVariable('metaInstitution'),value)
			if self.hasMetaNetwork():
				value = self.writeValue("network: ",self.getVariable('metaNetwork'),value)
			if self.hasMetaPeople():
				value = self.writeValue("people: ",self.getVariable('metaPeople'),value)
			if self.hasMetaRole():
				value = self.writeValue("role: ",self.getVariable('metaRole'),value)
			if self.hasMetaInstitutionCategory():
				value = self.writeValue("metadata category: ",self.getVariable('institutionCategory'),value)
			if self.hasMetaCollectionCategory():
				value = self.writeValue("metadata category: ",self.getVariable('collectionCategory'),value)
			if self.hasMetaObjectCategory():
				value = self.writeValue("object category: ",self.getVariable('objectCategory'),value)
			#log.info("VALUE :%s" %value)
		
		else:
			if self.hasTaxon():
				value = self.writeValue("taxonName:",self.getVariable('taxonNameList'),value)
			if self.hasUnit():
				value = self.writeValue("unitKey:", self.getVariable('unitList'),value)	
			if( self.hasGenus() ):
				value = self.writeValue("genus:",self.getVariable('genusList'),value)
				
			if( self.hasDateInf() or self.hasDateSup() ):
				value.append( "date: %i %i "% (self.getVariable('dateInf'), self.getVariable('dateSup')))
			#if( self.hasDateEq() ):
				#value+ = "dateInf: %i"%self.getVariable('dateInf')
			#if( self.hasDateSup() ):
				#value.append( "date: %i "%self.getVariable('dateSup'))
				
			if( self.hasCollector() ):
				value = self.writeValue("collector:",self.getVariable('collectorList'),value)
				
			if( self.hasCollection() ):
				value = self.writeValue("collection:",self.getVariable('collectionList'),value)
				
			if( self.hasHigher() ):
				value = self.writeValue("higherTaxa:",self.getVariable('higherList'),value)
				
			if( self.hasInstitution() ):
				value = self.writeValue("institution:",self.getVariable('institutionList'),value)
			
			if( self.hasCountry() ):
				value = self.writeValue("country:",self.getVariable('countryList'),value)
			
			if( self.hasLocality() ):
				value = self.writeValue("locality:",self.getVariable('localityList'),value)
				
			if( self.hasType() ):
				value = self.writeValue("record basis:",self.getVariable('typeList'),value)
		
			if( self.hasFamily() ):
				value = self.writeValue("family:",self.getVariable('familyList'),value)
				
			if( self.hasCommon() ):
				value = self.writeValue("commonName:",self.getVariable('commonList'),value)
			
			if self.isMultimediaOnly():
				value = self.writeValue("only with multimedia content","",value)
			
			if self.isTypeOnly():
				value = self.writeValue("only if specimen is type","",value	)
				
			if self.hasCoordinates():
				value = self.writeValue("coordinates:",self.getVariable('coordinates'),value)
				
			if self.hasFieldNumber():
				value = self.writeValue("fieldnumber", self.getVariable("fieldNumber"), value)
				
			if self.hasCollNumber():
				value = self.writeValue("collNumber", self.getVariable("collNumber"), value)
				
			if self.hasUnitID():
				value = self.writeValue("unitID", self.getVariable("unitIDList"), value)
		#log.info("valeur qui vient d etre stockee : %s" %value)
		queryrm = cherrypy.session.get('qrm',{})
		queryrm['value']="".join(value)
		cherrypy.session['qrm']=queryrm
		return "".join(value)
	
#----	
	def writeValue(self,field,tklist,value): 
		if(field == ""):
			value = value[0:len(value)-1]
			value.append(" OR ")  
		append = value.append
		append(field)
		
		if "coordinates" in field:
			append(" %s<latitude< %s, %s<longitude<%s " %(str(tklist[0]),str(tklist[1]),str(tklist[2]),str(tklist[3])))

		else:
	
			if(type(tklist) == ListType ):
				tklist=list(set(tklist))
				if len(tklist)>1:
					for unit in tklist:
						#log.info("unit : %s" %str(unit))
						unit = unit.replace("\"","")
						append(_carac.decodeCaracters(encoded=unit))
						append(" OR ")
					value = value[0:len(value)-1]	 
				else:
					append(_carac.decodeCaracters(encoded=tklist[0].replace("\"",""))) 
			
			else:
				tklist = tklist.replace("(","").replace(")","")
				tmp = tklist.split(" OR ")
				tmp=list(set(tmp))
				if len(tmp) == 1:
					append(_carac.decodeCaracters(encoded=tmp[0].replace("\"","")))
				else:
					for unit in tmp:
						unit = unit.replace("\"","")
						append(_carac.decodeCaracters(encoded=unit))
						append(" OR ")
					value = value[0:len(value)-1]			 
					 
		value.append("; ")
		return value


		


	def hasUnit(self):
		li = self.getVariable('unitList')
		if  li is not None and len(li)>0 :
			return True
		return False

	def hasTaxon( self ):
		li = self.getVariable('taxonNameList')
		if li  is not None and len( li ) > 0:
			return True
		return False
	
	def hasGenus( self ):
		li = self.getVariable('genusList')
		if  li is not None and len(li) >0:
			return True
		return False
	
	def hasFamily( self ):
		li =self.getVariable('familyList')
		if li is not None and len(li ) >0:
			return True
		return False
   
	def hasHigher( self ):
		li =self.getVariable('higherList')
		if  li is not None and len(li) >0:
			return True
		return False
   
	def hasCountry( self ):
		li =self.getVariable('countryList')
		if li is not None and len(li) >0 :
			return True
		return False

	def hasCountryCodes( self ):
		li =self.getVariable('countryCodesList') 
		if li is not None:
			return True
		return False
		
	def hasDateInf(self):
		li =self.getVariable('dateInf')
		#if li is not None and len(li) >0:
		if li is not None:
			return True
		return False

	def hasDateEq(self):
		li =self.getVariable('dateEq')
		#if li is not None and len(li) >0:
		if li is not None:
			return True
		return False
 
	def hasDateSup(self):
		li =self.getVariable('dateSup')
		#if li is not None and len(li) >0:
		if li is not None:
			return True
		return False	
	
	def hasCollector(self):
		li =self.getVariable('collectorList') 
		if li is not None and len(li) >0:
			return True
		return False
	
	def hasCollection(self):
		li =self.getVariable('collectionList')
		if li  is not None and len(li) >0:
			return True
		return False

	def hasInstitution(self):
		li =self.getVariable('institutionList')
		if  li is not None and len(li) >0:
			return True
		return False
	
	def hasCollectionCodes(self):
		li =self.getVariable('collectionCodesList') 
		if li is not None and len(li) >0:
			return True
		return False

	def hasInstitutionCodes(self):
		li =self.getVariable('institutionCodesList')
		if li  is not None and len(li) >0 :
			return True
		return False
	
	def hasType(self):
		li =self.getVariable('typeList') 
		if li is not None and len(li) >0:
			return True
		return False
	
	def hasCommon(self):
		li =self.getVariable('commonList')
		if  li is not None and len(li) >0 :
			return True
		return False
	
	def hasLocality(self):
		li =self.getVariable('localityList')
		if li  is not None and len(li) >0 :
			return True
		return False
	
	def hasCoordinates(self):
		li =self.getVariable('coordinates')
		if li is not None and "None" not in li and li[0] is not None:
			return True
		return False
	
	def hasCollNumber(self):
		li =self.getVariable('collNumber')
		if li  is not None and len(li) >0 :
			return True
		return False
	
	def hasFieldNumber(self):
		li =self.getVariable('fieldNumber')
		if li  is not None and len(li) >0 :
			return True
		return False
	
	def hasUnitID(self):
		li =self.getVariable('unitIDList') 
		if li is not None and len(li) >0:
			return True
		return False

	def hasMetaKW(self):
		li =self.getVariable('metaKeyword') 
		if li is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaCountry(self):
		li =self.getVariable('metaCountry')
		if  li is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaABC(self):
		li =self.getVariable('metaABC') 
		if li  is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaBrowser(self):
		li = self.getVariable('metaBrowser')
		if li is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetadata(self):
		li =self.getVariable('metadata')
		if li  is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaCollection(self):
		li =self.getVariable('metaCollection')
		if  li is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaInstitution(self):
		li =self.getVariable('metaInstitution') 
		if li is not None and len(li)>0 :
			return True
		else:
			return False
		
	def hasMetaNetwork(self):
		li =self.getVariable('metaNetwork') 
		if li is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaRegion(self):
		li =self.getVariable('metaRegion')
		if  li is not None and len(li)>0 :
			return True
		else:
			return False
	
	def hasMetaTown(self):
		li =self.getVariable('metaTown') 
		if  li is not None and len(li)>0 :
			return True
		else:
			return False
		
	def hasMetaBodyID(self):
		li =self.getVariable('bodyID') 
		if li is not None and len(li)>0:
			return True
		else:
			return False
		
	def hasMetaPeople(self):
		li =self.getVariable('metaPeople')
		if  li is not None and len(li)>0 :
			return True
		else:
			return False
		
	def hasMetaRole(self):
		li =self.getVariable('metaRole')
		if li  is not None and len(li)>0 :
			return True
		else:
			return False
   
	def hasMetaInstitutionCategory(self):
		li = self.getVariable('institutionCategory')
		if  li is not None and len(li)>0:
			return True
		else:
			return False   
   
	def hasMetaCollectionCategory(self):
		li =self.getVariable('collectionCategory') 
		if li is not None and len(li)>0 :
			return True
		else:
			return False   
   
	def hasMetaObjectCategory(self):
		li =self.getVariable('objectCategory') 
		if li is not None and len(li)>0 :
			return True
		else:
			return False   
			
	def getFirstSearch(self):
		table = [self.getTaxon(),(self.getHigher()),(self.getFamily()),
		  (self.getCollection()),(self.getInstitution()),
		  (self.getCountry()),self.getDateInf(),self.getDateEq(),
		  self.getDateSup(),(self.getLocality()),(self.getCommon()),
		  (self.getGenus()),(self.getCollector()),self.getType(),
		  self.isMultimediaOnly(),self.getBioRecord(),self.getUnitID()]
		return simpleText(table)
				 
def simpleText(table):
	tmp=[]
	for elt in table:
		if type(elt) == ListType:
			a=(",".join(elt)).replace('"',"").replace("'","").replace("(","").replace(")","")
			if a not in tmp:
				tmp.append(a)
		else:
			try:
				if type(elt) == type(''):
					a=elt.replace('"',"").replace("'","").replace("(","").replace(")","")
					if a not in tmp:
						tmp.append(a)
				else:
					tmp.append(elt)
			except Exception ,e:
				tmp.append(elt)
	return tmp
