#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy, webbrowser
import kid
import logging, logging.config, os, sys,time
from types import ListType
import page
from queryReminder import QueryReminder


# use logging
log = logging.getLogger("div")
log2 = logging.getLogger("queriesLog")

# add local lib to sys.path
#sys.path.insert( 0, os.path.abspath( os.path.join( os.path.pardir, 'lib' ) ) )
from requestHandler.props import *
from requestHandler.dbConnection import DBconnection
from requestHandler.units.queryManager import U_QueryManager

from results.units.result import U_Preview,U_Results,U_Details,U_Annotation
import caractersHandling as _carac
#---------------------------------------------------------
#
#  These classes handle the different kinds of research
# 1)The search index page
# 2)The simple search based on a taxon name
# 3)The advanced search based on what the user wrote (with at least taxon name or common name or key
# 4)The search based on a map
#
#---------------------------------------------------------

			
class Search(page.Page):
  
	def __init__(self):
		'''
		init the properties of the query tool's page
		'''
		self.filePath = 'search/'
		self.fileName='_searchIndex.kid'
		self.body = "searchPage"
		self.title="Search"


	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''	   
		self.filePath = 'search/'
		self.fileName='_searchIndex.kid'
#		self.file='/search/searchIndex.kid'
		return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body)
	
#
##____________________						   ____
##____________________ Search based on units data____
#class Metadata(page.Page):
#	def __init__(self):
#		'''
#		init the properties of the query tool's page
#		'''
#		self.filePath = 'search/metadata/'
#		self.fileName='_simple_m.kid'
#		self.title = "Metadata search"
#		self.body = "searchPage"   
#
#
#	@cherrypy.expose		
#	def index(self):   
#		'''
#		call the render method from the class Page
#		'''
#		if(self.getMetadataSearch() == "metaSimple"):
#			self.redirect('/search/metadata/simpleSearch')
#		else:
#		#if(self.getUnitsSearch == "unitAdvanced"):
#			self.redirect('/search/metadata/browsingSearch')
#
# 
#____________________						   ____
#____________________ Search based on units data____
class Units(page.Page):
	
	def __init__(self):
		'''
		init the properties of the query tool's page
		'''
		self.filePath = 'search/units/'
		self.fileName='_simple.kid'
		self.title = "Units search"
		self.body = "searchPage"   


	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''
		if(self.getUnitsSearch() == "unitSimple"):
			self.redirect('/search/units/simpleSearch')
		else:
		#if(self.getUnitsSearch == "unitAdvanced"):
			self.redirect('/search/units/advancedSearch')

#____________________									____
#____________________ Advanced Search based on units data____


class U_AdvancedSearch(page.Page):

	
	def __init__(self):
		self.filePath = 'search/units/'
		self.fileName='_advanced.kid'
		self.title = "Units advanced search"
		self.body = "searchPage"  

		try:
			self.max = float(self.getCfgObj().slowQueries.max)
		except Exception,e:
			log.info("PB with max time for queries %s -- " %(e))
			self.max=7.0

	def reinit(self):
		self.u_adv={}
		self.filePath = 'search/units/'
		self.fileName='_advanced.kid'
		self.title = "Units advanced search"
		self.body = "searchPage"	 


	# return the properties file
	def setPropsFile( self ):
		'''
		the properties file contains a list of queries corresponding to the 
		synthesys cache Databases
		'''
		try:
			self._propsFile
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)

	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''	  
		self.filePath = 'search/units/'
		self.fileName='_advanced.kid'
		self.title = "Units advanced search"		
		   
		javascript='<script src="%s/static/php/dojotree/teleport_xmlrpc.js" type="text/javascript"/><script src="%s/static/php/dojotree/suggest.js" type="text/javascript"/>'%(self.getCfgObj().server.webroot,self.getCfgObj().server.webroot)
		
		comeFrom = cherrypy.request.headerMap.get('Referer','')		  
		if 'advanced' not in comeFrom:
			cherrypy.session['message']=''
			
		qrm = QueryReminder()
		querymn = cherrypy.session.get('u_qmg',{})	
		querymn["advancedSearch"]=False
		
		cherrypy.session['action']="giveFocus('valueTaxon')"
		#log.info("advancedFields index %s"%str(cherrypy.session.get('advancedFields',[])))
		message = cherrypy.session.get('message','')
		if type(message) == type(False):
			message = ""
		self.getRecordBasisList()

#		####
#		####thesaurus staff----------------------------------------------		
#		####
#		tmp = self.getCfgObj().checklist.thesauri.split("(")
#		tklist={}
#		for cell in tmp:
#			tmp2 = cell.split(")")
#			for case in tmp2:
#				cell = case.split(",")
#				if len(cell)==2:
#					tklist[cell[0]]=cell[1]
#		cherrypy.session['checklistDic'] = tklist
#		self.checklist = cherrypy.session.get('checklistDic').keys()
#		
#		try:
#			self.checklistsdict = cherrypy.session.get('checklists')
#			tmp = self.checklistsdict.keys()
#		except:
#			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
#			tmp = TransformXmlForThesaurus().loadReferences()
#			self.checklistsdict = cherrypy.session.get('checklists')
#		thesaurus={}
#		for key in self.checklistsdict.keys():
#			if key in self.checklist:
#				thesaurus[key]=self.checklistsdict.get(key)
				
#		return self.render(filePath=self.filePath, fileName=self.fileName, title=self.title, 
#						   body=self.body, message=message, javascript=javascript, 
#						   recordBasisList=cherrypy.session.get('recordBasisList',[]), 
#						   action=cherrypy.session.get('action'), thesaurusList=thesaurus,
#						   advancedFields=cherrypy.session.get('advancedFields',[]))
		return self.render(filePath=self.filePath, fileName=self.fileName, title=self.title, 
						   body=self.body, message=message, javascript=javascript, 
						   recordBasisList=cherrypy.session.get('recordBasisList',[]), 
						   action=cherrypy.session.get('action'),
						   advancedFields=cherrypy.session.get('advancedFields',[]))

	def getRecordBasisList(self):
		listStr = self.getCfgObj().recordBasis.recordBasisList
		tmp = listStr.split("(")
		tklist=[]
		for cell in tmp:
			tmp2 = cell.split(")")
			for case in tmp2:
				cell = case.split(",")
				if len(cell)==2:
					tklist.append((cell[0],cell[1]))
		cherrypy.session['recordBasisList'] = tklist
			
	@cherrypy.expose		
	def cancelSearch(self, **kwargs):
		'''
		use to cancel an advanced search; the query goes on
		the user's session does not know anything anymore about the canceled query
		'''
		cherrypy.session['cancel']=True
		return self.redirect("/search/units/advancedSearch")	
	
	@cherrypy.expose
	def performAdvancedSearch(self, **kwargs):
		try:
			cleanSession()
		except:
			pass
		cherrypy.session["searchType"]='advanced'
#		log.info('kwargs: %s' %str(kwargs))
		
		try:
			self._propsFile.getProperty("select","taxon")
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		
		comingFrom = cherrypy.request.headerMap.items()
		for x,y in comingFrom:
			if x == "Referer":
				comingFrom = y
		cherrypy.session['comingFrom'] = comingFrom
			
		cherrypy.session['message'] = ""
		group=kwargs['grouping']
		if group == 'taxonName':
			group= 'taxonBox'
		if kwargs.has_key('record_basis'):
			cherrypy.session['recordBasis'] = kwargs['record_basis']
			if 'any' in  kwargs['record_basis']:
				cherrypy.session['recordBasis'] = "any"
		else:
			cherrypy.session['recordBasis'] = "any"
		if kwargs.has_key('option'):
			cherrypy.session['photo'] = True
		else:
			cherrypy.session['photo'] = False
			
		cherrypy.session['advancedFields'] = [kwargs['taxonName'], kwargs['higherTaxon'], 
											  kwargs['family'], kwargs['collectionId'],
											  kwargs['institutionId'], kwargs['country'],
											  kwargs['dateInf'], kwargs['dateSup'],
											  kwargs['locality'], kwargs['commonName'],
											  kwargs['genus'], kwargs['collector'],
											  cherrypy.session['recordBasis'], cherrypy.session['photo'],
											  '', kwargs['collNumber'],kwargs['fieldNumber'],kwargs['unitID']]
		cherrypy.session['withData']=True

		cherrypy.session['group'] = group
		cherrypy.session['taxonName'] = self.handle(param=kwargs['taxonName'],field='taxonName')
		cherrypy.session['higherTaxon']= self.handle(param=kwargs['higherTaxon'],field='higherTaxon')
		cherrypy.session['family'] = self.handle(param=kwargs['family'],field='family')
		cherrypy.session['collection'] = self.handle(param=kwargs['collectionId'])
		cherrypy.session['institution'] = self.handle(param=kwargs['institutionId'])
		cherrypy.session['country'] = self.handle(param=kwargs['country'])
		cherrypy.session['collNumber']=self.handle(param=kwargs['collNumber'], field='collNumber')
		cherrypy.session['fieldNumber']=self.handle(param=kwargs['fieldNumber'], field='fieldNumber')
		
#		####
#		####thesaurus staff----------------------------------------------		
#		####
#		tmp = self.getCfgObj().checklist.thesauri.split("(")
#		tklist={}
#		for cell in tmp:
#			tmp2 = cell.split(")")
#			for case in tmp2:
#				cell = case.split(",")
#				if len(cell)==2:
#					tklist[cell[0]]=cell[1]
#		cherrypy.session['checklistDic'] = tklist
#		self.checklist = cherrypy.session.get('checklistDic').keys()
#		
#		try:
#			cherrypy.session.get('checklists').keys()
#			self.checklistsdict = cherrypy.session.get('checklists')
#		except:
#			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
#			tmp = TransformXmlForThesaurus().loadReferences()
#			self.checklistsdict = cherrypy.session.get('checklists')
#		cherrypy.session['useToto']=kwargs.get('expandNames',False)
#		tmp = kwargs.get('thesaurus',None)
#		if tmp is None:
#			tmp=['%s@ref%s'%(p.name,p.referenceIDs) for pp in self.checklistsdict.values() for p in pp if p is not None and p.name in self.checklist]
#		if type(tmp) != ListType:
#			cherrypy.session['selectedThesaurus'] = [tmp]
#		else:
#			cherrypy.session['selectedThesaurus']=tmp
#		recursive = kwargs.get('recursive',False)
#		if recursive != False:
#			recursive=True
#		cherrypy.session['recursive']=recursive
#		###--------------------------------------------------------------
		from thesaurusconf.thesaurusConf import ThesaurusConf
		ThesaurusConf().getCookieThesaurus()
		thesaurusActivated =kwargs.get('thesaurusActivated',False)
		if thesaurusActivated=='False' or thesaurusActivated==False:
			thesaurusActivated=False
		else:
			thesaurusActivated=True
		cherrypy.session['useToto']=thesaurusActivated	
						
		a=kwargs['dateInf']
		b=kwargs['dateSup']
		if a=='':
			a=None
		if b=='':
			b=None
		if a is not None or b is not None:
			try:
				if a is not None:
					if int(a)<0:
						a='0'
				else:
					a='0'
				cherrypy.session['dateInf'] = int(a)
				if b is not None:
					if int(b)<0:
						b='2008'
				else:
					b='2008'
				cherrypy.session['dateSup'] = int(b)
			except Exception,e:
				cherrypy.session['message']+='The year must be a number<br/>'
				cherrypy.session['withData']=True
			if a is not None:
				if len(a)>4:
					cherrypy.session['message']+='The year can not contain more than 4 digits<br/>'
					cherrypy.session['withData']=True
			if b is not None:
				if len(b)>4:
					cherrypy.session['message']+='The year can not contain more than 4 digits<br/>'
					cherrypy.session['withData']=True
		
		cherrypy.session['locality'] = self.handle(param=kwargs['locality'],field='locality')
		cherrypy.session['commonName'] = self.handle(param=kwargs['commonName'],field='commonName')
		cherrypy.session['unitID'] = self.handle(param=kwargs['unitID'],field='unitID')
#		cherrypy.session['unitKey']= self.handle(param=kwargs.get('unitKey',''))
		cherrypy.session['unitKey']=''
		cherrypy.session['genus'] = self.handle(param=kwargs['genus'],field='genus')
		cherrypy.session['collector']=self.handle(param=kwargs['collector'],field='collector')
		
		if cherrypy.session.get('message','')!='':
			if len(cherrypy.session.get('message'))>5:
				m=cherrypy.session.get('message')
				cherrypy.session['message']=m[0:len(m)-5]
			return self.redirect("/search/units/advancedSearch")
		#
		#for search based on a map
		#	
		if kwargs.has_key('latitudeInf'):
			latitudeInf = str(kwargs['latitudeInf'])
		else:
			latitudeInf = None
		if kwargs.has_key('latitudeSup'):
			latitudeSup = str(kwargs['latitudeSup'])
		else:
			latitudeSup = None
		if kwargs.has_key('longitudeInf'):
			longitudeInf = str(kwargs['longitudeInf'])
		else:
			longitudeInf = None
		if kwargs.has_key('longitudeSup'):
			longitudeSup = str(kwargs['longitudeSup'])
		else:
			longitudeSup = None
		cherrypy.session['coords'] = [latitudeInf,latitudeSup, longitudeInf, longitudeSup]
		
		
		if cherrypy.session.get('unitKey',"") == "" and cherrypy.session.get('taxonName',"") == "" and cherrypy.session.get('commonName',"") =="" and cherrypy.session.get('family',"") =="" 	and cherrypy.session.get('genus',"")=="" and cherrypy.session.get('collector',"")=="" and cherrypy.session.get('locality',"")=="" and cherrypy.session.get('collNumber',"")=="" and cherrypy.session.get('fieldNumber',"")==""  and cherrypy.session.get('unitID',"")=="":
			cherrypy.session['message'] = "Please fill at least one of the following fields: taxonName, commonName, family, genus, collector, locality, fieldNumber, collectorNumber, unitID."
			cherrypy.session['withData']=True
			return self.redirect("/search/units/advancedSearch")

		#log.info("advanced fields: %s" %str(cherrypy.session['advancedFields']))
				
		#expand the search for the current names - do not care about locality, country
		#only works if there are less than 10names			
		self.preBuildQuery()
		
		names = cherrypy.session['taxonName']
		if type(names) != ListType:
			names=names.split(',')
		a=[p.replace('subsp. ','ssp. ') for p in names]
		b=[p.replace('ssp. ','subsp. ') for p in names]
		#c=[p.replace('ssp. ',' ') for p in names]
		names.extend(a)
		names.extend(b)
		#names.extend(c)
		names=list(set(names))
			
		if cherrypy.session.get('useToto',False) and len(cherrypy.session.get('taxonName',''))>0 and len(cherrypy.session.get('taxonName','').split(','))<11:
			inter = U_Preview()
			inter.reinit()
			inter.reinitThesaurus()				
			inter.expandSearch(names)
			
#		qrm = QueryReminder() 		
		query = self.buildQuery()
		
		#----------save the first query
		
#		#log.info("advanced fields: %s" %str(cherrypy.session['advancedFields']))
		queryStr = "".join(query)
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		cherrypy.session['reset']=queryStr
		connection = DBconnection()
		connection.setDatabase("units")
		
		#log.info("advanced search query: %s" %queryStr)
		if(connection is not None):
			try:
				startQuery = time.time()
				cursor = connection.executeQuery(queryStr)
				duree = time.time() - startQuery
				if duree > self.max:
					log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryStr)))
				
				resultSet = cursor.fetchall()
				closeConnection(connection)
				 
			except Exception,e:
				log.debug("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				closeConnection(connection)
	
			queryStr=None#clean for the session file
			query=None#clean for the session file
			
			if not cherrypy.session.get('cancel',False):
				inter = U_Preview()
				inter.reinit()
				inter.reinitThesaurus()		
				cherrypy.session["resultSet"]=resultSet
				cherrypy.session["searchType"]='advanced'
				cherrypy.session["recordFilter"]=cherrypy.session.get('recordBasis','any')
				cherrypy.session["multimediaOnly"]=cherrypy.session.get('photo',False)
				
				inter.setTaxonList()
	
				if cherrypy.session.get('group') != "taxonBox":
					return inter.see(cherrypy.session.get('group'),'')
				else:
					if not self.checkGBIFAgreementCookie():
						cherrypy.session['forwardURL']="/search/units/preview"
						return self.redirect("/search/units/gbifAgreement")
					return self.redirect ("/search/units/preview")

	@cherrypy.expose
	def performAdvancedSearchStraight(self, **kwargs):
		try:
			cleanSession()
		except:
			pass
		cherrypy.session["searchType"]='advanced'
		
		try:
			self._propsFile.getProperty("select","taxon")
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		
		comingFrom = cherrypy.request.headerMap.items()
		for x,y in comingFrom:
			if x == "Referer":
				comingFrom = y
		cherrypy.session['comingFrom'] = comingFrom
			
		cherrypy.session['message'] = ""
		group=kwargs['grouping']
		if group == 'taxonName':
			group= 'taxonBox'
		if kwargs.has_key('record_basis'):
			cherrypy.session['recordBasis'] = kwargs['record_basis']
			if 'any' in  kwargs['record_basis']:
				cherrypy.session['recordBasis'] = "any"
		else:
			cherrypy.session['recordBasis'] = "any"
		if kwargs.has_key('option'):
			cherrypy.session['photo'] = True
		else:
			cherrypy.session['photo'] = False
			
		cherrypy.session['advancedFields'] = [kwargs['taxonName'], kwargs['higherTaxon'], 
											  kwargs['family'], kwargs['collectionId'],
											  kwargs['institutionId'], kwargs['country'],
											  kwargs['dateInf'], kwargs['dateSup'],
											  kwargs['locality'], kwargs['commonName'],
											  kwargs['genus'], kwargs['collector'],
											  cherrypy.session['recordBasis'], cherrypy.session['photo'],
											  '', kwargs['collNumber'],kwargs['fieldNumber'],kwargs['unitID']]
		cherrypy.session['withData']=True

		cherrypy.session['group'] = group
		cherrypy.session['taxonName'] = self.handle(param=kwargs['taxonName'],field='taxonName')
		cherrypy.session['higherTaxon']= self.handle(param=kwargs['higherTaxon'],field='higherTaxon')
		cherrypy.session['family'] = self.handle(param=kwargs['family'],field='family')
		cherrypy.session['collection'] = self.handle(param=kwargs['collectionId'])
		cherrypy.session['institution'] = self.handle(param=kwargs['institutionId'])
		cherrypy.session['country'] = self.handle(param=kwargs['country'])
		cherrypy.session['collNumber']=self.handle(param=kwargs['collNumber'], field='collNumber')
		cherrypy.session['fieldNumber']=self.handle(param=kwargs['fieldNumber'], field='fieldNumber')
		
		a=kwargs['dateInf']
		b=kwargs['dateSup']
		if a=='':
			a=None
		if b=='':
			b=None
		if a is not None or b is not None:
			try:
				if a is not None:
					if int(a)<0:
						a='0'
				else:
					a='0'
				cherrypy.session['dateInf'] = int(a)
				if b is not None:
					if int(b)<0:
						b='2008'
				else:
					b='2008'
				cherrypy.session['dateSup'] = int(b)
			except Exception,e:
				cherrypy.session['message']+='The year must be a number<br/>'
				cherrypy.session['withData']=True
			if a is not None:
				if len(a)>4:
					cherrypy.session['message']+='The year can not contain more than 4 digits<br/>'
					cherrypy.session['withData']=True
			if b is not None:
				if len(b)>4:
					cherrypy.session['message']+='The year can not contain more than 4 digits<br/>'
					cherrypy.session['withData']=True
		
		cherrypy.session['locality'] = self.handle(param=kwargs['locality'],field='locality')
		cherrypy.session['commonName'] = self.handle(param=kwargs['commonName'],field='commonName')
		cherrypy.session['unitID'] = self.handle(param=kwargs['unitID'],field='unitID')
#		cherrypy.session['unitKey']= self.handle(param=kwargs.get('unitKey',''))
		cherrypy.session['unitKey']=''
		cherrypy.session['genus'] = self.handle(param=kwargs['genus'],field='genus')
		cherrypy.session['collector']=self.handle(param=kwargs['collector'],field='collector')
		
		if cherrypy.session.get('message','')!='':
			if len(cherrypy.session.get('message'))>5:
				m=cherrypy.session.get('message')
				cherrypy.session['message']=m[0:len(m)-5]
			return self.redirect("/search/units/advancedSearch")
		#
		#for search based on a map
		#	
		if kwargs.has_key('latitudeInf'):
			latitudeInf = str(kwargs['latitudeInf'])
		else:
			latitudeInf = None
		if kwargs.has_key('latitudeSup'):
			latitudeSup = str(kwargs['latitudeSup'])
		else:
			latitudeSup = None
		if kwargs.has_key('longitudeInf'):
			longitudeInf = str(kwargs['longitudeInf'])
		else:
			longitudeInf = None
		if kwargs.has_key('longitudeSup'):
			longitudeSup = str(kwargs['longitudeSup'])
		else:
			longitudeSup = None
		cherrypy.session['coords'] = [latitudeInf,latitudeSup, longitudeInf, longitudeSup]
		
		
		if cherrypy.session.get('unitKey',"") == "" and cherrypy.session.get('taxonName',"") == "" and cherrypy.session.get('commonName',"") =="" and cherrypy.session.get('family',"") =="" 	and cherrypy.session.get('genus',"")=="" and cherrypy.session.get('collector',"")=="" and cherrypy.session.get('locality',"")=="" and cherrypy.session.get('collNumber',"")=="" and cherrypy.session.get('fieldNumber',"")==""  and cherrypy.session.get('unitID',"")=="":
			cherrypy.session['message'] = "Please fill at least one of the following fields: taxonName, commonName, family, genus, collector, locality, fieldNumber, collectorNumber, unitID."
			cherrypy.session['withData']=True
			return self.redirect("/search/units/advancedSearch")

#		#log.info("advanced fields: %s" %str(cherrypy.session['advancedFields']))
				
		#expand the search for the current names - do not care about locality, country
		#only works if there are less than 10names			
		self.preBuildQuery()
		
		names = cherrypy.session['taxonName']
		if type(names) != ListType:
			names=names.split(',')
		a=[p.replace('subsp. ','ssp. ') for p in names]
		b=[p.replace('ssp. ','subsp. ') for p in names]
		#c=[p.replace('ssp. ',' ') for p in names]
		names.extend(a)
		names.extend(b)
		#names.extend(c)
		names=list(set(names))
		cherrypy.session['taxonName']=names	
			
#		qrm = QueryReminder() 		
		query = self.buildQuery()
		
		#----------save the first query
		
#		#log.info("advanced fields: %s" %str(cherrypy.session['advancedFields']))
		queryStr = "".join(query)
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		cherrypy.session['reset']=queryStr
		connection = DBconnection()
		connection.setDatabase("units")
		
		#log.info("advanced search query: %s" %queryStr)
		if(connection is not None):
			try:
				startQuery = time.time()
				cursor = connection.executeQuery(queryStr)
				duree = time.time() - startQuery
				if duree > self.max:
					log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryStr)))
				
				resultSet = cursor.fetchall()
				closeConnection(connection)
				 
			except Exception,e:
				log.debug("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				closeConnection(connection)
	
			queryStr=None#clean for the session file
			query=None#clean for the session file
			
			if not cherrypy.session.get('cancel',False):
				inter = U_Preview()
				inter.reinit()
				inter.reinitThesaurus()		
				cherrypy.session["resultSet"]=resultSet
				cherrypy.session["searchType"]='advanced'
				cherrypy.session["recordFilter"]=cherrypy.session.get('recordBasis','any')
				cherrypy.session["multimediaOnly"]=cherrypy.session.get('photo',False)
				
				inter.setTaxonList()
				
				par=cherrypy.session['params']
				tlist=par['taxonList']
				inter.seeResultStraight(tlist,"taxonBox")
				
				if cherrypy.session.get('group') != "taxonBox":
					return inter.see(cherrypy.session.get('group'),'')
				else:
					if not self.checkGBIFAgreementCookie():
						cherrypy.session['forwardURL']="/search/units/results"
						return self.redirect("/search/units/gbifAgreement")
					return self.redirect ("/search/units/results")
				
	def preBuildQuery(self):
		qrm = QueryReminder() 
		params = []  
		if cherrypy.session.get('unitKey',"") != "":
			params.append("unitKey")
			qrm.addUnit(cherrypy.session.get('unitKey'))
		if cherrypy.session.get('unitID',"") != "":
			params.append("unitID")
			qrm.addUnitID(cherrypy.session.get('unitID'))
		if cherrypy.session.get('taxonName',"") != "":
			params.append("taxonName")
			qrm.addTaxon(cherrypy.session.get('taxonName'))
		if cherrypy.session.get('higherTaxon',"") != "":
			params.append("higherTaxon")
			qrm.addHigher(cherrypy.session.get('higherTaxon'))
		if cherrypy.session.get('family',"") != "":
			params.append("family")
			qrm.addFamily(cherrypy.session.get('family'))
		if cherrypy.session.get('collection',"") != "":
			params.append("collection")
			qrm.addCollection(cherrypy.session.get('collection'))
		if cherrypy.session.get('institution',"") != "":
			params.append("institution")
#			log.info("institution : %s" %cherrypy.session.get('institution'))
			qrm.addInstitution(cherrypy.session.get('institution'))
		if cherrypy.session.get('country',"") != "":
			params.append("country")
			qrm.addCountry(cherrypy.session.get('country'))
		if cherrypy.session.get('locality',"") != "":
			params.append("locality")
			qrm.addLocality(cherrypy.session.get('locality'))
		if cherrypy.session.get('commonName',"") != "":
			params.append("commonName")
			qrm.addCommon(cherrypy.session.get('commonName'))
		if cherrypy.session.get('genus',"") != "":
			params.append("genus")
			qrm.addGenus(cherrypy.session.get('genus'))
		
		if cherrypy.session.get('collector',"") != "":
			params.append("collector")
			qrm.addCollector(cherrypy.session.get('collector'))
		if cherrypy.session.get('collNumber',"") !="":
			params.append("collNumber")
			qrm.addCollNumber(cherrypy.session.get('collNumber'))
		if cherrypy.session.get('fieldNumber',"") !="":
			params.append("fieldNumber")
			qrm.addFieldNumber(cherrypy.session.get('fieldNumber'))
			
		if cherrypy.session.get('dateEq',"") != "" and cherrypy.session.get('dateEq') is not None:
			params.append("dateEq")
			qrm.addDateEq(cherrypy.session.get('dateEq'))
		if cherrypy.session.get('dateInf',"") != "" and cherrypy.session.get('dateInf') is not None:
			params.append("dateInf")
			qrm.addDateInf(cherrypy.session.get('dateInf'))
		if cherrypy.session.get('dateSup',"") != "" and cherrypy.session.get('dateSup') is not None: 
			params.append("dateSup")
			qrm.addDateSup(cherrypy.session.get('dateSup'))
		if "dateSup" in params or "dateInf" in params or "dateEq" in params:
			params.append("date")
		if cherrypy.session.get('photo',False) == True:
			params.append("multimedia")
			qrm.setMultimediaOnly(True)
		if cherrypy.session.get('onlyType',False):
			params.append("type")
			qrm.setTypeOnly(True)
		if cherrypy.session.get('recordBasis',"any") != "any":
			params.append("recordBasis")
			qrm.addType(cherrypy.session.get('recordBasis'))
		if cherrypy.session.get('coords',[None]) [0] is not None:
			params.append("coordinates")
			qrm.addCoordinates(cherrypy.session.get('coords'))
	 
#	 	cherrypy.session["resetQrmMem"]=qrm.getValue()
		tmp=qrm.getQueryrm()
		cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()]) 
		cherrypy.session["queryparams"] = params
		
		cherrypy.session['select']='taxon'
		querymn = cherrypy.session.get('u_qmg',{}) 
		querymn["straightSearch"]=True
		querymn["advancedSearch"]=True
		cherrypy.session["u_qmg"]=querymn
		
	def buildQuery(self):		
		qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		return qmg.buildSelectSQL(freeText=True)

		
	def handle(self,param="",field=""):
		'''
		test if the strings are big enough, do not contain unwished wildcard etc etc
		'''
		mess=False
		if param is None:
			return ''
		if field =='taxonName':
			param = param.replace("\'","\\'")
		else:
			param = param.replace("(","").replace(")","").replace("\'","\\'")
		if ' OR ' in param:
			entrees=param.split(' OR ')
		else:
			entrees=[param]
		mylist=[]
		for entree in entrees:
			if len(entree)>0:
				if field!="":
					if field in ["family","higherTaxon"]:					
						if entree[0]=='*' or entree[0]=='%':
							cherrypy.session['message']+='The %s field can not begin with a *.<br/>'%field
							mess=True
						if entree not in mylist and not mess:
							mylist.append(entree)
						if entree.strip() not in mylist and len(entree.strip())>0 and not mess:
							mylist.append(entree.strip())
					else:
						if field in ['collNumber','fieldNumber']:
							if '*' in entree or '%' in entree:
								if entree[0]=='*' or entree[0]=='%':
									cherrypy.session['message']+='The %s field can not start a wildcard.<br/>'%field
									mess=True
								t=len(entree)
								if (entree[t-1]=='*' or entree[t-1]=='%') and t<4:
									cherrypy.session['message']+='The %s field must contain at least 3 characters if it ends with a *.<br/>'%field
									mess=True
							if entree not in mylist and not mess:
								mylist.append(entree)
							if entree.strip() not in mylist and len(entree.strip())>0 and not mess:
								mylist.append(entree.strip())
						else:
							if field == 'unitID':
								if '*' in entree or '%' in entree:
									cherrypy.session['message']+='The %s field can not contain a wildcard. <br/>'%field
									mess=True
								if entree not in mylist and not mess:
									mylist.append(entree)
							else:
								if '*' not in entree and '%' not in entree:
									if len(entree)<3:
										cherrypy.session['message']+='The %s field must contain at least 3 characters.<br/>'%field
										mess=True
									if entree not in mylist and not mess:
										mylist.append(entree)
									if entree.strip() not in mylist and len(entree.strip())>0 and not mess:
										mylist.append(entree.strip())
								else:
									if '*' in entree or '%' in entree:
										if (entree[0]=='*' or entree[0]=='%') and len(entree)<6:
											if field=='collector' or field=='locality':
												cherrypy.session['message']+='The %s field can not begin with a *.<br/>'%field
											else:
												cherrypy.session['message']+='The %s field must contain at least 5 characters if it starts with a *.<br/>'%field
											mess=True
	
										t=len(entree)
										if (entree[t-1]=='*' or entree[t-1]=='%') and t<4:
											cherrypy.session['message']+='The %s field must contain at least 3 characters if it ends with a *.<br/>'%field
											mess=True
										if entree not in mylist and not mess:
											mylist.append(entree) #add the entry
										if entree.strip() not in mylist and len(entree.strip())>0 and not mess:
											mylist.append(entree.strip()) #add the entry and remove extra spaces
				else:
					if entree not in mylist and not mess:
						mylist.append(entree) #add the entry
					if entree.strip() not in mylist and len(entree.strip())>0 and not mess:
						mylist.append(entree.strip()) #add the entry and remove extra spaces
					
		if len(mylist)>0:
			if field =='taxonName':
				return	', '.join(mylist).replace("*","%")
			else:						
				return '('+', '.join(mylist)+')'.replace("*","%")
			
		return ""
	
	
	def goToDetails(self,kwargs):
		if kwargs.has_key('unitKey'):
			bioRecordKey = kwargs['unitKey']
		else:
			bioRecordKey = None
		qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		res= qmg.getUnitsDetails(bioRecordKey)
		
		try:
			cleanSession()
		except:
			pass	
		
		if res is not None:
			if type(res) == type((1,2)):
				try:
					res=res[0]
				except:
					pass
			unitID=_carac.encodeCaracters(res[0])
			instID=_carac.encodeCaracters(res[1])
			collID=_carac.encodeCaracters(res[2])
			resID=_carac.encodeCaracters(str(res[3]))
			ava = U_Preview() 
			det = U_Preview() 
			return self.redirect("/search/units/details/getDetails/%s/%s/%s/%s"%(unitID,collID,instID,resID))
#____________________									____
#____________________ Advanced Search based on units data____

class U_SimpleSearch(page.Page): 
	
	def __init__(self):
		self.title = "Units simple search"
		self.body = "searchPage"		 
		_cfgObj = self.getCfgObj()
		#load the file with the queries for the unit's database
		propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
		if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
			   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
		self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)	
		try:
			self.max = float(_cfgObj.slowQueries.max)
		except Exception,e:
			log.info("PB with max time for queries %s --" %(e))
			self.max=7.0
		
		   
	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''	 
		self.filePath = 'search/units/'
		self.fileName='_simple.kid'
		cherrypy.session["searchType"]='simple'
		
		javascript='<script src="%s/static/php/dojotree/teleport_xmlrpc.js" type="text/javascript"/><script src="%s/static/php/dojotree/suggest.js" type="text/javascript"/>'%(self.getCfgObj().server.webroot,self.getCfgObj().server.webroot)
		comeFrom = cherrypy.request.headerMap.get('Referer','')
		
		querymn = cherrypy.session.get('u_qmg',{})	
		querymn["advancedSearch"]=False
		
		try:  
			if 'simple' not in comeFrom and 'index' not in comeFrom and comeFrom !=self.getCfgObj().server.host+self.getCfgObj().server.webroot+'/':
				cherrypy.session['message']=''
		except Exception,e:
			log.info("pb in simple search index - test for the message %s"%e)
		#load the queryreminder (stores current search parameters)
		qrm = QueryReminder()
		
		#clean the current session (delete all keys&values that come after the Preview's step
		
		action =  cherrypy.session.get('action',"")
		if 'unitName' not in action:
			action = action+"; giveFocus('unitName')"
#		####
#		####thesaurus staff----------------------------------------------		
#		####
#		tmp = self.getCfgObj().checklist.thesauri.split("(")
#		tklist={}
#		for cell in tmp:
#			tmp2 = cell.split(")")
#			for case in tmp2:
#				cell = case.split(",")
#				if len(cell)==2:
#					tklist[cell[0]]=cell[1]
#		cherrypy.session['checklistDic'] = tklist
#		self.checklist = cherrypy.session.get('checklistDic').keys()
#		
#		try:
#			self.checklistsdict = cherrypy.session.get('checklists')
#			tmp = self.checklistsdict.keys()
#		except:
#			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
#			tmp = TransformXmlForThesaurus().loadReferences()
#			self.checklistsdict = cherrypy.session.get('checklists')
#		thesaurus={}
#		for key in self.checklistsdict.keys():
#			if key in self.checklist:
#				thesaurus[key]=self.checklistsdict.get(key)
#		#-----------------------------------------------------------
#		return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, 
#						body=self.body,message=cherrypy.session.get('message',''),action=action,
#						javascript=javascript, thesaurusList=thesaurus)
		return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, 
						body=self.body,message=cherrypy.session.get('message',''),action=action,
						javascript=javascript)   
	

	
	@cherrypy.expose
	def query1(self,*args,**kwargs):
		'''
		first step: called from the index page and from the simple search page
		params: the scientific name to search
		query the database,  create a preview object, and redirect to the Preview's page
		'''

		try:
			cleanSession()
		except:
			pass
		cherrypy.session["searchType"]='simple'
		try:
			self._propsFile.getProperty("select","taxon")
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		try:	
			if kwargs.has_key('unitName'):
				name = kwargs['unitName'].strip()
			else:
				name = kwargs['taxonName'].strip()
			if name is not None:
				name=name.replace("*","%")
			cherrypy.session['taxonName']=name
		except:
			log.info("Problem with the query1 units simple search")
			self.redirect('/index/session')
		
		qrm = QueryReminder() 
		params = []  
		if cherrypy.session.get('unitKey',"") != "":
			params.append("unitKey")
			qrm.addUnit(cherrypy.session.get('unitKey'))
		if cherrypy.session.get('taxonName',"") != "":
			params.append("taxonName")
			qrm.addTaxon(cherrypy.session.get('taxonName'))
		tmp=qrm.getQueryrm()
		cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()]) 
		cherrypy.session["queryparams"] = params
		
		
#		####
#		####thesaurus staff----------------------------------------------		
#		####
#		tmp = self.getCfgObj().checklist.thesauri.split("(")
#		tklist={}
#		for cell in tmp:
#			tmp2 = cell.split(")")
#			for case in tmp2:
#				cell = case.split(",")
#				if len(cell)==2:
#					tklist[cell[0]]=cell[1]
#		cherrypy.session['checklistDic'] = tklist
#		self.checklist = cherrypy.session.get('checklistDic').keys()
#		
#		try:
#			cherrypy.session.get('checklists').keys()
#			self.checklistsdict = cherrypy.session.get('checklists')
#		except:
#			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
#			tmp = TransformXmlForThesaurus().loadReferences()
#			self.checklistsdict = cherrypy.session.get('checklists')
#		cherrypy.session['useToto']=kwargs.get('expandNames',False)
#		tmp = kwargs.get('thesaurus',None)
#		if tmp is None:
#			tmp=['%s@ref%s'%(p.name,p.referenceIDs) for pp in self.checklistsdict.values() for p in pp if p is not None and p.name in self.checklist]
#		if type(tmp) != ListType:
#			cherrypy.session['selectedThesaurus'] = [tmp]
#		else:
#			cherrypy.session['selectedThesaurus']=tmp
#		recursive = kwargs.get('recursive',False)
#		if recursive != False:
#			recursive=True
#		cherrypy.session['recursive']=recursive
#		###--------------------------------------------------------------
		from thesaurusconf.thesaurusConf import ThesaurusConf
		ThesaurusConf().getCookieThesaurus()
		thesaurusActivated =kwargs.get('thesaurusActivated',False)
		if thesaurusActivated=='False' or thesaurusActivated==False:
			thesaurusActivated=False
		else:
			thesaurusActivated=True
		cherrypy.session['useToto']=thesaurusActivated	
				
		nameT = []
		query = []


		mess=False
		cherrypy.session['message']=''
		if '*' not in name and '%' not in name:
			if len(name)<3:
				if 'The field must contain at least 3 characters.<br/>' not in cherrypy.session.get('message'):
					cherrypy.session['message']+='The field must contain at least 3 characters.<br/>'
				mess=True
		elif len(name)>0 and (name[0]=='*' or name[0]=='%') and len(name)<6:
			if 'The field must contain at least 5 characters if it starts with a *.<br/>' not in cherrypy.session.get('message'):
				cherrypy.session['message']+='The field must contain at least 5 characters if it starts with a *.<br/>'
			mess=True
		t=len(name)
		if t>0 and (name[t-1]=='*' or name[t-1]=='%') and t<4:
			if 'The field must contain at least 3 characters if it ends with a *.<br/>' not in cherrypy.session.get('message'):
				cherrypy.session['message']+='The field must contain at least 3 characters if it ends with a *.<br/>'
			mess=True
		if mess:
			return self.redirect("/search/units/simpleSearch")	
		else:
			#expand the search for the current names - do not care about locality, country
			#only works if there are less than 10names			
			
			names = cherrypy.session['taxonName']
			if type(names) != ListType:
				names=names.split(',')
			a=[p.replace('subsp. ','ssp. ') for p in names]
			b=[p.replace('ssp. ','subsp. ') for p in names]
			#c=[p.replace('ssp. ',' ') for p in names]
			names.extend(a)
			names.extend(b)
			#names.extend(c)
			names=list(set(names))
			
			if cherrypy.session.get('useToto',False) and len(cherrypy.session.get('taxonName',''))>0 and len(cherrypy.session.get('taxonName','').split(','))<11:
				inter = U_Preview()
				inter.reinit()
				inter.reinitThesaurus()				
				inter.expandSearch(names)
			
			names=[]
			namesWild=[]
			for taxon in cherrypy.session.get('taxonName',name).split(','):
				if '*' not in taxon and '%' not in taxon:
					names.append("'"+taxon+"'")
				else:
					namesWild.append("'"+taxon+"'")
			if '*' in name or '%' in name:
				if name not in namesWild:
					namesWild.append("'"+name+"'")
			else:
				if name not in names:
					names.append("'"+name+"'")
				
			cherrypy.session['message']=''
			query.append(self._propsFile.getProperty("select","taxon"))
			query.append(" \t ")
			query.append(self._propsFile.getProperty("from","taxon"))
			query.append(" \t ")
			query.append(self._propsFile.getProperty("where","taxon"))
			if len(names)>0:
				query.append(" IN (%s)"%', '.join(names))
				if len(namesWild)>0:
					query.append(self._propsFile.getProperty("or","taxonName"))
			if len(namesWild)>0:
				#can only be one name, as it's the simple search
				query.append(" LIKE %s"%namesWild[0])
			queryString = " ".join(query)
			queryString.replace("*","%")
			cherrypy.session['reset']=queryString
			
			nameT.append(name)
			qrm = QueryReminder()
			qrm.addTaxon(nameT)
			cherrypy.session["resetQrmMem"]=qrm.getValue()
			cherrypy.session["u_s_qrm"] = qrm
			tmp=qrm.getQueryrm()
			cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()])
			connection = DBconnection()
			connection.setDatabase("units")
			
			
			if(connection is not None):
				try:
					startQuery = time.time()
					cursor = connection.executeQuery(queryString)
					duree = time.time() - startQuery
					if duree > self.max:
						log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryString)))
					
					resultSet = cursor.fetchall()
					closeConnection(connection)
					 
				except Exception,e:
					log.info("PB with query : %s \n query:%s " %(e,queryString))
					resultSet=[]
					closeConnection(connection)
				
				queryString=None#clean for the session file
				query=None#clean for the session file

				inter = U_Preview() 
				inter.reinit()
				inter.reinitThesaurus()		
#				log.info("add keys")
				
				cherrypy.session["resultSet"]=resultSet
				inter.setTaxonList()
			else:
				log.info("The connection was null..")

			if self.getGroup() != "taxonBox":
				return inter.see(self.getGroup(),'')
			else:
				if not self.checkGBIFAgreementCookie():
					cherrypy.session['forwardURL']="/search/units/preview"
					return self.redirect("/search/units/gbifAgreement")
				return self.redirect ("/search/units/preview")

	@cherrypy.expose
	def queryStraight(self,*args,**kwargs):
		'''
		first step: called from the index page and from the simple search page
		params: the scientific name to search
		query the database,  create a result object, and redirect to Results's page
		thesaurus desactivated
		'''

		try:
			cleanSession()
		except:
			pass
		cherrypy.session["searchType"]='simple'
		try:
			self._propsFile.getProperty("select","taxon")
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		try:	
			if kwargs.has_key('unitName'):
				name = kwargs['unitName'].strip()
			else:
				name = kwargs['taxonName'].strip()
			if name is not None:
				name=name.replace("*","%")
			cherrypy.session['taxonName']=name
		except:
			log.info("Problem with the query1 units simple search")
			self.redirect('/index/session')
		
		qrm = QueryReminder() 
		params = []  
		if cherrypy.session.get('unitKey',"") != "":
			params.append("unitKey")
			qrm.addUnit(cherrypy.session.get('unitKey'))
		if cherrypy.session.get('taxonName',"") != "":
			params.append("taxonName")
			qrm.addTaxon(cherrypy.session.get('taxonName'))
		tmp=qrm.getQueryrm()
		cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()]) 
		cherrypy.session["queryparams"] = params
		
		nameT = []
		query = []

		mess=False
		cherrypy.session['message']=''
		if '*' not in name and '%' not in name:
			if len(name)<3:
				if 'The field must contain at least 3 characters.<br/>' not in cherrypy.session.get('message'):
					cherrypy.session['message']+='The field must contain at least 3 characters.<br/>'
				mess=True
		elif len(name)>0 and (name[0]=='*' or name[0]=='%') and len(name)<6:
			if 'The field must contain at least 5 characters if it starts with a *.<br/>' not in cherrypy.session.get('message'):
				cherrypy.session['message']+='The field must contain at least 5 characters if it starts with a *.<br/>'
			mess=True
		t=len(name)
		if t>0 and (name[t-1]=='*' or name[t-1]=='%') and t<4:
			if 'The field must contain at least 3 characters if it ends with a *.<br/>' not in cherrypy.session.get('message'):
				cherrypy.session['message']+='The field must contain at least 3 characters if it ends with a *.<br/>'
			mess=True
		if mess:
			return self.redirect("/search/units/simpleSearch")	
		else:
			#expand the search for the current names - do not care about locality, country
			#only works if there are less than 10names			
			
			names = cherrypy.session['taxonName']
			if type(names) != ListType:
				names=names.split(',')
			a=[p.replace('subsp. ','ssp. ') for p in names]
			b=[p.replace('ssp. ','subsp. ') for p in names]
			#c=[p.replace('ssp. ',' ') for p in names]
			names.extend(a)
			names.extend(b)
			#names.extend(c)
			names=list(set(names))
			cherrypy.session['taxonName']=",".join(names)

			names=[]
			namesWild=[]
			for taxon in cherrypy.session.get('taxonName',name).split(','):
				if '*' not in taxon and '%' not in taxon:
					names.append("'"+taxon+"'")
				else:
					namesWild.append("'"+taxon+"'")
			if '*' in name or '%' in name:
				if name not in namesWild:
					namesWild.append("'"+name+"'")
			else:
				if name not in names:
					names.append("'"+name+"'")
				
			cherrypy.session['message']=''
			query.append(self._propsFile.getProperty("select","taxon"))
			query.append(" \t ")
			query.append(self._propsFile.getProperty("from","taxon"))
			query.append(" \t ")
			query.append(self._propsFile.getProperty("where","taxon"))
			if len(names)>0:
				query.append(" IN (%s)"%', '.join(names))
				if len(namesWild)>0:
					query.append(self._propsFile.getProperty("or","taxonName"))
			if len(namesWild)>0:
				#can only be one name, as it's the simple search
				query.append(" LIKE %s"%namesWild[0])
			queryString = " ".join(query)
			queryString.replace("*","%")
			cherrypy.session['reset']=queryString
			
			nameT.append(name)
			qrm = QueryReminder()
			qrm.addTaxon(nameT)
			cherrypy.session["resetQrmMem"]=qrm.getValue()
			cherrypy.session["u_s_qrm"] = qrm
			tmp=qrm.getQueryrm()
			cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()])
			connection = DBconnection()
			connection.setDatabase("units")
			
			
			if(connection is not None):
				try:
					startQuery = time.time()
					cursor = connection.executeQuery(queryString)
					duree = time.time() - startQuery
					if duree > self.max:
						log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryString)))
					
					resultSet = cursor.fetchall()
					closeConnection(connection)
					 
				except Exception,e:
					log.info("PB with query : %s \n query:%s " %(e,queryString))
					resultSet=[]
					closeConnection(connection)
				
				queryString=None#clean for the session file
				query=None#clean for the session file

				inter = U_Preview() 
				inter.reinit()
				inter.reinitThesaurus()		
#				log.info("add keys")
				
				cherrypy.session["resultSet"]=resultSet
				inter.setTaxonList()
				par=cherrypy.session['params']
				tlist=par['taxonList']
				inter.seeResultStraight(tlist,"taxonBox")
			else:
				log.info("The connection was null..")

			if self.getGroup() != "taxonBox":
				return inter.see(self.getGroup(),'')
			else:
				if not self.checkGBIFAgreementCookie():
					cherrypy.session['forwardURL']="/search/units/results"
					return self.redirect("/search/units/gbifAgreement")
				return self.redirect ("/search/units/results")
			
			
	def getPropsFile(self):
		return self._propsFile

class GBIFagreement(page.Page):
	def __init__(self):
		self.title = "GBIF Data Use Agreement"
		self.body = "searchPage"
		self.fileName = "_gbifAgreement.kid"
		self.filePath = "search/"
		
	@cherrypy.expose	
	def index(self):	
		self.filePath = 'search/'
		self.fileName='_gbifAgreement.kid'
		return self.render(filePath=self.filePath, fileName=self.fileName, title=self.title, body=self.body, forwardURL=cherrypy.session.get('forwardURL'))
	
	@cherrypy.expose
	def submitGBIFAgreement(self,acceptedTerms=None,refuseTerms=None):
		if acceptedTerms is not None:
			self.acceptGBIF()
			try:
				t=cherrypy.session['reset']
			except:
				self.redirect('/index/session')
			#log.info("redirige vers %s"%cherrypy.session.get('forwardURL'))
			return self.redirect (cherrypy.session.get('forwardURL','/index/session'))
		else:
			self.redirect("/static/gbifTutorial.html")
		

def cleanSession():
	'''
	clear the old session object's to improve the speed
	do not remove the specimen of the day
	'''
	for key in cherrypy.session.keys():
		if key not in[ 'lang', 'group',  'unitSearch', 'tableHeaders', 'nbResultPerPage']:
			cherrypy.session.pop(key)
				  
def closeConnection(connection):
	try:
		connection.close()
	except:
		log.info("already closed")				
