
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy, webbrowser
import kid
import logging, logging.config, os, sys

import page

# use logging
log = logging.getLogger("div")

# add local lib to sys.path
#sys.path.insert( 0, os.path.abspath( os.path.join( os.path.pardir, 'lib' ) ) )
from requestHandler.props import *
from requestHandler.dbConnection import DBconnection
from requestHandler.units.queryManager import U_QueryManager

    
class Popup(page.Page):
    
    def __init__(self):
        '''
        init the properties of the pop-up page
        '''  
        self.listParams = []
        self.countryParams = []
        self.institutionParams = []
        self.collectionParams = []
        self.familyParams = []
        self.countryList = None
        self.institutionList = None
        self.collectionList = None
        self.familyList = None
        self.title = ""
        self.filePath = 'search/units/'
        self.fileName='liste.kid'
        _cfgObj = self.getCfgObj()
        propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
        if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
               log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
        self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)  
    
    def loadQmg(self):
        self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())  
        
    
    
    @cherrypy.expose
    def index(self):
        self.loadQmg()
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title)
     
    @cherrypy.expose
    def openPopup(self,fieldName="country"): 
        self.loadQmg()
        self.__class__._listDict[fieldName](self)
        self.filePath = 'search/units/'
        self.fileName='liste.kid'
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, listParams=self.listParams)
 
    def getCountryList(self):
        self.listParams=[]
        self.title = "CountryList"
        if self.countryList is None:
            query = self._propsFile.getProperty("list","country")
            self.countryList = self.qmg.getResultSet(query)
            
            countryAD = []
            countryEH = []
            countryIL = []
            countryIL = []
            countryMP = []
            countryQT = []
            countryUX = []
            countryYZ = []
            
            for country in self.countryList:
				if len(country)>0:
					firstLetter = country[0]
					if firstLetter in "ABCD":
						countryAD.append(country)
					elif firstLetter in "EFGH":
						countryEH.append(country)
					elif firstLetter in "IJKL":
						countryIL.append(country)
					elif firstLetter in "MNOP":
						countryMP.append(country)
					elif firstLetter in "QRST":
						countryQT.append(country)
					elif firstLetter in "UVWX":
						countryUX.append(country)
					elif firstLetter in "YZ":
						countryYZ.append(country)
            self.countryParams.append(countryAD)
            self.countryParams.append(countryEH)
            self.countryParams.append(countryIL)
            self.countryParams.append(countryMP)
            self.countryParams.append(countryQT)
            self.countryParams.append(countryUX)
            self.countryParams.append(countryYZ)
        self.listParams = self.countryParams
            

            
   
    def getInstitutionList(self):
        self.title = "Institution List"
        self.listParams = []
        if self.institutionList is None:
            query = self._propsFile.getProperty("list","institution")
            self.institutionList = self.qmg.getResultSet(query)
            
            institutionAD = []
            institutionEH = []
            institutionIL = []
            institutionIL = []
            institutionMP = []
            institutionQT = []
            institutionUX = []
            institutionYZ = []
            for institution in self.institutionList:
				if len(institution)>0:
					firstLetter = institution[0]
					if firstLetter in "ABCD":
						institutionAD.append(institution)
					elif firstLetter in "EFGH":
						institutionEH.append(institution)
					elif firstLetter in "IJKL":
						institutionIL.append(institution)
					elif firstLetter in "MNOP":
						institutionMP.append(institution)
					elif firstLetter in "QRST":
						institutionQT.append(institution)
					elif firstLetter in "UVWX":
						institutionUX.append(institution)
					elif firstLetter in "YZ":
						institutionYZ.append(institution)
            self.institutionParams.append(institutionAD)
            self.institutionParams.append(institutionEH)
            self.institutionParams.append(institutionIL)
            self.institutionParams.append(institutionMP)
            self.institutionParams.append(institutionQT)
            self.institutionParams.append(institutionUX)
            self.institutionParams.append(institutionYZ)
        self.listParams = self.institutionParams
        
    def getCollectionList(self):
        self.title = "Collection List"
        self.listParams = []
        if self.collectionList is None:
            query = self._propsFile.getProperty("list","collection")
            self.collectionList = self.qmg.getResultSet(query)

            collectionAD = []
            collectionEH = []
            collectionIL = []
            collectionIL = []
            collectionMP = []
            collectionQT = []
            collectionUX = []
            collectionYZ = []
            for collection in self.collectionList:
				if len(collection)>0:
					firstLetter = collection[0]
					if firstLetter in "ABCD":
						collectionAD.append(collection)
					elif firstLetter in "EFGH":
						collectionEH.append(collection)
					elif firstLetter in "IJKL":
						collectionIL.append(collection)
					elif firstLetter in "MNOP":
						collectionMP.append(collection)
					elif firstLetter in "QRST":
						collectionQT.append(collection)
					elif firstLetter in "UVWX":
						collectionUX.append(collection)
					elif firstLetter in "YZ":
						collectionYZ.append(collection)
            self.collectionParams.append(collectionAD)
            self.collectionParams.append(collectionEH)
            self.collectionParams.append(collectionIL)
            self.collectionParams.append(collectionMP)
            self.collectionParams.append(collectionQT)
            self.collectionParams.append(collectionUX)
            self.collectionParams.append(collectionYZ)
        self.listParams = self.collectionParams
    
    def getFamilyList(self):
        self.title = "Family List"
        self.listParams = []
        if self.familyList is None:
            query = self._propsFile.getProperty("list","family")
            self.familyList = self.qmg.getResultSet(query)
            familyAD = []
            familyEH = []
            familyIL = []
            familyIL = []
            familyMP = []
            familyQT = []
            familyUX = []
            familyYZ = []
            for family in self.familyList:
				if len(family)>0:
					firstLetter = family[0]
					if firstLetter in "ABCD":
						familyAD.append(family)
					elif firstLetter in "EFGH":
						familyEH.append(family)
					elif firstLetter in "IJKL":
						familyIL.append(family)
					elif firstLetter in "MNOP":
						familyMP.append(family)
					elif firstLetter in "QRST":
						familyQT.append(family)
					elif firstLetter in "UVWX":
						familyUX.append(family)
					elif firstLetter in "YZ":
						familyYZ.append(family)
            self.familyParams.append(familyAD)
            self.familyParams.append(familyEH)
            self.familyParams.append(familyIL)
            self.familyParams.append(familyMP)
            self.familyParams.append(familyQT)
            self.familyParams.append(familyUX)
            self.familyParams.append(familyYZ)
        self.listParams = self.familyParams
        
  #dictionnary for getList action .Key has to match with the html ID
    _listDict = {
                 #not needed "taxonBox":getTaxon,
                  "collectionId":getCollectionList,
                  "institutionId":getInstitutionList,
                  "family":getFamilyList,
                  "country":getCountryList,
                  }       
