
    var map = new GMap(document.getElementById("map"));
    //map.enableDoubleClickZoom();

	// Create tile layers
	var grid_base= new GTileLayer(new GCopyrightCollection(""),6,0);
	grid_base.myLayers='tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences';
	//grid_base.sldUrl = 'http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FBaseMap.sld.xml';
	grid_base.sldUrl = 'http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FSynthesys.sld.php';
	grid_base.myFormat='image/png';
	grid_base.myBaseURL='http://synthesys.csic.es/OGCphpCache/wms_cache.php?';
	//grid_base.myBaseURL='http://synthesys.csic.es:8080/geoserver/wms?';
	grid_base.myMercZoomLevel = 4;
	grid_base.getTileUrl=CustomGetTileUrl;
	//grid_base.getOpacity = function() {return 0.8;}
	
	// White world countries layer
	var world_countries= new GTileLayer(new GCopyrightCollection(""),6,0);
	world_countries.myLayers='tdwg:world_lb,tdwg:world_adm0';
	world_countries.sldUrl = 'http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FWorldBase.sld.php';
	world_countries.myFormat='image/png';
	world_countries.myBaseURL='http://synthesys.csic.es/OGCphpCache/wms_cache.php?';
	/world_countries.myBaseURL='http://synthesys.csic.es:8080/geoserver/wms?';
	world_countries.myMercZoomLevel = 3;
	world_countries.getTileUrl=CustomGetTileUrl;	
	

	var layer0=[G_NORMAL_MAP.getTileLayers()[0],world_countries, grid_base]; 
	var layer1=[G_NORMAL_MAP.getTileLayers()[0],grid_base]; 
	var layer2=[G_SATELLITE_MAP.getTileLayers()[0],grid_base]; 
	var layer3=[G_SATELLITE_MAP.getTileLayers()[0],G_HYBRID_MAP.getTileLayers()[1],grid_base]; 

    var custommap0 = new GMapType(layer0, G_SATELLITE_MAP.getProjection(), "White", G_SATELLITE_MAP,{maxResolution:15, minResolution:2} );
    var custommap1 = new GMapType(layer1, G_SATELLITE_MAP.getProjection(), "Map", G_SATELLITE_MAP,{maxResolution:15, minResolution:2} );
	var custommap2 = new GMapType(layer2, G_SATELLITE_MAP.getProjection(), "Satellite", G_SATELLITE_MAP,{maxResolution:15, minResolution:2} );
    var custommap3 = new GMapType(layer3, G_SATELLITE_MAP.getProjection(), "Hybrid", G_SATELLITE_MAP,{maxResolution:15, minResolution:2}  );   


 	map.getMapTypes().length = 0;
 	map.addMapType(custommap0);
    map.addMapType(custommap1);
    map.addMapType(custommap2);
    map.addMapType(custommap3);
	
	map.addControl(new GLargeMapControl());
    map.addControl(new GMapTypeControl());
    map.addControl(new GScaleControl());
	map.setCenter(new GLatLng(54.367759, 20.917969), 3);

		
//Display markers when user click
	GEvent.addListener(map, "click", function(marker, point) {
		url="/europe/search/map/proxy.php?";
		url = url + "zoomLevel="+map.getZoom();
		url = url + "&bbox="+getPointbuffered(point,map.getZoom());
		url = url + "&taxonName="+replaceWhiteString(document.getElementById('scientificname').value);
		
		print_debug(url);
        alert ("lala");
		//Show the loading bar while the points are loaded
		document.getElementById('loadingbar2').style.visibility="visible";
	    document.getElementById('loadingbar2').style.height="10px";
	    
		GDownloadUrl(url,function(data, responseCode) {
        	var xmlDoc = GXml.parse(data);
        	//parse points
        	marks = xmlDoc.documentElement.getElementsByTagName("mark");
        	print_debug("Marks:" + marks.length);
        	//remove all previous marks
        	map.clearOverlays();
        	if (marks.length>4) {numb_marks=4;}else{numb_marks=marks.length;}
        	for(var i=0; i < marks.length; i++){
        	    marker = new GMarker(new GPoint(parseFloat(marks[i].getAttribute("x")), parseFloat(marks[i].getAttribute("y"))));
        	    //check if this marker has tabs or not
        	    tabs = marks[i].getElementsByTagName("tab");
        	    if (tabs.length) {
        	        var infoTabs =[];
        	        for(var z=0; z < tabs.length; z++){
        	            text=GXml.value(tabs[z]);
                        infoTabs.push(new GInfoWindowTab(z+1, text))
                    }
                    GEvent.addListener(marker, "click", function() {
                      marker.openInfoWindowTabsHtml(infoTabs);
                    });
        	    } else {
        	        //No tabs in the marker
        		    text=GXml.value(marks[i]);
        		    GEvent.addListener(marker, "click", function() {
                        marker.openInfoWindowHtml(text);
                    });       	        
        	    }

    		    map.addOverlay(marker);
    		}
    		//hide the loading bar
    		document.getElementById('loadingbar2').style.visibility="hidden";
    	    document.getElementById('loadingbar2').style.height="0px";

    	});
		
	});
	
//Filter Base Map using different SLD	
	function filterBaseByTaxon(taxonName) {
		if (taxonName) {
			taxonName = replaceWhiteString(taxonName);
			if (taxonName.indexOf('*')) {
				//sld_url='http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FLocationsByTaxon.php%3FtaxonName%3D'+taxonName;
			    sld_url='http%3A%2F%2Fsynthesys.csic.es%2FSLD%2Ftest.php%3FtaxonName%3D'+taxonName;
			} else {
				//sld_url='http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FLocationsByTaxon.php%3FtaxonName%3D'+taxonName;
				sld_url='http%3A%2F%2Fsynthesys.csic.es%2FSLD%2Ftest.php%3FtaxonName%3D'+taxonName;
			}
			applySLDToBase(sld_url);
			setTimeout("display_wait_message()",100);
		}
	}
	
	function removeFilter () {
	    document.getElementById('scientificname').value="";
	    applySLDToBase("http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FSynthesys.sld.php");
	}
	
	function applySLDToBase(sld) {
	    //grid_base.myLayers='tdwg:gbif_record';
		grid_base.sldUrl = sld;
		map.setMapType(map.getCurrentMapType());
		print_debug(sld);	
	}
	
	function getPointbuffered(point,zoomLevel) {
	    if (zoomLevel <= 6) {
	        buffer = 2/(zoomLevel+1);
	    //} else if(zoomLevel <= 6) {
	    //    buffer = (zoomLevel/100)*10;
	    } else if(zoomLevel == 7) {
     		buffer = (zoomLevel/100)*2;
     	} else if(zoomLevel >=8 && zoomLevel <10 ) {
     		buffer = 0.05;
        } else if(zoomLevel >=10 && zoomLevel <15 ) {
         	buffer = 0.005;
        } else {
            buffer = 0.0005;
        }
        
		var minX = (point.x - buffer); var maxX = (point.x + buffer);
		var minY = (point.y - buffer); var maxY = (point.y + buffer);
		var bbox = minX + "," + minY + "," +maxX + "," +maxY;
		return bbox;
	}
	
	function display_wait_message () {
	    document.getElementById('loadingbar').style.visibility="visible";
	    document.getElementById('loadingbar').style.height="10px";
	    document.getElementById('loadingbar2').style.visibility="visible";
	    document.getElementById('loadingbar2').style.height="10px";
	    window.setTimeout('hide_wait_message()',10000);
	}
	
	function hide_wait_message () {
	    document.getElementById('loadingbar').style.visibility="hidden";
	    document.getElementById('loadingbar').style.height="0px";
	    document.getElementById('loadingbar2').style.visibility="hidden";
	    document.getElementById('loadingbar2').style.height="0px";
	}

	function onloadFunc() {
	    document.getElementById('scientificname').value="";
	}
	
	function getMapBbox() {
	    
	    OgcBbox=map.getBounds().getSouthWest().lng() + "," + map.getBounds().getSouthWest().lat() + "," + map.getBounds().getNorthEast().lng() + "," + map.getBounds().getNorthEast().lat();
        return OgcBbox;
	}
	
	function getCurrentMapDownloadLink(format) {
	    
	    filter=replaceWhiteString(document.getElementById('scientificname').value);
	    
	    if (format=="kml") {
	        if (filter) {
    	        url="http://synthesys.csic.es:8080/geoserver/wms?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=tdwg:world_base,tdwg:world_adm0,tdwg:world_lb,tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences&STYLES=&FORMAT=application/vnd.google-earth.kml+XML&KMATTR=false&SRS=EPSG:4326&BBOX="+getMapBbox()+"&WIDTH=800&HEIGHT=400&SLD=http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FLocationsByTaxon_for_print.php%3FtaxonName%3D"+filter;
    	    } else { 
    	        url="http://synthesys.csic.es:8080/geoserver/wms?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=tdwg:world_base,tdwg:world_adm0,tdwg:world_lb,tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences&STYLES=&FORMAT=application/vnd.google-earth.kml+XML&KMATTR=false&SRS=EPSG:4326&BBOX="+getMapBbox()+"&WIDTH=800&HEIGHT=400&SLD=http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FSynthesys_for_print.sld.php%3FzoomLevel%3D"+map.getZoom();
    	    }
	    }
	    if (format=="pdf") {
	        if (filter) {
    	        url="http://synthesys.csic.es:8080/geoserver/wms?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=tdwg:world_base,tdwg:world_adm0,tdwg:world_lb,tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences&STYLES=&FORMAT=application/pdf&SRS=EPSG:4326&BBOX="+getMapBbox()+"&WIDTH=800&HEIGHT=400&SLD=http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FLocationsByTaxon_for_print.php%3FtaxonName%3D"+filter;
    	    } else { 
    	        url="http://synthesys.csic.es:8080/geoserver/wms?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=tdwg:world_base,tdwg:world_adm0,tdwg:world_lb,tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences&STYLES=&FORMAT=application/pdf&SRS=EPSG:4326&BBOX="+getMapBbox()+"&WIDTH=800&HEIGHT=400&SLD=http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FSynthesys_for_print.sld.php%3FzoomLevel%3D"+map.getZoom();
    	    }   
	    }
	    if (format=="png") {
	        if (filter) {
    	        url="http://synthesys.csic.es:8080/geoserver/wms?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=tdwg:world_base,tdwg:world_adm0,tdwg:world_lb,tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences&STYLES=&FORMAT=image/png&SRS=EPSG:4326&BBOX="+getMapBbox()+"&WIDTH=800&HEIGHT=400&SLD=http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FLocationsByTaxon_for_print.php%3FtaxonName%3D"+filter;
    	    } else { 
    	        url="http://synthesys.csic.es:8080/geoserver/wms?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=tdwg:world_base,tdwg:world_adm0,tdwg:world_lb,tdwg:richness_by_c_square_05,tdwg:richness_by_c_square_01,tdwg:biorecord_locations,tdwg:taxon_occurrences&STYLES=&FORMAT=image/png&SRS=EPSG:4326&BBOX="+getMapBbox()+"&WIDTH=800&HEIGHT=400&SLD=http%3A%2F%2Fsynthesys.csic.es%2FSLD%2FSynthesys_for_print.sld.php%3FzoomLevel%3D"+map.getZoom();
    	    }
	    }
	    if (format=="shape") {
	        //Properties to retrieve
	        properties ="tdwg:num_records,tdwg:num_taxon,tdwg:num_providers,tdwg:the_geom";
	        if (filter) {
            	url = "http://synthesys.csic.es:8080/geoserver/wfs?version=1.0.0&request=GetFeature&service=WFS&outputformat=SHAPE-ZIP&maxFeatures=1000&typename=tdwg:biorecord_locations&PropertyName=" + encodeURI(properties)+"&filter=%3Cogc:Filter%20xmlns:gml=%22http://www.opengis.net/gml%22%20xmlns:ogc=%22http://www.opengis.net/ogc%22%3E%3Cogc:And%3E%3Cogc:BBOX%3E%3Cogc:PropertyName%3Ethe_geom%3C/ogc:PropertyName%3E%3Cgml:Box%20srsName=%22http://www.opengis.net/gml/srs/epsg.xml%234326%22%3E%3Cgml:coordinates%3E" + encodeURI(getMapBbox()) + "%3C/gml:coordinates%3E%3C/gml:Box%3E%3C/ogc:BBOX%3E%3Cogc%3APropertyIsLike+wildCard%3D%22%2A%22+singleChar%3D%22-%22+escape%3D%22%5C%22%3E%3Cogc:PropertyName%3Etaxon_list%3C/ogc:PropertyName%3E%3Cogc:Literal%3E*" + encodeURI(filter) + "*%3C%2Fogc%3ALiteral%3E%3C%2Fogc%3APropertyIsLike%3E%3C/ogc:And%3E%3C/ogc:Filter%3E";
        	} else {
            	url = "http://synthesys.csic.es:8080/geoserver/wfs?version=1.0.0&request=GetFeature&service=WFS&outputformat=SHAPE-ZIP&maxFeatures=1000&typename=tdwg:biorecord_locations&bbox=" + encodeURI(getMapBbox()) + "&PropertyName=" + encodeURI(properties);	    
        	}   
	    }
	    if (format=="gml") {
	        //Properties to retrieve
	        properties ="tdwg:num_records,tdwg:num_taxon,tdwg:num_providers,tdwg:the_geom";
	        if (filter) {
            	url = "http://synthesys.csic.es:8080/geoserver/wfs?version=1.0.0&request=GetFeature&service=WFS&maxFeatures=1000&typename=tdwg:biorecord_locations&PropertyName=" + encodeURI(properties)+"&filter=%3Cogc:Filter%20xmlns:gml=%22http://www.opengis.net/gml%22%20xmlns:ogc=%22http://www.opengis.net/ogc%22%3E%3Cogc:And%3E%3Cogc:BBOX%3E%3Cogc:PropertyName%3Ethe_geom%3C/ogc:PropertyName%3E%3Cgml:Box%20srsName=%22http://www.opengis.net/gml/srs/epsg.xml%234326%22%3E%3Cgml:coordinates%3E" + encodeURI(getMapBbox()) + "%3C/gml:coordinates%3E%3C/gml:Box%3E%3C/ogc:BBOX%3E%3Cogc%3APropertyIsLike+wildCard%3D%22%2A%22+singleChar%3D%22-%22+escape%3D%22%5C%22%3E%3Cogc:PropertyName%3Etaxon_list%3C/ogc:PropertyName%3E%3Cogc:Literal%3E*" + encodeURI(filter) + "*%3C%2Fogc%3ALiteral%3E%3C%2Fogc%3APropertyIsLike%3E%3C/ogc:And%3E%3C/ogc:Filter%3E";
        	} else {
            	url = "http://synthesys.csic.es:8080/geoserver/wfs?version=1.0.0&request=GetFeature&service=WFS&maxFeatures=1000&typename=tdwg:biorecord_locations&bbox=" + encodeURI(getMapBbox()) + "&PropertyName=" + encodeURI(properties);	    
        	}
	    }
	     
	    print_debug(url);
	    return(url);
	}
	
	function replaceWhiteString(string_to_replace) {
	    var re = /\s/g; 
		string_to_replace = string_to_replace.replace(re,'_');
		return string_to_replace;
	}

	
    function print_debug (text) {
    	debug=1;
    	if (debug==1) {
    		 document.getElementById('debugContent').innerHTML += "<br />" + text;
    	}
    }
    function switchMenu(obj) {
       var el = document.getElementById(obj);
       if ( el.style.display != 'none' ) {
           el.style.display = 'none';
       } else {
            el.style.display = '';
       }
    }