#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
import kid
import logging, logging.config, os, sys,time
from types import ListType
import page

# use logging
log = logging.getLogger("div")

#---------------------------------------------------------
# Class ThesaurusConf
# manage the thesaurus to use
#---------------------------------------------------------
class ThesaurusConf(page.Page):
	
	def __init__(self):
		self.filePath='thesaurusconf/'
		self.fileName='_thesaurusConfIndex.kid'
		self.title = "Thesaurus configuration"
		self.body = "thesaurusConfPage" 
		
	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''
		self.filePath='thesaurusconf/'
		self.fileName='_thesaurusConfIndex.kid'
		self.title = "Thesaurus configuration"
		comingFrom= cherrypy.request.headerMap.items()
		for x,y in comingFrom:
			if x == "Referer":
				comingFrom = y
				if '/index' in y:
					comingFrom = "/index"
				break
		if type(comingFrom) == ListType:
			comingFrom = "/index"
		cherrypy.session['comingFrom'] = comingFrom
		
		self.getCookieThesaurus()
		####
		####thesaurus staff----------------------------------------------		
		####
		tmp = self.getCfgObj().checklist.thesauri.split("(")
		tklist={}
		for cell in tmp:
			tmp2 = cell.split(")")
			for case in tmp2:
				cell = case.split(",")
				if len(cell)==2:
					tklist[cell[0]]=cell[1]
		cherrypy.session['checklistDic'] = tklist
		
		self.checklist = cherrypy.session.get('checklistDic').keys()
		
		try:
			self.checklistsdict = cherrypy.session.get('checklists')
			tmp = self.checklistsdict.keys()
		except:
			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
			tmp = TransformXmlForThesaurus().loadReferences()
			self.checklistsdict = cherrypy.session.get('checklists')
		thesaurus={}
		for key in self.checklistsdict.keys():
			if key in self.checklist:
				thesaurus[key]=self.checklistsdict.get(key)
					
		return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, 
						body=self.body,thesaurusList=thesaurus,thesaurusActivated=cherrypy.session.get('thesaurusActivated',False), 
						selectedThesaurus=cherrypy.session.get('selectedThesaurus',None))

	@cherrypy.expose
	def setThesaurusConf(self,*args,**kwargs):
		'''
		set the preferences for the user
		store them in a cookie
		'''
		tmp = self.getCfgObj().checklist.thesauri.split("(")
		tklist={}
		for cell in tmp:
			tmp2 = cell.split(")")
			for case in tmp2:
				cell = case.split(",")
				if len(cell)==2:
					tklist[cell[0]]=cell[1]
		cherrypy.session['checklistDic'] = tklist
		self.checklist = cherrypy.session.get('checklistDic').keys()
		
		try:
			cherrypy.session.get('checklists').keys()
			self.checklistsdict = cherrypy.session.get('checklists')
		except:
			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
			tmp = TransformXmlForThesaurus().loadReferences()
			self.checklistsdict = cherrypy.session.get('checklists')
		
		tmp = kwargs.get('thesaurus',None)
		if tmp is None:
			tmp=['%s@ref%s'%(p.name,p.referenceIDs) for pp in self.checklistsdict.values() for p in pp if p is not None and p.name in self.checklist]
		if type(tmp) != ListType:
			cherrypy.session['selectedThesaurus'] = [tmp]
		else:
			cherrypy.session['selectedThesaurus']=tmp
		recursive = kwargs.get('recursive',False)
		if recursive != False:
			recursive=True
		cherrypy.session['recursive']=recursive
		
		thesaurusActivated = kwargs.get('thesaurusActivated',False)
		if thesaurusActivated != "False" and thesaurusActivated is not False:
			thesaurusActivated=True
		cherrypy.session['thesaurusActivated']=thesaurusActivated
		
		#cookie staff
		cookieValue ='selectedThesaurus_%sthesaurusActivated_%srecursiveSearch_%s'%('~'.join(cherrypy.session['selectedThesaurus']),str(thesaurusActivated),str(recursive))
		gmt_expiration_time = time.gmtime(time.time() +  (6000 * 6000))
		expireTime = time.strftime("%a, %d-%b-%Y %H:%M:%S GMT", gmt_expiration_time)
		
		try:
			#delete the old cookie
			cherrypy.response.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName]['expires'] = 0
			cherrypy.response.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName] = cookieValue
		except:
			cherrypy.response.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName] = cookieValue
		cherrypy.response.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName]['path'] = '/'
		cherrypy.response.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName]['version'] = 1
		cherrypy.response.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName]['expires'] = expireTime
		
		self.redirect(cherrypy.session.get('comingFrom','/index'))

		
	def getCookieThesaurus(self):
		try:
			cookie = cherrypy.request.simple_cookie['%sTHESAURUS'%self.getCfgObj().server.cookieName].value
			st=cookie.split('selectedThesaurus_')[1].split('thesaurusActivated_')[0]
			st=st.split('~')
			cherrypy.session['selectedThesaurus']=st
			ta=cookie.split('thesaurusActivated_')[1].split('recursiveSearch_')[0]
			if ta=='True':
				ta=True
			else:
				ta=False
			cherrypy.session['thesaurusActivated']=ta
			rec=cookie.split('recursiveSearch_')[1]
			if rec=='True':
				rec=True
			else:
				rec=False
			cherrypy.session['recursive']=rec
		except:
			cookie=None
		
