<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xdt="http://www.w3.org/2004/07/xpath-datatypes" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
xmlns:fn="http://www.w3.org/2004/07/xpath-functions"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
xmlns:dwcore="http://rs.tdwg.org/dwc/dwcore/" 
xmlns:dwgeo="http://rs.tdwg.org/dwc/geospatial/"
xmlns:dwc="http://digir.net/schema/conceptual/darwin/2003/1.0"
	exclude-result-prefixes="xsl xs fn xdt ">
	<xsl:output version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" media-type="text/html" />


	<xsl:template name="DatasetOverview" match="/">

        	<table id="recordlist" width="96%" border="0" cellspacing="0" cellpadding="2">
        		<tr>
            <th nowrap="true">ID</th>
            <th nowrap="true">鉴定</th>
            <th>研究所</th>
            <th>标本馆</th>
            <th>记录基础</th>
            <th>采集地</th>
            <th>国家</th>
        		</tr>
        		<xsl:for-each select="/">
            	<tr>
            		<td nowrap="true">
                <!-- to link to the unit details we have to use the SourceInstitutionCode + SourceName + UnitID as GUID. Also include the wrapper_url cause might be different from the dsa  -->
                <a>
                	<xsl:choose>                	
                		<xsl:when test="//dwcore:ConceptualSchema">
                    <xsl:attribute name="href">details.cgi?dsa=<xsl:value-of select="$dsa"/>&amp;detail=unit&amp;wrapper_url=<xsl:value-of select="normalize-space(//dwcore:AccessPoint)"/>&amp;protocol=<xsl:value-of select="normalize-space(//dwcore:Protocol)"/>&amp;schema=<xsl:value-of select="normalize-space(//dwcore:ConceptualSchema)"/>&amp;inst=<xsl:value-of select="normalize-space(//dwcore:InstitutionCode)"/>&amp;col=<xsl:value-of select="normalize-space(//dwcore:CollectionCode)"/>&amp;cat=<xsl:value-of select="normalize-space(//dwcore:CatalogNumber)"/></xsl:attribute>
                		</xsl:when>
                		<xsl:otherwise>
                    <xsl:attribute name="href"><xsl:value-of select="$unitlink"/>&amp;inst=<xsl:value-of select="normalize-space(//dwcore:InstitutionCode)"/>&amp;col=<xsl:value-of select="normalize-space(//dwcore:CollectionCode)"/>&amp;cat=<xsl:value-of select="normalize-space(//dwcore:CatalogNumber)"/></xsl:attribute>
                		</xsl:otherwise>
                		</xsl:choose>
                	<xsl:for-each select="//dwcore:CatalogNumber">
                		<xsl:apply-templates/>
                	</xsl:for-each>
                </a>
            		</td>
            		<td nowrap="true">
            		<xsl:if test="//dwcore:ScientificName">
                	<xsl:value-of select="//dwcore:ScientificName"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            		<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:InstitutionCode">
                	<xsl:value-of select="//dwcore:InstitutionCode"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            		<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:CollectionCode">
                	<xsl:value-of select="//dwcore:CollectionCode"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            		<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:RecordBasis">
                	<xsl:value-of select="//dwcore:RecordBasis"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            		<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Locality">
                	<xsl:value-of select="//dwcore:Locality"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            		<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Country">
                	<xsl:value-of select="//dwcore:Country"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            </xsl:for-each>
        	</table>    	

	</xsl:template>
</xsl:stylesheet>