<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xdt="http://www.w3.org/2004/07/xpath-datatypes" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
xmlns:fn="http://www.w3.org/2004/07/xpath-functions"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
xmlns:dwcore="http://rs.tdwg.org/dwc/dwcore/" 
xmlns:dwgeo="http://rs.tdwg.org/dwc/geospatial/"
xmlns:dwc="http://digir.net/schema/conceptual/darwin/2003/1.0"
	exclude-result-prefixes="xsl xs fn xdt ">
	<xsl:output version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" media-type="text/html" />
	<xsl:template match="/">

    		<!--      **************************************UNIT*********************************************  -->
    		<xsl:for-each select="/">
        <div id="Unit">
            <h2>
            <xsl:text>
            </xsl:text>
        		<span class="preferedbig">
            <xsl:value-of select="//dwcore:ScientificName"/>
        		</span>
        	<xsl:text>
            </xsl:text>
 </h2>
        	<!-- *********************************/HEADER ************************************** 	-->
        	<table width="96%" border="0">
        		<tr>
            <td>
    <xsl:text>
    </xsl:text>
            	<span class="label">研究所Code: </span>
            	<xsl:value-of select="//dwcore:InstitutionCode"/>
            		<br/>
            	<span class="label">标本馆编码: </span>
            	<xsl:value-of select="//dwcore:CollectionCode"/>
            		<br/>
            	<span class="label">标本号码: </span>
            	<xsl:value-of select="//dwcore:CatalogNumber"/>

            </td>
            <td align="right">
    <xsl:text>
    </xsl:text>
            	<span class="label">最后更新: </span>
            	<xsl:value-of select="//dwcore:DateLastModified"/>
            		<br/>
            	<xsl:if test="//dwcore:BasisOfRecord">
            		<span class="label">DatenbasisUnit: </span>
            		<xsl:value-of select="//dwcore:BasisOfRecord"/>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            </td>
        		</tr>
        	</table>
        	<!-- *********************************/HEADER ************************************** 	-->
        	<!-- *********************************IDENTIFICATIONS ************************************** 	-->
        	<h3 class="background">Taxonomie</h3>
        	<table width="96%" border="0">
            <tr>

            	<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Kingdom/text()">
                <span class="label">界: </span>
                <xsl:value-of select="//dwcore:Kingdom"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Phylum/text()">
                <span class="label">门: </span>
                <xsl:value-of select="//dwcore:Phylum"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Class/text()">
                <span class="label">纲: </span>
                <xsl:value-of select="//dwcore:Class"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Order/text()">
                <span class="label">目: </span>
                <xsl:value-of select="//dwcore:Order"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Family/text()">
                <span class="label">科: </span>
                <xsl:value-of select="//dwcore:Family"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Genus/text()">
                <span class="label">属: </span>
               <xsl:value-of select="//dwcore:Genus"/>
                <br/>
            		</xsl:if>
            		
       <xsl:text>
    </xsl:text>      		
            		<xsl:if test="//dwcore:SpecificEpithet/text()">
                <span class="label">SpecificEpithet: </span>
                <xsl:value-of select="//dwcore:SpecificEpithet"/>
                 <br/>
            		</xsl:if>
     <xsl:text>
    </xsl:text>      		
            		<xsl:if test="//dwcore:AuthorYearOfScientificName/text()">
                <span class="label">AuthorYearOfScientificName: </span>
                <xsl:value-of select="//dwcore:AuthorYearOfScientificName"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            	</td>
            	<td valign="bottom">
            		<xsl:if test="//dwcore:YearIdentified/text()">
                <span class="label">Datum: </span>
                <xsl:value-of select="//dwcore:YearIdentified"/>/
                <xsl:value-of select="//dwcore:MonthIdentified"/>/
                <xsl:value-of select="//dwcore:DayIdentified"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:IdentifiedBy/text()">
                <br/>
                <span class="label">Bestimmer: </span>
                <xsl:value-of select="//dwcore:IdentifiedBy"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            	</td>
            </tr>
        	</table>
        	<!-- *********************************IDENTIFICATIONS ************************************** 	-->
        	<!-- *********************************GATHERING ************************************** 	-->
        		<h3 class="background">Gathering</h3>
        		<table width="96%">
            <tr>
            	<th>Ort </th>
            	<xsl:if test="//dwcore:Collector">
            		<th>Sammler </th>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	<th>其它信息 </th>
            </tr>
            <tr valign="top" bgcolor="#f4f4f4">
            	<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Country/text()">
                <span class="label">Land: </span>
                <xsl:value-of select="//dwcore:Country"/> 
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:StateProvince/text()">
                	<span class="label">
                		州或省: </span>
                	<xsl:value-of select="//dwcore:StateProvince"/>
                	<br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:County/text()">
                	<span class="label">
                		国家: </span>
                	<xsl:value-of select="//dwcore:County"/>
                	<br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Locality/text()">
                <xsl:value-of select="//dwcore:Locality"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		
            		<xsl:if test="string(//dwgeo:DecimalLatitude/text())  and string-length(//dwgeo:DecimalLatitude)>2">
            		<br/>
            		<form xml:space="default" action="http://linuxgurrl.agr.gc.ca/mapdata/itis/itisrosa.php" method="POST" target="_blank"><xsl:attribute name="name">GeneralMap</xsl:attribute>
                <input>
                <xsl:attribute name="value">%3C%3Fxml+version%3D%271.0%27+encoding%3D%27iso-8859-1%27%3F%3E%3Cresponse%3E%3Cheader%3E%3Cauthor%3E%3C%2Fauthor%3E%3Cboundingbox%3E-180%2C-90%2C180%2C90%2CWorld%3C%2Fboundingbox%3E%3Cdescription%3EThis+Generic+Point+Mapper+is+a+service+provided+by+the+Canadian+Biological+Information+Facility%3C%2Fdescription%3E%3Cifx%3E%3C%2Fifx%3E%3Clanguage%3Een%3C%2Flanguage%3E%3Cprojection%3Elatlong%3C%2Fprojection%3E%3Crecordcount%3E%3C%2Frecordcount%3E%3Ctimestamp%3E2004-11-30+11%3A10%3A58.043%3C%2Ftimestamp%3E%3Ctitle%3ESimple+access+to+ABCD+providers+-+Point+Location+Data%3C%2Ftitle%3E%3Curl%3Ehttp%3A%2F%2Fwww.cbif.gc.ca%2Fmc%2Findex_e.php%3C%2Furl%3E%3C%2Fheader%3E%3Crecords%3E%3Crecord<xsl:for-each select="//dwgeo:DecimalLatitude">%3E%3Clatitude%3E<xsl:apply-templates/>%3C%2Flatitude</xsl:for-each>  <xsl:for-each select="//dwgeo:DecimalLongitude">%3E%3Clongitude%3E<xsl:apply-templates/>%3C%2Flongitude</xsl:for-each>%3E%3Crecordurl%3E%3C%2Frecordurl%3E%3C%2Frecord%3E%3C%2Frecords%3E%3C%2Fresponse%3E</xsl:attribute>
<xsl:attribute name="type">hidden</xsl:attribute>
<xsl:attribute name="name">xml</xsl:attribute>
</input>
                Coordinates: <xsl:value-of select="//dwgeo:DecimalLatitude"/>, <xsl:value-of select="//dwgeo:DecimalLongitude"/>  <a href="Javascript:document.GeneralMap.submit()"> Map!</a>
            <xsl:text>
            </xsl:text>
            		</form>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	<!-- /For to create a map-->
            	<xsl:if test="//dwc:DecimalLatitude/text()  and string-length(//dwc:DecimalLatitude)>2">
            		<br/>
            		<form xml:space="default" action="http://linuxgurrl.agr.gc.ca/mapdata/itis/itisrosa.php" method="POST" target="_blank">
                <xsl:attribute name="name">GeneralMap</xsl:attribute>
            <xsl:text>
            </xsl:text>
                <input><xsl:attribute name="value">%3C%3Fxml+version%3D%271.0%27+encoding%3D%27iso-8859-1%27%3F%3E%3Cresponse%3E%3Cheader%3E%3Cauthor%3E%3C%2Fauthor%3E%3Cboundingbox%3E-180%2C-90%2C180%2C90%2CWorld%3C%2Fboundingbox%3E%3Cdescription%3EThis+Generic+Point+Mapper+is+a+service+provided+by+the+Canadian+Biological+Information+Facility%3C%2Fdescription%3E%3Cifx%3E%3C%2Fifx%3E%3Clanguage%3Een%3C%2Flanguage%3E%3Cprojection%3Elatlong%3C%2Fprojection%3E%3Crecordcount%3E%3C%2Frecordcount%3E%3Ctimestamp%3E2004-11-30+11%3A10%3A58.043%3C%2Ftimestamp%3E%3Ctitle%3ESimple+access+to+ABCD+providers+-+Point+Location+Data%3C%2Ftitle%3E%3Curl%3Ehttp%3A%2F%2Fwww.cbif.gc.ca%2Fmc%2Findex_e.php%3C%2Furl%3E%3C%2Fheader%3E%3Crecords%3E%3Crecord<xsl:for-each select="//dwc:DecimalLatitude">%3E%3Clatitude%3E<xsl:apply-templates/>%3C%2Flatitude</xsl:for-each><xsl:for-each select="//dwc:DecimalLongitude">%3E%3Clongitude%3E<xsl:apply-templates/>%3C%2Flongitude</xsl:for-each>%3E%3Crecordurl%3E%3C%2Frecordurl%3E%3C%2Frecord%3E%3C%2Frecords%3E%3C%2Fresponse%3E</xsl:attribute><xsl:attribute name="type">hidden</xsl:attribute><xsl:attribute name="name">xml</xsl:attribute></input>
            <xsl:text>
            </xsl:text>
                Coordinates: <xsl:value-of select="//dwc:DecimalLatitude"/>|<xsl:value-of select="//dwc:DecimalLongitude"/>* *  
                  <a href="Javascript:document.GeneralMap.submit()"> Map!</a>
            <xsl:text>
            </xsl:text>
            		</form>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	</td>


            	<xsl:if test="//dwcore:Collector/text()">
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:for-each select="//dwcore:Collector">
                	<xsl:apply-templates/>
                	<br/>
                </xsl:for-each>
            		</td>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	<td>
    <xsl:text>
    </xsl:text>
            	
            		<xsl:if test="string(dwcore:FieldNumber)">
                <span class="label">野外号码: </span>
                <xsl:value-of select="//dwcore:FieldNumber"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="string(dwcore:MinimumElevation)">
                <xsl:for-each select="//dwcore:MinimumElevation">
                	<span class="label">Höhe über ber NN: </span>
                	<xsl:apply-templates/>
                	<xsl:if test="string(dwcore:MaximumElevation)">- <xsl:value-of select="//dwcore:MaximumElevation"/></xsl:if>
    <xsl:text>
    </xsl:text>
                	<br/>
                </xsl:for-each>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="string(dwcore:YearCollected)">
                <span class="label">Datum: </span>
                <xsl:value-of select="//dwcore:YearCollected"/>/
                <xsl:value-of select="//dwcore:MonthCollected"/>/
                <xsl:value-of select="//dwcore:DayCollected"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>

            	</td>
    		
            </tr>
        		</table>
        	<!-- *********************************GATHERING ************************************** 	-->
        	<!-- *********************************OTHER DATA ************************************** 	-->
        		<h3 class="background">Other data</h3>
        		<table width="96%">
            <tbody>
            	<tr bgcolor="#f4f4f4" valign="top">
            		<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:Sex/text()">
            		<span class="label">Sex: </span>
            		<xsl:value-of select="//dwcore:Sex"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:TypeStatus/text()">
            		<br/>
            		<span class="label">模式情况: </span>
            		<xsl:value-of select="//dwcore:TypeStatus"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:PreparationType/text()">
            		<br/>
            		<span class="label">标本处理类型: </span>
            		<xsl:value-of select="//dwcore:PreparationType"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="//dwcore:IndividualCount/text()">
            		<br/>
            		<span class="label">个体数: </span>
            		<xsl:value-of select="//dwcore:IndividualCount"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:RecordURL)">
                <span class="label">record url: </span>
                <xsl:value-of select="obis:RecordURL"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:Source)">
                <span class="label">source: </span>
                <xsl:value-of select="obis:Source"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:Citation)">
                <span class="label">citation: </span>
                <xsl:value-of select="obis:Citation"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            		</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:Subgenus)">
                <span class="label">Subgenus: </span>
                <xsl:value-of select="obis:Subgenus"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartYearCollected)">
                <span class="label">StartYearCollected: </span>
                <xsl:value-of select="obis:StartYearCollected"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndYearCollected)">
                <span class="label">EndYearCollected: </span>
                <xsl:value-of select="obis:EndYearCollected"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartMonthCollected)">
                <span class="label">StartMonthCollected: </span>
                <xsl:value-of select="obis:StartMonthCollected"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndMonthCollected)">
                <span class="label">EndMonthCollected: </span>
                <xsl:value-of select="obis:EndMonthCollected"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartDayCollected)">
                <span class="label">StartDayCollected: </span>
                <xsl:value-of select="obis:StartDayCollected"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndDayCollected)">
                <span class="label">EndDayCollected: </span>
                <xsl:value-of select="obis:EndDayCollected"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartJulianDay)">
                <span class="label">StartJulianDay: </span>
                <xsl:value-of select="obis:StartJulianDay"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndJulianDay)">
                <span class="label">EndJulianDay: </span>
                <xsl:value-of select="obis:EndJulianDay"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartTimeofDay)">
                <span class="label">StartTimeofDay: </span>
                <xsl:value-of select="obis:StartTimeofDay"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndTimeofDay)">
                <span class="label">EndTimeofDay: </span>
                <xsl:value-of select="obis:EndTimeofDay"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:TimeZone)">
                <span class="label">TimeZone: </span>
                <xsl:value-of select="obis:TimeZone"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartLongitude)">
                <span class="label">StartLongitude: </span>
                <xsl:value-of select="obis:StartLongitude"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndLongitude)">
                <span class="label">EndLongitude: </span>
                <xsl:value-of select="obis:EndLongitude"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:StartLatitude)">
                <span class="label">StartLatitude: </span>
                <xsl:value-of select="obis:StartLatitude"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:EndLatitude)">
                <span class="label">EndLatitude: </span>
                <xsl:value-of select="obis:EndLatitude"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:Start_EndCoordinatePrecision)">
                <span class="label">Start_EndCoordinatePrecision: </span>
                <xsl:value-of select="obis:Start_EndCoordinatePrecision"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:Temperature)">
                <span class="label">Temperature: </span>
                <xsl:value-of select="obis:Temperature"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:LifeStage)">
                <span class="label">LifeStage: </span>
                <xsl:value-of select="obis:LifeStage"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:ObservedIndividualCount)">
                <span class="label">ObservedIndividualCount: </span>
                <xsl:value-of select="obis:ObservedIndividualCount"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="string(obis:SampleSize)">
                <span class="label">SampleSize: </span>
                <xsl:value-of select="obis:SampleSize"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            	<tr>
            	<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="string(obis:ObservedWeight)">
            		<span class="label">ObservedWeight: </span>
            		<xsl:value-of select="obis:ObservedWeight"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="string(obis:GMLFeature)">
            		<span class="label">GMLFeature: </span>
            		<xsl:value-of select="obis:GMLFeature"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>

            	</td>
            	</tr>
            </tbody>
        		</table>
        	
        	<!-- *********************************OTHER DATA ************************************** 	-->
        	<!-- *********************************NOTES ************************************** 	-->
        	<xsl:if test="//dwcore:ImageURL/text()">
        <h3 class="background">Multimedia</h3>
        <table width="96%">
        <tbody>
            		<tr bgcolor="#f4f4f4" valign="top">
                <td>
    <xsl:text>
    </xsl:text>
                	<a><xsl:attribute name="href"><xsl:value-of select="//dwcore:ImageURL"/></xsl:attribute><xsl:attribute  name="target">_blank</xsl:attribute><xsl:value-of select="//dwcore:ImageURL"/></a>
            <xsl:text>
    </xsl:text>      	</td>
            		</tr>
            	</tbody>
            </table>
        </xsl:if>
    <xsl:text>
    </xsl:text>
        	<xsl:if test="string(dwcore:Notes)">
        		<xsl:for-each select="//dwcore:Notes">
            <h3 class="background">Notes</h3>
            <table width="96%">
            	<tbody>
            		<tr bgcolor="#f4f4f4" valign="top">
                <td>
                	<xsl:apply-templates/>
                	</td>
            		</tr>
            	</tbody>
            </table>
        		</xsl:for-each>
        	</xsl:if>
    <xsl:text>
    </xsl:text>
        	<!-- *********************************NOTES ************************************** 	-->
        	
        	<p/>
        </div>
        <p/>
    		</xsl:for-each>
    		<!--      **************************************UNIT*********************************************  -->
		
	</xsl:template>
</xsl:stylesheet>
