<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
xmlns:fn="http://www.w3.org/2004/07/xpath-functions" 
xmlns:xdt="http://www.w3.org/2004/07/xpath-datatypes" 
xmlns:dwc="http://digir.net/schema/conceptual/darwin/2003/1.0" 
xmlns:digir="http://digir.net/schema/protocol/2003/1.0" 
exclude-result-prefixes="xsl xs fn xdt dwc">
	<xsl:output version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" media-type="text/html" />
	<xsl:template  name="UnitDetails" match="/">

    		<!--      **************************************UNIT*********************************************  -->
    		<xsl:for-each select="//digir:record">
        <div id="Unit">
            <h2>
            <xsl:text>
            </xsl:text>
        		<span class="preferedbig"><xsl:value-of select="dwc:ScientificName"/> <xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;</span> 
        	<xsl:text>
            </xsl:text>
 </h2>
        	<!-- *********************************/HEADER ************************************** 	-->
        	<table width="96%" border="0">
        		<tr>
            <td>
    <xsl:text>
    </xsl:text>
            	<span class="label">ĮstaigaCode: </span>
            	<xsl:value-of select="dwc:InstitutionCode"/>
            		<br/>
            	<span class="label">Kolekcijos kodas: </span>
            	<xsl:value-of select="dwc:CollectionCode"/>
            		<br/>
            	<span class="label">Katalogo numeris: </span>
            	<xsl:value-of select="dwc:CatalogNumber"/><br/> <xsl:value-of select="dwc:CatalogNumberText"/>

            </td>
            <td align="right">
    <xsl:text>
    </xsl:text>
            	<span class="label">Paskutinis atnaujinimas: </span>
            	<xsl:value-of select="dwc:DateLastModified"/>
            		<br/>
            	<xsl:if test="dwc:BasisOfRecord">
            		<span class="label">Įrašų pagrindas: </span>
            		 <xsl:if test="dwc:BasisOfRecord='S' or dwc:BasisOfRecord='s'">Specimen</xsl:if>
    <xsl:text>
    </xsl:text>
<xsl:if test="dwc:BasisOfRecord='O' or dwc:BasisOfRecord='o'">Observation</xsl:if>
    <xsl:text>
    </xsl:text>
<xsl:if test="dwc:BasisOfRecord='D' or dwc:BasisOfRecord='d'">Derived from literature, original basis unknown</xsl:if>
    <xsl:text>
    </xsl:text>
<xsl:if test="dwc:BasisOfRecord='G' or dwc:BasisOfRecord='g'">Germplasm</xsl:if>  
 <xsl:text>
 </xsl:text> 
<xsl:if test="dwc:BasisOfRecord!='S' and dwc:BasisOfRecord!='s' and dwc:BasisOfRecord!='O' and dwc:BasisOfRecord!='o' and dwc:BasisOfRecord!='D' and dwc:BasisOfRecord!='d' and dwc:BasisOfRecord!='G' and dwc:BasisOfRecord!='g'">
<xsl:value-of select="dwc:BasisOfRecord"/>
</xsl:if>
    <xsl:text>
    </xsl:text>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            </td>
        		</tr>
        	</table>
        	<!-- *********************************/HEADER ************************************** 	-->
        	<!-- *********************************IDENTIFICATIONS ************************************** 	-->
        	<h3 class="background">Taksonomija</h3>
        	<table width="96%" border="0">
            <tr>

            	<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Kingdom/text()">
                <span class="label">Karalystė: </span>
                <xsl:value-of select="dwc:Kingdom"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Phylum/text()">
                <span class="label">Tipas: </span>
                <xsl:value-of select="dwc:Phylum"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Class/text()">
                <span class="label">Klasė: </span>
                <xsl:value-of select="dwc:Class"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Order/text()">
                <span class="label">Būrys: </span>
                <xsl:value-of select="dwc:Order"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Family/text()">
                <span class="label">Šeima: </span>
                <xsl:value-of select="dwc:Family"/>
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Genus/text()">
                <span class="label">Gentis: </span>
                <xsl:value-of select="dwc:Genus"/>
                <br/>
            		</xsl:if>
            		
       <xsl:text>
    </xsl:text>      		
            		<xsl:if test="//dwc:Species/text()">
                <span class="label">Species: </span>
                <xsl:value-of select="//dwc:Species"/>
                 <br/>
            		</xsl:if>
     <xsl:text>
    </xsl:text>      		
            		<xsl:if test="//dwc:Subspecies/text()">
                <span class="label">Subspecies: </span>
                <xsl:value-of select="//dwc:Subspecies"/>
                 <br/>
            		</xsl:if>
     <xsl:text>
    </xsl:text>      		
            		<xsl:if test="//dwc:ScientificNameAuthor/text()">
                <span class="label">ScientificNameAuthor: </span>
                <xsl:value-of select="//dwc:ScientificNameAuthor"/>
                <br/>
            		</xsl:if>
            		
    <xsl:text>
    </xsl:text>
            	</td>
            	<td valign="bottom">
            		<xsl:if test="dwc:YearIdentified/text()">
                <span class="label">Data: </span>
                <xsl:value-of select="dwc:YearIdentified"/>/
                <xsl:value-of select="dwc:MonthIdentified"/>/
                <xsl:value-of select="dwc:DayIdentified"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:IdentifiedBy/text()">
                <br/>
                <span class="label">Apibūdino: </span>
                <xsl:value-of select="dwc:IdentifiedBy"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            	</td>
            </tr>
        	</table>
        	<!-- *********************************IDENTIFICATIONS ************************************** 	-->
        	<!-- *********************************GATHERING ************************************** 	-->
        		<h3 class="background">Gathering</h3>
        		<table width="96%">
            <tr>
            	<th>Vietovė </th>
            	<xsl:if test="dwc:Collector or dwc:CollectorNumber">
            		<th>Surinko </th>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	<th>Kita informacija </th>
            </tr>
            <tr valign="top" bgcolor="#f4f4f4">
            	<td>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Country/text()">
                <span class="label">Šalis: </span>
                <xsl:value-of select="dwc:Country"/> 
                <br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:StateProvince/text()">
                	<span class="label">
                		Valstija arba provincija (Lietuvoje - apskritis): </span>
                	<xsl:value-of select="dwc:StateProvince"/>
                	<br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:County/text()">
                	<span class="label">
                		Grafystė/apygarda (Lietuvoje – rajonas): </span>
                	<xsl:value-of select="dwc:County"/>
                	<br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:Locality/text()">
            		<span class="label">Locality: </span>
                <xsl:value-of select="dwc:Locality"/><br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="dwc:ContinentOcean/text()">
            		<span class="label">ContinentOcean: </span>
                <xsl:value-of select="dwc:ContinentOcean"/><br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		
            		 <xsl:if test="dwc:Latitude/text() and string-length(dwc:Latitude)>0 and  string(number(dwc:Latitude))!='NaN'">
            		<br/>
            		<form xml:space="default" action="http://linuxgurrl.agr.gc.ca/mapdata/itis/itisrosa.php" method="POST" target="_blank">
                <xsl:attribute name="name">GeneralMap</xsl:attribute>
            <xsl:text>
            </xsl:text>
               <input><xsl:attribute name="value">%3C%3Fxml+version%3D%271.0%27+encoding%3D%27iso-8859-1%27%3F%3E%3Cresponse%3E%3Cheader%3E%3Cauthor%3E%3C%2Fauthor%3E%3Cboundingbox%3E-180%2C-90%2C180%2C90%2CWorld%3C%2Fboundingbox%3E%3Cdescription%3EThis+Generic+Point+Mapper+is+a+service+provided+by+the+Canadian+Biological+Information+Facility%3C%2Fdescription%3E%3Cifx%3E%3C%2Fifx%3E%3Clanguage%3Een%3C%2Flanguage%3E%3Cprojection%3Elatlong%3C%2Fprojection%3E%3Crecordcount%3E%3C%2Frecordcount%3E%3Ctimestamp%3E2004-11-30+11%3A10%3A58.043%3C%2Ftimestamp%3E%3Ctitle%3ESimple+access+to+ABCD+providers+-+Point+Location+Data%3C%2Ftitle%3E%3Curl%3Ehttp%3A%2F%2Fwww.cbif.gc.ca%2Fmc%2Findex_e.php%3C%2Furl%3E%3C%2Fheader%3E%3Crecords%3E%3Crecord<xsl:for-each select="dwc:Latitude">%3E%3Clatitude%3E<xsl:apply-templates/>%3C%2Flatitude</xsl:for-each><xsl:for-each select="dwc:Longitude">%3E%3Clongitude%3E<xsl:apply-templates/>%3C%2Flongitude</xsl:for-each>%3E%3Crecordurl%3E%3C%2Frecordurl%3E%3C%2Frecord%3E%3C%2Frecords%3E%3C%2Fresponse%3E</xsl:attribute><xsl:attribute name="type">hidden</xsl:attribute><xsl:attribute name="name">xml</xsl:attribute></input>
            <xsl:text>
            </xsl:text>
                Koordinatės: <xsl:value-of select="dwc:Latitude"/>|<xsl:value-of select="dwc:Longitude"/>
                <a href="Javascript:document.GeneralMap.submit()" target="_blank"> Žemėlapis!</a>
            <xsl:text>
            </xsl:text>
            		</form>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	<!-- /For to create a map-->
            	<xsl:if test="dwc:DecimalLatitude/text()">
            		<br/>
            		<form xml:space="default" action="http://linuxgurrl.agr.gc.ca/mapdata/itis/itisrosa.php" method="POST" target="_blank">
                <xsl:attribute name="name">GeneralMap</xsl:attribute>
            <xsl:text>
            </xsl:text>
                <input><xsl:attribute name="value">%3C%3Fxml+version%3D%271.0%27+encoding%3D%27iso-8859-1%27%3F%3E%3Cresponse%3E%3Cheader%3E%3Cauthor%3E%3C%2Fauthor%3E%3Cboundingbox%3E-180%2C-90%2C180%2C90%2CWorld%3C%2Fboundingbox%3E%3Cdescription%3EThis+Generic+Point+Mapper+is+a+service+provided+by+the+Canadian+Biological+Information+Facility%3C%2Fdescription%3E%3Cifx%3E%3C%2Fifx%3E%3Clanguage%3Een%3C%2Flanguage%3E%3Cprojection%3Elatlong%3C%2Fprojection%3E%3Crecordcount%3E%3C%2Frecordcount%3E%3Ctimestamp%3E2004-11-30+11%3A10%3A58.043%3C%2Ftimestamp%3E%3Ctitle%3ESimple+access+to+ABCD+providers+-+Point+Location+Data%3C%2Ftitle%3E%3Curl%3Ehttp%3A%2F%2Fwww.cbif.gc.ca%2Fmc%2Findex_e.php%3C%2Furl%3E%3C%2Fheader%3E%3Crecords%3E%3Crecord<xsl:for-each select="dwc:DecimalLatitude">%3E%3Clatitude%3E<xsl:apply-templates/>%3C%2Flatitude</xsl:for-each><xsl:for-each select="dwc:DecimalLongitude">%3E%3Clongitude%3E<xsl:apply-templates/>%3C%2Flongitude</xsl:for-each>%3E%3Crecordurl%3E%3C%2Frecordurl%3E%3C%2Frecord%3E%3C%2Frecords%3E%3C%2Fresponse%3E</xsl:attribute><xsl:attribute name="type">hidden</xsl:attribute><xsl:attribute name="name">xml</xsl:attribute></input>
            <xsl:text>
            </xsl:text>
                Coordinates: <xsl:value-of select="dwc:DecimalLatitude"/>|<xsl:value-of select="dwc:DecimalLongitude"/>* *  
                  <a href="Javascript:document.GeneralMap.submit()"> Map!</a>
            <xsl:text>
            </xsl:text>
            		</form>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	</td>


            	<xsl:if test="dwc:Collector/text() or dwc:CollectorNumber/text()">
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:for-each select="dwc:Collector">
                	<xsl:apply-templates/>
                	<br/>
                </xsl:for-each>
                <xsl:if test="dwc:CollectorNumber/text()"> <xsl:for-each select="dwc:CollectorNumber"> Nr. 
             <xsl:apply-templates/>
             <br/>
            </xsl:for-each></xsl:if><xsl:text>
    </xsl:text>
            		</td>
            	</xsl:if>
    <xsl:text>
    </xsl:text>
            	<td>
    <xsl:text>
    </xsl:text>
            	
            		<xsl:if test="string(dwc:FieldNumber)">
                <span class="label">Laukelio numeris: </span>
                <xsl:value-of select="dwc:FieldNumber"/><br/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="string(dwc:MinimumElevation)">
                <xsl:for-each select="dwc:MinimumElevation">
                	<span class="label">Aukštis virš jūros lygio: </span>
                	<xsl:apply-templates/>
                	<xsl:if test="string(dwc:MaximumElevation)">- <xsl:value-of select="dwc:MaximumElevation"/></xsl:if><br/>
    <xsl:text>
    </xsl:text>
                	<br/>
                </xsl:for-each>
            		</xsl:if>
    <xsl:text>
    </xsl:text>
            		<xsl:if test="string(dwc:YearCollected)">
                <span class="label">Data: </span>
                <xsl:value-of select="dwc:YearCollected"/>/
                <xsl:value-of select="dwc:MonthCollected"/>/
                <xsl:value-of select="dwc:DayCollected"/>
            		</xsl:if>
    <xsl:text>
    </xsl:text>

            	</td>
            </tr>
        		</table>
        	<!-- *********************************GATHERING ************************************** 	-->
        	<!-- *********************************OTHER DATA ************************************** 	-->
        	<xsl:if test="dwc:LastEditor or dwc:DateLastEdited or dwc:CollectorsFieldNumber or dwc:TypeStatus">
        		<h3 class="background">Other data</h3>
        		<table width="96%">
            <tbody>
            	<tr bgcolor="#f4f4f4" valign="top">
            		<td>
    <xsl:text>
    </xsl:text>
                <xsl:if test="dwc:Sex/text()">
                	<span class="label">Lytis: </span>
                	<xsl:value-of select="dwc:Sex"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="dwc:TypeStatus/text()">
                	<br/>
                	<span class="label">Tipo būklė: </span>
                	<xsl:value-of select="dwc:TypeStatus"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="dwc:PreparationType/text()">
                	<br/>
                	<span class="label">Preparato tipas: </span>
                	<xsl:value-of select="dwc:PreparationType"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
                <xsl:if test="dwc:IndividualCount/text()">
                	<br/>
                	<span class="label">Individų skaičius: </span>
                	<xsl:value-of select="dwc:IndividualCount"/>
                </xsl:if>
    <xsl:text>
    </xsl:text>
            		</td>
            	</tr>
            </tbody>
        		</table>
        	</xsl:if>
    <xsl:text>
    </xsl:text>
        	<!-- *********************************OTHER DATA ************************************** 	-->
        	<!-- *********************************NOTES ************************************** 	-->
         <xsl:text>
    </xsl:text>	<xsl:if test="string(dwc:Notes)">
        		<xsl:for-each select="dwc:Notes">
            <h3 class="background">Notes</h3>
            <table width="96%">
            	<tbody>
            		<tr bgcolor="#f4f4f4" valign="top">
                <td>
   
                	<xsl:apply-templates/>
                </td>
            		</tr>
            	</tbody>
            </table>
        		</xsl:for-each>
        	</xsl:if>
    <xsl:text>
    </xsl:text>
        	<!-- *********************************NOTES ************************************** 	-->
        	<p/>
        </div>
        <p/>
    		</xsl:for-each>
    		<!--      **************************************UNIT*********************************************  -->
		
	</xsl:template>
</xsl:stylesheet>