#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
from cherrypy.lib import cptools
import kid
import logging, logging.config, os, sys, string,sha,random,time,urllib,time,string
from types import ListType
import page
#from search.queryReminder import QueryReminder

from alert import QuotaAlert

from requestHandler.props import *
from requestHandler.dbConnection import DBconnection
from requestHandler.units.queryManager import U_QueryManager 
from search.queryReminder import QueryReminder
import biocase.downloading.downloadManager as _dl
from thesaurus.ThesaurusServiceClient import ThesaurusServiceQuery
from thesaurus.Concept import MyConcept
import caractersHandling as _carac

from spreadsheets.spreadsheet import Spreadsheet

import foreignServices

# use logging
log = logging.getLogger("div")
log2 = logging.getLogger("queriesLog")

localDir = os.path.dirname(__file__)
absDir = os.path.join(os.getcwd(), localDir)

#---------------------------------------------------------
#
#  These classes handle the different level of results
# 1)Preliminary(intermediate) results : the results matching with the first user query
# 2)Available Results : the details from the cache for the units selected by the user
# 3)Detailed Results : the data coming from the original provider for the units selected by the user
##
#HACK FOR SPECIALIZED DB (COUNTRY ALREADY FILTRED)
#			#table = resultSet # no country in the table : have to perform little hack to use the generic portal code
#			table = [] # ""
#			for line in resultSet:
#				nl = []
#				i =0
#				for cell in line:
#					if i == 5:
#						nl.append('')
#					nl.append(cell)
#					i+=1
#				table.append(nl)
#			## and of the hack  
#---------------------------------------------------------

				 
class U_Preview( page.Page ):
	#the current instance
	_instance = None
		
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._instance:
			cls._instance = super( U_Preview, cls ).__new__(cls, *args, **kwargs )
			self = cls._instance
			self.filePath = 'results/units/'
			self.fileName='_preview.kid'
			self.title = "Units Search Preview"
			self.body = "searchPage" 
			self.__path = "/search/units/preview"
			self._propsFile = None
			self.max=7.0
			self.queryrm={}
			self.querymn={}
			self.qrm=None
			self.qmg=None
		return cls._instance
	
		
	def reinit(self):
		self.filePath = 'results/units/'
		self.fileName='_preview.kid'
		self.title = "Units Search Preview"
		self.body = "searchPage" 
		self.__path = "/search/units/preview"
		self._propsFile = None
#		self.reinitThesaurus()
		cherrypy.session['action']=""
		cherrypy.session['recordBasis']=None
		cherrypy.session['nbUnits']=None

		try:
			cherrypy.session.pop('confirmation')
		except:
			pass
		  
	def reinitThesaurus(self):
		cherrypy.session['emptyThesaurus'] = False	
		cherrypy.session['thesaurusListStr']=""
		cherrypy.session['fuzzySearched']=False
				   
	@cherrypy.expose		
	def index( self ):   
		'''
		call the render method from the class Page
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		
		if cherrypy.session.get('resetQrm',False):
			if not cherrypy.session.has_key('qrmSaved'):
				self.redirect('/index/session')
			self.qrm = QueryReminder(resetDone=True)
			cherrypy.session.pop('resetQrm')
		else:
			self.qrm = QueryReminder(resetDone=False)
		value=self.qrm.getValue()
		value=unic(value)
		
		try:
			cherrypy.session.pop('confirmation')
		except:
			pass
		#remove message stored by the advanced search or by the simple search
		cherrypy.session['message']=''
		
		if self._propsFile is None:
			self.setPropsFile()
		self.title = "Units Search Preview"
		self.body = "searchPage" 
		self.filePath = 'results/units/'
		self.fileName='_preview.kid'
		
		self.seeRecordBasis()
		nextHistory=None
		
		action =  cherrypy.session.get('action',"")
		if 'unitName' not in action:
			action = action+"; giveFocus('buttonSearch');"
		
		if cherrypy.session.get('thesaurusUsed',None) is None:
			from thesaurusconf.thesaurusConf import ThesaurusConf
			ThesaurusConf().getCookieThesaurus()
			####thesaurus staff----------------------------------------------		
			####
			if self.getCfgObj().admin.forTaxonomist:
				tmp = self.getCfgObj().checklist.thesauri.split("(")
			else:
				tmp = self.getCfgObj().checklist.thesauriSimple.split("(")
			tklist={}
			for cell in tmp:
				tmp2 = cell.split(")")
				for case in tmp2:
					cell = case.split(",")
					if len(cell)==2:
						tklist[cell[0]]=cell[1]
			cherrypy.session['checklistDic'] = tklist
			self.checklist = cherrypy.session.get('checklistDic').keys()
			try:
				self.checklistsdict = cherrypy.session.get('checklists')
				tmp = self.checklistsdict.keys()
			except:
				from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
				tmp = TransformXmlForThesaurus().loadReferences()
				self.checklistsdict = cherrypy.session.get('checklists')
			tmp=['%s'%p.displayName for pp in self.checklistsdict.values() for p in pp if p is not None and p.name in self.checklist]
			tmp=list(set(tmp))	
			cherrypy.session['thesaurusUsed']=", ".join(tmp)
#			
#		return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, 
#						    body=self.body, params =cherrypy.session.get('params'),
#						    queryReminder = value, toload=cherrypy.session.get('toload'),
#						    groupBy = cherrypy.session.get('group'), recordBasis = cherrypy.session.get('recordBasis'),
#						    nbUnits=cherrypy.session.get('nbUnits'), nextHistory=nextHistory, 
#						    emptyThesaurus=cherrypy.session.get('emptyThesaurus'), fuzzySearched=cherrypy.session.get('fuzzySearched'),
#						    thesaurusListStr=cherrypy.session.get('thesaurusListStr'), action=action, 
#						    tooManyNames=cherrypy.session.get('tooManyNames',False),thesaurusUsed=cherrypy.session.get('thesaurusUsed'))
		return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, 
						    body=self.body, params =cherrypy.session.get('params'),
						    queryReminder = value, toload=cherrypy.session.get('toload'),
						    groupBy = cherrypy.session.get('group'), recordBasis = cherrypy.session.get('recordBasis'),
						    nbUnits=cherrypy.session.get('nbUnits'), nextHistory=nextHistory, 
						    emptyThesaurus=cherrypy.session.get('emptyThesaurus'), fuzzySearched=cherrypy.session.get('fuzzySearched'),
						    action=action, tooManyNames=cherrypy.session.get('tooManyNames',False),
						    thesaurusListStr=cherrypy.session.get('thesaurusListStr'),thesaurusUsed=cherrypy.session.get('thesaurusUsed'))


	@cherrypy.expose
	def resetFilter(self):
		'''
		used on the Preview Page
		the query refinement are deleted, the original query done on the simpleSearch or advancedSearch is reloaded
		'''

		if not cherrypy.session.has_key('reset'):
			self.redirect('/index/session')
		for key in cherrypy.session.keys():
			if key not in[ 'lang', 'group',  'unitSearch', 'tableHeaders', 'nbResultPerPage','reset',"u_s_qrm","searchType",'resetQrmMem','countRecBasMem','qrmSaved']:
				cherrypy.session.pop(key)
		queryString=cherrypy.session.get('reset')
		connection = DBconnection()
		connection.setDatabase("units")
		if(connection is not None):
			try:
				startQuery = time.time()
				cursor = connection.executeQuery(queryString)
				duree = time.time() - startQuery
				if duree > self.max:
					log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryString)))
				
				resultSet = cursor.fetchall()
				closeConnection(connection)
					
			except Exception,e:
				log.info("PB with query : %s \n query:%s " %(e,queryString))
				resultSet=[]
				closeConnection(connection)
			
			queryString=None#clean for the session file
			query=None#clean for the session file

			self.reinit()
			
			if self.getCfgObj().admin.unitsDatabase == "mysql":
				cherrypy.session['resultSet']=resultSet
			else:
				table=[]
				if resultSet is not None and len(resultSet)>0:
					for result in resultSet:
						res=[] 
						for t in result:
							try:
								t=unicode(t, 'utf-8')
							except:
								try:
									t = unicode(t,"ISO-8859-1")
								except:
									pass
							res.append(t)
						table.append(res)
				cherrypy.session['resultSet']=table
			self.setTaxonList()
		else:
			log.info("The connection was null..")
		
		cherrypy.session['resetQrm']=True
		try:
			cherrypy.session.pop('resetQrmMem')
		except:
			pass
		return self.redirect ("/search/units/preview")
		   
	# return the properties file
	def setPropsFile( self ):
		'''
		the properties file contains a list of queries corresponding to the 
		synthesys cache Databases
		'''
		try:
			self._propsFile
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		try:
			self.max = float(_cfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0


			

	# handle the resultset returned by the query (come from search.py)
	def setTaxonList( self):
		'''
		the taxon list is always loaded
		'''
		resultSet = cherrypy.session.get('resultSet',None)
		searchType = cherrypy.session.get('searchType',None)
		recordFilter = cherrypy.session.get('recordFilter',None)
		multimediaOnly = cherrypy.session.get('photo',False)
		groupBy = cherrypy.session.get('group',self.getGroup())
		try:
			message=cherrypy.session.get('params').get('message')
		except:
			message=None
		#init the lists to None and create a parameters dictionnary	 
		self.initLists()
		
#		if ( 'Simple' in myClassStr ):
		nbTaxon = len( resultSet )
		taxonKeyList=[]
		taxonList = []
		tmp1 = []
		tmp2 =[]
		taxonDico = {}
		nameD = {}
		keyD = {}
		mem={}

		
		tmpKeyList = []
		appendB = taxonKeyList.append
		for resultat in resultSet:
			#0 : name, 1 : key
			nom = resultat[0]
			if self.getCfgObj().admin.unitsDatabase == "mssql":
				try:
					nom=unicode(nom, 'utf-8')
				except:
					try:
						nom = unicode(nom,"ISO-8859-1")
					except:
						pass
			cle = str(resultat[1])

			if len(resultat)>2:
				nbU = resultat[2]
			else:
				nbU = 0
			if not mem.has_key(nom+'_'+cle):
				mem[nom+'_'+cle] = nbU
				try:
					nameD[nom] += nbU 
				except KeyError:
					nameD[nom] = nbU

			try:
				keyD[cle] += 1
			except KeyError:
				keyD[cle] = 1  
				tmp=taxonDico.get(nom,[])
				tmp.append(cle)
				taxonDico[nom] = tmp  
				appendB( "\"%s\""%cle)
				
		taxonList=[(key,nameD[key]) for key in nameD.keys()]
		taxonList.sort(lambda x,y:cmp(x[0],y[0]))

		taxonKeyList = "( "+", ".join(taxonKeyList)+" )"
		if( len( tmpKeyList ) == 4 ):
			taxonKeyList= "'"+tmpKeyList[2]+"'"			
			uniqueTaxon = True
		else:
			uniqueTaxon = False
		if( len( tmpKeyList ) == 1 ):
			taxonKeyList = []	
		
		#save the current list of taxon keys
		querymn = cherrypy.session.get('u_qmg',{})
		querymn['taxonKeyList'] = taxonKeyList
		querymn['uniqueTaxon']= uniqueTaxon
		querymn['taxonDico'] = taxonDico
		cherrypy.session['u_qmg'] = querymn
		
		cherrypy.session['toload'] = groupBy
		self.params['taxonList'] = taxonList		
		
		cherrypy.session['recordFilter']=recordFilter
		self.params['message']=message
		cherrypy.session['params']=self.params
		
		cherrypy.session['u_qmg'] = querymn

	def initLists( self ):
		self.taxonList = None
		self.higherList = None
		self.countryList = None
		self.countryCodes = None
		self.genusList = None
		self.collectorList = None
		self.collectionList = None
		self.commonList = None
		self.familyList = None
		self.institutionList = None
		self.typeList = None
		self.params = {'higherList':self.higherList, 'taxonList':self.taxonList, 
					   'countryList':self.countryList, 'genusList':self.genusList, 
					   'collectorList':self.collectorList, 'collectionList':self.collectionList, 
					   'commonList':self.commonList, 'familyList':self.familyList, 
					   'institutionList':self.institutionList, 'typeList':self.typeList}
		cherrypy.session['params'] = self.params


	@cherrypy.expose 
	def refineQuery( self,listStr="",box="taxonBox",**kwargs ):
		'''
		refine the query with the selected data in the current column
		@param listStr : the selected data, separated by a specific separator
		*javascript handle the names to replace comma and slash caracters
		@param box : the name of the column these data have been picked from
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		#self.reinitThesaurus()
		self.params = cherrypy.session.get('params')
		self.querymn = cherrypy.session.get('u_qmg')
		
		if box in ['collectorBox','localityBox']:
			self.querymn["advancedSearch"]=False 
		else:
			self.querymn["advancedSearch"]=True
		
		cherrypy.session['recordBasis']=None
		self.qrm = QueryReminder()
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		
		self.tosee=kwargs.get("tosee","taxonBox")
		for key in cherrypy.session.keys():
			if key in ['styleSheetResult','meta','corb','unitID','directLink','checkedBoxes','reason']:
				cherrypy.session.pop(key)
			if key in ['twenty','showColumns','table','orderByAscDsc','nbMulti','size','currentPage','interMemory']:
				cherrypy.session.pop(key)	
		
		tmp = []
		selection = listStr
		selectionTmp = selection.split(_carac.selectionSeparator)
		if( len( selectionTmp ) == 1 ):
			tmp=["%s"%selectionTmp[0].replace('\"','\\"').replace("\'","\\'")]
			tmp=["%s"%selectionTmp[0].replace("\'","\\'")]
		else:
			tmp=[unit.replace('\"','\\"').replace("\'","\\'") for unit in selectionTmp]
			tmp=[unit.replace("\'","\\'") for unit in selectionTmp]
		zklist ='( '+ ', '.join(tmp)+' )'
			
		#refine the results
		self.querymn['refineTaxon'] = False
		cherrypy.session['u_qmg'] = self.querymn
		try:
			self.__class__._refineDict[box]( self, zklist )
		except:
			self.__class__._refineDict['taxonBox']( self, zklist )
		self.querymn = cherrypy.session.get('u_qmg')

		self.setBooleans()
		
		self.refine()
		#display the page
		#log.info("tosee: %s"%self.tosee)
		self.see(box=self.tosee, anchor="#716")
		#return self.redirect( self.__path )

	def setBooleans(self):
		'''
		look in the 'U_QueryReminder' for the fields the user already selected/refined
		build a set of boolean, which will be used to know if table from the database have to be joined or not
		'''
		
		self.queryParams = []
		
		if self.qrm.hasCountry():
			self.queryParams.append('country')
		if self.qrm.hasUnitID():
			self.queryParams.append('unitID')
		if self.qrm.hasCollection():
			self.queryParams.append('collection')
		if self.qrm.hasInstitution():
			self.queryParams.append('institution')
		if self.qrm.hasDateInf():
			self.queryParams.append('dateInf')
		if self.qrm.hasDateEq():
			self.queryParams.append('dateEq')
		if self.qrm.hasDateSup():
			self.queryParams.append('dateSup')
		if 'dateInf' in self.queryParams or 'dateSup' in self.queryParams or 'dateEq' in self.queryParams:
			self.queryParams.append('date')
		if self.qrm.hasHigher():
			self.queryParams.append('higherTaxon')
		if self.qrm.hasCommon():
			self.queryParams.append('commonName')
		if self.qrm.hasGenus():
			self.queryParams.append('genus')
		if self.qrm.hasFamily():
			self.queryParams.append('family')
		if self.qrm.hasTaxon():
			self.queryParams.append('taxon')
		if self.qrm.hasUnit():
			self.queryParams.append('unitKey')
		if self.qrm.hasLocality():
			self.queryParams.append('locality')
		if self.qrm.hasCollector():
			self.queryParams.append('collector')
		if self.qrm.hasType():
			self.queryParams.append('type')  
		if self.qrm.hasCollNumber():
			self.queryParams.append('collNumber')
		if self.qrm.hasFieldNumber():
			self.queryParams.append('fieldNumber')
		try:
			if cherrypy.session.get('photo',False) == True or self.qrm.isMultimediaOnly():
				self.queryParams.append('multimedia')
		except:
			pass
		cherrypy.session['queryparams']=self.queryParams
		
		
	#@cherrypy.expose
	def seeRecordBasis(self):
		'''
		search the record basis in the db for the left panel on the preview page
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.queryparams = cherrypy.session.get('queryparams',[])
		querymn = cherrypy.session.get('u_qmg',{})

		taxonKeyList = querymn.get('taxonKeyList',[])
		if taxonKeyList is None or str(taxonKeyList).replace("(", "").replace(")","").replace(" ","") =="":
			taxonKeyList = []
		self.setPropsFile()
		
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		self.setBooleans()
		
		if taxonKeyList.count(",") == 0 and len(taxonKeyList)<1 or taxonKeyList=="(  )":
			cherrypy.session['nbUnits'] = 0
			cherrypy.session['nbUnknown'] = 0
			cherrypy.session['recordBasis']=[]   
			return
		
		query = self.qmg.countRecordBasis()
		queryStr= "".join(query)
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		
		#log.info("count record basis: %s" % queryStr)
		self.connection = DBconnection()
		self.connection.setDatabase("units")
		if(self.connection is not None):
			try:
				startQuery = time.time()				
				cursor = self.connection.executeQuery(queryStr)
				duree = time.time() - startQuery
				
				if duree > self.max:
					log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
				
				resultSet = cursor.fetchall()
				closeConnection(self.connection)
				cherrypy.session['nbUnits'] = 0
				cherrypy.session['nbUnknown'] = 0
				cherrypy.session['recordBasis']=[] 
				recordBasisDict = buildDic(self.getCfgObj().recordBasis.recordBasisList)
				try:
					for value,abbrev in resultSet:
						cherrypy.session['nbUnits'] += value
						cell =[]
						if recordBasisDict.has_key(abbrev):
							cell.append(recordBasisDict[abbrev])
						else:
							if abbrev is None or str(abbrev)=='None':
								cell.append("not specified")
							else:
								cell.append(abbrev)
						cell.append(value)
						cherrypy.session['recordBasis'].append(cell)
				except:
					pass
					#log.info("no record basis")
				
			except Exception,e:
				log.info("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				closeConnection(self.connection)
				cherrypy.session['nbUnits']=0
				cherrypy.session['recordBasis']=[]
				cherrypy.session['nbUnknown'] = 0

	
				
		
	@cherrypy.expose
	def see( self, box="taxonBox", anchor="#716",**kwargs):
		'''
		display the selected box on the page
		@param box : the column (or box) to be displayed
		@param anchor : the anchor's name 
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
#		log.info("tosee : %s %s" %(box,anchor))
		self.params = cherrypy.session.get('params')
		self.qrm = QueryReminder()
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		self.querymn = cherrypy.session.get('u_qmg',{})
		self.querymn['straightSearch'] = False
		cherrypy.session['u_qmg'] = self.querymn
		self.setBooleans()
		try:
			self.__class__._seeDict[box]( self )
		except Exception,e:
			log.info("exception while see %s" %e)
			self.__class__._seeDict['taxonBox']( self )
		cherrypy.session['group'] = ""
		self.querymn = cherrypy.session.get('u_qmg')
		if not self.checkGBIFAgreementCookie():
			cherrypy.session['forwardURL']=self.__path+anchor
			return self.redirect("/search/units/gbifAgreement")
		return self.redirect( self.__path+anchor )
		
	@cherrypy.expose
	def calculate( self, box ):
		'''
		calculate the number of hits for the selected box
		@param box : the column's name (or box) to be calculated
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.params = cherrypy.session.get('params') 
		self.qrm = QueryReminder()
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		self.querymn = cherrypy.session.get('u_qmg',{})
		self.querymn['straightSearch'] = False
		cherrypy.session['u_qmg'] = self.querymn
		
		self.setBooleans()
		self.querymn = cherrypy.session.get('u_qmg',{})
		try:
			self.__class__._seeDict[box]( self )
		except:
			self.__class__._seeDict['taxonBox']( self )
		self.querymn = cherrypy.session.get('u_qmg',{})
		return self.redirect( self.__path )
	
	def getTaxon(self):
		self.taxonList = self.params.get('taxonList')
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "taxon"
				   
	def getGenus(self):
		self.genusList = self.params.get('genusList',None)
		if self.genusList is None:
			if len(self.querymn.get('taxonKeyList',0))>0:
				self.setPropsFile() 
				cherrypy.session['select']='genus'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()
				result = self.qmg.getResultSet( query )
				self.genusList = result
			else:
				self.genusList = []
			try:
				self.genusList=[decode_htmlentities(elt) for elt in self.genusList if elt is not None]
			except:
				pass
		self.params['genusList'] = self.genusList
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "genus"
		
	def getHigher(self):
		self.higherList = self.params.get('higherList',None)
		if self.higherList is None:
			if len(self.querymn.get('taxonKeyList',0))>0:
				self.setPropsFile()	
				cherrypy.session['select']='higherTaxon'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()
				result = self.qmg.getResultSet( query )
				self.higherList = result
			else:
				self.higherList = []
			try:
				self.higherList=[decode_htmlentities(elt) for elt in self.higherList if elt is not None]
			except Exception,e:
				pass
		self.params['higherList'] = self.higherList
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "higher" 
			   
	def getFamily(self):
		self.familyList = self.params.get('familyList',None)
		if self.familyList  is None:
			if len(self.querymn.get('taxonKeyList',0))>0:
				self.setPropsFile()		
				cherrypy.session['select']='family'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()   
				result = self.qmg.getResultSet(query)
				self.familyList = result
			else:
				self.familyList = []
			try:
				self.familyList=[decode_htmlentities(elt) for elt in self.familyList if elt is not None]
			except:
				pass
		self.params['familyList'] = self.familyList
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "family"
		
	def getCommon(self):
		self.commonList = self.params.get('commonList',None)
		if self.commonList is None:
			if len(self.querymn.get('taxonKeyList',0))>0:
				self.setPropsFile()		
				cherrypy.session['select']='commonName'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()   
				result = self.qmg.getResultSet( query )
				self.commonList = result
			else:
				self.commonList = []
			try:
				self.commonList=[decode_htmlentities(elt) for elt in self.commonList if elt is not None]
			except:
				pass
		self.params['commonList'] = self.commonList
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "commonName"	 
	
	
	def getCountry(self):
		self.countryList = self.params.get('countryList',None)
		if self.countryList  is None:
			if len(self.querymn.get('taxonKeyList',0))>0:
				self.setPropsFile()		
				cherrypy.session['select']='country'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()				  
				result = self.qmg.getResultSet( query)
				self.countryList = result
			else:
				self.countryList = []
			try:
				self.countryList=[elt.title() for elt in self.countryList if elt is not None]
			except:
				pass
		self.params['countryList'] = self.countryList
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "country"
	
	
	def getCollector(self):
		self.collectorList = self.params.get('collectorList',None)
		if self.collectorList  is None:  
			if len(self.querymn.get('taxonKeyList',0))>0:	 
				cherrypy.session['select']='collector'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()				 
				result = self.qmg.getResultSet( query )
				self.collectorList = result
			else:
				self.collectorList = []
			try:
				self.collectorList=[decode_htmlentities(elt) for elt in self.collectorList if elt is not None]
			except:
				pass
		self.params['collectorList'] = self.collectorList
		cherrypy.session['params']=self.params
		cherrypy.session['toload'] = "collector"
	
	
	def getInstitution(self): 
		self.institutionList = self.params.get('institutionList',None)
		if self.institutionList  is None:  
			if len(self.querymn.get('taxonKeyList',0))>0:	 
				cherrypy.session['select']='institution'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()				 
				result = self.qmg.getResultSet( query )
				self.institutionList = result
			else:
				self.institutionList = []
			try:
				self.institutionList=[decode_htmlentities(elt) for elt in self.institutionList if elt is not None]
			except:
				pass
		self.params['institutionList'] = self.institutionList
		cherrypy.session['params']=self.params
		cherrypy.session['toload'] = "institution"
		
	def getCollection(self): 
		self.collectionList = self.params.get('collectionList',None) 
		if self.collectionList is None: 
			if len(self.querymn.get('taxonKeyList',0))>0:	 
				cherrypy.session['select']='collection'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()				  
				result = self.qmg.getResultSet( query )
				self.collectionList = result
			else:
				self.collectionList = []
			try:
				self.collectionList=[decode_htmlentities(elt) for elt in self.collectionList if elt is not None]
			except:
				pass
		self.params['collectionList'] = self.collectionList
		cherrypy.session['params']=self.params
		cherrypy.session['toload']  = "collection"	
	
	def getType(self): 
		self.typeList = self.params.get('typeList',None) 
		if self.typeList is None: 
			if len(self.querymn.get('taxonKeyList',0))>0:	 
				cherrypy.session['select']='recordBasis'
				cherrypy.session['queryparams']=self.queryParams
				query = self.qmg.buildSelectSQL()				
				self.connection = DBconnection()
				self.connection.setDatabase("units")
				if(self.connection is not None):
					try:
						startQuery = time.time()				
						cursor = self.connection.executeQuery("".join(query))
						duree = time.time() - startQuery
						
						if duree > self.max:
							log2.info("Query executed in %f seconds : %s" %(duree,"".join(query)))
						
						result = cursor.fetchall()
						closeConnection(self.connection)
						self.typeList = []
						recordBasisDict = buildDic(self.getCfgObj().recordBasis.recordBasisList)
						try:
							for recordNb,recordAbbrev in result:
								fullName=""
								if recordBasisDict.has_key(recordAbbrev):
									fullName=recordBasisDict[recordAbbrev]
								else:
									if recordAbbrev is None or str(recordAbbrev) == 'None':
										fullName="not specified"
									else:
										fullName=recordAbbrev
								self.typeList.append(fullName)
						except Exception ,e:
							log.info("no record basis: %s" %e )
					except Exception ,e:
							log.info("re no record basis: %s "%e)
			else:
				self.typeList = []

		query=None#clean for the session file
		result=[]#clean for the session file
		
		self.params['typeList'] = self.typeList
		cherrypy.session['params']= self.params
		cherrypy.session['toload'] = "type"	
		
	def refine(self):		
		querymn = cherrypy.session.get('u_qmg',{})	
		cherrypy.session['select']='taxon'
				
		taxonDico = self.querymn.get('taxonDico',{})
		
		if querymn.get('refineTaxon') == True:
			taxonKeyList = self.getCodes(self.qrm.getTaxon(),taxonDico)
			querymn['taxonKeyList'] =  taxonKeyList			
			querymn['refineTaxon']=True
			querymn['straightSearch']=True  
			cherrypy.session['u_qmg']=querymn			
			query = self.qmg.buildSelectSQL()
		else:
			querymn['refineTaxon']=False
			querymn['straightSearch']=True  
			cherrypy.session['u_qmg']=querymn
			query = self.qmg.buildSelectSQL()
		result = self.qmg.getDoubleResultSet(query)
		self.handleResult(result)			

   
	def addTaxon(self,zklist):
		self.qrm.addTaxon(zklist)
		self.querymn = cherrypy.session.get('u_qmg',{})
		self.querymn['refineTaxon'] = True
		cherrypy.session['u_qmg']=self.querymn	
	
	def addGenus(self,zklist):
		self.qrm.addGenus(zklist)
	
	def addHigher(self,zklist):
		self.qrm.addHigher(zklist)
	
	def addFamily(self,zklist):
		self.qrm.addFamily(zklist)
	
	def addCommon(self,zklist):
		self.qrm.addCommon(zklist)
	
	def addCountry(self,zklist):
		self.qrm.addCountry(zklist)
	
	def addCollector(self,zklist):
		self.qrm.addCollector(zklist)
	
	def addInstitution(self,zklist):
		self.qrm.addInstitution(zklist)
	
	def addCollection(self,zklist):
		self.qrm.addCollection(zklist)
	
	def addType(self,zklist):
		self.qrm.addType(zklist)

	#return the code for taxonName -> taxonKey
	#.... to go faster in the SQL query			   
	def getCodes( self, zklist, dico ):
		codes = []
		if( "," in zklist ):
			table = zklist.split( "(" )[1].split( ")" )[0].replace( "\"", "" ).replace("'","").split( ", " )
  
			for unit in table:				
				try:
					val = dico[unit]
					if(type(val) == ListType):
						for value in val:
							codes.append( "\"%s\""%value )
					else:
						codes.append( "\"%s\""%val )
				except:
					try:
						val = dico[unicode(unit,'utf-8')]
						if(type(val) == ListType):
							for value in val:
								codes.append( "\"%s\""%value )
						else:
							codes.append( "\"%s\""%val )
						strCodes = '( '+', '.join(codes)+' )'
					except Exception,e:
						pass
			strCodes ='( '+', '.join(codes)+' )'
		else:
			if( "(") in zklist:
				zklist = zklist.split( "(" )[1]
			if (")") in zklist:
				zklist = zklist.split( ")" )[0]
			unit = zklist.replace("\"","").replace( "\"", "" )			
			try:
				val = dico[unit]
				if(type(val) == ListType):
					for value in val:
						codes.append( "\"%s\""%value )
				else:
					codes.append( "\"%s\""%val )
				strCodes = '( '+', '.join(codes)+' )'
			except:
				try:
					val = dico[unicode(unit,'utf-8')]
					if(type(val) == ListType):
						for value in val:
							codes.append( "\"%s\""%value )
					else:
						codes.append( "\"%s\""%val )
					strCodes = '( '+', '.join(codes)+' )'
				except Exception,e:
					pass
		if len(codes) <= 1:
			codes = []
			strCodes=""
		return strCodes

	def handleResult( self, result ):
		'''
		rebuild the current lists with the new data coming from the result triplet
		@param result : list of results [[taxon names],[taxon keys] ,[hashtable name:list of keys]]
		'''
		#reinit lists
		self.initLists()
		self.taxonList = result[0]
		self.querymn['taxonKeyList'] = result[1]
		taxonDico = result[2]
	
		
		if len( taxonDico.keys() ) == 1:
			uniqueTaxon = True
		else:
			uniqueTaxon = False 
		#set the params
		self.params['taxonList'] = self.taxonList
		cherrypy.session['toload']= "taxon"
		self.querymn['params']=self.params
		self.querymn['uniqueTaxon'] = uniqueTaxon
		self.querymn['taxonDico'] = taxonDico
		cherrypy.session['u_qmg']=self.querymn
		


	@cherrypy.expose
	def upload(self,box,**kwargs):
		'''
		create and return a text file with the list of hits for the selected column (box)
		@param box : the selected column name
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.params = cherrypy.session.get('params') 
		self.qrm = QueryReminder()
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		self.querymn = cherrypy.session.get('u_qmg',{})
		
		self.params=cherrypy.session.get('params',{})

		self.filesDir = cherrypy.config.get("uploads")
		os.chdir(self.filesDir) 
		
		self.setBooleans()
		if '.txt' not in box:
			try:
				self.__class__._dlDict[box](self)
			except:
				self.__class__._dlDict['taxonBox'](self)
		self.querymn = cherrypy.session.get('u_qmg',{})
		path = os.path.join(self.filesDir,self.fileName)
		#return self.redirect("/static/files/"+self.fileName)
		
		return cptools.serveFile(path, "application/x-download",
								 "attachment",os.path.basename(path))
								  
	def dlTaxon(self):
		chaine = ("taxons");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		for elmt in self.params.get('taxonList',[]):
			if type(elmt) != type(''):
				myFile.write(elmt[0])
			else:
				myFile.write(elmt)
			myFile.write("\n")
		myFile.close()

		  
	def dlGenus(self):
		chaine = ("genus");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getGenus()
		for elmt in self.params.get('genusList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlHigher(self): 
		chaine = ("higher");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getHigher()
		for elmt in self.params.get('higherList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlFamily(self):
		chaine = ("family");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getFamily()
		for elmt in self.params.get('familyList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
				
	def dlCommon(self): 
		chaine = ("commonName");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getCommon()
		for elmt in self.params.get('commonList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlCountry(self): 
		chaine = ("country");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getCountry()
		for elmt in self.params.get('countryList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlCollector(self):
		chaine = ("collector");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getCollector()
		for elmt in self.params.get('collectorList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlInstitution(self): 
		chaine = ("institution");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getInstitution()
		for elmt in self.params.get('institutionList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlCollection(self): 
		chaine = ("collection");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getCollection()
		for elmt in self.params.get('collectionList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
	def dlType(self):   
		chaine = ("type");
		sel = str(random.random())
		hashage = sha.new(chaine+sel);
		date = time.strftime('_%d_%m_%y',time.localtime())
		self.fileName = chaine+hashage.hexdigest()[0:10]+date+".txt"
		myFile = open(self.fileName,'w')
		self.getType()
		for elmt in self.params.get('typeList',[]):
			myFile.write(elmt)
			myFile.write("\n")
		myFile.close()
		
#===============================================================================
# dictionnary with the different checkboxgroups that exist in the HTML file
# and the corresponding method for the Refine Query
#===============================================================================
	#dictionnary of refine actions
	_refineDict = {
				  "taxonBox":addTaxon, 
				  "genusBox":addGenus, 
				  "higherBox":addHigher, 
				  "familyBox":addFamily, 
				  "commonBox":addCommon, 
				  "countryBox":addCountry, 
				  "collectorBox":addCollector, 
				  "institutionBox":addInstitution, 
				  "collectionBox":addCollection, 
				  "typeBox":addType
				  } 
  #dictionnary for see/ calcul actions
	_seeDict = {
				  "taxonBox":getTaxon,
				  "genusBox":getGenus, 
				  "higherBox":getHigher, 
				  "familyBox":getFamily, 
				  "commonBox":getCommon, 
				  "countryBox":getCountry, 
				  "collectorBox":getCollector, 
				  "institutionBox":getInstitution, 
				  "collectionBox":getCollection, 
				  "typeBox":getType
				  }   
	
	_dlDict = {
				  "taxonBox":dlTaxon, 
				  "genusBox":dlGenus, 
				  "higherBox":dlHigher, 
				  "familyBox":dlFamily, 
				  "commonBox":dlCommon, 
				  "countryBox":dlCountry, 
				  "collectorBox":dlCollector, 
				  "institutionBox":dlInstitution, 
				  "collectionBox":dlCollection, 
				  "typeBox":dlType			   
			   }


	@cherrypy.expose
	def seeResultStraight(self,listStr,box,**kwargs):
		'''
		called from the interface to see the available results for the selected data
		@param listStr : the selected data, separated by a specific separator
		@param box : the column's name where the data have been picked
		*if less than 10.000 units correspond to the query:
		***redirect to the available results page
		*else:
		***display a warning and the user has to refine his query
			
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.params = cherrypy.session.get('params') 
		self.qrm = QueryReminder()
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		self.querymn = cherrypy.session.get('u_qmg',{})
		
		if box in ['collectorBox','localityBox']:
			self.querymn["advancedSearch"]=False
		
		for key in cherrypy.session.keys():
			if key in ['styleSheetResult','meta','corb','unitID','directLink','checkedBoxes','reason']:
				cherrypy.session.pop(key)
			if key in ['twenty','showColumns','table','orderByAscDsc','nbMulti','size','currentPage','interMemory']:
				cherrypy.session.pop(key)	
			if key in ['annotation','available']:
				cherrypy.session.pop(key)
		tmp = []
		selectionTmp = []
		for elt in listStr:
			try:
				t=elt[0].encode('latin-1')
			except:
				t=elt[0]
			selectionTmp.append(t)
		#log.info("selectionTmp %s"%selectionTmp)
		if( len( selectionTmp ) == 1 ):
			zklist="%s"%selectionTmp[0].replace('\"','\\"').replace("\'","\\'")
			zklist="%s"%selectionTmp[0].replace("\'","\\'")
		else:
			tmp=[(unit.replace('\"','\\"').replace("\'","\\'")) for unit in selectionTmp]
			tmp=[(unit.replace("\'","\\'")) for unit in selectionTmp]
			zklist="("+', '.join(tmp)+")"
		
		tmp=None
		selectionTmp=None
		
		#refine the results
		self.querymn['refineTaxon'] = False
		cherrypy.session['u_qmg'] = self.querymn		
		self.__class__._refineDict[box]( self, zklist )
		self.querymn = cherrypy.session.get('u_qmg',{})
		
		self.setBooleans()
		self.refine()
		query = self.qmg.getNbUnits()	
		queryStr = "".join(query)		
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		
		self.connection = DBconnection()
		self.connection.setDatabase("units")
		if(self.connection is not None):
			try:
				startQuery = time.time()				
				cursor = self.connection.executeQuery(queryStr)
				duree = time.time() - startQuery				
				if duree > self.max:
					log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
				#log.info("requete: %f" %duree)
				resultSet = cursor.fetchall()
				nbUnits = resultSet[0][0]
				closeConnection(self.connection)
				
			except Exception,e:
				log.info("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				nbUnits=0
				closeConnection(self.connection)
					
#		log.info("query %s -> %shits "%(queryStr,str(nbUnits)))
		if nbUnits>10000:
			return self.redirect("/search/units/preview")
		else:
			#less than 10000 units
			query = self.qmg.getBiorecordKeyTaxon()		
			queryStr = "".join(query)		
			queryStr = _carac.decodeCaracters(encoded=queryStr)
			bioRecordKeys = []
			self.connection = DBconnection()
			self.connection.setDatabase("units")
			if(self.connection is not None):
				try:
					startQuery = time.time()				
					cursor = self.connection.executeQuery(queryStr)
					duree = time.time() - startQuery				
					if duree > self.max:
						log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
					#log.info("2eme requete %f" %duree)
					resultSet = cursor.fetchall()
					closeConnection(self.connection)
					
				except Exception,e:
					log.info("PB with query : %s \n query: %s" %(e,queryStr))
					resultSet=[]
					closeConnection(self.connection)
				bioRecordKeys=[a[0] for a in resultSet]	

			query = self.qmg.buildQueryAllFields(bioRecordKeys)
			queryStr = "".join(query)		
			queryStr = _carac.decodeCaracters(encoded=queryStr)
			
			#log.info("queryStr: %s"%queryStr)
						
			nbMulti = self.qmg.countMultimedia(bioRecordKeys)
			table = []
			
			self.connection = DBconnection()
			self.connection.setDatabase("units")
			if(self.connection is not None):
				try:
					startQuery = time.time()					
					cursor = self.connection.executeQuery(queryStr)
					duree = time.time() - startQuery
					
					if duree > self.max:
						log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
					#log.info("3eme query: %f " %duree)
					resultSet = cursor.fetchall()
					closeConnection(self.connection)
					
				except Exception,e:
					log.debug("PB with query : %s \n query:%s " %(e,queryStr))
					resultSet=[]
					closeConnection(self.connection)
			#clean for the sessionfile		
			query=None
			queryStr=None
			
			table = resultSet
			#display the page
			size = len(table)
			
			cherrypy.session['available'] = ""
			availableRes = U_Results()
			
			availableRes.reinit()
			cherrypy.session['size'] = size
			cherrypy.session['table'] = table
			availableRes.setHighlight(box)
			availableRes.setNbMulti(nbMulti)
			cherrypy.session['corb'] = []
		
	@cherrypy.expose
	def seeResult(self,listStr,box,**kwargs):
		'''
		called from the interface to see the available results for the selected data
		@param listStr : the selected data, separated by a specific separator
		@param box : the column's name where the data have been picked
		*if less than 10.000 units correspond to the query:
		***redirect to the available results page
		*else:
		***display a warning and the user has to refine his query
			
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.params = cherrypy.session.get('params') 
		self.qrm = QueryReminder()
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		self.querymn = cherrypy.session.get('u_qmg',{})
		
		if box in ['collectorBox','localityBox']:
			self.querymn["advancedSearch"]=False
		
		for key in cherrypy.session.keys():
			if key in ['styleSheetResult','meta','corb','unitID','directLink','checkedBoxes','reason']:
				cherrypy.session.pop(key)
			if key in ['twenty','showColumns','table','orderByAscDsc','nbMulti','size','currentPage','interMemory']:
				cherrypy.session.pop(key)	
			if key in ['annotation','available']:
				cherrypy.session.pop(key)
		tmp = []
		selection = listStr
		#log.info("liste: %s" %listStr)
		selectionTmp = selection.split(_carac.selectionSeparator)
#		log.info(selectionTmp)
		if( len( selectionTmp ) == 1 ):
			zklist="%s"%selectionTmp[0].replace('\"','\\"').replace("\'","\\'")
			zklist="%s"%selectionTmp[0].replace("\'","\\'")
		else:
			tmp=[(unit.replace('\"','\\"').replace("\'","\\'")) for unit in selectionTmp]
			tmp=[(unit.replace("\'","\\'")) for unit in selectionTmp]
			zklist="("+', '.join(tmp)+")"
		
		tmp=None
		selection=None
		selectionTmp=None
		
		#refine the results
		self.querymn['refineTaxon'] = False
		cherrypy.session['u_qmg'] = self.querymn		
		self.__class__._refineDict[box]( self, zklist )
		self.querymn = cherrypy.session.get('u_qmg',{})
		
		self.setBooleans()
		self.refine()
		query = self.qmg.getNbUnits()	
		queryStr = "".join(query)		
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		
		self.connection = DBconnection()
		self.connection.setDatabase("units")
		if(self.connection is not None):
			try:
				startQuery = time.time()				
				cursor = self.connection.executeQuery(queryStr)
				duree = time.time() - startQuery				
				if duree > self.max:
					log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
				#log.info("requete: %f" %duree)
				resultSet = cursor.fetchall()
				nbUnits = resultSet[0][0]
				closeConnection(self.connection)
				
			except Exception,e:
				log.info("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				nbUnits=0
				closeConnection(self.connection)
					
#		log.info("query %s -> %shits "%(queryStr,str(nbUnits)))
		if nbUnits>10000:
			popup = QuotaAlert()
			popup.alert(str(nbUnits))
			cherrypy.session['nbUnits']=nbUnits
			return self.redirect("/search/units/alert")
		else:
			#less than 10000 units
			query = self.qmg.getBiorecordKeyTaxon()		
			queryStr = "".join(query)		
			queryStr = _carac.decodeCaracters(encoded=queryStr)
			bioRecordKeys = []
			self.connection = DBconnection()
			self.connection.setDatabase("units")
			if(self.connection is not None):
				try:
					startQuery = time.time()				
					cursor = self.connection.executeQuery(queryStr)
					duree = time.time() - startQuery				
					if duree > self.max:
						log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
					#log.info("2eme requete %f" %duree)
					resultSet = cursor.fetchall()
					closeConnection(self.connection)
					
				except Exception,e:
					log.info("PB with query : %s \n query: %s" %(e,queryStr))
					resultSet=[]
					closeConnection(self.connection)
				bioRecordKeys=[a[0] for a in resultSet]	

			query = self.qmg.buildQueryAllFields(bioRecordKeys)
			queryStr = "".join(query)		
			queryStr = _carac.decodeCaracters(encoded=queryStr)
			
			#log.info("queryStr: %s"%queryStr)
						
			nbMulti = self.qmg.countMultimedia(bioRecordKeys)
			table = []
			
			self.connection = DBconnection()
			self.connection.setDatabase("units")
			if(self.connection is not None):
				try:
					startQuery = time.time()					
					cursor = self.connection.executeQuery(queryStr)
					duree = time.time() - startQuery
					
					if duree > self.max:
						log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
					#log.info("3eme query: %f " %duree)
					resultSet = cursor.fetchall()
					closeConnection(self.connection)
					
				except Exception,e:
					log.debug("PB with query : %s \n query:%s " %(e,queryStr))
					resultSet=[]
					closeConnection(self.connection)
			#clean for the sessionfile		
			query=None
			queryStr=None
			
#			log.info("resultSet %s"%resultSet)
			table = resultSet
			
#			if self.getCfgObj().admin.unitsDatabase == "mysql":
#				table = resultSet
#			else:
#				table=[]
#				if resultSet is not None and len(resultSet)>0:
#					for result in resultSet:
#						res=[] 
#						for t in result:
#							try:
#								t=unicode(t, 'utf-8')
#							except:
#								try:
#									t = unicode(t,"ISO-8859-1")
#								except:
#									pass
#							res.append(t)
#						table.append(res)
			#display the page
			size = len(table)
			
			cherrypy.session['available'] = ""
			availableRes = U_Results()
			
			availableRes.reinit()
#			availableRes.setTable(resultSet,size)
			cherrypy.session['size'] = size
			cherrypy.session['table'] = table
			availableRes.setHighlight(box)
			availableRes.setNbMulti(nbMulti)
					 
			cherrypy.session['corb'] = []
			return self.redirect("/search/units/results")
 

		
	@cherrypy.expose
	def performFuzzySearch(self,listStr=None,box=None,**kwargs):
		'''
		1) get the names
		2) get the concepts for each name
		3) get the related concepts for each concept
		Do it for each thesaurus
		4) Sort the names list (concepts+names+related), delete doublons
		5) Build the new query
		6) Execute the new query
		return the detailed list of related names & synonyms if cherrypy.session.get('forTaxonomist') == True
		return the related names and synonyms 'en vrac' if forTaxonomist == False
		'''
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.qrm = QueryReminder()
		cherrypy.session['emptyThesaurus'] = True
		fuzzyConcepts = {}
		fuzzyRelatedConcepts={}
		cherrypy.session['fuzzySearched'] = True
		
		self.querymn = cherrypy.session.get('u_qmg',{})	   
		self.querymn['straightSearch']=True  
		cherrypy.session['u_qmg'] = self.querymn
		
		if box is not None:
			box=box.lower().split('box')[0]
		else:
			box='taxon'
		
		if listStr is not None:
			names = listStr.split(_carac.selectionSeparator)
		else:
			names = self.qrm.getTaxon()
						 
		if type(names)!=ListType:
			names=[names]
		a=[p.replace('subsp. ','ssp. ') for p in names]
		b=[p.replace('ssp. ','subsp. ') for p in names]
		#c=[p.replace('ssp. ',' ') for p in names]
		names.extend(a)
		names.extend(b)
		#names.extend(c)
		names=list(set(names))
		for name in names:
			n=name.strip()
			nsplited = n.split(' ')
			if len(nsplited)>1 and nsplited[1][0] != "(":
				names.append("%s (%s) %s"%(nsplited[0],nsplited[0],' '.join(nsplited[1:])))
		if self.getCfgObj().admin.forTaxonomist:	
			#have to reinit the taxonKeyList
			querymn = cherrypy.session.get('u_qmg',{})
			querymn['taxonKeyList']=[]
			cherrypy.session['u_qmg']=querymn	
			self.expandSearch(names)
		else:		
			####
			####thesaurus staff----------------------------------------------		
			####
			tmp = self.getCfgObj().checklist.thesauriSimple.split("(")
			tklist={}
			for cell in tmp:
				tmp2 = cell.split(")")
				for case in tmp2:
					cell = case.split(",")
					if len(cell)==2:
						tklist[cell[0]]=cell[1]
			cherrypy.session['checklistDic'] = tklist
			self.checklist = cherrypy.session.get('checklistDic').keys()
			
			try:
				self.checklistsdict = cherrypy.session.get('checklists')
				tmp = self.checklistsdict.keys()
			except:
				from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
				tmp = TransformXmlForThesaurus().loadReferences()
				self.checklistsdict = cherrypy.session.get('checklists')
			tmp=[]
			for name in names:
				if 'ssp. 'in name:
					tmp.append('%s'%name.replace('ssp. ','subsp. '))
				if 'subsp. 'in name:
					tmp.append('%s'%name.replace('subsp. ','ssp. '))
			names.extend(tmp)
			names = list(set(names))
			selectedThesaurus=['%s@ref%s'%(p.name,p.referenceIDs) for pp in self.checklistsdict.values() for p in pp if p is not None and p.name in self.checklist]
			if box == 'taxon':
#				box=['Fauna Europaea wa','Euro+Med Plantbase wa','Standardliste wa']   
				box = selectedThesaurus				
					
				fuzzyListStr=[]
				thesaurusList=[]
				for thesau in box:
					for name in names:
						fuzzyListStr.append("%s" %name)
						#thesaurusObj = ThesaurusServiceQuery(thesau)
						dico=cherrypy.session.get('toto',{})
						stats=cherrypy.session.get('stats',{})	
						thStat=stats.get(thesau,{})
						#if thesau == 'Fauna Europaea EU-nomen' or thesau == 'Euro+Med Plantbase':   
						#name=[genus,species,subspecies,author]
						#search all names matching with the request (getConceptsByTerm)
						myConcept = MyConcept(thesau,name)			
						myConcept.searchMatchingTerms()
						#conceptNamesRec = myConcept.getListOfConceptsNames()
						conceptNames = myConcept.getListOfConceptsNames()
						#for each acceptedname or synonym matching with the request, search all concepts and synonyms/or accepted names
						for cname in conceptNames:
							cname.getRelatedConcepts()
	#						cname.getRelatedConceptsExtended()
						#for each concept found, get the sentence to explain the link between the 'matching term' A  and the concept B
						#ie: B is synonym of A => A has the synonym B
						for cname in conceptNames:
							#log.info("\n\n")
							for concept in cname.getListOfRelatedConcepts():
	#							concept.getData()
								concept.setRelation(thesau)
						
						namesDic = {}
						relationNameDic={}
						relationTypeDic={}
						for cname in conceptNames:
							if len(cname.getListOfRelatedConcepts())==0:
								parentName = cname.name
								parentReference = cname.reference
								parentStatus = cname.status
								cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
								relationNameDic = namesDic.get(cle,{})
								relationTypeDic={}
								try:
									thStat[parentStatus]+=1
								except:
									thStat[parentStatus]=1
								liste=[parentName]
								relationTypeDic['']=liste
								relationNameDic['']=relationTypeDic
								namesDic[cle]=relationNameDic
								if parentName not in fuzzyListStr and parentName not in names:
									fuzzyListStr.append("%s" %parentName)
								if 'ssp. ' in parentName:
									fuzzyListStr.append("%s" %parentName.replace('ssp. ',''))
									fuzzyListStr.append("%s" %parentName.replace('ssp. ','subsp. '))
								if 'subsp. ' in parentName:
									fuzzyListStr.append("%s" %parentName.replace('subsp. ',''))
									fuzzyListStr.append("%s" %parentName.replace('subsp. ','ssp. '))
								if parentName not in thesaurusList and parentName not in names:
									thesaurusList.append(parentName)
								if 'ssp. ' in parentName:
									thesaurusList.append("%s" %parentName.replace('ssp. ',''))
									thesaurusList.append("%s" %parentName.replace('ssp. ','subsp. '))
								if 'subsp. ' in parentName:
									thesaurusList.append("%s" %parentName.replace('subsp. ',''))
									thesaurusList.append("%s" %parentName.replace('subsp. ','ssp. '))
							else:	
								#build the dictionnary to be displayed in the interface
								#for each concept, get the parentname and reference
								#build at the same time a hash. for the statistics(number of concepts for each thesaurus)
								#log.info("nbre de concepts: %s "%len(cname.getListOfRelatedConcepts()))
								added=[]
								if box is not None:
									parentName = cname.name
									parentReference = cname.reference
									parentStatus = cname.status
									cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
									relationNameDic = namesDic.get(cle,{})
									relationTypeDic={}
									try:
										thStat[parentStatus]+=1
									except:
										thStat[parentStatus]=1
									liste=[parentName]
									relationTypeDic['']=liste
									relationNameDic['']=relationTypeDic
									namesDic[cle]=relationNameDic
								for concept in cname.getListOfRelatedConcepts():
									tmp=[]
									parentName = concept.parent.name
									parentReference = concept.parent.reference
									parentStatus = concept.parent.status
									conceptName = concept.name.strip()
									conceptReference = concept.reference.strip()
									conceptRelation = concept.relation.strip()
									#conceptRelationType = concept.relationTypeInv.strip()
									conceptRelationType = concept.relationType.strip()
									conceptStatus=concept.status.strip()
									conceptSchema=concept.dataSchemaConcept.strip()
									
									if parentName not in fuzzyListStr and parentName not in names:
										fuzzyListStr.append("%s" %parentName)
										if 'ssp. ' in parentName:
											fuzzyListStr.append("%s" %parentName.replace('ssp. ',''))
											fuzzyListStr.append("%s" %parentName.replace('ssp. ','subsp. '))
										if 'subsp. ' in parentName:
											fuzzyListStr.append("%s" %parentName.replace('subsp. ',''))
											fuzzyListStr.append("%s" %parentName.replace('subsp. ','ssp. '))
											
									if parentName not in thesaurusList and parentName not in names:
										thesaurusList.append(parentName)
									if 'ssp. ' in parentName:
										thesaurusList.append("%s" %parentName.replace('ssp. ',''))
										thesaurusList.append("%s" %parentName.replace('ssp. ','subsp. '))
									if 'subsp. ' in parentName:
										thesaurusList.append("%s" %parentName.replace('subsp. ',''))
										thesaurusList.append("%s" %parentName.replace('subsp. ','ssp. '))
									if conceptName not in fuzzyListStr and conceptName not in names:
										fuzzyListStr.append("%s" %conceptName)
										if 'ssp. ' in conceptName:
											fuzzyListStr.append("%s" %conceptName.replace('ssp. ',''))
											fuzzyListStr.append("%s" %conceptName.replace('ssp. ','subsp. '))
										if 'subsp. ' in conceptName:
											fuzzyListStr.append("%s" %conceptName.replace('subsp. ',''))
											fuzzyListStr.append("%s" %conceptName.replace('subsp. ','ssp. '))
									if conceptName not in thesaurusList and conceptName not in names:
										thesaurusList.append(conceptName)
										if 'ssp. ' in conceptName:
											thesaurusList.append("%s" %conceptName.replace('ssp. ',''))
											thesaurusList.append("%s" %conceptName.replace('ssp. ','subsp. '))
										if 'subsp. ' in conceptName:
											thesaurusList.append("%s" %conceptName.replace('subsp. ',''))
											thesaurusList.append("%s" %conceptName.replace('subsp. ','ssp. '))
										
									if conceptRelationType is None:
										conceptRelationType=""
									if parentStatus != "accepted":
										tab=cname.getAcceptedName()
										if tab is not None:
											acc=tab.split(':')[1].split('[')[0].strip()
											if acc not in thesaurusList and acc not in names:
												thesaurusList.append(acc)
											if acc not in fuzzyListStr and acc not in names:
												fuzzyListStr.append("%s" %acc)
											cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"+"__"+tab
										else:
											cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
									else:
										cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
									relationNameDic = namesDic.get(cle,{})
									relationTypeDic=relationNameDic.get(conceptRelation,{})
									liste=relationTypeDic.get(conceptRelationType,[])
#									
#									if 'synonym' in conceptRelation.lower():
#										if 	conceptName not in added:
#											added.append(conceptName)
#											try:
#												thStat[conceptRelation]+=1
#											except:
#												thStat[conceptRelation]=1
#											liste.append(conceptName+'@'+conceptSchema.split('/')[-1])	
#									else:
#										mot='ref: '
#										temp="%s %s %s" %(conceptName,mot, conceptReference)
#										if temp not in added:
#											added.append(temp)
#											try:
#												thStat[conceptRelation]+=1
#											except:
#												thStat[conceptRelation]=1
#											liste.append(temp+'@'+conceptSchema.split('/')[-1])
									if parentName.strip() != conceptName.strip() or parentReference.strip() != conceptReference.strip():
										mot='ref: '
										temp="%s %s %s" %(conceptName,mot, conceptReference)
										if temp not in added:
											added.append(temp)
											try:
												thStat[conceptRelation]+=1
											except:
												thStat[conceptRelation]=1
											liste.append(temp+'@'+conceptSchema.split('/')[-1])
													
									
									liste.sort()
									relationTypeDic[conceptRelationType]=liste
									relationNameDic[conceptRelation]=relationTypeDic
									namesDic[cle]=relationNameDic
							if dico.has_key(thesau):
								tmp = dico.get(thesau)
							else:
								tmp = []
							tmp.append(namesDic)
							tmp.sort()
							dico[thesau]=tmp
							namesDic={}
							tmp=[]
						
						stats[thesau]=thStat
						cherrypy.session['stats']=stats		
						cherrypy.session['straightSearch']=True								 
						cherrypy.session['toto']=dico
				
				#add the previous names from the search
				prevNames = cherrypy.session.get('taxonName','').replace('(','').replace(')','')
				for t in prevNames.split(','):
					if t not in fuzzyListStr:
						fuzzyListStr.append(t)
						
				fuzzyListStr= list(set(fuzzyListStr))	
						
				if(len(fuzzyListStr)>0):
					fuzzyListStr="(%s)" %", ".join(fuzzyListStr)
				else:
					fuzzyListStr=""
								
				if(len(fuzzyListStr)>0):
					self.qrm.addTaxon(fuzzyListStr)
					self.setPropsFile()
					
					self.qmg =  U_QueryManager(self._propsFile,self.getCfgObj())
					thesaurusList=list(set(thesaurusList))
					thesaurusListStr = ", ".join(thesaurusList)		
					cherrypy.session['thesaurusListStr']=thesaurusListStr
					
					self.querymn['taxonKeyList']=[]
					self.taxonList=[]
					self.setBooleans()
					cherrypy.session['select']='taxon'
					cherrypy.session['queryparams']=self.queryParams
					cherrypy.session['straightSearch']=True
					query = self.qmg.buildSelectSQL()
	#				log.info("query: %s" %query)
					queryStr = "".join(query)
					connection = DBconnection()
					connection.setDatabase("units")
					
					resultSet=[]
					#log.info("perform fuzzy search query: %s" %queryStr)
					if(connection is not None):
						try:
							cursor = connection.executeQuery(queryStr)
							resultSet = cursor.fetchall()
							closeConnection(connection)
						except Exception,e:
							log.debug("PB with query : %s \n query: %s" %(e,queryStr))
							resultSet=[]
							closeConnection(connection)
					table=[]
					
					if self.getCfgObj().admin.unitsDatabase == "mysql":
						cherrypy.session['resultSet']=resultSet
					else:
						if resultSet is not None and len(resultSet)>0:
							for result in resultSet:
								res=[] 
								for t in result:
									try:
										t=unicode(t, 'utf-8')
									except:
										try:
											t = unicode(t,"ISO-8859-1")
										except:
											pass
									res.append(t)
								table.append(res)
						cherrypy.session['resultSet']=table
					self.setTaxonList()
					
					queryStr=None#clean for the session file
					query=None#clean for the session file
					resultSet=[]#clean for the session file
				
				cherrypy.session['action']="explainFuzzy()"
			if not self.checkGBIFAgreementCookie():
				cherrypy.session['forwardURL']="/search/units/preview"
				return self.redirect("/search/units/gbifAgreement")
			return self.redirect ("/search/units/preview")
	
	@cherrypy.expose
	def dlAllFromCache(self):
		if not cherrypy.session.has_key('resultSet'):
			self.redirect('/index/session')
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())

		query = self.qmg.getBiorecordKeyTaxon()		
		queryStr = "".join(query)		
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		bioRecordKeys = []
		self.connection = DBconnection()
		self.connection.setDatabase("units")
		if(self.connection is not None):
			try:
				startQuery = time.time()				
				cursor = self.connection.executeQuery(queryStr)
				duree = time.time() - startQuery				
				if duree > self.max:
					log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
				
				resultSet = cursor.fetchall()
				closeConnection(self.connection)
				
			except Exception,e:
				log.info("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				closeConnection(self.connection)
				
			for a in resultSet:
				if a[0] not in bioRecordKeys:
					bioRecordKeys.append(a[0]) 
		
		query = self.qmg.buildQueryAllFieldsDL(bioRecordKeys)
		queryStr = "".join(query)		
		queryStr = _carac.decodeCaracters(encoded=queryStr)

		self.connection = DBconnection()
		self.connection.setDatabase("units")
		if(self.connection is not None):
			try:
				startQuery = time.time()					
				cursor = self.connection.executeQuery(queryStr)
				duree = time.time() - startQuery
				
				if duree > self.max:
					log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
			   
				resultSet = cursor.fetchall()
				closeConnection(self.connection)
				
			except Exception,e:
				log.debug("PB with query : %s \n query:%s " %(e,queryStr))
				resultSet=[]
				closeConnection(self.connection)
		self.record = {}   
		for record in resultSet:
			bkey = record[13]
			if self.record.has_key(bkey):
				miniDic = self.record[bkey]
			else:
				miniDic = {}
			#-------------------------------	
			if miniDic.has_key('unitID'):
				unitID = miniDic['unitID']
			else:
				unitID=[]
			if str(record[11]) not in unitID:
				unitID.append(str(record[11]))
			miniDic['unitID']=unitID
			#-------------------------------	
			if miniDic.has_key('taxonName'):
				taxonName = miniDic['taxonName']
			else:
				taxonName=[]
			if str(record[0]) not in taxonName:
				taxonName.append(str(record[0]))
			miniDic['taxonName']=taxonName
			#-------------------------------	
			if miniDic.has_key('genus'):
				genus = miniDic['genus']
			else:
				genus=[]
			if str(record[1]) not in genus:
				genus.append(str(record[1]))
			miniDic['genus']=genus
			#-------------------------------	
			if miniDic.has_key('family'):
				family = miniDic['family']
			else:
				family=[]
			if str(record[2]) not in family:
				family.append(str(record[2]))
			miniDic['family']=family
			#-------------------------------	
			if miniDic.has_key('higher'):
				higher = miniDic['higher']
			else:
				higher=[]
			if str(record[3]) not in higher:
				higher.append(str(record[3]))
			miniDic['higher']=higher  
			 #-------------------------------	
			if miniDic.has_key('vernacular'):
				vernacular = miniDic['vernacular']
			else:
				vernacular=[]
			if str(record[4]) not in vernacular:
				vernacular.append(str(record[4]))  
			miniDic['vernacular']=vernacular
			 #-------------------------------	
			if miniDic.has_key('country'):
				country = miniDic['country']
			else:
				country=[]
			if str(record[5]) not in country:
				country.append(str(record[5]))
			miniDic['country']=country 
			 #-------------------------------	
			if miniDic.has_key('locality'):
				locality = miniDic['locality']
			else:
				locality=[]
			if str(record[6]) not in locality:
				locality.append(str(record[6]))
			miniDic['locality']=locality
			 #-------------------------------	
			if miniDic.has_key('date'):
				date = miniDic['date']
			else:
				date=[]
			if str(record[9]) not in date:
				date.append(str(record[9]))
			miniDic['date']=date
			 #-------------------------------	
			if miniDic.has_key('url'):
				url = miniDic['url']
			else:
				url=[]
			if str(record[10]) not in url:
				url.append(str(record[10]))
			miniDic['url']=url  
			 #-------------------------------	
			if miniDic.has_key('longitude'):
				longitude = miniDic['longitude']
			else:
				longitude=[]
			if str(record[14]) not in longitude:
				longitude.append(str(record[14])) 
			miniDic['longitude']=longitude
			 #-------------------------------	
			if miniDic.has_key('latitude'):
				latitude = miniDic['latitude']
			else:
				latitude=[]
			if str(record[15]) not in latitude:
				latitude.append(str(record[15]))
			miniDic['latitude']=latitude 
			 #-------------------------------	
			if miniDic.has_key('author'):
				author = miniDic['author']
			else:
				author=[]
			if str(record[16]) not in author:
				author.append(str(record[16]))
			miniDic['author']=author
#			if withcollection:
				  #-------------------------------	
			if miniDic.has_key('collection'):
				collection = miniDic['collection']
			else:
				collection=[]
			if str(record[7]) not in collection:
				collection.append(str(record[7]))
			miniDic['collection']=collection
			 #-------------------------------	
			if miniDic.has_key('institution'):
				institution = miniDic['institution']
			else:
				institution=[]
			if str(record[8]) not in institution:
				institution.append(str(record[8]))   
			miniDic['institution']=institution
			 #-------------------------------	
			if miniDic.has_key('collector'):
				collector = miniDic['collector']
			else:
				collector=[]
			if str(record[18]) not in collector:
				collector.append(str(record[18]))   
			miniDic['collector']=collector
			#-------------------------------	
			if miniDic.has_key('collectorNumber'):
				collectorNumber = miniDic['collectorNumber']
			else:
				collectorNumber=[]
			if str(record[19]) not in collectorNumber:
				collectorNumber.append(str(record[19]))   
			miniDic['collectorNumber']=collectorNumber
			 #-------------------------------	
			if miniDic.has_key('fieldNumber'):
				fieldNumber = miniDic['fieldNumber']
			else:
				fieldNumber=[]
			if str(record[20]) not in fieldNumber:
				fieldNumber.append(str(record[20]))   
			miniDic['fieldNumber']=fieldNumber
			self.record[bkey]=miniDic 
			
		#log.info("nbre de cles stockees : %i" %len(self.record)) 

		#cherrypy.session['record'] = self.record
		path = _dl.writeXMLFileForCache(True, self.record) 
	   
		miniDic={}
		resultSet=[]
		self.record = {}
		
		queryStr=None#clean for the session file
		query=None#clean for the session file
		resultSet=[]#clean for the session file
	
		return cptools.serveFile(path, "application/x-download",
								 "attachment",os.path.basename(path))


   
	@cherrypy.expose
	def expandSearch(self,nameList):
		if type(nameList) != ListType:
			nameList=nameList.replace('(','').replace(')','').split(',')
		for name in nameList:
			n=name.strip()
			nsplited = n.split(' ')
			if len(nsplited)>1 and nsplited[1][0] != "(":
				nameList.append("%s (*) %s"%(nsplited[0],' '.join(nsplited[1:])))		 
#		log.info("EXPANDED SEARCH %s"%nameList)
		try:
			reinit()
		except:
			pass
		
		from thesaurusconf.thesaurusConf import ThesaurusConf
		ThesaurusConf().getCookieThesaurus()
		tmp = self.getCfgObj().checklist.thesauri.split("(")
		tklist={}
		for cell in tmp:
			tmp2 = cell.split(")")
			for case in tmp2:
				cell = case.split(",")
				if len(cell)==2:
					tklist[cell[0]]=cell[1]
		cherrypy.session['checklistDic'] = tklist
		self.checklist = cherrypy.session.get('checklistDic').keys()
		try:
			self.checklistsdict = cherrypy.session.get('checklists')
			tmp = self.checklistsdict.keys()
		except:
			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
			tmp = TransformXmlForThesaurus().loadReferences()
			self.checklistsdict = cherrypy.session.get('checklists')

		selectedThesaurus=cherrypy.session.get('selectedThesaurus',['%s@ref%s'%(p.name,p.referenceIDs) for pp in self.checklistsdict.values() for p in pp if p is not None and p.name in self.checklist])

		cherrypy.session['toto']={}
		cherrypy.session['totoRec']={}
		
		tmp=[]
		likeNames=[]
		for name in nameList:
			tmp.append(name.strip())
			if '%' in name or '*' in name:
				likeNames.append(name.strip())
		qrm = QueryReminder()
		#only if a * was found in one name: getNames that match to the wildcard		
		if len(likeNames)>0:
			for selectedThesau in selectedThesaurus:
				self.thesaurusName = selectedThesau.split('@ref')[0]
				#log.info("LIKE NAMES > 0 %s"%str(self.thesaurusName))
				try:
					self.references = [str(id) for id in selectedThesau.split('@ref')[1].split('_')] 
				except Exception,e:
					self.references=[]
				self.thesaurusObj = ThesaurusServiceQuery(self.thesaurusName)
				urlID=0
				for tsu in self.thesaurusObj.thesaurusServiceURL:
					for likeName in likeNames:
						res= self.thesaurusObj.getNamesLike(likeName,urlID)
						res= self.thesaurusObj.getNames(res,self.references)
						for result in res:
							if type(result) == type(('un','tuple')):
								result=result[0]
							tmp.append(result.strip())
		tmp=list(set(tmp))
		nameList=list(set(nameList))
		#limit number of names to expand to 10 - to prevent memory crash from TOQE
		if len(tmp)<11:
			cherrypy.session['fuzzySearched'] = True
			nameList.extend(tmp)
			nameList=list(set(nameList))
			nameList1 = [name.strip().replace('*','%') for name in nameList if name.strip()[len(name.strip())-1] not in ['*','%']]
#			nameList2 = [name.strip().replace('*','%') for name in nameList if name.strip()[len(name.strip())-1] in ['*','%']]
			nameList1 = [name.strip().replace('*','%') for name in nameList ]
			nameList2 = [name.strip().replace('*','%') for name in nameList ]
			nameList=nameList1
			cherrypy.session['tooManyNames']=False
			try:
				cherrypy.session.pop('searchedName')
			except:
				pass
			
			recursive=cherrypy.session.get('recursive',False)
			for thesau in selectedThesaurus:
				if type(nameList)==ListType:
					for name in nameList:
						cherrypy.session['recursive']=recursive
						self.getToto(name=name,box=thesau,recursive=recursive)
				else:
					cherrypy.session['recursive']=recursive
					self.getToto(name=nameList,box=thesau,recursive=recursive)
			
			t=cherrypy.session.get('searchedName',[])
			t.extend(nameList2)
			t=list(set(t))
			cherrypy.session['searchedName']=t
			for n in nameList2:
				qrm.addTaxon(n)
			toto = U_Syncon() 
			toto.reinit()
			toto.setThesaurusList()
			return self.redirect ("/search/units/syncon")
		else:
			cherrypy.session['tooManyNames']=True
			cherrypy.session['fuzzySearched'] = False
			
			querymn = cherrypy.session.get('u_qmg',{})
			querymn['straightSearch']=True
			cherrypy.session['u_qmg']=querymn
			
			tmp=qrm.getQueryrm()
			qrm.addTaxon("(%s)" %", ".join(nameList))
			cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()])
			
			#try to perform the advancedSearch
			qmg = U_QueryManager(self._propsFile,self.getCfgObj())
			query = qmg.buildSelectSQL()
			#log.info("query to execute %s"%"".join(query))
			queryStr = "".join(query)
			queryStr = _carac.decodeCaracters(encoded=queryStr)
			cherrypy.session['reset']=queryStr
			connection = DBconnection()
			connection.setDatabase("units")
			
			#log.info("advanced search query: %s" %queryStr)
			if(connection is not None):
				try:
					startQuery = time.time()
					cursor = connection.executeQuery(queryStr)
					duree = time.time() - startQuery
					if duree > self.max:
						log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryStr)))
					
					resultSet = cursor.fetchall()
					closeConnection(connection)
					 
				except Exception,e:
					log.debug("PB with query : %s \n query: %s" %(e,queryStr))
					resultSet=[]
					closeConnection(connection)
		
				queryStr=None#clean for the session file
				query=None#clean for the session file
				
				if not cherrypy.session.get('cancel',False):
					inter = U_Preview()
					inter.reinit()
					cherrypy.session["resultSet"]=resultSet
					cherrypy.session["searchType"]='advanced'
					cherrypy.session["recordFilter"]=cherrypy.session.get('recordBasis','any')
					cherrypy.session["multimediaOnly"]=cherrypy.session.get('photo',False)
					
					inter.setTaxonList()
		
					if cherrypy.session.get('group') != "taxonBox":
						return inter.see(cherrypy.session.get('group'),'')
					else:
						if not self.checkGBIFAgreementCookie():
							cherrypy.session['forwardURL']="/search/units/preview"
							return self.redirect("/search/units/gbifAgreement")
						return self.redirect ("/search/units/preview")
		
		
			
	def getNames(self,names='',boxes='Fauna Europaea@ref'):
		'''
		get the matching names for the searched name with wildcard
		search in the cache DB and in the selected thesaurus
		return a list, without duplicates
		'''
		self.qrm = QueryReminder()
		
		self.querymn = cherrypy.session.get('u_qmg',{})	   
		self.querymn['straightSearch']=True  
		  
		cherrypy.session['u_qmg'] = self.querymn
		#log.info("getnames %s"%name)
		for name in names:
			self.qrm.addTaxon(name)				
		cherrypy.session['straightSearch']=True								 
		cherrypy.session['toto']={}
		cherrypy.session['stats']={}
		
		tmp=[]
		#getNames from the SYNTHESYS DB
		try:
			self._propsFile.getProperty("select","taxon")
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		query = []	
		query.append(self._propsFile.getProperty("select","unitsName"))
		query.append(" \t ")
		query.append(self._propsFile.getProperty("from","taxon"))
		query.append(" \t ")
		query.append(self._propsFile.getProperty("where","taxon"))
		query.append(" LIKE \'")
		query.append(names[0])
		query.append("\' ")
		i=1
		if len(names)>1:
			while i<len(names):
				query.append(self._propsFile.getProperty("or","taxonName"))
				query.append(" LIKE \'")
				query.append(names[i])
				query.append("\' ")
				i+=1
		queryString = "".join(query)
		queryString.replace("*","%")
		
		connection = DBconnection()
		connection.setDatabase("units")		
		
		if(connection is not None):
			try:
				startQuery = time.time()
				cursor = connection.executeQuery(queryString)
				duree = time.time() - startQuery
				if duree > self.max:
					log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryString)))
				
				resultSet = cursor.fetchall()
				closeConnection(connection)
				 
			except Exception,e:
				log.info("PB with query : %s \n query:%s " %(e,queryString))
				resultSet=[]
				closeConnection(connection)	
		tmp = [n[0] for n in resultSet]
		
		#getNames from the Thesaurus  -no concept asked
		qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		for box in boxes:
			res= qmg.getNamesThesaurus(name,box.split('@ref')[0])
			for n in res:
				if n not in tmp:
					tmp.append(n)
		return tmp
		
			
	
	#def getToto(self,genus='',species='',subspecies='',author='',box='Fauna Europaea'):
	def getToto(self,name='',box='Fauna Europaea@ref',recursive=False):
		'''
		1) get the names
		2) get the concepts for each name
		3) get the related concepts for each concept
		Do it for each thesaurus
		4) Sort the names list (concepts+names+related), delete doublons
		5) Build the new query
		6) Execute the new query
		'''
		if name=='' and box=='Fauna Europaea@ref' and not recursive:
			self.redirect('/index/session') 
		log.info("get toto %s %s %s" %(name,box,recursive))
		self.qrm = QueryReminder()
		cherrypy.session['emptyThesaurus'] = True
	
		fuzzyDico={}
		cherrypy.session['fuzzySearched'] = True
		
		self.querymn = cherrypy.session.get('u_qmg',{})	   
		self.querymn['straightSearch']=True  
		cherrypy.session['u_qmg'] = self.querymn
		dejavu=[]
		global dejavu
		try:
			self.checklist = cherrypy.session.get('checklistDic').keys()
		except:
			listStr = self.getCfgObj().thesauri
			tmp = listStr.split("(")
			tklist={}
			for cell in tmp:
				tmp2 = cell.split(")")
				for case in tmp2:
					cell = case.split(",")
					if len(cell)==2:
						tklist[cell[0]]=cell[1]
			cherrypy.session['checklistDic'] = tklist
			self.checklist = cherrypy.session.get('checklistDic').keys()
		checklistDic=cherrypy.session.get('checklistDic')
		
			
		tmp=cherrypy.session.get('searchedName',[])
		if name.strip() not in tmp:
			tmp.append(name.strip())
		cherrypy.session['searchedName']=tmp
		self.qrm.addTaxon(name.strip())		
		
		thesaurusObj = ThesaurusServiceQuery(box.split('@ref')[0])
		dico=cherrypy.session.get('toto',{})
		#log.info("dico: %s"%dico)
		dicoRec=cherrypy.session.get('totoRec',{})
		stats=cherrypy.session.get('stats',{})	
		thStat=stats.get(box.split('@ref')[0],{})
		#if box == 'Fauna Europaea EU-nomen' or box == 'Euro+Med Plantbase':   
		#name=[genus,species,subspecies,author]
		#search all names matching with the request (getConceptsByTerm)
		myConcept = MyConcept(box,name)	
		myConcept.searchMatchingTerms()
		conceptNamesRec = myConcept.getListOfConceptsNames()
		conceptNames = myConcept.getListOfConceptsNames()
		
		#normal concept handling
		cherrypy.session['recursive']=False
		#for each acceptedname or synonym matching with the request, search all concepts and synonyms/or accepted names
		for cname in conceptNames:
			cname.getRelatedConcepts()
######			cname.getRelatedConceptsExtended()
		#for each concept found, get the sentence to explain the link between the 'matching term' A  and the concept B
		#ie: B is synonym of A => A has the synonym B
		for cname in conceptNames:
			for concept in cname.getListOfRelatedConcepts():
				concept.getData()
				concept.setRelation(box.split('@ref')[0])
				concept.getData()
		
		namesDic = {}
		relationNameDic={}
		relationTypeDic={}
		for cname in conceptNames:
			if len(cname.getListOfRelatedConcepts())==0:
				parentName = cname.name
				parentReference = cname.reference
				parentStatus = cname.status
				cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
				relationNameDic = namesDic.get(cle,{})
				relationTypeDic={}
				
				tmp=thStat.get(parentStatus,[])
				if parentName not in tmp:
					tmp.append(parentName)
				thStat[parentStatus]=tmp
				
				liste=[parentName]
				relationTypeDic['']=liste
				relationNameDic['']=relationTypeDic
				namesDic[cle]=relationNameDic
			else:	
				#build the dictionnary to be displayed in the interface
				#for each concept, get the parentname and reference
				#build at the same time a hash. for the statistics(number of concepts for each thesaurus)
				#log.info("nbre de concepts: %s "%len(cname.getListOfRelatedConcepts()))
				added=[]
				#if box=='Fauna Europaea':
				if len(cname.getListOfRelatedConcepts())==1:
					parentName = cname.name
					parentReference = cname.reference
					parentStatus = cname.status
					cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
					relationNameDic = namesDic.get(cle,{})
					relationTypeDic={}
					tmp=thStat.get(parentStatus,[])
					if parentName not in tmp:
						tmp.append(parentName)
					thStat[parentStatus]=tmp
					liste=[parentName]
					relationTypeDic['']=liste
					relationNameDic['']=relationTypeDic
					namesDic[cle]=relationNameDic
					
				for concept in cname.getListOfRelatedConcepts():
					tmp=[]
					parentName = concept.parent.name
					parentReference = concept.parent.reference
					parentStatus = concept.parent.status
					conceptName = concept.name.strip()
					conceptReference = concept.reference.strip()
					conceptRelation = concept.relation.strip()
					conceptRelationType = concept.relationType.strip()
					conceptStatus=concept.status.strip()
					conceptSchema=concept.dataSchemaConcept.strip()
					if conceptRelation is None:
						conceptRelation=""
					if parentStatus.lower() != "accepted" and "basionym" not in conceptRelation:
						tab=cname.getAcceptedName()
						if tab is not None:
							cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"+"__"+tab
						else:
							cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
					else:
						cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
					#log.info("cle: %s"%cle)
					relationNameDic = namesDic.get(cle,{})
					relationTypeDic=relationNameDic.get(conceptRelationType,{})
					liste=relationTypeDic.get(conceptRelation,[])

					
					mot='ref: '
					if "basionym" in conceptRelation:
						temp="%s %s %s" %(concept.acceptedname,mot, conceptReference)
					else:
						temp="%s %s %s" %(conceptName,mot, conceptReference)
					if temp not in added:
						added.append(temp)
					tmp=thStat.get(conceptRelationType,[])
					#count number of distinct names and not concepts
					if "basionym" in conceptRelation:
						tmp.append(concept.acceptedname)
					else:
						if conceptName not in tmp:
							tmp.append(conceptName)
					thStat[conceptRelationType]=list(set(tmp))
					liste.append(temp+'@schema'+conceptSchema.split('/')[-1])
								
					liste.sort()
					#log.info(liste)
					relationTypeDic[conceptRelation]=list(set(liste))
					relationNameDic[conceptRelationType]=relationTypeDic
					namesDic[cle]=relationNameDic
		
			tmp=dico.get(box.split('@ref')[0],[])
			tmp.append(namesDic)
			tmp.sort()
			dico[box.split('@ref')[0]]=tmp
			namesDic={}
			tmp=[]
		stats[box.split('@ref')[0]]=thStat
		cherrypy.session['stats']=stats
		
		cherrypy.session['straightSearch']=True								 
		cherrypy.session['toto']=dico
		log.info(dico)
		cherrypy.session['recursive']=recursive
		if cherrypy.session.get('recursive',False):
			#for each acceptedname or synonym matching with the request, search all concepts and synonyms/or accepted names
			log.info("RECURSION")
			for cname in conceptNamesRec:
				cname.getRelatedConceptsRecursion()
				
			#for each concept found, get the sentence to explain the link between the 'matching term' A  and the concept B
			#ie: B is synonym of A => A has the synonym B
			for cname in conceptNamesRec:
				for concept in cname.getListOfRelatedConcepts():
					#concept.getData()
					concept.setRelation(box.split('@ref')[0])
			
			namesDic = {}
			relationNameDic={}
			relationTypeDic={}
			try:
				for cname in conceptNamesRec:
					if len(cname.getListOfRelatedConcepts())==0:
						parentName = cname.name
						parentReference = cname.reference
						parentStatus = cname.status
						if parentStatus.lower() != "accepted" and "basionym" not in conceptRelation:
							tab=cname.getAcceptedName()
							if tab is not None:
								cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"+"__"+tab
							else:
								cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
						else:
							cle = parentStatus+"__"+ parentName + " [ref: " +parentReference+"]"
						relationNameDic = namesDic.get(cle,{})
						relationTypeDic={}
						try:
							thStat[parentStatus]+=1
						except:
							thStat[parentStatus]=1
						liste=[parentName]
						relationTypeDic['']=liste
						relationNameDic['']=relationTypeDic
						namesDic[cle]=relationNameDic
						
					else:	
						
						#build the dictionnary to be displayed in the interface
						#for each concept, get the parentname and reference
						#build at the same time a hash. for the statistics(number of concepts for each thesaurus)
						hierarchy=cname.hierarchy
#						log.info("hierarchy: %s"%hierarchy)
						feuilles=[]
						b="<span class='example'>"
						d="</span>"
						
						mesconcepts={}
						for concept in cname.getListOfRelatedConcepts():
							concept.reference=cherrypy.session.get('referenceDic').get(concept.reference,concept.reference)
							mesconcepts[concept.nameId+'|'+concept.reference]=concept		
						racine=cherrypy.session.get('racine',None)
#						log.info('racine %s'%racine)
#						log.info("mesconcepts %s"%mesconcepts)
						if hierarchy != {} and racine is not None:
#							rien,racine=hierarchy.get('')[0]
							tmp=hierarchy.get(racine,[])
							a=0
							while tmp==[] and a < len(hierarchy.keys()):
								racine=hierarchy.keys()[a]
								tmp=hierarchy.get(racine,[])
								a+=1
							done=[]
							newDic={}
							newDicb={}
							descendantChecke=[]
							for relation,cid in tmp:
								ref1=racine.split('|')[1]
								ref1=cherrypy.session.get('referenceDic').get(ref1,ref1)
								ref2=cid.split('|')[1]
								ref2=cherrypy.session.get('referenceDic').get(ref2,ref2)
								#pour chaque descendant direct/ancetre direct
								if relation !='':
									rac=mesconcepts.get(racine).name+'|'+ref1
									if rac=='' or rac is None:
										rac=mesconcepts.get(racine).parent.name+'|'+ref1
									enfant=mesconcepts.get(cid).name+'|'+ref2
									a=newDic.get(rac+'_'+relation,[])
									if  enfant not in a:
										a.append(enfant)									
									newDic[rac+'_'+relation]=a
#								log.info("newdic %s"%str(newDic))
								#regarde si le descendant/ancetre a des relations
								newDicb=self.checkDescendance(cid,newDicb,hierarchy,mesconcepts)

							feinte = dict((cle,cle.split('_')[0]) for cle in newDicb.keys() )
							log.info("feinte %s"%str(feinte))	
							test='<ul>'		
							for cle in newDic.keys():
								if cle not in done:
									done.append(cle)
									#calendula arvensis
									test+='<li><span class="multi"  ><img src="%s%s/static/images/folder.png"/>%s <span class="example">%s</span>[ref. %s] %s: </span>'%(self.getCfgObj().server.host,self.getCfgObj().server.webroot,cle.split('@author')[0],cle.split('@author')[1].split('_')[0].split('|')[0],cle.split('@author')[1].split('_')[0].split('|')[1],cle.split('@author')[1].split('_')[1])
									for val in newDic.get(cle):
#										log.info(val)
										#calendula
										test+='<ul><span class="multi" ><input type="checkbox" value="%s" />%s <span class="example">%s</span>[ref. %s]</span>'%(val.split('@author')[0].replace('"','').replace("'","&quot;"),val.split('@author')[0],val.split('@author')[1].replace('ET','&amp;').split('|')[0],val.split('@author')[1].replace('ET','&amp;').split('|')[1])
										f=[]
										for feinteC,feinteV in feinte.items():
											if feinteV == val:
												f.append(feinteC)
										for fc in f:
											test+='<ul><span class="multi"  ><img src="%s%s/static/images/folder.png"/>%s <span class="example">%s</span>[ref. %s] %s: </span>'%(self.getCfgObj().server.host,self.getCfgObj().server.webroot,fc.split('@author')[0],fc.split('@author')[1].split('_')[0].split('|')[0],fc.split('@author')[1].split('_')[0].split('|')[1],fc.split('@author')[1].split('_')[1])
											if newDicb.has_key(fc):												
												for elt in newDicb.get(fc):
													test+='<li><span class="multi"  ><input type="checkbox" value="%s" />%s <span class="example">%s</span>[ref. %s]</span>'%(elt.split('@author')[0].replace('"','').replace("'","&quot;"),elt.split('@author')[0],elt.split('@author')[1].replace('ET','&amp;').split('|')[0],elt.split('@author')[1].replace('ET','&amp;').split('|')[1])
													f2=[]
													for fc,fv in feinte.items():
														if fv==elt:
															f2.append(fc)
													for fc2 in f2:
														test+='<ul><span class="multi"  ><img src="%s%s/static/images/folder.png"/>%s <span class="example">%s</span>[ref. %s] %s: </span>'%(self.getCfgObj().server.host,self.getCfgObj().server.webroot,fc2.split('@author')[0],fc2.split('@author')[1].split('_')[0].split('|')[0],fc2.split('@author')[1].split('_')[0].split('|')[1],fc2.split('@author')[1].split('_')[1])
														if newDicb.has_key(fc2):
															for elt2 in newDicb.get(fc2):
																test+='<li><span class="multi"  ><input type="checkbox" value="%s" />%s <span class="example">%s</span>[ref. %s]</span>'%(elt2.split('@author')[0].replace('"','').replace("'","&quot;"),elt2.split('@author')[0],elt2.split('@author')[1].replace('ET','&amp;').split('|')[0],elt2.split('@author')[1].replace('ET','&amp;').split('|')[1])
																test+='</li>'
														test+='</ul>'
													test+='</li>'
												test+='</ul>'
										test+='</ul>'
									test+='</li>'
							test+='</ul>'
#							log.info("test %s"%test)
							if test != "<ul></ul>":
								namesDic[cname.name]=test
					if dicoRec.has_key(box.split('@ref')[0]):
						tmp = dicoRec.get(box.split('@ref')[0])
					else:
						tmp = []
					tmp.append(namesDic)
					tmp.sort()
					dicoRec[box.split('@ref')[0]]=tmp
					namesDic={}
					tmp=[]
				cherrypy.session['totoRec']=dicoRec
			except Exception,e:
				log.info("PB avec %s : %s"%(box,e))
				cherrypy.session['totoRec']={}
		else:
			cherrypy.session['totoRec']={}
			
	def checkDescendance(self,desc,newDicb,hierarchy,mesconcepts):
		if desc not in dejavu:
			while hierarchy.has_key(desc):
				if desc in dejavu:
					return newDicb
				dejavu.append(desc)
				tmpb=hierarchy.get(desc)
				for relationb,cidb in tmpb:
					ref1=desc.split('|')[1]
					ref1=cherrypy.session.get('referenceDic').get(ref1,ref1)
					ref2=cidb.split('|')[1]
					ref2=cherrypy.session.get('referenceDic').get(ref2,ref2)
					if relationb !='':
						racb=mesconcepts.get(desc).name+'|'+ref1
						enfantb=mesconcepts.get(cidb).name+'|'+ref1
						a=newDicb.get(racb+'_'+relationb,[])
						if  enfantb not in a:
							a.append(enfantb)
						newDicb[racb+'_'+relationb]=a
#						log.info("newDicb %s"%newDicb)
					newDicb=self.checkDescendance(cidb, newDicb, hierarchy,mesconcepts)
		return newDicb

class U_Syncon(page.Page):
	#the current instance
	_instance = None
		
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._instance:
			cls._instance = super( U_Syncon, cls ).__new__(cls, *args, **kwargs )
			self = cls._instance
			self.filePath = 'results/units/'
			self.fileName='_toto2.kid'
			self.title = "Units Search -Thesaurus response"
			self.body = "searchPage" 
			self.__path = "/search/units/syncon"
			self._propsFile = None
			self.max=7.0
			self.queryrm={}
			self.querymn={}
			self.qrm=None
			self.qmg=None
		return cls._instance
	
	  
	def reinit(self):
		self.filePath = 'results/units/'
		self.fileName='_toto2.kid'
		self.title = "Units Search -Thesaurus response"
		self.body = "searchPage" 
		self.__path = "/search/units/syncon"
		self._propsFile = None
		#self.reinitThesaurus()
		cherrypy.session['action']=""
		cherrypy.session['recordBasis']=None
		cherrypy.session['nbUnits']=None

		for key in cherrypy.session.keys():
			if 'confirmation' in key:
				cherrypy.session.pop(key)
		  
	
				   
	@cherrypy.expose		
	def index( self ):   
		'''
		call the render method from the class Page
		'''
		if not cherrypy.session.has_key('emptyThesaurus'):
			self.redirect('/index/session')

		for key in cherrypy.session.keys():
			if 'confirmation' in key:
				cherrypy.session.pop(key)
		if self._propsFile is None:
			self.setPropsFile()
		self.title = "Units Search -Thesaurus response"
		self.body = "searchPage" 
		self.filePath = 'results/units/'
		self.fileName='_toto2.kid'
		
		nextHistory=None
		
		action =  cherrypy.session.get('action',"")
		if 'name' not in action:
			action = action+"; giveFocus('buttonSearch');"
		p=cherrypy.session.get('params')
		
		cherrypy.session['totoParams']=cherrypy.session.get('params')
		
		sessStats=cherrypy.session.get('stats',{})
		stats={}
		for thesaurus in sessStats.keys():
			val=sessStats.get(thesaurus)
			tmp=dict([(cle,len(val.get(cle))) for cle in val])
			stats[thesaurus]=tmp
		
		try:
			self.checklistsdict = cherrypy.session.get('checklists')
			tmp = self.checklistsdict.keys()
		except:
			from thesaurus.ThesaurusLoader import TransformXmlForThesaurus
			tmp = TransformXmlForThesaurus().loadReferences()
			self.checklistsdict = cherrypy.session.get('checklists')
			
		thesauList = p.get('thesaurusList',[])
		if len(thesauList) == 0:
			p["message"]="No terms found in the thesaurus"
			cherrypy.session['params']=p
			cherrypy.session['totoParams']=cherrypy.session.get('params')
			return self.search("")
				
		return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, 
						body=self.body, params =cherrypy.session.get('params'), queryReminder = "", 
						nextHistory=nextHistory, searchedName=cherrypy.session.get('searchedName',[]), 
						emptyThesaurus=cherrypy.session.get('emptyThesaurus'), fuzzySearched=cherrypy.session.get('fuzzySearched'), 
						action=action, thesaurusListStr=cherrypy.session.get('thesaurusListStr'), 
						stats=stats,checklistsdic=cherrypy.session.get('checklists'))
   
	# return the properties file
	def setPropsFile( self ):
		'''
		the properties file contains a list of queries corresponding to the 
		synthesys cache Databases
		'''
		try:
			self._propsFile
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		if self._propsFile is None:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
			
		try:
			self.max = float(_cfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0


			

	# handle the resultset returned by the query (come from search.py)
	def setThesaurusList( self):
		'''
		the taxon list is always loaded
		'''
		#init the lists to None and create a parameters dictionnary	 
		self.initLists()
		thesaurusList = cherrypy.session.get('toto')
		recursiveList = cherrypy.session.get('totoRec')
		#log.info("thesaurusList %s" %thesaurusList)
		self.params['thesaurusList']=thesaurusList
		self.params['recursiveList']=recursiveList
		cherrypy.session['params'] = self.params
		

	def initLists( self ):
		self.thesaurusList=None
		self.recursiveList=None
		self.params={'recursiveList':self.recursiveList,'thesaurusList':self.thesaurusList}
		cherrypy.session['params'] = self.params



	@cherrypy.expose
	def search(self,listStr="",**kwargs):
		zklist=""
		zklistH=""
		wzklist=""
		wzklistH=""
		if not cherrypy.session.has_key('emptyThesaurus'):
			self.redirect('/index/session')
		self.setPropsFile()
		self.qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		#has to use the other params set by the advancedSearch or by the simpleSearch only
		#->do not change the current cherrypy.session["searchType"]
		
		without=kwargs.get('withoutlistStr',None)
		tmp = []
		tmpH=[]
		selection = listStr
		selectionTmp = selection.split(_carac.selectionSeparator)
		
		#two lists, for TaxonName and one for HigherTaxa
		if( len( selectionTmp ) == 1 ):
			if 'Higher' in selectionTmp[0].strip():
				unit=None
				higher=selectionTmp[0].strip().split("@")[0].replace('"','')
			else:
				unit=selectionTmp[0].strip().split("@")[0].replace('"','')
				higher=None
			if unit is not None:
#				if unit not in tmp and selectionTmp[0] not in without:
				if unit not in tmp:
					tmp.append( "\"%s\""%unit)
					if 'ssp. ' in unit:
						sub=unit.replace('ssp. ','')
						tmp.append("\"%s\""%sub)	
						sub=unit.replace('ssp. ','subsp. ')
						tmp.append( "\"%s\""%sub )	
					if 'subsp. ' in unit:
						sub=unit.replace('subsp. ','')
						tmp.append("\"%s\""%sub )
						sub=unit.replace('subsp. ','ssp. ')
						tmp.append( "\"%s\""%sub )			
			else:
#				if higher not in tmp and selectionTmp[0] not in without:
				if higher not in tmp:
					tmp.append( "\"%s\""%higher )
		else:
			for nom in selectionTmp:
				nom=nom.strip()	
				if 'Higher' in nom:
					unit=None
					higher=nom.split("@")[0].replace('"','')
#					if higher not in tmpH and nom not in without:
					tmpH.append("\"%s\""%higher )
				else:
					if '@' in nom:
						unit=nom.split("@")[0].replace('"','')
					else:
						unit=nom.replace('"','')
					higher=None
#					if unit not in tmp and nom not in without:
					if unit not in tmp:
						tmp.append( "\"%s\""%unit)
						if 'ssp. ' in unit:
							sub=unit.replace('ssp. ','')
							tmp.append("\"%s\""%sub )
							sub=unit.replace('ssp. ','subsp. ')
							tmp.append( "\"%s\""%sub )
						if 'subsp. ' in unit:
							sub=unit.replace('subsp. ','')
							tmp.append("\"%s\""%sub )
							sub=unit.replace('subsp. ','ssp. ')
							tmp.append( "\"%s\""%sub )
		
		tmp.extend([t.split("~$par$~")[0]+t.split("~$parf$~ ")[1] for t in tmp if "~$parf$~" in t and "~$par$~" in t])
		tmp=list(set(tmp))
		tmpH.extend([t.split("~$par$~")[0]+t.split("~$parf$~ ")[1] for t in tmpH if "~$parf$~" in t and "~$par$~" in t])
		tmpH=list(set(tmpH))
		if len(tmp)>0:
			if len(tmp)==1:
				zklist=tmp[0]
			else:
				zklist ='( '+ ', '.join(tmp) +' )'
			zklist=zklist.replace("\\'","&apos").replace('\\"',"&quote").replace('\"',"'").replace("&apos","\\'").replace("&quote",'\\"')
		else:
			zklist=""
		if len(tmpH)>0:
			if len(tmpH)==1:
				zklistH=tmpH[0]
			else:
				zklistH='( '+ ', '.join(tmpH) +' )'
			zklistH=zklistH.replace("\\'","&apos").replace('\\"',"&quote").replace('\"',"'").replace("&apos","\\'").replace("&quote",'\\"')
		else:
			zklistH=""
		
		wtmp = []
		wtmpH=[]
		if without is not None:
			selectionwtmp = without.split(_carac.selectionSeparator)
			
			#two lists, for TaxonName and one for HigherTaxa
			if( len( selectionwtmp ) == 1 ):
			
				if 'Higher' in selectionwtmp[0].strip():
					unit=None
					higher=selectionwtmp[0].strip().split("@")[0].replace('"','')
				else:
					unit=selectionwtmp[0].strip().split("@")[0].replace('"','')
					higher=None
				if unit is not None:
					if unit not in wtmp and selectionwtmp[0] not in selectionTmp:
						wtmp.append( "\"%s\""%unit)
						if 'ssp. ' in unit:
							sub=unit.replace('ssp. ','')
							wtmp.append( "\"%s\""%sub )
							sub=unit.replace('ssp. ','subsp. ')
							wtmp.append( "\"%s\""%sub )
						if 'subsp. ' in unit:
							sub=unit.replace('subsp. ','')
							wtmp.append("\"%s\""%sub )
							sub=unit.replace('subsp. ','ssp. ')
							wtmp.append( "\"%s\""%sub )
				else:
					if higher not in wtmp and selectionwtmp[0] not in selectionTmp:
						wtmp.append( "\"%s\""%higher )
			else:
				for nom in selectionwtmp:
					nom=nom.strip()	
					if 'Higher' in nom:
						unit=None
						higher=nom.split("@")[0].replace('"','')
						if higher not in wtmpH and nom not in selectionTmp:
							wtmpH.append("\"%s\""%higher )
					else:
						if '@' in nom:
							unit=nom.split("@")[0].replace('"','')
						else:
							unit=nom.replace('"','')
						higher=None
						if unit not in wtmp and nom not in selectionTmp:
							wtmp.append( "\"%s\""%unit)
							if 'ssp. ' in unit:
								sub=unit.replace('ssp. ','')
								wtmp.append( "\"%s\""%sub )
								sub=unit.replace('ssp. ','subsp. ')
								wtmp.append( "\"%s\""%sub )
							if 'subsp. ' in unit:
								sub=unit.replace('subsp. ','')
								wtmp.append("\"%s\""%sub )
								sub=unit.replace('subsp. ','ssp. ')
								wtmp.append( "\"%s\""%sub )
			wtmp.extend([t.split("~$par$~")[0]+t.split("~$parf$~ ")[1] for t in wtmp if "~$parf$~" in t and "~$par$~" in t])
			wtmp=list(set(wtmp))
			wtmpH.extend([t.split("~$par$~")[0]+t.split("~$parf$~ ")[1] for t in wtmpH if "~$parf$~" in t and "~$par$~" in t])
			wtmpH=list(set(wtmpH))
			if len(wtmp)>0:
				if len(wtmp)==1:
					wzklist=wtmp[0]
				else:
					wzklist='( '+', '.join(wtmp)+' )'
				wzklist = wzklist.replace("\\'","&apos").replace('\\"',"&quote").replace('\"',"'").replace("&apos","\\'").replace("&quote",'\\"')
			else:
				wzklist=""
			if len(wtmpH)>0:
				if len(wtmpH)==1:
					wzklistH=wtmpH[0]	
				else:
					wzklistH='( '+', '.join(wtmpH)+' )'
				wzklistH=wzklistH.replace("\\'","&apos").replace('\\"',"&quote").replace('\"',"'").replace("&apos","\\'").replace("&quote",'\\"')
			else:
				wzklistH=""

			#do not remove the whole Genus
			wzklistH=""
		
		qrm = QueryReminder()
		if len(tmp)>0:
			qrm.addTaxon(tmp)
		tmp=qrm.getQueryrm()
		cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()])
		
		if zklist!="" or zklistH !="" or wzklist !="" or wzklistH!="":
			#get the units names (names only) that are in the Cache-Database
			queryString=self.qmg.getUnitsForConcepts(zklist,zklistH,wzklist,wzklistH)
	
			connection = DBconnection()
			connection.setDatabase("units")		
			if(connection is not None):
				try:
					startQuery = time.time()
					cursor = connection.executeQuery(queryString)
					duree = time.time() - startQuery
					if duree > self.max:
						log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryString)))
					
					resultSet = cursor.fetchall()
					closeConnection(connection)
					 
				except Exception,e:
					log.info("PB with query : %s \n query:%s " %(e,queryString))
					resultSet=[]
					closeConnection(connection)
				tmp=[p[0] for p in resultSet]
				taxonName = cherrypy.session.get('taxonName','').replace('(','').replace(')','')
				for t in taxonName.split(', '):
					tmp.append(t)
				cherrypy.session['taxonName']='('+', '.join(tmp)+')'
				#doit se débrouiller pour retourner vers preview, avec les critères de l'advanced search ..
				#update the current session with the new names
				qrm = QueryReminder()
				tmp=qrm.getQueryrm()
				qrm.addTaxon(cherrypy.session.get('taxonName'))
				cherrypy.session['qrmSaved']=dict([(a,tmp[a]) for a in tmp.keys()])
		
		connection = DBconnection()
		connection.setDatabase("units")
		#try to perform the advancedSearch
		qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		query = qmg.buildSelectSQL()
		queryStr = "".join(query)
		queryStr = _carac.decodeCaracters(encoded=queryStr)
		cherrypy.session['reset']=queryStr
		
#		log.info("advanced search query: %s" %queryStr)
		if(connection is not None):
			try:
				startQuery = time.time()
				cursor = connection.executeQuery(queryStr)
				duree = time.time() - startQuery
				if duree > self.max:
					log2.info("self.query executed in %f seconds : %s" %(duree,"".join(queryStr)))
				
				resultSet = cursor.fetchall()
				closeConnection(connection)
				 
			except Exception,e:
				log.debug("PB with query : %s \n query: %s" %(e,queryStr))
				resultSet=[]
				closeConnection(connection)
	
			queryStr=None#clean for the session file
			query=None#clean for the session file
			
			if not cherrypy.session.get('cancel',False):
				inter = U_Preview()
				inter.reinit()
				cherrypy.session["resultSet"]=resultSet
				cherrypy.session["searchType"]='advanced'
				cherrypy.session["recordFilter"]=cherrypy.session.get('recordBasis','any')
				cherrypy.session["multimediaOnly"]=cherrypy.session.get('photo',False)
				
				inter.setTaxonList()
	
				if cherrypy.session.get('group') != "taxonBox":
					return inter.see(cherrypy.session.get('group'),'')
				else:
					if not self.checkGBIFAgreementCookie():
						cherrypy.session['forwardURL']="/search/units/preview"
						return self.redirect("/search/units/gbifAgreement")
					return self.redirect ("/search/units/preview") 
			
		
class U_Results( page.Page ):
	#used to split unitID,collectionID,institutionID
	separator = _carac.tripleIDSeparator
	
	
	_instance = None 
	
   
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._instance:
			cls._instance = super( U_Results, cls ).__new__( 
								   cls, *args, **kwargs )
			self = cls._instance
			self.filePath = 'results/units/'
			self.fileName='_results.kid'
			self.title = "Units Search Results"
			self.body = "searchPage" 
			self.__path = "/search/units/results"
			self.qrm=QueryReminder()
			self.max=7.0
		return cls._instance
	
	
	
	def reinit(self):
		#log.info("reinit ava")
		
		self.filePath = 'results/units/'
		self.fileName='_results.kid'
		self.title = "Units Search Results"
		self.body = "searchPage" 
		self.__path = "/search/units/results"	

	@cherrypy.expose
	def setCurrentPage(self,**kwargs):
		'''
		the table of available results is splitted in few pages
		this method make it possible, the whole table to browse
		@param cpage : the page to display
		'''
		if not cherrypy.session.has_key('available'):
			self.redirect('/index/session')
		if kwargs.has_key('cpage'):
			cpage=kwargs['cpage']
		else:
			cpage=1
			
		if kwargs.has_key('checkedBoxes'):
			checkedBoxes=kwargs['checkedBoxes']
		else:
			checkedBoxes=""
			
		if kwargs.has_key('uncheckedBoxes'):
			uncheckedBoxes=kwargs['uncheckedBoxes']
		else:
			uncheckedBoxes=""

		oldCheckboxes = cherrypy.session.get('checkedBoxes',[])

			
		tmp = checkedBoxes.split(_carac.selectionSeparator)
		for box in tmp:
			box = box.replace('null','')
			if box not in oldCheckboxes  and box != '':
				oldCheckboxes.append(box)
		tmp = uncheckedBoxes.split(_carac.selectionSeparator)
		tmp2=[]
		tmp2=[elt.replace('null','') for elt in tmp2]

		tmp=tmp2
		tmp2=None
		copy = list(oldCheckboxes)
		for box in copy:
			if box in tmp:
				oldCheckboxes.remove(box)
		currentPage=int(cpage)
		cherrypy.session['currentPage'] = currentPage
		cherrypy.session['checkedBoxes'] = oldCheckboxes
		return self.redirect("/search/units/results" )  
	
	@cherrypy.expose		
	def index(self,*args,**kwargs):   
		'''
		call the render method from the class Page
		'''
		debut=time.time()
		try:
			self.max = float(self.getCfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0
			
		if cherrypy.session.get('available',None) is None:
			self.redirect('/index/session')
		self.getColumnsToShow()
		twenty = self.get20First()
		debut=time.time()
		self.filePath = 'results/units/'
		self.fileName='_results.kid'
		nextHistory=None
		
		#load the query reminder
		self.qrm = QueryReminder()	
		self.qrm.getValue()
		
		qrm = cherrypy.session.get('qrm',{})
		value = qrm.get('value',"")
		value=unic(value)
		showColumns = cherrypy.session.get('showColumns',[])
		checkedBoxes = cherrypy.session.get('checkedBoxes',[])
	
		if cherrypy.session.has_key('meta'):
			meta = cherrypy.session.get('meta')
		 
			if meta.get('hasDetails',False) == True:
				nextHistory="search/units/details"
#		log.info("methode index de result: %s"%str(time.time()-debut))
		return self.render( filePath=self.filePath, fileName=self.fileName, title=self.title, body=self.body, table = twenty, size=cherrypy.session.get('size'), highlight=cherrypy.session.get('highlight','taxonBox'), nbMulti=cherrypy.session.get('nbMulti',0), queryReminder= value, show= showColumns,pageList = cherrypy.session.get('s_link',""), separator= U_Results.separator, nextHistory=nextHistory, checkedBoxes= checkedBoxes,sorted=cherrypy.session.get('sorted',30) )

	def setHighlight(self,highlight):
		cherrypy.session['highlight'] = highlight
	
		
	@cherrypy.expose
	def sortBy(self,**kwargs):
#		log.info("SORT BY")
		debut=time.time()
		if not cherrypy.session.has_key('available'):
			self.redirect('/index/session')
		if kwargs.has_key('col'):
			col=int(kwargs['col'])
		else:
			col=0
		cherrypy.session['sorted']=col
		if kwargs.has_key('top'):
			if kwargs['top'].lower() == 'false':
				top=False
			else:
				top=True
		else:
			top=True
			
		if kwargs.has_key('corbSortStr'):
			checkedBoxes=kwargs['corbSortStr']
		else:
			checkedBoxes=""
			
		if kwargs.has_key('corbSortUstr'):
			uncheckedBoxes=kwargs['corbSortUstr']
		else:
			uncheckedBoxes=""
			
		tmp = checkedBoxes.split(_carac.selectionSeparator)
		oldCheckboxes = cherrypy.session.get('checkedBoxes',[])
		orderByAscDsc = cherrypy.session.get('orderByAscDsc',None)
		if not cherrypy.session.get('tableConverted',False):
			table = setTable(cherrypy.session.get('table',[]),self,True)
		else:
			table = cherrypy.session.get('table',[])
		for box in tmp:
			box = box.replace('null','')
			if box not in oldCheckboxes  and box != '':
				oldCheckboxes.append(box)
		tmp = uncheckedBoxes.split(_carac.selectionSeparator)
		tmp2=[elt.replace('null','') for elt in tmp]
				
		copy = list(oldCheckboxes)
		for box in copy:
			if box in tmp2:
				oldCheckboxes.remove(box)

			
		if orderByAscDsc is None:
			orderByAscDsc=dict([(str(i),None) for i in range(0,21)])
			#orderByAscDsc={str(0):None,str(1):None,str(2):None,str(3):None,str(4):None,str(5):None,
						  #str(6):None,str(7):None,str(8):None,str(9):None,str(10):None,str(11):None,
						  #str(12):None,str(13):None,str(14):None,str(15):None,str(16):None,str(17):None,str(18):None}
		debut=time.time()
		if (orderByAscDsc.get(str(col)) == None or orderByAscDsc.get(str(col)) == "dsc") and top == True:
			table.sort(lambda x,y:cmp(x[col],y[col]))
			orderByAscDsc["%i"%col] = "asc"
		else:
			if not top and str(col)=='10' and orderByAscDsc['10']=='dsc':
				table.sort(lambda x,y:cmp(x[col],y[col] ))
				orderByAscDsc["%s"%str(col)] = "asc"
			else:
				table.sort(lambda x,y:cmp(y[col],x[col]) )
				orderByAscDsc["%s"%str(col)] = "dsc"

		cherrypy.session['checkedBoxes'] = oldCheckboxes
		cherrypy.session['table'] = table
		cherrypy.session['orderByAscDsc'] = orderByAscDsc
		return self.redirect("/search/units/results" )

	@cherrypy.expose
	def displayUnitsWithMulti(self):
		if not cherrypy.session.has_key('available'):
			self.redirect('/index/session')
		showColumns = cherrypy.session.get('showColumns',[])
		if 'multimedia' not in showColumns:
			self.getColumnsToShow('multimedia')
		orderByAscDsc = cherrypy.session.get('orderByAscDsc',None)
		if orderByAscDsc is None:
			orderByAscDsc=dict([(str(i),None) for i in range(0,21)])
			#orderByAscDsc={str(0):None,str(1):None,str(2):None,str(3):None,str(4):None,str(5):None,
						  #str(6):None,str(7):None,str(8):None,str(9):None,str(10):"asc",str(11):None,
						  #str(12):None,str(13):None,str(14):None,str(15):None,str(16):None,str(17):None,str(18):None}
		orderByAscDsc["10"] = "dsc"
		cherrypy.session['orderByAscDsc'] = orderByAscDsc
		return self.redirect("/search/units/results/sortBy?col=10&top=false" )
		  
	
	def setNbMulti(self,nb):
		cherrypy.session['nbMulti'] = nb
		
	   
	def get20First(self):   
		'''
		split the table with a certain number of results per page
		this number is set as default to 20, but the user can choose it in its preferences
		'''
		debut=time.time()
		try:
			nbResultPerPage = int(self.getNbResultPerPage())
		except:
			nbResultPerPage=20
		if nbResultPerPage>500:
			nbResultPerPage=500
		cherrypy.session['nbResultsPerPage']=nbResultPerPage
		size = cherrypy.session.get('size',0)
		self.nbPages = size/nbResultPerPage
		if self.nbPages * nbResultPerPage < size:
			self.nbPages += 1
		
		if self.nbPages == 0:
			self.nbPages =1

		currentPage = cherrypy.session.get('currentPage',1)
		table = cherrypy.session.get('table',[])

		self.start = currentPage -8
		if self.start < 1:
			self.start = 1
		self.beforeindex = self.start
		self.lastindex = currentPage +8
		
		while self.lastindex > self.nbPages:
			self.lastindex = self.lastindex -1
		s_link = ""
		idx = self.start
		while(idx<= currentPage+8):
			if(idx>self.nbPages):
				break;
			stridx = str(idx)
			if(currentPage==idx):
				s_link +=" " + stridx + " "
			else:
				if idx == currentPage+8:
					s_link += '<a onmouseover="this.style.cursor=\'pointer\'"  onclick="setCurrentPageWithBoxes('+"'"+stridx+"'"+')"> '+stridx+'... </a>'
				else:
					s_link += '<a  onmouseover="this.style.cursor=\'pointer\'"  onclick="setCurrentPageWithBoxes('+"'"+stridx+"'"+')"> '+stridx+' </a>'
			idx = idx+1  
		
		if self.lastindex>1:
			s_link = '<a onmouseover="this.style.cursor=\'pointer\'"  onclick="setCurrentPageWithBoxes('+"'"+str(self.beforeindex)+"'"+')"><img src="%s/static/images/left.gif" alt="left" /></a>'%self.getCfgObj().server.webroot + s_link +'<a  onmouseover="this.style.cursor=\'pointer\'"  onclick="setCurrentPageWithBoxes('+"'"+str(self.lastindex)+"'"+')"><img src="%s/static/images/right.gif" alt="right" /></a>'%self.getCfgObj().server.webroot
		cherrypy.session['s_link'] = s_link
		
		recordBasisDict = buildDic(self.getCfgObj().recordBasis.recordBasisList)
		res = {}
				
		twenty = []
		i=(currentPage -1)*nbResultPerPage
		if len(table) < nbResultPerPage:
			if not cherrypy.session.get('tableConverted',False):
				table = setTable(table,self, False)
				for result in table:
					twenty.append([unic(t) for t in result])
				cherrypy.session['twenty'] = twenty
			else:
				cherrypy.session['twenty'] = table
			return table
		else:
			if i+nbResultPerPage <len(table):
				twenty=table[i:i+nbResultPerPage]
			else:
				twenty=table[i:]
		if not cherrypy.session.get('tableConverted',False):
			twenty = setTable(twenty, self, False)
			table=[]
			for result in twenty:
				table.append([unic(t) for t in result])
			cherrypy.session['twenty']= table
		else:
			cherrypy.session['twenty']= twenty
#		log.info('tableaude 20: %f' %(time.time()-debut))
		return twenty

		
	def getColumnsToShow(self,optionHeader=None):
		debut=time.time()
		self.getTableHeaders(optionHeader=optionHeader)
#		log.info("bidouille le cookie %s"%str(time.time()-debut))

	@cherrypy.expose	
	def dlListDetails(self,**kwargs):
		if not cherrypy.session.has_key('available'):
			self.redirect('/index/session')
		if kwargs.has_key("corbStrDL"):
			corbStrDL = kwargs['corbStrDL']
		else:
			corbStrDL=""		   
			
		if kwargs.has_key("corbUstrDL"):
			corbUstrDL = kwargs['corbUstrDL']
		else:
			corbUstrDL=""
			
		tmp = corbStrDL.split(_carac.selectionSeparator)
		oldCheckboxes = cherrypy.session.get('checkedBoxes',[])


		for box in tmp:
			box = box.replace('null','')
			if box not in oldCheckboxes and box != '':
				oldCheckboxes.append(box)
		
		tmp = corbUstrDL.split(_carac.selectionSeparator)
		tmp2=[elt.replace('null','') for elt in tmp]
		
		tmp=tmp2
		tmp2=None
		copy = list(oldCheckboxes)
		for box in copy:
			if box in tmp:
				oldCheckboxes.remove(box)
				
		cherrypy.session['checkedBoxes'] = oldCheckboxes
		if len(oldCheckboxes)>0:		
			confirmation = _dl.Confirmation() 
			confirmation.reinit()
						
			return confirmation.dlListDetails()
		else:
			return self.redirect("/search/units/results" )

from biocase.tools.xmllibtools import transformXML
from biocase.ServiceClient import ServiceQueryClient   
from annotation.AnnotationServiceClient import AnnotationServiceQuery
from biocase.Error import Error
from mapping.MappingServiceClient import MappingServiceQuery 
import urllib

class U_Details(page.Page):
#used to split unitID,collectionID,institutionID
	separator = _carac.tripleIDSeparator	 
	
	_instance = None	  
	
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._instance:
			cls._instance = super( U_Details, cls ).__new__( 
								   cls, *args, **kwargs )
			self = cls._instance
			self.filePath = 'results/units/'
			self.fileName='_details.kid'
			self.title = "Units Search Detailed Results"
			self.body = "searchPage" 
			self.__path = "/search/units/details"
			self.fileName=""
			self.max=7.0
			self.meta={}
		return cls._instance



		
	@cherrypy.expose		
	def index(self):   
		'''
		call the render method from the class Page
		'''
		#log.info("index de detailed results")
		try:
			self.max = float(self.getCfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0
	
		meta = cherrypy.session.get('meta',{}) 
		if meta == {}:
			self.redirect('/index/session')	
		meta['hasDetails']=True
		cherrypy.session['meta'] = meta
		
		cherrypy.session['annotation'] = ""
		cherrypy.session['available'] = ""


		if meta.get('wrapperError',False) == True or meta.get('resourceError',False) == True or cherrypy.session.get('stylesheetResult',None) is None:
			self.filePath = 'results/units/'
			self.fileName='_details_error.kid'
#			self.file = 'results/units/details_error.kid'
			return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body, reason=cherrypy.session.get('reason',""), unitDecoded = cherrypy.session.get('unitID',None), detailsFromCache=cherrypy.session.get('detailsFromCache',[]), corb=cherrypy.session.get('corb',[]), pos=cherrypy.session.get('pos',None),  next=cherrypy.session.get('next',None), prev=cherrypy.session.get('prev',None), directLink=cherrypy.session.get('directLink',False),tryAgain=cherrypy.session.get('tryAgain',None))			
		else:
			self.filePath = 'results/units/'
			self.fileName='_details.kid'   
#			self.file = 'results/units/details.kid'
#			log.info("cherrypy.session.get('annotationBloc',[0,0,0]))	%s"%cherrypy.session.get('annotationBloc',[0,0,0])) 
			return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body, xmlParsed=cherrypy.session.get('stylesheetResult'), corb=cherrypy.session.get('corb',[]),resourceError = meta.get('resourceError'), providerURL=meta.get('serviceURL'), protocol=meta.get('protocol','').lower(), standard=meta.get('standard'), collectionID=meta.get('collectionID'), institutionID=meta.get('institutionID'), unitID=cherrypy.session.get('unitID',None), pos=cherrypy.session.get('pos',None), next=cherrypy.session.get('next',None), prev=cherrypy.session.get('prev',None), format=meta.get('schema'), providerUDDI=meta.get('uddi'), urlEncode=meta.get('schema'), directLink=cherrypy.session.get('directLink',False), annotationBloc=cherrypy.session.get('annotationBloc',[0,0,0]))			

	@cherrypy.expose	
	def dlListDetails(self,**kwargs):
		
		if kwargs.has_key("corbStrDL"):
			corbStr = kwargs['corbStrDL']
		else:
			corbStr=""		 
			
		if kwargs.has_key("corbUstrDL"):
			corbUstr = kwargs['corbUstrDL']
		else:
			corbUstr=""
		
		tmp = corbStr.split(_carac.selectionSeparator)
		checkedBoxes = cherrypy.session.get('checkedBoxes',[])


		for box in tmp:
			box = box.replace('null','')
			if box not in checkedBoxes:
				checkedBoxes.append(box)
		tmp = corbUstr.split(_carac.selectionSeparator)
		tmp2=[elt.replace('null','') for elt in tmp]
		tmp=tmp2
		tmp2=None
		copy = list(checkedBoxes)
		for box in copy:
			if box in tmp:
				checkedBoxes.remove(box)
		
		cherrypy.session['checkedBoxes'] = checkedBoxes
		
		if len(checkedBoxes)>0:
			confirmation = _dl.Confirmation() 
			confirmation.reinit()
			return confirmation.dlListDetails()
		else:
			return self.redirect("/search/units/results" )
	
	@cherrypy.expose	
	def dlListCDM(self,**kwargs):
		if kwargs.has_key("corbStrCDM"):
			corbStr = kwargs['corbStrCDM']
		else:
			corbStr=""		 
			
		if kwargs.has_key("corbUstrCDM"):
			corbUstr = kwargs['corbUstrCDM']
		else:
			corbUstr=""
		
		tmp = corbStr.split(_carac.selectionSeparator)
		checkedBoxes = cherrypy.session.get('checkedBoxes',[])


		for box in tmp:
			box = box.replace('null','')
			if box not in checkedBoxes:
				checkedBoxes.append(box)
		tmp = corbUstr.split(_carac.selectionSeparator)
		tmp2=[elt.replace('null','') for elt in tmp]
		tmp=tmp2
		tmp2=None
		copy = list(checkedBoxes)
		for box in copy:
			if box in tmp:
				checkedBoxes.remove(box)
		
		cherrypy.session['checkedBoxes'] = checkedBoxes
		
		if len(checkedBoxes)>0:
			confirmation = _dl.Confirmation() 
			confirmation.reinit()
			cherrypy.session['CDM']=True
			return confirmation.dlListDetails()
		else:
			return self.redirect("/search/units/results" )


	def checkBlackListed(self,resourceKey):
		#log.info("checkblacklisted %s"%resourceKey)
		isBL=False
		try:
			filesDir = self.getCfgObj().staticLocator
			os.chdir(filesDir)
			f=open('blacklist.txt', 'r')
			for line in f.readlines():
				if str(resourceKey) == line:
					isBL=True	
			f.close()
		except:
			try:
				f.close()
			except:
				pass
		return isBL
		

	def removeBlackListed(self,resourceKey):
		try:
			filesDir = self.getCfgObj().staticLocator
			os.chdir(filesDir)
			f=open('blacklist.txt', 'r')
			lines=''
			for line in f.readlines():
				if str(resourceKey) != line and line!='\n':
					lines+=line
			f.close()
		except:			
			try:
				f.close()
			except:
				pass
		try:
			f=open('blacklist.txt','w')
			f.write(lines)
			f.close()
		except:
			try:
				f.close()
			except:
				pass
			pass
	
	def addBlackListed(self,resourceKey):
		import smtplib
		if cherrypy.session.get('providerHS',False) and not self.checkBlackListed(resourceKey):
			exists=False
			try:
				filesDir = self.getCfgObj().staticLocator
				os.chdir(filesDir)
				f=open('blacklist.txt', 'r')
				exists=False
				for line in f.readlines():
					if str(resourceKey) == line:
						exists=True
				f.close()
			except:			
				try:
					f.close()
				except:
					pass
			if not exists and str(resourceKey) != '\n':
				try:	
					f=open('blacklist.txt', 'a')
					f.write('\n')
					f.write(str(resourceKey))
					f.close()
				except Exception,e:
					log.info("problem blackList %s"%e)
					try:
						f.close()
					except:
						pass
			try:
				fromaddr =("From: %s_"%self.getCfgObj().server.websiteTitle)
				toaddrs  = string.splitfields('FeedbackProvider@biocase.org')
				subject = 'Information from the %s - the provider with the resourcekey %s has been blacklisted for today'%(self.getCfgObj().server.websiteTitle,str(resourceKey))
				comingFrom = cherrypy.request.headerMap.items()
				for x,y in comingFrom:
					if x == "Referer":
						comingFrom = y
						break
				mess = 'The resourcekey %s has been blacklisted for the day'%str(resourceKey)
				meta = cherrypy.session.get('meta',{})
				mess+= 'Institution ID %s Collection ID %s UnitID %s'%(meta.get('institutionID',''), meta.get('collectionID',''),cherrypy.session.get('unitID',''))
				if meta.get('institutionID','') == "BGBM":
					toaddrs  = string.splitfields('support@biocase.org')
					subject = "Problem with the BioCASE/EDIT portals and a BGBM Collection"
				body =  string.join((
					"Subject: %s" % subject,
					"",
					mess), "\r\n")
				# The actual mail send
				server = smtplib.SMTP('%s'%self.getCfgObj().server.smtp)
				try:
					server.sendmail(fromaddr, toaddrs, body)
				except Exception, e:
					log.info("pb with the smtp for logging errors %s" %e)
				server.quit()
			except Exception,e:
				log.info("try to send mail to biocase support %s"%e)
				
		
	@cherrypy.expose
	def getDetailsTryAgain(self,unitID=None,collectionID=None,institutionID=None,resourceKey=None,pos=None,bioKey=None,**kwargs):
		'''
		if the provider is blacklisted, but user although want to try to get the details
		'''
		
		if pos is None or pos =='':
			pos=None
		self.removeBlackListed(resourceKey)
		return self.getDetails(unitID=unitID, collectionID=collectionID, institutionID=institutionID, resourceKey=resourceKey, pos=pos, bioKey=bioKey)
	
	@cherrypy.expose					   
	def getDetails(self,unitID=None,collectionID=None,institutionID=None,resourceKey=None,pos=None,bioKey=None,**kwargs):
		'''
		get the full details from the wrapper for one unit ID
		@param unitID: the unit ID
		@param collectionID : the collection ID
		@param institutionID : the institution ID
		@param resourceKey : the resource key
		Set the boolean to redirect either to the detailed results page (with provider data), if everything ran perfect,
		or to the detailed results page (with cache data), if an error occured (wrapper url pb, stylesheet pb...)
		'''
		direct=False
		found=False
		
		
		comingFrom = cherrypy.request.headerMap.items()
		for x,y in comingFrom:
			if x == "Referer":
				found=True
				comingFrom = y
				if ('available' not in y and 'map' not in y ) or self.getCfgObj().server.host not in comingFrom:
					direct=True
#				log.info(y.lower())
				if "getlistdetails" not in y.lower() and 'details/getDetails' not in y.lower() and self.getCfgObj().server.webroot not in y.lower() and 'search/units/results/' not in y.lower():
					try:
						cherrypy.session.pop('checkedBoxes')
					except:
						pass
					
				break
		if not found:
			direct=True
		cherrypy.session['direct']=direct			
		cherrypy.session['comingFrom'] = comingFrom		
		
		meta = cherrypy.session.get('meta',{})				
		corb = cherrypy.session.get('corb',[])
		if bioKey is None:		
			bioKey=kwargs.get('bioKey',None)
		#to navigate with arrows:
		
		if pos is not None:
			self.pos = int(pos)
			self.prev = int(pos) - 1
			self.next = int(pos) + 1
			if self.prev < 0:
				self.prev = None
			if self.next >= len(corb):
				self.next = None  
		else:
			self.prev= self.next = self.pos =None
		cherrypy.session['pos'] = self.pos
		cherrypy.session['next'] = self.next
		cherrypy.session['prev'] = self.prev

		if collectionID is not None and (collectionID.lower() == "null" or collectionID.lower() == "none" or collectionID==""):
			collectionID = None
		if institutionID is not None and (institutionID.lower() == "null" or institutionID.lower() == "none" or institutionID==""):
			institutionID = None
			
		if institutionID is not None:
			institutionID = _carac.decodeCaracters(institutionID)
		meta['institutionID'] = institutionID
		if collectionID is not None:
			collectionID = _carac.decodeCaracters(collectionID)
		meta['collectionID'] = collectionID
		if resourceKey is None:
		   resourceKey = "" 
		meta['resourcesKeys'] = resourceKey.split(";")
		rk = meta.get('resourcesKeys')
		
		cherrypy.session['meta'] = meta
		
		self.keyNb = 0
		self.keyMax = len(resourceKey)
		unitID_encoded = unitID
		cherrypy.session['unitID'] = _carac.decodeCaracters(unitID_encoded)

		#everything has been saved in the session
		#before doing all search things, looks if the provider has not been blacklisted
		cherrypy.session['tryAgain']=[unitID,collectionID,institutionID,resourceKey,pos,bioKey,kwargs]
		if self.checkBlackListed(resourceKey):
			#reload cache details
			dicoKey = str(unitID_encoded)+"~"+str(resourceKey)
			if not cherrypy.session.get('tableConverted',False):
				setTable(cherrypy.session.get('table',[]),self,True)
			dico =  cherrypy.session.get('interMemory')
			cherrypy.session['detailsFromCache'] = []
			if dico is not None:
				if dico.has_key(dicoKey):
					cherrypy.session['detailsFromCache'] = dico[dicoKey]
					
			self.filePath = 'results/units/'
			self.fileName='_details_error.kid'
#			self.file = 'results/units/details_error.kid'
			cherrypy.session['reason']='The provider seems to be out of service today'
			direct=cherrypy.session.get('direct',False)
			cherrypy.session['unitID'] = _carac.decodeCaracters(unitID)
			if cherrypy.session.get('detailsFromCache',[]) != []:
				return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body, reason=cherrypy.session.get('reason',""), unitDecoded = cherrypy.session.get('unitID',None), detailsFromCache=cherrypy.session.get('detailsFromCache',[]), corb=cherrypy.session.get('corb',[]), pos=cherrypy.session.get('pos',None), next=cherrypy.session.get('next',None), prev=cherrypy.session.get('prev',None), directLink=direct,tryAgain=cherrypy.session.get('tryAgain',None))			
		
		#not blacklisted.. go further	

		self.setWrapperProperties(rk[self.keyNb])
		meta = cherrypy.session.get('meta')
		client = ServiceQueryClient(meta.get('protocol'))
		meta['wrapperError'] = False
		
		xslt = meta.get('xslt')
		cherrypy.session['meta'] = meta

		
		try:
			meta = cherrypy.session.get('meta')
			
			if  'abcd/2.05' in meta.get('schema'):
				raise client.UnknownSchemaError()
			client.getUnitRecord(serviceURL=meta.get('serviceURL'), schema=meta.get('schema'), unitID=cherrypy.session.get('unitID',None), collID=collectionID, instID=institutionID, otherCatalogTag=meta.get('otherTag'))
			
			meta['otherTag']=False #reset variable for invalid CatalogNumberTag
			cherrypy.session['meta'] = meta
			content = client.getContent()
			# apply stylesheet
			cherrypy.session['xmlFile'] = str(content)
			meta['standard'] = client.getStandard(meta.get('schema'))
			cherrypy.session['meta'] = meta
#			log.info(str(content))
			res = transformXML(docDOM=content, xslLoc=xslt)
			cherrypy.session['stylesheetResult'] = str(res).replace('T00:00:00','').replace('00:00:00','')
			#cherrypy.session['stylesheetResult'] = transformXML(docDOM=content, xslLoc=xslt)	 
			
			cherrypy.session['annotationBloc']=[0,0,0]
			annot = U_Annotation()
			cherrypy.session['annotationBloc']=annot.checkAnnotations(uddi=meta.get('uddi'), format=meta.get('schema'), instID=meta.get('institutionID'), collID=meta.get('collectionID'), unitID=cherrypy.session.get('unitID',None))

		except Exception,e:
			log.debug("EXCEPTION XSLT : %s" %e)
			meta = cherrypy.session.get('meta')
			meta['otherTag']=False
			cherrypy.session['meta'] = meta
			
			if str(e) == "too short":
				n=meta.get('nbCycle',0)
				n+=1
				meta['nbCycle']=n
				cherrypy.session['meta'] = meta
				if meta.get('nbCycle',0) < 2:
					return self.getDetails(unitID = cherrypy.session.get('unitID',None), collectionID=None, institutionID=None, resourceKey=resourceKey,bioKey=bioKey)
			
			if ("wrong catalog" in str(e) or "no result" in str(e)) and 'abcd' not in meta.get('schema'):
				meta['otherTag']=True
				n=meta.get('nbCycle',0)
				n+=1
				meta['nbCycle']=n
				cherrypy.session['meta'] = meta
				if meta.get('nbCycle',0) < 2:
					return self.getDetails(unitID=cherrypy.session.get('unitID',None), collectionID=meta.get('collectionID'), institutionID=meta.get('institutionID'), resourceKey=resourceKey,bioKey=bioKey)

			meta = cherrypy.session.get('meta')			
			meta['wrapperError'] = True			 
			meta['otherTag']=False	#reset variable for invalid CatalogNumberTag
			meta['nbCycle']=0		#reset variable for invalid CatalogNumberTag
			cherrypy.session['meta'] = meta
			reason = ""		
			error = Error(e)
			url = error.url
			response = error.response
			schema = error.schema
			xml = error.xml
			res = error.res
			catalog = error.catalog
			if url is not None:
				reason += "provider is not working properly" 
				cherrypy.session['providerHS']=True
			if response is not None:
				reason += "- response from provider contains errors "
			if schema is not None:
				reason += "- data schema unknown"
			if xml is not None:
				reason += xml +": this might be due to temporary unavailablity of the provider "
				cherrypy.session['providerHS']=True
			if res is not None:
				reason += res +": the provider could not find the data requested"
			if catalog is not None:
				reason += " the providers uses an invalid tag for the CatalogNumber "
				
			cherrypy.session['reason'] = reason

			dicoKey = str(unitID_encoded)+"~"+str(resourceKey)
			if not cherrypy.session.get('tableConverted',False):
				setTable(cherrypy.session.get('table',[]),self,True)
			dico =  cherrypy.session.get('interMemory')
			cherrypy.session['detailsFromCache'] = []
			if dico is not None:
				if dico.has_key(dicoKey):
					cherrypy.session['detailsFromCache'] = dico[dicoKey]
					self.addBlackListed(meta.get('resourceKey',''))
				else:
					cherrypy.session['detailsFromCache'] = []
					if bioKey is not None:
						self.getDetailsFromCache(unitID=unitID,collID=collectionID,instID=institutionID,bioKey=bioKey)
			else:
				if bioKey is not None:
					self.getDetailsFromCache(unitID=unitID,collID=collectionID,instID=institutionID,bioKey=bioKey)
				
		
		#TODO: seperate function
		foreignServiceResults = {}
#		try:
		manager = foreignServices.ForeignServiceManager(foreignServices.list)
		foreignServiceResults = manager.search(cherrypy.session.get("taxonName"))
#		except Exception,e:
#			raise e


		meta = cherrypy.session.get('meta',{}) 	
		meta['hasDetails']=True
		cherrypy.session['meta'] = meta

		if meta.get('wrapperError',False) == True:
			self.filePath = 'results/units/'
			self.fileName='_details_error.kid'
#			self.file = 'results/units/details_error.kid'

			return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body, reason=cherrypy.session.get('reason',""), unitDecoded = cherrypy.session.get('unitID',None), detailsFromCache=cherrypy.session.get('detailsFromCache',[]), corb=cherrypy.session.get('corb',[]), pos=cherrypy.session.get('pos',None), next=cherrypy.session.get('next',None), prev=cherrypy.session.get('prev',None), directLink=direct,tryAgain=cherrypy.session.get('tryAgain',None))			
		else:
			meta['nbCycle']=0
			cherrypy.session['meta'] = meta
			self.filePath = 'results/units/'
			self.fileName='_details.kid'   
#			self.file = 'results/units/details.kid'	
			return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body, xmlParsed=cherrypy.session.get('stylesheetResult'), corb=cherrypy.session.get('corb',[]), resourceError = meta.get('resourceError'), providerURL=meta.get('serviceURL'), protocol=meta.get('protocol').lower(), standard=meta.get('standard',None), collectionID=meta.get('collectionID'), institutionID=meta.get('institutionID'), unitID = cherrypy.session.get('unitID',None), pos=cherrypy.session.get('pos',None), next=cherrypy.session.get('next',None), prev=cherrypy.session.get('prev',None), format=meta.get('schema'), providerUDDI=meta.get('uddi'), urlEncode=meta.get('schema'), directLink=direct,annotationBloc=cherrypy.session.get('annotationBloc',[0,0,0]),resourceKey=resourceKey, foreignServiceResults=foreignServiceResults) 
		
	@cherrypy.expose
	def isavailable(self, unitID=None, collectionID=None, institutionID=None, resourceKey=None, pos=None,**kwargs):
		meta = cherrypy.session.get('meta',{})
		
		if collectionID is not None and (collectionID.lower() == "null" or collectionID.lower() == "none" or collectionID==""):
			collectionID = None
		if institutionID is not None and (institutionID.lower() == "null" or institutionID.lower() == "none" or institutionID==""):
			institutionID = None
			
		if institutionID is not None:
			institutionID = _carac.decodeCaracters(institutionID)
		meta['institutionID'] = institutionID
		if collectionID is not None:
			collectionID = _carac.decodeCaracters(collectionID)
		meta['collectionID'] = collectionID
		if resourceKey is None:
		   resourceKey = "" 
		meta['resourcesKeys'] = resourceKey.split(";")
		rk = meta.get('resourcesKeys')
		
		cherrypy.session['meta'] = meta
		
		self.keyNb = 0
		self.keyMax = len(resourceKey)
		unitID_encoded = unitID
		cherrypy.session['unitID'] = _carac.decodeCaracters(unitID_encoded)

		self.setWrapperProperties(rk[self.keyNb])
		meta = cherrypy.session.get('meta')
		client = ServiceQueryClient(meta.get('protocol'))
		meta['wrapperError'] = False
		
		xslt = meta.get('xslt')
		cherrypy.session['meta'] = meta

		
		try:
			meta = cherrypy.session.get('meta')
			if  'abcd/2.05' in meta.get('schema'):
				raise client.UnknownSchemaError()
			client.getUnitRecord(serviceURL=meta.get('serviceURL'), schema=meta.get('schema'), unitID=cherrypy.session.get('unitID',None), collID=collectionID, instID=institutionID, otherCatalogTag=meta.get('otherTag'))
			
			meta['otherTag']=False #reset variable for invalid CatalogNumberTag
			cherrypy.session['meta'] = meta
			content = client.getContent()
			# apply stylesheet
			
			cherrypy.session['xmlFile'] = str(content)
			meta['standard'] = client.getStandard(meta.get('schema'))
			cherrypy.session['meta'] = meta
			
			res = transformXML(docDOM=content, xslLoc=xslt)
			return "ok"			
		except Exception,e:
			log.info("and the problem is %s"%e)
			return "problem"
	
	# return the properties file
	def setPropsFile( self ):
		'''
		the properties file contains a list of queries corresponding to the 
		synthesys cache Databases
		'''
		try:
			self._propsFile
		except:
			_cfgObj = self.getCfgObj()
			propertiesFile = _cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase
			if not(os.access(propertiesFile, os.R_OK|os.F_OK)):
				   log.debug("\tNo read access to Properties File ",propertiesFile, "Quitting")
			self._propsFile = props(_cfgObj.queriesUnitLevelLocator %_cfgObj.admin.unitsDatabase)
		try:
			self.max = float(_cfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0
			
	def getDetailsFromCache(self,unitID=None,collID=None,instID=None,bioKey=None):
		tmp=[]
		self.setPropsFile()
		qmg = U_QueryManager(self._propsFile,self.getCfgObj())
		resultSet = qmg.getQueryDetailsFromCache(unitID,bioKey,collID,instID)
		if resultSet is not None and len(resultSet)>0:
			for result in resultSet:
				i=0
				while i<7:
					t=result[i]
					if self.getCfgObj().admin.unitsDatabase == "mssql":
						try:
							t=unicode(t, 'utf-8')
						except:
							try:
								t = unicode(t,"ISO-8859-1")
							except:
								pass
					tmp.append(t)
					i+=1
					
				t=result[7]
				if self.getCfgObj().admin.unitsDatabase == "mssql":
					try:
						t=unicode(t, 'utf-8')
					except:
						try:
							t = unicode(t,"ISO-8859-1")
						except:
							pass
				tmp.append((t,'rien'))
				t=result[8]
				if self.getCfgObj().admin.unitsDatabase == "mssql":
					try:
						t=unicode(t, 'utf-8')
					except:
						try:
							t = unicode(t,"ISO-8859-1")
						except:
							pass
				tmp.append((t,'rien'))
				i=9
				while i<21:
					t=result[i]
					if self.getCfgObj().admin.unitsDatabase == "mssql":
						try:
							t=unicode(t, 'utf-8')
						except:
							try:
								t = unicode(t,"ISO-8859-1")
							except:
								pass
					tmp.append(t)
					i+=1
		try:
			self.addBlackListed(cherrypy.session.get('meta',{}).get('resourceKey',''))
		except:
			pass	
		cherrypy.session['detailsFromCache'] = tmp
								
	def setWrapperProperties(self,resourceKey): 
		'''
		connect to the DB to get the wrapper properties for a selected provider (for a specified resourceKey)
		@param resourceKey: the provider's key
		set the current schema,serviceURL, protocol, xslt and stylesheetResult		
		'''
		meta = cherrypy.session.get('meta',{})
		meta['resourceError'] = False
		meta['resourceKey']=resourceKey
		cherrypy.session['meta'] = meta
		

		query = "SELECT resourceId, content_schema, bindingURL, protocol,accesspointuuid"
		query = query + " FROM resource WHERE resourceKey = " +resourceKey
		self.connection = DBconnection()
		self.connection.setDatabase("units")
		if(self.connection is not None):
			try:
				cursor = self.connection.executeQuery(query)
				resultSet = cursor.fetchall()
				closeConnection(self.connection)
				
			except Exception,e:
				log.info("PB with query : %s \n query:%s " %(e,query))
				resultSet=[]
				closeConnection(self.connection)
				
			if len(resultSet) > 0:
				result = resultSet[0]
				
				meta['resource'] = result[0]
				meta['schema'] = result[1]
				
				schema = str(meta.get('schema')).lower()
				xslt=""
				if "darwin/2003" in schema or "obis" in schema or "darwin" in schema or "digir" in schema or "darwincore" in schema or "manis" in schema:
					xslt = cherrypy.config.get("darwin2003_xslt")
				elif "abcd/1.2" in schema or "abcd1.2" in schema:
					xslt = cherrypy.config.get("abcd12_xslt")
				elif "abcd/2" in schema or "abcd2.06" in schema:
					xslt = cherrypy.config.get("abcd2_xslt")
				elif "dwcore" in schema or "tapir" in schema:
					xslt = cherrypy.config.get("dwcore_xslt")				
				
				xslt = xslt.replace('LANG',self.getLang())
				meta['xslt']=xslt
				meta['serviceURL'] = result[2]
				meta['protocol'] = result[3]
				meta['uddi']=result[4]
				cherrypy.session['meta'] = meta
				
			else:
				meta['resourceError'] = True
				res = "<div> No results for this unitKey with this resourceKey %s</div>"%resourceKey
				cherrypy.session['stylesheetResult'] = "pif"
				cherrypy.session['meta'] = meta
				return self.redirect("/search/units/details")
			
	@cherrypy.expose
	def downloadXML(self):
		referer=cherrypy.request.headerMap.get('Referer','')
		if not cherrypy.session.has_key('unitID') and 'getDetails' in referer:
			self.redirect(referer)
		if not cherrypy.session.has_key('unitID') and 'getDetails' not in referer:
			self.redirect('/index/session')
		unitID = cherrypy.session.get('unitID','')
		meta = cherrypy.session.get('meta',{})

		if meta.get('wrapperError',False) == True:
			fileName = unitID.replace(" ","_")+".xls"   
		else:
			fileName = unitID.replace(" ","_")+".xml"	
		fileName=fileName.replace("/","$") 
		
		filesDir = cherrypy.config.get("uploads")
		os.chdir(filesDir)
		path = os.path.join(filesDir,fileName)
		
		cherrypy.response.headerMap['Content-Type'] = 'text/xml'
		myFile = open(fileName,'w')  
		try:		   
			for elmt in cherrypy.session.get('xmlFile'):
				myFile.write(elmt)
		except Exception,e:
			pass   
		myFile.close()  
		
		spread=Spreadsheet()
		try:
			fileName=spread.convert(fileName,str(meta.get('schema')).lower())
#			log.info("%s %s"%(filesDir,fileName))
			path = os.path.join(filesDir,fileName)
		except Exception,e:
			log.info("Problem with the Excel file -  return XML %s" %e)
		
		return cptools.serveFile(path, "application/x-download",
								 "attachment",os.path.basename(path))

	@cherrypy.expose
	def exportToCDM(self):
		referer=cherrypy.request.headerMap.get('Referer','')
		if not cherrypy.session.has_key('unitID'):
			self.redirect('/index/session')
		
		if 'bioKey' in referer:
			bioKey = referer.split("&")
			for bk in bioKey:
				if "bioKey" in bk:
					bioKey=bk.split("=")[1]
					break
		else:
			bioKey=cherrypy.session.get('bioRecordKey','')
			
		unitID = cherrypy.session.get('unitID','')
		meta = cherrypy.session.get('meta',{})

		if meta.get('wrapperError',False) == False and "abcd/2.06" in meta.get('schema'):
			fileName = unitID.replace(" ","_")+".xml"	
			fileName=fileName.replace("/","$") 
		
			filesDir = cherrypy.config.get("uploads")
			os.chdir(filesDir)
			path = os.path.join(filesDir,fileName)
			
			cherrypy.response.headerMap['Content-Type'] = 'text/xml'
			myFile = open(fileName,'w')  
			try:		   
				for elmt in cherrypy.session.get('xmlFile'):
					myFile.write(elmt)
			except Exception,e:
				pass   
			myFile.close()  
		
		else:
			fileName = unitID.replace(" ","_")+".xls"	
			fileName=fileName.replace("/","$") 
			filesDir = cherrypy.config.get("uploads")
			os.chdir(filesDir)
			
			keys=[bioKey]
			unitList=[]
	#		log.info("condition: %s"%str(condition))
			try:
				self.setPropsFile()
				qmg = U_QueryManager(self._propsFile,self.getCfgObj())
			except Exception,e:
				return e
			query=qmg.buildQueryAllFieldsCDM(keys)
			queryStr=' '.join(query)
	
#			log.info("buildQueryAllFieldsCDM %s"%queryStr)
			connection = DBconnection()
			connection.setDatabase("units")
			if(connection is not None):
				try:
					startQuery = time.time()					
					cursor = connection.executeQuery(queryStr)
					duree = time.time() - startQuery
					
					if duree > 4:
						log2.info("Query executed in %f seconds : %s" %(duree,queryStr))
					resultSet = cursor.fetchall()
					closeConnection(connection)
					
				except Exception,e:
					log.debug("PB with query : %s \n query:%s " %(e,queryStr))
					resultSet=[]
					closeConnection(connection)
			queryStr=None#clean for the session file
			query=None#clean for the session file
			
			##taxonName,genus,family,highertn,vernacularName',countryName,localityText,collection_code,institution_code,
			##gatheringDate,GROUP_CONCAT(imagerecordurl),bioRecordId,bioRecordResourceKey,bioRecordKey,
			##geoLongitude,geoLatitude,taxonAuthor,recordBasis,collector,collectorNumber,fieldNumber  
	
			self.record = {}   
			for record in resultSet:
				bkey = record[13]
				if self.record.has_key(bkey):
					miniDic = self.record[bkey]
				else:
					miniDic = {}
				#-------------------------------	
				if miniDic.has_key('unitID'):
					unitID = miniDic['unitID']
				else:
					unitID=[]
				if str(record[11]) not in unitID:
					unitID.append(str(record[11]))
				miniDic['unitID']=unitID
				#-------------------------------	
				if miniDic.has_key('taxonName'):
					taxonName = miniDic['taxonName']
				else:
					taxonName=[]
				if str(record[0]) not in taxonName:
					taxonName.append(str(record[0]))
				miniDic['taxonName']=taxonName
				#-------------------------------	
				if miniDic.has_key('genus'):
					genus = miniDic['genus']
				else:
					genus=[]
				if str(record[1]) not in genus:
					genus.append(str(record[1]))
				miniDic['genus']=genus
				#-------------------------------	
				if miniDic.has_key('family'):
					family = miniDic['family']
				else:
					family=[]
				if str(record[2]) not in family:
					family.append(str(record[2]))
				miniDic['family']=family
				#-------------------------------	
				if miniDic.has_key('higher'):
					higher = miniDic['higher']
				else:
					higher=[]
				if str(record[3]) not in higher:
					higher.append(str(record[3]))
				miniDic['higher']=higher  
				 #-------------------------------	
				if miniDic.has_key('vernacular'):
					vernacular = miniDic['vernacular']
				else:
					vernacular=[]
				if str(record[4]) not in vernacular:
					vernacular.append(str(record[4]))  
				miniDic['vernacular']=vernacular
				 #-------------------------------	
				if miniDic.has_key('country'):
					country = miniDic['country']
				else:
					country=[]
				if str(record[5]) not in country:
					country.append(str(record[5]))
				miniDic['country']=country 
				 #-------------------------------	
				if miniDic.has_key('locality'):
					locality = miniDic['locality']
				else:
					locality=[]
				if str(record[6]) not in locality:
					locality.append(str(record[6]))
				miniDic['locality']=locality
				 #-------------------------------	
				if miniDic.has_key('date'):
					date = miniDic['date']
				else:
					date=[]
				if str(record[9]) not in date:
					date.append(str(record[9]))
				miniDic['date']=date
				 #-------------------------------	
				if miniDic.has_key('url'):
					url = miniDic['url']
				else:
					url=[]
				if str(record[10]) not in url:
					url.append(str(record[10]))
				miniDic['url']=url  
				 #-------------------------------	
				if miniDic.has_key('longitude'):
					longitude = miniDic['longitude']
				else:
					longitude=[]
				if str(record[14]) not in longitude:
					longitude.append(str(record[14])) 
				miniDic['longitude']=longitude
				 #-------------------------------	
				if miniDic.has_key('latitude'):
					latitude = miniDic['latitude']
				else:
					latitude=[]
				if str(record[15]) not in latitude:
					latitude.append(str(record[15]))
				miniDic['latitude']=latitude 
				 #-------------------------------	
				if miniDic.has_key('author'):
					author = miniDic['author']
				else:
					author=[]
				if str(record[16]) not in author:
					author.append(str(record[16]))
				miniDic['author']=author
	#			if withcollection:
					  #-------------------------------	
				if miniDic.has_key('collection'):
					collection = miniDic['collection']
				else:
					collection=[]
				if str(record[7]) not in collection:
					collection.append(str(record[7]))
				miniDic['collection']=collection
				 #-------------------------------	
				institution = miniDic.get('institution',[])
				if str(record[8]) not in institution:
					institution.append(str(record[8]))   
				miniDic['institution']=institution
				 #-------------------------------	
				recordBasis=miniDic.get('recordBasis',[])
				if str(record[17]) not in recordBasis:
					recordBasis.append(str(record[17]))   
				miniDic['recordBasis']=recordBasis
				 #-------------------------------	
				if miniDic.has_key('collector'):
					collector = miniDic['collector']
				else:
					collector=[]
				if str(record[18]) not in collector:
					collector.append(str(record[18]))   
				miniDic['collector']=collector
				#-------------------------------	
				if miniDic.has_key('collectorNumber'):
					collectorNumber = miniDic['collectorNumber']
				else:
					collectorNumber=[]
				if str(record[19]) not in collectorNumber:
					collectorNumber.append(str(record[19]))   
				miniDic['collectorNumber']=collectorNumber
				 #-------------------------------	
				if miniDic.has_key('fieldNumber'):
					fieldNumber = miniDic['fieldNumber']
				else:
					fieldNumber=[]
				if str(record[20]) not in fieldNumber:
					fieldNumber.append(str(record[20]))   
				miniDic['fieldNumber']=fieldNumber
				 #-------------------------------	
				isoCountry = miniDic.get('isoCountry',[])
				if str(record[21]) not in isoCountry:
					isoCountry.append(str(record[21]))   
				miniDic['isoCountry']=isoCountry
				
				log.info(miniDic)
				self.record[bkey]=miniDic 
			
			path=_dl.writeXMLFileForCDM(self.record)
			
		return cptools.serveFile(path, "application/x-download",
								 "attachment",os.path.basename(path))

	@cherrypy.expose
	def seeXML(self):
		referer=cherrypy.request.headerMap.get('Referer','')
		if not cherrypy.session.has_key('xmlFile') and 'getDetails' in referer:
			self.redirect(referer)
		if not cherrypy.session.has_key('xmlFile') and 'getDetails' not in referer:
			self.redirect('/index/session')
		cherrypy.response.headerMap['Content-Type'] = 'text/xml'
		if 'str' in str(type(cherrypy.session.get('xmlFile'))):
			try:
				
				return cherrypy.session.get('xmlFile')
			except Exception,e:
				log.info("error with XML (show source) %s" %e)
				#used if session expired
				self.redirect ("/search/units/results")				
		try:
			return cherrypy.session.get('xmlFile').serialize()
		except Exception,e:
			log.info("error with XML (show source) %s" %e)
			#used if session expired
			self.redirect ("/search/units/results")
		
	@cherrypy.expose
	def getListDetails(self,**kwargs):
		'''
		build a shopping basket with a list of units the user will pick for details
		@param corbStr : a string containing the list of selected objects, separated by "--$$$$--"
		each data contains fields, separated by "~~$$$$~~"
		'''
		direct=True
		comingFrom= cherrypy.request.headerMap.items()
		for x,y in comingFrom:
			if x == "Referer":
				if 'europe' in y.lower():
					direct=False
					break
		
		if kwargs.has_key("corbStr"):
			corbStr = kwargs['corbStr']
		else:
			corbStr=""	
		#log.info("corbStr %s" %corbStr)	 
			
		if kwargs.has_key("corbUstr"):
			corbUstr = kwargs['corbUstr']
		else:
			corbUstr=""
		
		tmp = corbStr.split(_carac.selectionSeparator)
		if direct:
			cherrypy.session['checkedBoxes']=[]
		checkedBoxes = cherrypy.session.get('checkedBoxes',[])
	

		
		for box in tmp:
			box = box.replace('null','')
			if box not in checkedBoxes and box != '':
				checkedBoxes.append(box)
	   
		tmp = corbUstr.split(_carac.selectionSeparator)
		tmp2=[elt.replace('null','') for elt in tmp]
		
		tmp=tmp2
		tmp2=None
		
		copy = list(checkedBoxes)
		for box in copy:
			if box in tmp:
				checkedBoxes.remove(box)
		
		cherrypy.session['checkedBoxes'] = checkedBoxes	   
		corb = checkedBoxes
		if len(corb)>0:
			#unitID,collectionID,institutionID,resourceKey,name,biorecordkey
			if _carac.tripleIDSeparator in corb[0]:
				elementToDisplay = corb[0].split(_carac.tripleIDSeparator)
			else:
				elementToDisplay = corb[0].split(_carac.tripleIDSeparator)
				
			unitID = elementToDisplay[0]
			collectionID = elementToDisplay[1]
			if collectionID=="null":
				collectionID = None
			institutionID = elementToDisplay[2]
			if institutionID == "null":
				institutionID = None
			resourceKey = elementToDisplay[3]
			name = elementToDisplay[4]
			bioKey=elementToDisplay[5]
			j = 0
			corbeille = []
			while j < len(corb):
				if _carac.tripleIDSeparator in corb[j]:
					tmp = corb[j].split(_carac.tripleIDSeparator)
				else:
					tmp = corb[j].split(_carac.tripleIDSeparator)
				tmpU = tmp[0]
				tmpDeco = _carac.decodeCaracters(encoded = tmpU)
				tmpC = _carac.decodeCaracters(encoded =tmp[1])
				if tmpC=="null":
					tmpC=None
				tmpI = _carac.decodeCaracters(encoded =tmp[2])
				if tmpI=="null":
					tmpI=None
				tmpR = tmp[3]
				if tmpR=="null":
					tmpR=None
				tmpN = tmp[4]
				tmpBioK=tmp[5]
				if tmpBioK=="null":
					tmpBioK=None
				corbeille.append([tmpN,tmpDeco,tmpC,tmpI,tmpR,tmpBioK])
				j+=1
			cherrypy.session['corb'] = corbeille

			return self.redirect ('/search/units/details/getDetails/'+str(unitID)+'/'+str(collectionID)+'/'+str(institutionID)+'/'+str(resourceKey)+'/'+str(0)+'/'+str(bioKey))
		else:
			return self.redirect("/search/units/results" )



	#@cherrypy.expose
	#def seeMap(self):
		##to get the data for the current session
		#data = cherrypy.session.get('table',[])
	
		#mapClient = MappingServiceQuery()
		#try:
			#mapClientURL = mapClient.getRecordsMap(data)
		#except Exception ,e:
			#log.info("Error during mapping: %s" %e)
		#return self.redirect(mapClientURL)
	
	
	
	#@cherrypy.expose
	#def seeSelectionMap(self,**kwargs):
		##to get the data for the current session

		#if kwargs.has_key("corbMap"):
			#corbMap = kwargs['corbMap']
		#else:
			#corbMap=""		   
			
		#if kwargs.has_key("corbUmap"):
			#corbUmap = kwargs['corbUmap']
		#else:
			#corbUmap=""
			
		#tmp = corbMap.split(_carac.selectionSeparator)
		#checkedBoxes = cherrypy.session.get('checkedBoxes',[])

		
		#for box in tmp:
			#box = box.replace('null','')
			#if box not in checkedBoxes and box != '':
				#checkedBoxes.append(box)
		#tmp = corbUmap.split(_carac.selectionSeparator)
		#tmp2=[elt.replace('null','') for elt in tmp]
		#tmp=tmp2
		#tmp2=None
		#copy = list(checkedBoxes)
		#for box in copy:
			#if box in tmp:
				#checkedBoxes.remove(box)
					
		#self.selection=[]
		#data = cherrypy.session.get('table',[])
	

		#corb = checkedBoxes
		##unitID,collectionID,institutionID,resourceKey,name
		#if len(corb)>0:
			#for unit in data:
				#j = 0
				#while j < len(corb):
					#if _carac.tripleIDSeparator in corb[j]:
						#tmp = corb[j].split(_carac.tripleIDSeparator)
					#else:
						#tmp = corb[j].split(_carac.tripleIDSeparator)
					##test name,institutionID,collectionID,unitID
					#if unit[0] == tmp[4] or (unit[0] is None and tmp[4] == "null"):
						#if unit[8][0] == _carac.decodeCaracters(encoded=tmp[2]) or (unit[8][0] is None and _carac.decodeCaracters(encoded=tmp[2]) == "null"):
							#if unit[7][0] == _carac.decodeCaracters(encoded=tmp[1]) or (unit[7][0] is None and _carac.decodeCaracters(encoded=tmp[1]) == "null"):
								#if unit[11] == tmp[0] or (unit[11] is None and tmp[0] == "null") :
									#self.selection.append(unit)
					#j+=1
									
			#cherrypy.session['checkedBoxes'] = checkedBoxes
			#mapClient = MappingServiceQuery()
			#try:
				#mapClientURL = mapClient.getRecordsMap(self.selection)
			#except Exception ,e:
				#log.info("Error during mapping: %s" %e)
			#return self.redirect(mapClientURL)
		#else:
			#return self.redirect("/search/units/results" )


from annotation.AnnotationServiceClient import AnnotationServiceQuery	
class U_Annotation(page.Page):

	_annotinstance = None	 
	#singleton
	def __new__( cls, *args, **kwargs ):
		if not cls._annotinstance:
			cls._annotinstance = super( U_Annotation, cls ).__new__( 
								   cls, *args, **kwargs )
			
			self = cls._annotinstance
			self.filePath = 'results/units/'
			self.fileName = '_annotation.kid'
			self.title = "Units Search Annotation"
			self.body = "searchPage" 
			self.__path = "/search/units/annotation"
			self.rawXML=None
			self.annotation=None
			self.max=7.0
		return cls._annotinstance

		
	def reinit(self):
		self.annotation=None
		self.rawXML=None

	@cherrypy.expose
	def index(self):   
		'''
		call the render method from the class Page
		'''
		diff = cherrypy.session.get('diff',{})
		if cherrypy.session.get('annotation',None) is None:
			self.redirect('/index/session')
		try:
			self.max = float(self.getCfgObj.slowQueries.max)
		except Exception,e:
			self.max=7.0
		self.filePath = 'results/units/'
		self.fileName = '_annotation.kid'
#		self.file = 'results/units/annotation.kid'
		return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, 
						body=self.body, annotationTable=cherrypy.session.get('annotTable'), 
						next=None,stylesheet = cherrypy.session.get('stylesheetResult'), 
						diff=diff.get('diff',None), currentDate=diff.get('currentDate'), 
						currentComment=diff.get('currentComment'), currentURL=diff.get('currentURL'),
						 currentSchema=diff.get('currentSchema'), original=diff.get('original'), 
						 currentAuthor=diff.get('currentAuthor'), 
						 originalURL=_carac.encodeCaracters(decoded=diff.get('originalURL','')),version=cherrypy.session.get('version','current'))

	def checkAnnotations(self,uddi=None, format=None, instID=None, collID=None, unitID=None):
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()
		excludeFormat=False
		annot1 = self.annotation.sendQuery(uddi=uddi, format=format, instID=instID, collID=collID, unitID=unitID, excl=excludeFormat, method="current")[1]	
		annot2 = self.annotation.sendQuery(uddi=uddi, format=format, instID=instID, collID=collID, unitID=unitID, excl=excludeFormat, method="history")[1]
		excludeFormat=True
		annot3 = self.annotation.sendQuery(uddi=uddi, format=format, instID=instID, collID=collID, unitID=unitID, excl=excludeFormat, method="all")[1]
		if len(annot1)>0:
			annot1=1
		else:
			annot1=0
		if len(annot2)>0:
			annot2=1
		else:
			annot2=0
		if len(annot3)>0:
			annot3=1
		else:
			annot3=0
		return [annot1, annot2, annot3]
		
	@cherrypy.expose
	def seeAnnotation(self, uddi=None, format=None, instID='', collID='', unitID='', excludeFormat=False, version="current"):
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()
		
		#reinit files
		cherrypy.session['stylesheetResult']  = None
		cherrypy.session['rawXML']= None
		diff = cherrypy.session.get('diff',{})
		diff['diff'] = None
		diff['original'] = None
		cherrypy.session['diff'] = diff
		if excludeFormat=='False':
			excludeFormat=False
		else:
			excludeFormat=True
		annot = self.annotation.sendQuery(uddi=uddi, format=format, instID=instID, collID=collID, unitID=unitID, excl=excludeFormat, method=version)
		
		cherrypy.session['version']=version	
		cherrypy.session['annotation']='annotation'
		cherrypy.session['annotDico'] = annot[0]
		cherrypy.session['annotTable'] = annot[1]
		#log.info("%s ----- %s"%(annot[0],annot[1]))
		return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, 
						body=self.body, annotationTable=cherrypy.session.get('annotTable'), 
						next=None,stylesheet = cherrypy.session.get('stylesheetResult'), 
						diff=diff.get('diff',None), currentDate=diff.get('currentDate'), 
						currentComment=diff.get('currentComment'), currentURL=diff.get('currentURL'),
						 currentSchema=diff.get('currentSchema'), original=diff.get('original'), 
						 currentAuthor=diff.get('currentAuthor'), 
						 originalURL=_carac.encodeCaracters(decoded=diff.get('originalURL','')),version=version)

	@cherrypy.expose
	def seeOriginal(self,url,schema):
		meta = cherrypy.session.get('meta',{})
		diff = cherrypy.session.get('diff',{})
		schema = (_carac.decodeCaracters(encoded=schema)).replace("$$$",":")
		url = (_carac.decodeCaracters(encoded=url)).replace("$$$",":")


		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()

		diff['originalURL'] = self.annotation.getOriginalURL(url)
		content = self.annotation.getContent(diff.get('originalURL'))
		xslt=""									 
		if "darwin/2003" in schema or "obis" in schema or "darwin" in schema or "digir" in schema or "darwincore" in schema or "manis" in schema:
			xslt = cherrypy.config.get("darwin2003_xslt")
		elif "abcd/1.2" in schema or "abcd1.2" in schema:
			xslt = cherrypy.config.get("abcd12_xslt")
		elif "abcd/2" in schema or "abcd2.06" in schema:
			xslt = cherrypy.config.get("abcd2_xslt")
		elif "dwcore" in schema or "tapir" in schema:
			xslt = cherrypy.config.get("dwcore_xslt")
		xslt = xslt.replace('LANG',self.getLang())
		meta['xslt'] = xslt

		try:
			res = transformXML(docDOM=content, xslLoc=xslt)
			diff['original'] = str(res)
		except Exception,e:
			
			diff['original'] = str(content)
		content=None#delete for session
		diff['diff']=None
		cherrypy.session['annotation']='annotation'
		cherrypy.session['stylesheetResult']  = None
		cherrypy.session['meta'] = meta
		return self.redirect(self.__path)	 
	   
	@cherrypy.expose
	def see(self,url=None,schema=None,version="current"):
		cherrypy.session['version']=version
		meta = cherrypy.session.get('meta',{})
		diff = cherrypy.session.get('diff',{})
		#		annotDico = cherrypy.session.get('annotDico',{})
		annotDico = {}
		#tmpUrl= url.replace("'","")
		tmpUrl=url
		#http://ww2.biocase.org/svn/annotation/modified/a1521e10-a8b5-11d8-9534-b8a03c50a862/abcd2.06/BGBM/BoBO - Botanic Garden Berlin BDI Observations/9_2.xml
		uddi=tmpUrl.split('/')[6]
		format=schema.replace("'","")
		if format == "abcd2.06" or "abcd/2.06" in format:
			format='http://www.tdwg.org/schemas/abcd/2.06'
			schema='http://www.tdwg.org/schemas/abcd/2.06'
		if format == "abcd1.2" or "abcd/1.2" in format:
			format='http://www.tdwg.org/schemas/abcd/1.2'
			schema='http://www.tdwg.org/schemas/abcd/1.2'
		if format == "darwincore" or format=="manis" or format=="obis":
			format = 'http://digir.net/schema/conceptual/darwin/2003/1.0'
			schema = 'http://digir.net/schema/conceptual/darwin/2003/1.0'
		if format =='http://rs.tdwg.org/dwc/dwcore/' or format=="tapir_dwc":
			format="http://rs.tdwg.org/tapir/1.0"
			schema="http://rs.tdwg.org/tapir/1.0"
		instID=tmpUrl.split('/')[8]
		collID=tmpUrl.split('/')[9]
		if 'modified' in tmpUrl:
			unitID="_".join(tmpUrl.split('/')[10].split('_')[:-1]).split('.xml')[0]
		else:
			unitID=tmpUrl.split('/')[10].split('.xml')[0]
				
		if annotDico == {}:
			if self.annotation is None:
				self.annotation = AnnotationServiceQuery()
			
			excludeFormat=False
			
			annot = self.annotation.sendQuery(uddi=uddi, format=format, instID=instID, collID=collID, unitID=unitID, excl=excludeFormat, method=version)
			
				
			cherrypy.session['annotation']='annotation'
			cherrypy.session['annotDico'] = annot[0]
			cherrypy.session['annotTable'] = annot[1]
			annotDico = cherrypy.session.get('annotDico',{})
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()
		for key in annotDico.keys():
			props = annotDico[key]
			if ( ((_carac.decodeCaracters(props[4])).replace("'","") == url.replace("'","") and ( _carac.decodeCaracters(props[3])).replace("'","") ==schema.replace("'","")) or (_carac.decodeCaracters(props[4]).replace("'","") == url.replace("'","") and _carac.decodeCaracters(props[3]).replace("'","") ==schema.replace("'",""))):
				diff['currentDate']=props[0]
				diff['currentComment']=props[2]
				diff['currentURL']=_carac.encodeCaracters(props[4])
				diff['currentSchema']=_carac.encodeCaracters(props[3])
				diff['currentAuthor']=props[5]
		schema = (_carac.decodeCaracters(encoded=schema)).replace("$$$",":")
		url = (_carac.decodeCaracters(encoded=url)).replace("$$$",":")
		content = self.annotation.getContent(url)	
		xslt=""
		if "darwin/2003" in schema or "obis" in schema or "darwin" in schema or "digir" in schema or "darwincore" in schema or "manis" in schema:
			xslt = cherrypy.config.get("darwin2003_xslt")
		elif "abcd/1.2" in schema or "abcd1.2" in schema:
			xslt = cherrypy.config.get("abcd12_xslt")
		elif "abcd/2" in schema or "abcd2.06" in schema:
			xslt = cherrypy.config.get("abcd2_xslt")
		elif "dwcore" in schema or "tapir" in schema:
			xslt = cherrypy.config.get("dwcore_xslt")
		xslt = xslt.replace('LANG',self.getLang())
		meta['xslt'] = xslt

		try:
			res = transformXML(docDOM=content, xslLoc=xslt)
			cherrypy.session['stylesheetResult'] = str(res).replace('T00:00:00','').replace('00:00:00','')
		except Exception,e:
			log.info(e)
			#cherrypy.session['stylesheetResult']  = content
			cherrypy.session['stylesheetResult'] = str(content).replace('T00:00:00','').replace('00:00:00','')
		content=None#delete for session
		diff['diff']=None
		diff['original']=None
		cherrypy.session['annotation']='annotation'
		cherrypy.session['diff'] = diff
		cherrypy.session['meta'] = meta
#		return self.redirect(self.__path)
		return self.render( filePath=self.filePath,fileName=self.fileName, title=self.title, 
						body=self.body, annotationTable=cherrypy.session.get('annotTable'), 
						next=None,stylesheet = cherrypy.session.get('stylesheetResult'), 
						diff=diff.get('diff',None), currentDate=diff.get('currentDate'), 
						currentComment=diff.get('currentComment'), currentURL=diff.get('currentURL'),
						 currentSchema=diff.get('currentSchema'), original=diff.get('original'), 
						 currentAuthor=diff.get('currentAuthor'), 
						 originalURL=_carac.encodeCaracters(decoded=diff.get('originalURL','')),version=version)
		
	@cherrypy.expose
	def dl(self,url):
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()

		url = (_carac.decodeCaracters(encoded=url)).replace("$$$",":")
		name = url.split("/")
		self.currentSchema=name[7]
		
		name = name[len(name)-1].replace(" ","_").replace("'","").replace("/","$")

		raw = self.annotation.getRawContent(url)
		content=raw
		if "</DarwinRecordSet>" in content:
			content=content[0:content.index("</DarwinRecordSet>")]
			content=content.replace("<","<dwcore:").replace("<dwcore:/","</dwcore:").replace("<dwcore:?xml","<?xml")
			content=content.replace("dwcore:DarwinRecord","DarwinRecord")
			content=content.replace("<DarwinRecord>", '<DarwinRecord xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:dwcore="http://rs.tdwg.org/dwc/dwcore/" xmlns:dwgeo="http://rs.tdwg.org/dwc/geospatial/" xmlns:dwcur="http://rs.tdwg.org/dwc/curatorial/">')
		cherrypy.session['rawXML'] = str(raw ) 
		
		self.fileName = name  
		self.filesDir = cherrypy.config.get("uploads")
		os.chdir(self.filesDir)
		path = os.path.join(self.filesDir,self.fileName)
		
		cherrypy.response.headerMap['Content-Type'] = 'text/xml'
		myFile = open(self.fileName,'w')  
		myFile.write(content)
		myFile.close()  
			
		return cptools.serveFile(path, "application/x-download", "attachment",os.path.basename(path))
	
	@cherrypy.expose
	def compare(self,url,schema):
		import myDiffHTML,simplediff
		#log.info("compare %s %s"%(url,schema))
		meta = cherrypy.session.get('meta',{})
		diff = cherrypy.session.get('diff',{})
		xslt = cherrypy.config.get("darwin2003_xslt")
		schema = (_carac.decodeCaracters(encoded=schema)).replace("$$$",":")		
		#set the xslt for the current schema
		if "darwin/2003" in schema or "obis" in schema or "darwin" in schema or "digir" in schema or "darwincore" in schema or "manis" in schema:
			xslt = cherrypy.config.get("darwin2003_xslt")
		elif "abcd/1.2" in schema or "abcd1.2" in schema:
			xslt = cherrypy.config.get("abcd12_xslt")
		elif "abcd/2" in schema or "abcd2.06" in schema:
			xslt = cherrypy.config.get("abcd2_xslt")
		elif "dwcore" in schema or "tapir" in schema:
			xslt = cherrypy.config.get("dwcore_xslt")
		xslt = xslt.replace('LANG',self.getLang())
		meta['xslt'] = str(xslt)
		cherrypy.session['meta'] = meta
		
		#file 1 = annotation
		url = (_carac.decodeCaracters(encoded=url)).replace("$$$",":")
		
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()
		content = self.annotation.getContent(url)	
		try:
			file1 = transformXML(docDOM=content, xslLoc=xslt)
		except Exception,e:
			
			file1=None
		content=None#delete for session
		
		#file 2 = last accepted annotation from provider
		url = self.annotation.getOriginalURL(url)
		content = self.annotation.getContent(url)
		try:
			file2 = transformXML(docDOM=content, xslLoc=xslt)
		except Exception,e:
			
			file2=None
		content=None#delete for session
		
		#if one file is none, can not make comparaison
		if file1 is None or file2 is None:
			return "error occured"
		file1=file1.replace('<br>','<br/>').replace('T00:00:00','').replace('00:00:00','')
		file2=file2.replace('<br>','<br/>').replace('T00:00:00','').replace('00:00:00','')
		
		os.chdir(cherrypy.config.get("uploads")) 
		sel = str(random.random())
		hashage = sha.new('abcd'+sel);
		
		name1=hashage.hexdigest()[0:10]+"1"
		f1=open('%s.htm'%name1,'w')
		f1.write(str(file1))
		f1.close()
		
		name2=hashage.hexdigest()[0:10]+"2"
		f2=open('%s.htm'%name2,'w')
		f2.write(str(file2))
		f2.close()
		
		difff = simplediff.simpledifference('%s.htm'%name2,'%s.htm'%name1)
		a=difff.split('\n')
		b=difff.split('\n')
		fin=[]
		ajout=""
		suppr=""
		div=False
		after=""
		nsupp=0
		for ligne in a:
			try:
				if ligne[0]=='+':
					ajout+=ligne[1:]
				if ligne[0]=="-":
					if len(suppr)==0:
						if ligne[1:].replace(' ','').replace('\t','')=="</div>":
							div=True
							after+=ligne[1:]
							nsupp+=1
						else:
							if not div and ligne[1:].replace(' ','').replace('\t','')!="</span>":
								suppr+=ligne[1:]
								nsupp+=1
							else:
								after+=ligne[1:]
								nsupp+=1
							div=False
					else:
						suppr+=ligne[1:]
						nsupp+=1
						div=False
				if ligne[0]!="+" and ligne[0]!="-":
					if ajout!="":
						fin.append("<ins class='diff modified'>%s</ins>"%ajout)
						ajout=""
					if suppr!="":
						if after !="":
							suppr+=after
							after=""
						if nsupp < 10:
							if 'form1' in suppr:
								suppr = suppr.replace('form1','form1_old')
							fin.append("<del class='diff modified'>%s</del>"%suppr)
						suppr=""
						nsupp=0
					if ligne[0] == '?':
						if len(ligne[1:].replace(' ','').replace('\t','').replace('+','').replace('-','').replace('^',''))>0:
							fin.append(ligne)
					else:
						fin.append(ligne)
			except:
				if ajout!="":
					fin.append("<ins class='diff modified'>%s</ins>"%ajout)
					ajout=""
				if suppr!="":
					if nsupp <10:
						if 'form1' in suppr:
							suppr = suppr.replace('form1','form1_old')
						fin.append("<del class='diff modified'>%s</del>"%suppr)
					suppr=""
					nsupp=0
				fin.append(ligne)
				
		diff['diff']=str(' '.join(fin))
#		log.info(' '.join(fin))
		diff['original']=None
		cherrypy.session['stylesheetResult'] = None
		cherrypy.session['diff'] = diff
		cherrypy.session['annotation']='annotation'
		 #set the parameters or you results here in the render list
		
		return self.redirect(self.__path)
	
	@cherrypy.expose
	def compareHTMLonly(self,url,schema):
		import myDiffHTML,simplediff
		#log.info("compareDNAnetwork %s %s"%(url,schema))
		meta = cherrypy.session.get('meta',{})
		diff = cherrypy.session.get('diff',{})
		
		schema = (_carac.decodeCaracters(encoded=schema)).replace("$$$",":")		
		#set the xslt for the current schema
		if "darwin/2003" in schema or "obis" in schema or "darwin" in schema or "digir" in schema or "darwincore" in schema or "manis" in schema:
			xslt = cherrypy.config.get("darwin2003_xslt")
		elif "abcd/1.2" in schema or "abcd1.2" in schema:
			xslt = cherrypy.config.get("abcd12_xslt")
		elif "abcd/2" in schema or "abcd2.06" in schema:
			xslt = cherrypy.config.get("abcd2_xslt")
		elif "dwcore" in schema or "tapir" in schema:
			xslt = cherrypy.config.get("dwcore_xslt")
		xslt = xslt.replace('LANG',self.getLang())
		meta['xslt'] = str(xslt)
		cherrypy.session['meta'] = meta
		
		#file 1 = annotation
		url = (_carac.decodeCaracters(encoded=url)).replace("$$$",":")
		
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()
		content = self.annotation.getContent(url)	
		try:
			file1 = transformXML(docDOM=content, xslLoc=xslt)
		except Exception,e:
			
			file1=None
		content=None#delete for session
		
		#file 2 = last accepted annotation from provider
		url = self.annotation.getOriginalURL(url)
		content = self.annotation.getContent(url)
		try:
			file2 = transformXML(docDOM=content, xslLoc=xslt)
		except Exception,e:
			
			file2=None
		content=None#delete for session
		
		#if one file is none, can not make comparaison
		if file1 is None or file2 is None:
			return "error occured"
		file1=file1.replace('<br>','<br/>').replace('T00:00:00','').replace('00:00:00','')
		file2=file2.replace('<br>','<br/>').replace('T00:00:00','').replace('00:00:00','')
		
		os.chdir(cherrypy.config.get("uploads")) 
		sel = str(random.random())
		hashage = sha.new('abcd'+sel);
		
		name1=hashage.hexdigest()[0:10]+"1"
		f1=open('%s.htm'%name1,'w')
		f1.write(str(file1))
		f1.close()
		
		name2=hashage.hexdigest()[0:10]+"2"
		f2=open('%s.htm'%name2,'w')
		f2.write(str(file2))
		f2.close()
		
		difff = simplediff.simpledifference('%s.htm'%name2,'%s.htm'%name1)
		a=difff.split('\n')
		b=difff.split('\n')
		fin=[]
		ajout=""
		suppr=""
		div=False
		after=""
		nsupp=0
		for ligne in a:
			try:
				if ligne[0]=='+':
					ajout+=ligne[1:]
				if ligne[0]=="-":
					if len(suppr)==0:
						if ligne[1:].replace(' ','').replace('\t','')=="</div>":
							div=True
							after+=ligne[1:]
							nsupp+=1
						else:
							if not div and ligne[1:].replace(' ','').replace('\t','')!="</span>":
								suppr+=ligne[1:]
								nsupp+=1
							else:
								after+=ligne[1:]
								nsupp+=1
							div=False
					else:
						suppr+=ligne[1:]
						nsupp+=1
						div=False
				if ligne[0]!="+" and ligne[0]!="-":
					if ajout!="":
						fin.append("<ins class='diff modified'>%s</ins>"%ajout)
						ajout=""
					if suppr!="":
						if after !="":
							suppr+=after
							after=""
						if nsupp < 10:
							if 'form1' in suppr:
								suppr = suppr.replace('form1','form1_old')
							fin.append("<del class='diff modified'>%s</del>"%suppr)
						suppr=""
						nsupp=0
					if ligne[0] == '?':
						if len(ligne[1:].replace(' ','').replace('\t','').replace('+','').replace('-','').replace('^',''))>0:
							fin.append(ligne)
					else:
						fin.append(ligne)
			except:
				if ajout!="":
					fin.append("<ins class='diff modified'>%s</ins>"%ajout)
					ajout=""
				if suppr!="":
					if nsupp <10:
						if 'form1' in suppr:
							suppr = suppr.replace('form1','form1_old')
						fin.append("<del class='diff modified'>%s</del>"%suppr)
					suppr=""
					nsupp=0
				fin.append(ligne)
				
		return str(' '.join(fin))
	
	@cherrypy.expose
	def seeHTMLonly(self,url,schema):
		meta = cherrypy.session.get('meta',{})
		diff = cherrypy.session.get('diff',{})
		#		annotDico = cherrypy.session.get('annotDico',{})
		annotDico = {}
		#tmpUrl= url.replace("'","")
		tmpUrl=url
		#http://ww2.biocase.org/svn/annotation/modified/a1521e10-a8b5-11d8-9534-b8a03c50a862/abcd2.06/BGBM/BoBO - Botanic Garden Berlin BDI Observations/9_2.xml
		uddi=tmpUrl.split('/')[6]
		format=schema.replace("'","")
		if format == "abcd2.06" or "abcd/2.06" in format:
			format='http://www.tdwg.org/schemas/abcd/2.06'
			schema='http://www.tdwg.org/schemas/abcd/2.06'
		if format == "abcd1.2" or "abcd/1.2" in format:
			format='http://www.tdwg.org/schemas/abcd/1.2'
			schema='http://www.tdwg.org/schemas/abcd/1.2'
		if format == "darwincore" or format=="manis" or format=="obis":
			format = 'http://digir.net/schema/conceptual/darwin/2003/1.0'
			schema = 'http://digir.net/schema/conceptual/darwin/2003/1.0'
		if format =='http://rs.tdwg.org/dwc/dwcore/' or format=="tapir_dwc":
			format="http://rs.tdwg.org/tapir/1.0"
			schema="http://rs.tdwg.org/tapir/1.0"
		instID=tmpUrl.split('/')[8]
		collID=tmpUrl.split('/')[9]
		if 'modified' in tmpUrl:
			unitID="_".join(tmpUrl.split('/')[10].split('_')[:-1]).split('.xml')[0]
		else:
			unitID=tmpUrl.split('/')[10].split('.xml')[0]
				
		if annotDico == {}:
			if self.annotation is None:
				self.annotation = AnnotationServiceQuery()
			
			excludeFormat=False
			
			annot = self.annotation.sendQuery(uddi=uddi, format=format, instID=instID, collID=collID, unitID=unitID, excl=excludeFormat, method=version)
				
			cherrypy.session['annotation']='annotation'
			cherrypy.session['annotDico'] = annot[0]
			cherrypy.session['annotTable'] = annot[1]
			annotDico = cherrypy.session.get('annotDico',{})
		if self.annotation is None:
			self.annotation = AnnotationServiceQuery()
		for key in annotDico.keys():
			props = annotDico[key]
			if ( ((_carac.decodeCaracters(props[4])).replace("'","") == url.replace("'","") and ( _carac.decodeCaracters(props[3])).replace("'","") ==schema.replace("'","")) or (_carac.decodeCaracters(props[4]).replace("'","") == url.replace("'","") and _carac.decodeCaracters(props[3]).replace("'","") ==schema.replace("'",""))):
				diff['currentDate']=props[0]
				diff['currentComment']=props[2]
				diff['currentURL']=_carac.encodeCaracters(props[4])
				diff['currentSchema']=_carac.encodeCaracters(props[3])
				diff['currentAuthor']=props[5]
		schema = (_carac.decodeCaracters(encoded=schema)).replace("$$$",":")
		url = (_carac.decodeCaracters(encoded=url)).replace("$$$",":")
		content = self.annotation.getContent(url)	
		xslt=""
		if "darwin/2003" in schema or "obis" in schema or "darwin" in schema or "digir" in schema or "darwincore" in schema or "manis" in schema:
			xslt = cherrypy.config.get("darwin2003_xslt")
		elif "abcd/1.2" in schema or "abcd1.2" in schema:
			xslt = cherrypy.config.get("abcd12_xslt")
		elif "abcd/2" in schema or "abcd2.06" in schema:
			xslt = cherrypy.config.get("abcd2_xslt")
		elif "dwcore" in schema or "tapir" in schema:
			xslt = cherrypy.config.get("dwcore_xslt")
		xslt = xslt.replace('LANG',self.getLang())
		meta['xslt'] = xslt

		try:
			res = transformXML(docDOM=content, xslLoc=xslt)
			cherrypy.session['stylesheetResult'] = str(res).replace('T00:00:00','').replace('00:00:00','')
		except Exception,e:
			log.info(e)
			#cherrypy.session['stylesheetResult']  = content
			cherrypy.session['stylesheetResult'] = str(content).replace('T00:00:00','').replace('00:00:00','')
		content=None#delete for session
		diff['diff']=None
		diff['original']=None
		cherrypy.session['annotation']='annotation'
		cherrypy.session['diff'] = diff
		cherrypy.session['meta'] = meta
		
		annotationshtml=[]
		for elt in cherrypy.session.get('annotTable',[]):
			annotationshtml.append("__==__".join(elt))
		
		html=["__--__".join(annotationshtml),cherrypy.session.get('stylesheetResult',''),diff.get('currentDate',''),diff.get('currentComment',''),diff.get('currentURL',''), 
			diff.get('currentSchema',''),diff.get('currentAuthor',''),_carac.encodeCaracters(decoded=diff.get('originalURL',''))]
		
		return '\n__~~__\n'.join(html)
#						body=self.body, annotationTable=cherrypy.session.get('annotTable'), 
#						next=None,stylesheet = cherrypy.session.get('stylesheetResult'), 
#						diff=diff.get('diff',None), currentDate=diff.get('currentDate'), 
#						currentComment=diff.get('currentComment'), currentURL=diff.get('currentURL'),
#						 currentSchema=diff.get('currentSchema'), original=diff.get('original'), 
#						 currentAuthor=diff.get('currentAuthor'), 
#						 originalURL=_carac.encodeCaracters(decoded=diff.get('originalURL','')))
	
def buildDic(string):
	dico={}
	listTuples = string.split(";")
	for tuple in listTuples:
		try:
			abbrev = tuple.split("(")[1].split(",")[0].split(")")[0]
			name   = tuple.split("(")[1].split(",")[1].split("(")[0].split(")")[0]
			dico[abbrev] = name
		except:
			pass
	return dico
	
def closeConnection(connection):
	try:
		connection.close()
	except:
		log.info("already closed")
from htmlentitydefs import name2codepoint as n2cp, codepoint2name as cp2n
import re

def substitute_entity(match):
	ent = match.group(2)
	if match.group(1) == "#":
		return unichr(int(ent))
	else:
		cp = n2cp.get(ent)

		if cp:
			return unichr(cp)
		else:
			return match.group()
	

def decode_htmlentities(string):
	if type(string) != type('i'):
		return string
	entity_re = re.compile("&(#?)(\d{1,5}|\w{1,8});")
	if page.Page().getCfgObj().admin.unitsDatabase == "mssql"  and not isinstance(string,unicode):
		try:
			tmp=unicode(string,'latin-1', errors='replace')
		except:
			tmp=string
	else:
		tmp=string
	try:
		return entity_re.subn(substitute_entity, tmp)[0]
	except Exception,e:
		log.info("ignore %s"%string)
		pass

def unic(t):
	if t!= None and type(t) == ListType:
		t=[unic(t[0]),unic(t[1])]
		return t
	if t is None:
		t= ''
	if page.Page().getCfgObj().admin.unitsDatabase == "mssql" and not isinstance(t,unicode):	
		try:
			tmp=unicode(t,'latin-1', errors='replace')
		except Exception,e:
			tmp=t
	else:
		tmp=t
	return tmp

def decode_htmlentitiesNull(string,test=False):
	if string is None:
		string= '&nbsp;'
	else:
		if type(string) == ListType:
			if page.Page().getCfgObj().admin.unitsDatabase == "mssql"  and not isinstance(string[0],unicode):
				try:
					return[entity_re.subn(substitute_entity, unicode(string[0],'latin-1', errors='replace'))[0],entity_re.subn(substitute_entity, unicode(string[1],'latin-1', errors='replace'))[0]]
				except Exception,e:
					return string
			else:
				try:
					return[entity_re.subn(substitute_entity, string[0])[0],entity_re.subn(substitute_entity, string[1])[0]]
				except Exception,e:
					return string
		if type(string) != type('i'):
			string=str(string)

	if page.Page().getCfgObj().admin.unitsDatabase == "mssql"  and not isinstance(string,unicode):
		try:
			tmp=unicode(string, 'latin-1', errors='replace')
		except:
			tmp=string
	else:
		tmp=string
	entity_re = re.compile("&(#?)(\d{1,5}|\w{1,8});")
	try:
		return entity_re.subn(substitute_entity, tmp)[0]
	except Exception,e:
		pass
		
def encode_htmlentities(string):
	if type(string) !=type('i'):
		return string
	try:
		string=unicode(string)
	except:
		pass
	nb=[]
	tmpl=""
	for c in string:
		o=ord(c)
		nb.append(o)
		tmpl="%s&#%s;"%(tmpl,str(o))
	for n in nb:
		if n>1000:
			return tmpl
	return string

def setTable(table,this,full=False):
	'''
	set and handle the table of available results (ex: concatenate all common names for a taxonName)
	@param table:the table of available results, unencoded (with comma and slash)
	@param size: the number of available results
	'''
	debut = time.time()
#	log.info("%s set table %i"%(str(full),len(table)))
	res = {}
	#count =0
	recordBasisDict = buildDic(this.getCfgObj().recordBasis.recordBasisList)
	for line in table:
		recordKey =  decode_htmlentitiesNull(str(line[11]))    
		if recordKey !='None' and "href" in recordKey:
			recordKey = str(recordKey.split(">")[1].split("<")[0])
		unit = _carac.encodeCaracters(decoded=recordKey)
		resourceKey = line[12]
		myKey = str(recordKey)+"~"+str(resourceKey)+"~"+str(line[13])
		res[myKey] = [decode_htmlentitiesNull(line[0]), decode_htmlentitiesNull(line[1]), decode_htmlentitiesNull(line[2]), '', '', decode_htmlentities(line[5]),decode_htmlentitiesNull(line[6],test=True), [decode_htmlentitiesNull(line[7]), _carac.encodeCaracters(decoded=decode_htmlentitiesNull(line[7]))], [decode_htmlentitiesNull(line[8]), _carac.encodeCaracters(decoded=decode_htmlentitiesNull(line[8]))], decode_htmlentitiesNull(line[9]), decode_htmlentitiesNull(line[10]), unit, decode_htmlentitiesNull(line[12]), decode_htmlentitiesNull(line[13]), decode_htmlentitiesNull(line[14]), decode_htmlentitiesNull(line[15]),decode_htmlentitiesNull(line[16]), recordBasisDict.get(decode_htmlentitiesNull(line[17]),'not specified'),decode_htmlentitiesNull(line[18]),decode_htmlentitiesNull(line[19]),decode_htmlentitiesNull(line[20]),decode_htmlentitiesNull(line[21]) ]
		
	table = []
	keys = res.keys()
	keys.sort()
	table=[res[key] for key in keys]
	cherrypy.session['currentPage'] = 1
	if full:
		cherrypy.session['interMemory'] = res
		cherrypy.session['table'] = table 
		cherrypy.session['size'] = len(table)
		cherrypy.session['tableConverted']=True
#	log.info("SET TABLE %f"%(time.time() - debut))
	return table
